
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81754 --
SELECT DISABLETRIGGERS(LOWER('TD_EST'));

/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81754 --
UPDATE TD_EST
   SET ICMINT = 17
 WHERE ESTADO NOT IN ('MG','PR','RJ','SP');
 
/*-- SEQ 0003 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81754 --
UPDATE TD_EST
   SET ICMINT = 18
 WHERE ESTADO IN ('MG','PR','SP');
 
/*-- SEQ 0004 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81754 --
UPDATE TD_EST
   SET ICMINT = 19
 WHERE ESTADO IN ('RJ'); 

/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81754 --
SELECT ENABLETRIGGERS(LOWER('TD_EST'));


/*-- SEQ 0006 --*/
-- Tarefa 81785 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0007 --*/
-- Tarefa 81785 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,349)||SUBSTR(PERMIS,301,1)||SUBSTR(PERMIS,351,9999);

/*-- SEQ 0008 --*/
-- Tarefa 81785 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));


/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81515 --
SELECT DISABLETRIGGERS(LOWER('TT_BRU'));
 
/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81515 --
UPDATE TT_BRU
   SET APROVA = 'F'
 WHERE APROVA = NULL;   

/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81515 --
ALTER TABLE TT_BRU ALTER COLUMN APROVA SET DEFAULT 'F';

/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81515 --
SELECT ENABLETRIGGERS(LOWER('TT_BRU'));

/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81515 --
 ALTER TABLE TT_BRU ALTER COLUMN APROVA SET NOT NULL;


/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80789 --
-- Cria Backup das IVEs que esto com o VLRMOV e QTDMOV zerado.
CREATE TABLE TEMP_IVE AS SELECT IVE.* 
                           FROM TT_IVE IVE INNER JOIN TT_IOR IOR ON IVE.CODFIL = IOR.FILIVE 
                                                                AND IVE.SEQUEN = IOR.SEQIVE
                                                                AND IVE.NUMITE = IOR.NUMIVE 
                          WHERE IVE.SITMOV = 'C'
                            AND IOR.TIPENT = '5'
                            AND IVE.VLRMOV = 0;

/*-- SEQ 0015 --*/
-- Tarefa 80789 --
SELECT DISABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0016 --*/
-- Tarefa 80789 --
-- Update para inserir o valores no campo QTDMOV.
UPDATE TT_IVE
   SET QTDMOV = (SELECT IOR.QTDENT
                   FROM TT_IOR IOR
                  WHERE TT_IVE.CODFIL = IOR.FILIVE
                    AND TT_IVE.SEQUEN = IOR.SEQIVE
                    AND TT_IVE.NUMITE = IOR.NUMIVE)	   
 WHERE (CODFIL, SEQUEN, NUMITE) IN (
 SELECT IVE.CODFIL, IVE.SEQUEN, IVE.NUMITE
   FROM TT_IVE IVE INNER JOIN TT_IOR IOR ON IVE.CODFIL = IOR.FILIVE 
                                        AND IVE.SEQUEN = IOR.SEQIVE
                                        AND IVE.NUMITE = IOR.NUMIVE 
  WHERE IVE.SITMOV = 'C'
    AND IOR.TIPENT = '5'
    AND IVE.QTDMOV = 0);

/*-- SEQ 0017 --*/
-- Tarefa 80789 --
-- Update para inserir o valores no campo VLRMOV.
UPDATE TT_IVE
   SET VLRMOV = (SELECT COALESCE(CAST(IOR.QTDENT*TT_IVE.VLRUNI AS Numeric(14,2)), IOR.VLRCUS) AS VLRMOV
                   FROM TT_IOR IOR
                  WHERE TT_IVE.CODFIL = IOR.FILIVE
                    AND TT_IVE.SEQUEN = IOR.SEQIVE
                    AND TT_IVE.NUMITE = IOR.NUMIVE)
 WHERE (CODFIL, SEQUEN, NUMITE) IN (
 SELECT IVE.CODFIL, IVE.SEQUEN, IVE.NUMITE
   FROM TT_IVE IVE INNER JOIN TT_IOR IOR ON IVE.CODFIL = IOR.FILIVE 
                                        AND IVE.SEQUEN = IOR.SEQIVE
                                        AND IVE.NUMITE = IOR.NUMIVE 
  WHERE IVE.SITMOV = 'C'
    AND IOR.TIPENT = '5'
    AND IVE.VLRMOV = 0);

/*-- SEQ 0018 --*/
-- Tarefa 80789 --
SELECT ENABLETRIGGERS(LOWER('TT_IVE'));


/*-- SEQ 0019 --*/
/*-- IGNORE ERRO --*/
drop index i_uq_tit_rec_seqcan;


/*-- SEQ 0020 --*/
/*-- IGNORE ERRO --*/
--Tarefa 81228 --
ALTER TABLE TT_CMS ALTER COLUMN NUMPAR DROP NOT NULL;

/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
--Tarefa 81228 --
ALTER TABLE TT_CMS ALTER COLUMN SUBPAR DROP NOT NULL;


/*-- SEQ 0022 --*/
-- Tarefa 81934 --
ALTER TABLE TD_ECF ADD COLUMN CODEXT_DECF VARCHAR(20) ;


/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/
-- Tarefa Nmero --
SELECT DISABLETRIGGERS(LOWER('TD_ECF'));

/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81934 --
UPDATE TD_ECF
   SET CODEXT_DECF = CODEXT
 WHERE CODEXT IS NOT NULL;
 
/*-- SEQ 0025 --*/
/*-- IGNORE ERRO --*/
-- Tarefa Nmero --
SELECT ENABLETRIGGERS(LOWER('TD_ECF')); 
 
/*-- SEQ 0026 --*/
-- Tarefa 81934 --
ALTER TABLE TD_ECF DROP COLUMN CODEXT CASCADE;

/*-- SEQ 0027 --*/
-- Tarefa 81934 --
ALTER TABLE TW_TAB ADD COLUMN CODEXT_DECF VARCHAR(20) ;


/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81934 --
UPDATE TW_TAB
   SET CODEXT_DECF = CODEXT,
       CODEXT = NULL
 WHERE CODEXT IS NOT NULL;


/*-- SEQ 0029 --*/
-- Tarefa 81233 --
ALTER TABLE TT_CLI ADD COLUMN DETTIP CHAR(1) ;


/*-- SEQ 0030 --*/
-- Tarefa 81233 --
ALTER TABLE TT_VEN ADD COLUMN DETTIP CHAR(1) ;


/*-- SEQ 0031 --*/
-- Tarefa 81233 --
ALTER TABLE TT_CLI ADD CONSTRAINT CK_CLI_DETTIP CHECK ((FLGTIP = '2' AND DETTIP IN ('M','E','F','O')) OR (FLGTIP <> '2' AND DETTIP IS NULL));

/*-- SEQ 0032 --*/
-- Tarefa 81233 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_DETTIP CHECK ((FLGTIP = '2' AND DETTIP IN ('M','E','F','O')) OR (FLGTIP <> '2' AND DETTIP IS NULL));


/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82018 --
ALTER TABLE TT_IVE ADD COLUMN ABASTE Timestamp ;



/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81812 --
SELECT * FROM NADA;

/*-- SEQ 0035 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81812 --
SELECT * FROM NADA;


/*-- SEQ 0036 --*/
-- Tarefa 81801 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0037 --*/
ALTER TABLE TT_CFG ADD COLUMN ENTREGA_CF VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0038 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG')); 

/*-- SEQ 0039 --*/
-- Tarefa 81801 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_ENTREGA_CF CHECK (ENTREGA_CF IN ('T','F'));

/*-- SEQ 0040 --*/
-- Tarefa 81801 --
ALTER TABLE TT_CFG ALTER COLUMN ENTREGA_CF SET NOT NULL;

/*-- SEQ 0041 --*/
-- Tarefa 81801 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0042 --*/
ALTER TABLE TW_CFG ADD COLUMN ENTREGA_CF VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0043 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG')); 


/*-- SEQ 0044 --*/
-- Tarefa 82068 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0045 --*/
ALTER TABLE TD_FIL ADD COLUMN TRAORI VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0046 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82068 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82068 --
SELECT * FROM NADA;

/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82068 --
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));


/*-- SEQ 0050 --*/
-- Tarefa 81582 --
ALTER TABLE TT_PRO ADD COLUMN DESECO Numeric(5,2) ;


/*-- SEQ 0051 --*/
-- Tarefa 81582 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_DESECO CHECK ((DESECO > 0 AND DESECO < 100) OR (DESECO IS NULL));


/*-- SEQ 0052 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0053 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0054 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0055 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81903 --
SELECT * FROM NADA;


/*-- SEQ 0060 --*/
-- Tarefa 81812 --
SELECT DISABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0061 --*/
ALTER TABLE TT_IVO ADD COLUMN IMP_CF VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0062 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0063 --*/
-- Tarefa 81812 --
ALTER TABLE TT_IVO ADD CONSTRAINT CK_IVO_IMP_CF CHECK (IMP_CF IN ('T','F'));


/*-- SEQ 0064 --*/
-- Tarefa 82018 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'DATA_ABAS', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'DATA_ABAS'));


/*-- SEQ 0065 --*/
-- Tarefa 82121 --
SELECT DISABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0066 --*/
ALTER TABLE TT_GRA ADD COLUMN QTDMUL Numeric(7,2) DEFAULT 0;

/*-- SEQ 0067 --*/
SELECT ENABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0068 --*/
-- Tarefa 82121 --
ALTER TABLE TT_GRA ALTER COLUMN QTDMUL SET NOT NULL;


/*-- SEQ 0069 --*/
-- Tarefa 81785 --
SELECT DISABLETRIGGERS(LOWER('TT_PAP'));

/*-- SEQ 0070 --*/
-- Tarefa 81785 --
UPDATE TT_PAP SET PERMIS = SUBSTR(PERMIS,1,349)||SUBSTR(PERMIS,301,1)||SUBSTR(PERMIS,351,9999);

/*-- SEQ 0071 --*/
-- Tarefa 81785 --
SELECT ENABLETRIGGERS(LOWER('TT_PAP'));


/*-- SEQ 0072 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81913 --
SELECT DISABLETRIGGERS(LOWER('TT_SPC'));

/*-- SEQ 0073 --*/
-- Tarefa 81913 --
SELECT ExecAlteraTipoColuna('TT_SPC','E_MAIL','VARCHAR(80)');


/*-- SEQ 0074 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81913 --
SELECT ENABLETRIGGERS(LOWER('TT_SPC'));


/*-- SEQ 0075 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
CREATE TABLE TT_RPS(
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  DATINC Timestamp,
  ATU_EM Timestamp,
  SERRPS VARCHAR(3),
  NUMRPS CHAR(6),
  DATRPS Timestamp,
  IM_RPS VARCHAR(15),
  DOCRPS VARCHAR(15),
  TIPRPS Numeric(1),
  SITRPS CHAR(1),
  NUMNFS Numeric(15),
  DATNFS Timestamp,
  CODNFS VARCHAR(8),
  SITNFS CHAR(1))  ;

/*-- SEQ 0076 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS ALTER COLUMN DATINC SET NOT NULL; 

/*-- SEQ 0077 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS ALTER COLUMN ATU_EM SET NOT NULL; 

/*-- SEQ 0078 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS ALTER COLUMN SERRPS SET NOT NULL; 

/*-- SEQ 0079 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS ALTER COLUMN NUMRPS SET NOT NULL; 

/*-- SEQ 0080 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS ALTER COLUMN DATRPS SET NOT NULL; 

/*-- SEQ 0081 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS ALTER COLUMN IM_RPS SET NOT NULL; 

/*-- SEQ 0082 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS ALTER COLUMN DOCRPS SET NOT NULL; 

/*-- SEQ 0083 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS ALTER COLUMN TIPRPS SET NOT NULL; 

/*-- SEQ 0084 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS ALTER COLUMN SITRPS SET NOT NULL; 
 
/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 -- 
ALTER TABLE TT_RPS ADD CONSTRAINT PK_RPS PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0086 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS ADD CONSTRAINT FK_RPS_VEN FOREIGN KEY (CODFIL, SEQUEN) REFERENCES TT_VEN (CODFIL, SEQUEN);

/*-- SEQ 0087 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS ADD CONSTRAINT CK_RPS_TIPRPS CHECK (TIPRPS IN (0));

/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS ADD CONSTRAINT CK_RPS_SITRPS CHECK (SITRPS IN ('I','C'));

/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS ADD CONSTRAINT CK_RPS_SITNFS CHECK (SITNFS IN ('I','C'));


/*-- SEQ 0090 --*/
-- Tarefa 82213 --
SELECT DISABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0091 --*/
ALTER TABLE TT_IUF ADD COLUMN ICMISE VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0092 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0093 --*/
-- Tarefa 82213 --
ALTER TABLE TT_IUF ADD CONSTRAINT CK_IUF_ICMISE CHECK (ICMISE IN ('T','F'));


/*-- SEQ 0094 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82209 --
CREATE TABLE TL_RPS (
  CODTAB Numeric(10),
  FILRPS CHAR(3),
  SEQRPS CHAR(10),
  DATOPE Timestamp,
  FILUSU CHAR(3),
  CODUSU CHAR(3),
  MSGLOG VARCHAR(4000),
  CODUID Numeric)  ;
 
/*-- SEQ 0095 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82209 -- 
ALTER TABLE TL_RPS ADD CONSTRAINT PK_LRPS PRIMARY KEY (CODTAB);

/*-- SEQ 0096 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82209 --
CREATE SEQUENCE SQLRPS INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82209 --
ALTER TABLE TL_RPS ADD CONSTRAINT FK_LRPS_RPS FOREIGN KEY (FILRPS, SEQRPS) REFERENCES TT_RPS (CODFIL, SEQUEN);

/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82209 --
CREATE INDEX I_FK_LRPS_RPS ON TL_RPS (FILRPS, SEQRPS)  ;


/*-- SEQ 0099 --*/
-- Tarefa 82219 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'NotaBlu', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'NotaBlu'));


/*-- SEQ 0100 --*/
-- Tarefa 82218 --
ALTER TABLE TW_VEN_FIS ADD COLUMN DATFIS Timestamp ;



/*-- SEQ 0101 --*/
-- Tarefa 82254 --
ALTER TABLE TT_IUF ADD COLUMN REDSIM Numeric(6,4) ;



/*-- SEQ 0102 --*/
-- Tarefa 82259 --
ALTER TABLE TT_IVE ADD COLUMN REDSUB Numeric(7,4) ;


/*-- SEQ 0103 --*/
-- Tarefa 82259 --
ALTER TABLE TT_IVE ADD COLUMN ICMINT Numeric(6,4) ;


/*-- SEQ 0104 --*/
-- Tarefa 82259 --
ALTER TABLE TT_IVE ADD COLUMN DESRAT Numeric(12,2) ;


/*-- SEQ 0105 --*/
-- Tarefa 82259 --
ALTER TABLE TT_IVE ADD COLUMN VLRFRE Numeric(12,2) ;


/*-- SEQ 0106 --*/
-- Tarefa 82259 --
ALTER TABLE TT_IVE ADD COLUMN VLRSEG Numeric(12,2) ;


/*-- SEQ 0107 --*/
-- Tarefa 82259 --
ALTER TABLE TT_IVE ADD COLUMN VLRLIQRAT Numeric(12,2) ;


/*-- SEQ 0108 --*/
-- Tarefa 82259 --
ALTER TABLE TT_VEN ADD COLUMN DESRAT Numeric(12,2) ;



/*-- SEQ 0109 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82004 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
     VALUES ('OUTROS ACUMULADORES ELET DE CHUMBO',3,16,'T','85071090');


/*-- SEQ 0110 --*/
-- Tarefa 82305 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0111 --*/
ALTER TABLE TT_CFG ADD COLUMN DEST_ST_DEV VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0112 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0113 --*/
-- Tarefa 82305 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_DEST_ST_DEV CHECK (DEST_ST_DEV IN ('T','F'));

/*-- SEQ 0114 --*/
-- Tarefa 82305 --
ALTER TABLE TT_CFG ALTER COLUMN DEST_ST_DEV SET NOT NULL;

/*-- SEQ 0115 --*/
-- Tarefa 82305 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0116 --*/
ALTER TABLE TW_CFG ADD COLUMN DEST_ST_DEV VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0117 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0118 --*/
-- Tarefa 82346 --
ALTER TABLE TT_ICO ADD COLUMN SITPIS CHAR(2) ;


/*-- SEQ 0119 --*/
-- Tarefa 82346 --
ALTER TABLE TT_ICO ADD COLUMN SITCOF CHAR(2) ;


/*-- SEQ 0120 --*/
-- Tarefa 82346 --
ALTER TABLE TT_ICO ADD COLUMN PERCOF Numeric(6,4) ;


/*-- SEQ 0121 --*/
-- Tarefa 82346 --
ALTER TABLE TT_ICO ADD COLUMN BASCOF Numeric(12,2) ;


/*-- SEQ 0122 --*/
-- Tarefa 82346 --
ALTER TABLE TT_ICO ADD COLUMN PERPIS Numeric(6,4) ;


/*-- SEQ 0123 --*/
-- Tarefa 82346 --
ALTER TABLE TT_ICO ADD COLUMN BASPIS Numeric(12,2) ;


/*-- SEQ 0124 --*/
-- Tarefa 82346 --
ALTER TABLE TT_ICO ADD COLUMN ICMVEN Numeric(6,4) ;


/*-- SEQ 0125 --*/
-- Tarefa 82346 --
ALTER TABLE TT_ICO ADD COLUMN RED_ST Numeric(6,4) ;



/*-- SEQ 0126 --*/
-- Tarefa 82375 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0127 --*/
ALTER TABLE TT_ICO ADD COLUMN MVACOMDIF Numeric(14,4) DEFAULT 0;

/*-- SEQ 0128 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0129 --*/
-- Tarefa 82375 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0130 --*/
ALTER TABLE TT_ICO ADD COLUMN ICMVENDIF Numeric(6,4) DEFAULT 0;

/*-- SEQ 0131 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0132 --*/
-- Tarefa 82375 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0133 --*/
ALTER TABLE TT_ICO ADD COLUMN RED_STDIF Numeric(6,4) DEFAULT 0;

/*-- SEQ 0134 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0135 --*/
-- Tarefa 82375 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0136 --*/
ALTER TABLE TT_ICO ADD COLUMN VLRICMDIF Numeric(14,2) DEFAULT 0;

/*-- SEQ 0137 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0138 --*/
-- Tarefa 82375 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0139 --*/
ALTER TABLE TT_ICO ADD COLUMN ICMITEDIF Numeric(14,2) DEFAULT 0;

/*-- SEQ 0140 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0141 --*/
-- Tarefa 82375 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0142 --*/
ALTER TABLE TT_ICO ADD COLUMN BASICMDIF Numeric(14,2) DEFAULT 0;

/*-- SEQ 0143 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0144 --*/
-- Tarefa 82375 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0145 --*/
ALTER TABLE TT_ICO ADD COLUMN BASSUBDIF Numeric(14,2) DEFAULT 0;

/*-- SEQ 0146 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0147 --*/
-- Tarefa 82375 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0148 --*/
ALTER TABLE TT_ICO ADD COLUMN VLR_STDIF Numeric(14,2) DEFAULT 0;

/*-- SEQ 0149 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0150 --*/
-- Tarefa 82375 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0151 --*/
ALTER TABLE TT_ICO ADD COLUMN REDITEDIF Numeric(5,2) DEFAULT 0;

/*-- SEQ 0152 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0153 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0154 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
UPDATE TT_ICO 
   SET MVACOMDIF = MVACOM;
   
/*-- SEQ 0155 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
UPDATE TT_ICO 
   SET VLRICMDIF = VLRICM;

/*-- SEQ 0156 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
UPDATE TT_ICO 
   SET ICMITEDIF = ICMITE;

/*-- SEQ 0157 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
UPDATE TT_ICO 
   SET BASICMDIF = BASICM;

/*-- SEQ 0158 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
UPDATE TT_ICO 
   SET BASSUBDIF = BASSUB;

/*-- SEQ 0159 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
UPDATE TT_ICO 
   SET VLR_STDIF = VLR_ST;

/*-- SEQ 0160 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
UPDATE TT_ICO 
   SET REDITEDIF = REDITE;   
   
/*-- SEQ 0161 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));


/*-- SEQ 0162 --*/
-- Tarefa 82287 --
ALTER TABLE TT_REC ADD COLUMN OBSERV VARCHAR(4000) ;



/*-- SEQ 0163 --*/
-- Tarefa 82146 --
ALTER TABLE TT_CLI ADD COLUMN DATCRE Timestamp ;


/*-- SEQ 0164 --*/
-- Tarefa 82146 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0165 --*/
-- Tarefa 82146 --
UPDATE TT_CLI 
   SET DATCRE = AGORA();

/*-- SEQ 0166 --*/
-- Tarefa 82146 --
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0167 --*/
-- Tarefa 82146 --
ALTER TABLE TT_CLI ALTER COLUMN DATCRE SET NOT NULL; 


/*-- SEQ 0168 --*/
-- Tarefa 82142 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0169 --*/
ALTER TABLE TT_CFG ADD COLUMN LIMDIA Numeric(3) DEFAULT 0;

/*-- SEQ 0170 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0171 --*/
-- Tarefa 82142 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0172 --*/
ALTER TABLE TW_CFG ADD COLUMN LIMDIA Numeric(3) DEFAULT 0;

/*-- SEQ 0173 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0174 --*/
-- Tarefa 82404 --
ALTER TABLE TD_NAT ADD COLUMN SITPIS Char(2) ;


/*-- SEQ 0175 --*/
-- Tarefa 82404 --
ALTER TABLE TD_NAT ADD COLUMN SITCOF Char(2) ;


/*-- SEQ 0176 --*/
-- Tarefa 82404 --
ALTER TABLE TW_TAB ADD COLUMN SITPIS Char(2) ;


/*-- SEQ 0177 --*/
-- Tarefa 82404 --
ALTER TABLE TW_TAB ADD COLUMN SITCOF Char(2) ;


/*-- SEQ 0178 --*/
/*-- IGNORE ERRO --*/
-- Tarefa Nmero --
SELECT * FROM NADA;

/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82404 --
SELECT * FROM NADA;
				  
/*-- SEQ 0180 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82404 --
SELECT * FROM NADA;
				  
/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
-- Tarefa Nmero --
SELECT * FROM NADA;


/*-- SEQ 0182 --*/
-- Tarefa 82400 --
ALTER TABLE TT_PRO ADD COLUMN VLRPIS Numeric(16,2) ;


/*-- SEQ 0183 --*/
-- Tarefa 82400 --
ALTER TABLE TT_PRO ADD COLUMN VLRCOF Numeric(16,2) ;


/*-- SEQ 0184 --*/
-- Tarefa 82400 --
ALTER TABLE TT_IVE ADD COLUMN ALIPISVLR Numeric(16,2) ;



/*-- SEQ 0185 --*/
--Tarefa 82146 --
ALTER TABLE TT_CLI ALTER COLUMN DATCRE DROP NOT NULL;


/*-- SEQ 0186 --*/
ALTER TABLE TT_WOR ALTER COLUMN MINPRE SET DEFAULT 0;

/*-- SEQ 0187 --*/
ALTER TABLE TT_WOR ALTER COLUMN MAXPRE SET DEFAULT 0;

/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
alter table tt_wor drop constraint ck_wor_modelo_regra;


/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0191 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0194 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0195 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0196 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0197 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;


/*-- SEQ 0198 --*/
-- Tarefa 82115 --
ALTER TABLE TT_IOR ADD COLUMN DESICM Numeric(12,2) ;


/*-- SEQ 0199 --*/
-- Tarefa 82115 --
ALTER TABLE TT_IVE ADD COLUMN DESICM Numeric(12,2) ;


/*-- SEQ 0200 --*/
-- Tarefa 82115 --
ALTER TABLE TT_VEN ADD COLUMN DESICM Numeric(12,2) ;


/*-- SEQ 0201 --*/
-- Tarefa 82115 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0202 --*/
ALTER TABLE TT_CLI ADD COLUMN ENTISE CHAR(1) DEFAULT 'F';

/*-- SEQ 0203 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0204 --*/
-- Tarefa 82115 --
ALTER TABLE TT_CLI ADD CONSTRAINT CK_CLI_ENTISE CHECK (((ENTISE = 'T' AND FLGTIP = '2' AND DETTIP = 'E') OR (ENTISE = 'T' and FLGTIP <> '2' AND DETTIP IS NULL)) OR (ENTISE = 'F'));

/*-- SEQ 0205 --*/
-- Tarefa 82115 --
ALTER TABLE TT_CLI ALTER COLUMN ENTISE SET NOT NULL;


/*-- SEQ 0206 --*/
-- Tarefa 82629 --
ALTER TABLE TT_VEN ADD COLUMN CHAVEA VARCHAR(44) ;


/*-- SEQ 0207 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82629 --
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0208 --*/
-- Tarefa 82629 --
UPDATE TT_VEN VEN
   SET CHAVEA = (SELECT MAX(VRT.CHAVEA)
                   FROM TT_VRT VRT
                  WHERE VRT.FILVEN = VEN.CODFIL
                    AND VRT.ECFVEN = VEN.NUMECF
                    AND VRT.SERVEN = VEN.CODSER
                    AND VRT.NOTVEN = VEN.NUMNOT
                    AND VRT.CROVEN = VEN.CNT_RO)
 WHERE VEN.FLGNFE IS NOT NULL;

/*-- SEQ 0209 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82629 --
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));


/*-- SEQ 0210 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625 --
Select * from nada;

 /*-- SEQ 0211 --*/
 /*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada; 

/*-- SEQ 0212 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada;
                            

/*-- SEQ 0213 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada;

/*-- SEQ 0214 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada;


/*-- SEQ 0215 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625 --
Select * from nada;
 

/*-- SEQ 0216 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625 --
Select * from nada;


/*-- SEQ 0217 --*/
-- Tarefa 82683 --
CREATE TABLE TT_MPB (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  TIPCONJ Numeric(5,0),
  FILVEN CHAR(3),
  SEQVEN CHAR(10),
  ITECPU Numeric(5,0),
  ITETEC Numeric(5,0),
  ITEMOU Numeric(5,0),
  ITEMON Numeric(5,0),
  QTDITE Numeric(5,0))  ;

/*-- SEQ 0218 --*/
-- Tarefa 82683 --
ALTER TABLE TT_MPB ALTER COLUMN TIPCONJ SET NOT NULL;

/*-- SEQ 0219 --*/
-- Tarefa 82683 --
ALTER TABLE TT_MPB ALTER COLUMN FILVEN SET NOT NULL;

/*-- SEQ 0220 --*/
-- Tarefa 82683 --
ALTER TABLE TT_MPB ALTER COLUMN SEQVEN SET NOT NULL;

/*-- SEQ 0221 --*/
-- Tarefa 82683 --
ALTER TABLE TT_MPB ALTER COLUMN ITECPU SET NOT NULL;
 
/*-- SEQ 0222 --*/
-- Tarefa 82683 --
ALTER TABLE TT_MPB ADD CONSTRAINT PK_MPB PRIMARY KEY (CODFIL,SEQUEN);

/*-- SEQ 0223 --*/
-- Tarefa 82683 --
CREATE SEQUENCE SQMPB INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0224 --*/
-- Tarefa 82683 -- 
ALTER TABLE TT_MPB ADD CONSTRAINT FK_MPB_VEN_FILVEN FOREIGN KEY (FILVEN,SEQVEN) REFERENCES TT_VEN (CODFIL,SEQUEN);

/*-- SEQ 0225 --*/
-- Tarefa 82683 -- 
ALTER TABLE TT_MPB ADD CONSTRAINT FK_MPB_IVE_ITECPU FOREIGN KEY (FILVEN,SEQVEN,ITECPU) REFERENCES TT_IVE (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0226 --*/
-- Tarefa 82683 -- 
ALTER TABLE TT_MPB ADD CONSTRAINT FK_MPB_IVE_ITEMOU FOREIGN KEY (FILVEN,SEQVEN,ITEMOU) REFERENCES TT_IVE (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0227 --*/
-- Tarefa 82683 -- 
ALTER TABLE TT_MPB ADD CONSTRAINT FK_MPB_IVE_ITEMON FOREIGN KEY (FILVEN,SEQVEN,ITEMON) REFERENCES TT_IVE (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0228 --*/
-- Tarefa 82683 -- 
ALTER TABLE TT_MPB ADD CONSTRAINT FK_MPB_IVE_ITETEC FOREIGN KEY (FILVEN,SEQVEN,ITETEC) REFERENCES TT_IVE (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0229 --*/
-- Tarefa 82683 -- 
CREATE INDEX I_FK_MPB_VEN ON TT_MPB (FILVEN,SEQVEN)  ;

/*-- SEQ 0230 --*/
-- Tarefa 82683 -- 
CREATE INDEX I_FK_MPB_IVE_ITEMOU ON TT_MPB (FILVEN,SEQVEN,ITEMOU)  ;

/*-- SEQ 0231 --*/
-- Tarefa 82683 -- 
CREATE INDEX I_FK_MPB_IVE_ITECPU ON TT_MPB (FILVEN,SEQVEN,ITECPU)  ;

/*-- SEQ 0232 --*/
-- Tarefa 82683 -- 
CREATE INDEX I_FK_MPB_IVE_ITEMON ON TT_MPB (FILVEN,SEQVEN,ITEMON)  ;

/*-- SEQ 0233 --*/
-- Tarefa 82683 -- 
CREATE INDEX I_FK_MPB_IVE_ITETEC ON TT_MPB (FILVEN,SEQVEN,ITETEC)  ;

/*-- SEQ 0234 --*/
-- Tarefa 82683 -- 
ALTER TABLE TT_MPB ADD CONSTRAINT CK_MPB_TIPCONJ CHECK (TIPCONJ IN (1,2,3,4));

/*-- SEQ 0235 --*/
-- Tarefa 82683 -- 
ALTER TABLE TT_MPB ADD CONSTRAINT CK_MPB_TIPCONJ_REGRA CHECK (((TIPCONJ = 1) or (TIPCONJ = 2) and ((ITETEC is null ) and (ITEMOU is null) and (ITEMON is null))));

/*-- SEQ 0236 --*/
-- Tarefa 82683 -- 
ALTER TABLE TT_MPB ADD CONSTRAINT CK_MPB_TIPCONJ_REGRA1 CHECK ((TIPCONJ = 3) and ((ITETEC is not null) and (ITEMOU is not null) and (ITEMON is not null)));

/*-- SEQ 0237 --*/
-- Tarefa 82683 -- 
ALTER TABLE TT_MPB ADD CONSTRAINT CK_MPB_TIPCONJ_REGRA2 CHECK ((TIPCONJ = 4) and ((ITETEC is not null) and (ITEMOU is not null) and (ITEMON is null)));


/*-- SEQ 0238 --*/
-- Tarefa 82682 --
SELECT DISABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0239 --*/
ALTER TABLE TT_IVE ADD COLUMN QTDMPB Numeric(12,4) DEFAULT 0;

/*-- SEQ 0240 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IVE'));


/*-- SEQ 0241 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625 --
Select * from Nada;

/*-- SEQ 0242 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from Nada;

/*-- SEQ 0243 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from Nada;

/*-- SEQ 0244 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from Nada;

/*-- SEQ 0245 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from Nada;


/*-- SEQ 0246 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625 --
Select * from Nada;
 

/*-- SEQ 0247 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625 --
Select * from Nada;


/*-- SEQ 0248 --*/
-- Tarefa 82694 --
ALTER TABLE TT_IVE ADD COLUMN INDFRE Numeric(1) ;


/*-- SEQ 0249 --*/
-- Tarefa 82694 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_INDFRE CHECK (INDFRE IN (0,1,2,9));


/*-- SEQ 0250 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82433 --
SELECT * FROM NADA;

/*-- SEQ 0251 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82433 --
SELECT * FROM NADA;

/*-- SEQ 0252 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82433 --
SELECT * FROM NADA;

/*-- SEQ 0253 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82433 --
SELECT * FROM NADA;


/*-- SEQ 0254 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625 --
Select * from nada; 

/*-- SEQ 0255 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada; 

/*-- SEQ 0256 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada;

/*-- SEQ 0257 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada;

/*-- SEQ 0258 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada;


/*-- SEQ 0259 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625 --
Select * from nada;
 

/*-- SEQ 0260 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625 --
Select * from nada;



/*-- SEQ 0261 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82433 --
DROP FUNCTION tr_testenull_tt_idf() CASCADE;

/*-- SEQ 0262 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82433 --
DROP FUNCTION TGIDF() CASCADE;

/*-- SEQ 0263 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82433 --
ALTER TABLE TT_IDF DROP COLUMN SERVID CASCADE;

/*-- SEQ 0264 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82433 --
ALTER TABLE TT_IDF DROP COLUMN DATBAS CASCADE;

/*-- SEQ 0265 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82433 --
ALTER TABLE TD_FIL ADD COLUMN SERVID VARCHAR(20) ;


/*-- SEQ 0266 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82433 --
ALTER TABLE TD_FIL ADD COLUMN DATBAS VARCHAR(20) ;



/*-- SEQ 0267 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82404 --
SELECT DISABLETRIGGERS(LOWER('TD_NAT'));

/*-- SEQ 0268 --*/
-- Tarefa 82404 --
UPDATE TD_NAT
   SET SITPIS = '08'
 WHERE SUBSTR(NATDEN,1,4) IN ('5150','5151','5152','5153','5155','5156','5200','5201','5202','5205','5206','5207','5208',
							  '5209','5210','5408','5409','5410','5411','5412','5413','5414','5415','5500','5501','5502',
							  '5503','5504','5505','5550','5551','5552','5553','5554','5555','5556','5557','5600','5601',
							  '5602','5603','5605','5606','5657','5658','5659','5660','5661','5662','5663','5664','5665',
							  '5666','5900','5901','5902','5903','5904','5905','5906','5907','5908','5909','5910','5911',
							  '5912','5913','5914','5915','5916','5917','5918','5919','5920','5921','5922','5923','5924',
							  '5925','5926','5927','5928','5929','5931','5932','5933','5949','5949');
				  
/*-- SEQ 0269 --*/
-- Tarefa 82404 --
UPDATE TD_NAT
   SET SITCOF = '08'
 WHERE SUBSTR(NATDEN,1,4) IN ('5150','5151','5152','5153','5155','5156','5200','5201','5202','5205','5206','5207','5208',
                              '5209','5210','5408','5409','5410','5411','5412','5413','5414','5415','5500','5501','5502',
			             	  '5503','5504','5505','5550','5551','5552','5553','5554','5555','5556','5557','5600','5601',
				              '5602','5603','5605','5606','5657','5658','5659','5660','5661','5662','5663','5664','5665',
            				  '5666','5900','5901','5902','5903','5904','5905','5906','5907','5908','5909','5910','5911',
			            	  '5912','5913','5914','5915','5916','5917','5918','5919','5920','5921','5922','5923','5924',
				              '5925','5926','5927','5928','5929','5931','5932','5933','5949','5949');				  		  
				  
				  
/*-- SEQ 0270 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82404 --
SELECT ENABLETRIGGERS(LOWER('TD_NAT'));


/*-- SEQ 0271 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625 --
Select * from nada; 

/*-- SEQ 0272 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada;

/*-- SEQ 0273 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada;
                                  
/*-- SEQ 0274 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada;

/*-- SEQ 0275 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada;

/*-- SEQ 0276 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada;


/*-- SEQ 0277 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625 --
Select * from nada;
   
/*-- SEQ 0278 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625 --
Select * from nada;
 

/*-- SEQ 0279 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625 --
Select * from nada;


/*-- SEQ 0280 --*/
-- Tarefa 82745 --
ALTER TABLE TT_IVE ADD COLUMN ALICOFVLR Numeric(16,2) ;



/*-- SEQ 0281 --*/
-- Tarefa 82754 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0282 --*/
ALTER TABLE TT_ICO ADD COLUMN ISEICMDIF Numeric(14,2) DEFAULT 0;

/*-- SEQ 0283 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0284 --*/
-- Tarefa 82754 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0285 --*/
ALTER TABLE TT_ICO ADD COLUMN OUTICMDIF Numeric(14,2) DEFAULT 0;

/*-- SEQ 0286 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0287 --*/
-- Tarefa 82754 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0288 --*/
-- Tarefa 82754 --
UPDATE TT_ICO 
   SET OUTICMDIF = COALESCE(OUTICM, 0);
   
/*-- SEQ 0289 --*/
-- Tarefa 82754 --
UPDATE TT_ICO 
   SET ISEICMDIF = COALESCE(ISEICM , 0);

/*-- SEQ 0290 --*/
-- Tarefa 82754 --
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0291 --*/
-- Tarefa 82754 --
ALTER TABLE TT_ICO ALTER COLUMN ISEICMDIF SET NOT NULL;

/*-- SEQ 0292 --*/
-- Tarefa 82754 --
ALTER TABLE TT_ICO ALTER COLUMN OUTICMDIF SET NOT NULL;


/*-- SEQ 0293 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CTT ADD FILEMP CHAR(3);

/*-- SEQ 0294 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CTT ADD CODEMP CHAR(6);

/*-- SEQ 0295 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CTT ADD CONSTRAINT FK_CTT_EMP FOREIGN KEY (FILEMP, CODEMP) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0296 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CTT_EMP ON TT_CTT (FILEMP,CODEMP)  ;

/*-- SEQ 0297 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CTT ADD CODHOM CHAR(2);

/*-- SEQ 0298 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CTT ADD CONSTRAINT FK_CTT_DHOM FOREIGN KEY (CODHOM) REFERENCES TD_HOM (CODHOM);

/*-- SEQ 0299 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CTT_DHOM ON TT_CTT (CODHOM)  ;

/*-- SEQ 0300 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CTT'));

/*-- SEQ 0301 --*/
UPDATE TT_CTT CTT SET FILEMP = 
(SELECT REG.FILCLI
   FROM TT_REG REG 
  WHERE CTT.FILREG = REG.CODFIL AND CTT.SEQREG = REG.SEQUEN),
CODEMP = 
(SELECT REG.CODCLI
   FROM TT_REG REG 
  WHERE CTT.FILREG = REG.CODFIL AND CTT.SEQREG = REG.SEQUEN),
CODHOM = 
(SELECT REG.CODHOM AS CODHOM
   FROM TT_REG REG 
  WHERE CTT.FILREG = REG.CODFIL AND CTT.SEQREG = REG.SEQUEN)  
 WHERE SEQREG IS NOT NULL;

/*-- SEQ 0302 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CTT'));




/*-- SEQ 0303 --*/
-- Tarefa 82776 --
ALTER TABLE TT_ICO ADD COLUMN PAUTAF Numeric(14,2) ;



/*-- SEQ 0304 --*/
-- Tarefa 82003 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
     VALUES ('Unidades de sada por vdeo (monitores)',4,16,'T','84716070');

/*-- SEQ 0305 --*/
-- Tarefa 82003 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
     VALUES ('Com tubo de raios catdicos, monocromticas',5,16,'T','84716071');

/*-- SEQ 0306 --*/
-- Tarefa 82003 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
     VALUES ('Com tubo de raios catdicos, policromticas',5,16,'T','84716072');

/*-- SEQ 0307 --*/
-- Tarefa 82003 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
     VALUES ('Outras unidades de sada por vdeo (monitores), monocromticas',5,16,'T','84716073');

/*-- SEQ 0308 --*/
-- Tarefa 82003 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
     VALUES ('utras unidades de sada por vdeo (monitores), policromticas',5,16,'T','84716074');


/*-- SEQ 0309 --*/
-- Tarefa 82625 --
CREATE TABLE temp_IVE_PISCOF as
SELECT CODFIL, SEQUEN, NUMITE, VLRCOF, VLRPIS
FROM TT_IVE
 WHERE (TT_IVE.SITPIS in ('01', '02') or 
        TT_IVE.SITCOF in ('01', '02')) 
 AND (VLRCOF <> 0 or VLRPIS <> 0); 

/*-- SEQ 0310 --*/
-- Tarefa 82625
SELECT DISABLETRIGGERS(LOWER('TT_IVE')); 

/*-- SEQ 0311 --*/
-- Tarefa 82625
UPDATE TT_IVE IVE
   SET SITPIS = (SELECT DNAT.SITPIS
                   FROM TT_VEN VEN INNER JOIN TD_NAT DNAT ON DNAT.CODTAB = VEN.CODNAT
                  WHERE VEN.CODFIL = IVE.CODFIL
                    AND VEN.SEQUEN = IVE.SEQUEN  
                 )                             
WHERE EXISTS (SELECT 1 AS OK  
				 FROM TT_VEN VEN INNER JOIN TD_NAT DNAT ON DNAT.CODTAB = VEN.CODNAT									 
				WHERE IVE.CODFIL=VEN.CODFIL 
				  AND IVE.SEQUEN=VEN.SEQUEN
				  AND DNAT.SITPIS IS NOT NULL
			  )
  AND IVE.VEN_DATHOR >= TO_DATE('01/01/2011','DD/MM/YYYY');
                                  
/*-- SEQ 0312 --*/
-- Tarefa 82625
UPDATE TT_IVE IVE
   SET SITCOF = (SELECT DNAT.SITCOF
                   FROM TT_VEN VEN INNER JOIN TD_NAT DNAT ON DNAT.CODTAB = VEN.CODNAT
                  WHERE VEN.CODFIL = IVE.CODFIL
                    AND VEN.SEQUEN = IVE.SEQUEN
                 )                             
WHERE EXISTS (SELECT 1 AS OK  
				 FROM TT_VEN VEN INNER JOIN TD_NAT DNAT ON DNAT.CODTAB = VEN.CODNAT									 
				WHERE IVE.CODFIL=VEN.CODFIL 
				  AND IVE.SEQUEN=VEN.SEQUEN
				  AND DNAT.SITPIS IS NOT NULL
			  )
  AND IVE.VEN_DATHOR >= TO_DATE('01/01/2011','DD/MM/YYYY');

/*-- SEQ 0313 --*/
-- Tarefa 82625
UPDATE TT_IVE 
   SET BASPIS = (SELECT ((TT_IVE.VLRMOV / VEN.VLRNOT) * 
                                  (VEN.VLRLIQ - COALESCE((SELECT SUM(NVLZ(IVE2.VLRIPI, CASE WHEN TT_PRO.TIPPRO = 0 THEN TT_IVE.VLR002 ELSE 0 END))
                                                            FROM TT_IVE IVE2 INNER JOIN TT_PRO ON TT_PRO.FILMAT = IVE2.FILMAT
                                                                                              AND TT_PRO.CODMAT = IVE2.CODMAT
                                                            WHERE IVE2.CODFIL = TT_IVE.CODFIL
                                                              AND IVE2.SEQUEN = TT_IVE.SEQUEN), 0) - VEN.SUBSTT)) AS BASPIS 
                            FROM TT_VEN VEN
                           WHERE VEN.CODFIL = TT_IVE.CODFIL 
                             AND VEN.SEQUEN = TT_IVE.SEQUEN
                             AND VEN.VLRNOT > 0
                      )
   WHERE VEN_DATHOR >= TO_DATE('01/01/2011','DD/MM/YYYY')
     AND Coalesce(BASPIS, 0) = 0
     AND SITPIS in ('01', '02');

/*-- SEQ 0314 --*/
-- Tarefa 82625
UPDATE TT_IVE
   SET BASCOF = (SELECT ((TT_IVE.VLRMOV / VEN.VLRNOT) * 
                                  (VEN.VLRLIQ - COALESCE((SELECT SUM(NVLZ(IVE2.VLRIPI, CASE WHEN TT_PRO.TIPPRO = 0 THEN TT_IVE.VLR002 ELSE 0 END))
                                                            FROM TT_IVE IVE2 INNER JOIN TT_PRO ON TT_PRO.FILMAT = IVE2.FILMAT
                                                                                              AND TT_PRO.CODMAT = IVE2.CODMAT
                                                           WHERE IVE2.CODFIL = TT_IVE.CODFIL
                                                             AND IVE2.SEQUEN = TT_IVE.SEQUEN), 0) - VEN.SUBSTT)) AS BASCOF 
                            FROM TT_VEN VEN
                           WHERE VEN.CODFIL = TT_IVE.CODFIL 
                             AND VEN.SEQUEN = TT_IVE.SEQUEN
                             AND VEN.VLRNOT > 0
                )
   WHERE VEN_DATHOR >= TO_DATE('01/01/2011','DD/MM/YYYY')
     AND Coalesce(BASCOF, 0) = 0
     AND SITCOF in ('01', '02');


/*-- SEQ 0315 --*/
-- Tarefa 82625 --
UPDATE TT_IVE
   SET VLRPIS = (SELECT (TT_IVE.BASPIS * (COALESCE(CASE WHEN TT_PRO.TIPPRO = 0 THEN DFIL.VENPIS ELSE DFIL.PERPIS END, 0) / 100)) AS VLRPIS
                   FROM TT_PRO CROSS JOIN TD_FIL DFIL
                  WHERE DFIL.CODFIL = TT_IVE.CODFIL 
                    AND TT_IVE.CODMAT = TT_PRO.CODMAT
                    AND TT_IVE.FILMAT = TT_PRO.FILMAT
                ),
       PERPIS = (SELECT CASE WHEN TT_PRO.TIPPRO = 0 THEN DFIL.VENPIS ELSE DFIL.PERPIS END
                   FROM TT_PRO CROSS JOIN TD_FIL DFIL
                  WHERE DFIL.CODFIL = TT_IVE.CODFIL 
                    AND TT_IVE.CODMAT = TT_PRO.CODMAT
                    AND TT_IVE.FILMAT = TT_PRO.FILMAT
                )
   WHERE VEN_DATHOR >= TO_DATE('01/01/2011','DD/MM/YYYY')
     AND SITPIS in ('01', '02');
   
/*-- SEQ 0316 --*/
-- Tarefa 82625 --
UPDATE TT_IVE
   SET VLRCOF = (SELECT (TT_IVE.BASCOF * (COALESCE(CASE WHEN TT_PRO.TIPPRO = 0 THEN DFIL.VENCOF ELSE DFIL.PERCOF END, 0) / 100)) AS VLRCOF
                   FROM TT_PRO CROSS JOIN TD_FIL DFIL
                  WHERE DFIL.CODFIL = TT_IVE.CODFIL 
                    AND TT_IVE.CODMAT = TT_PRO.CODMAT
                    AND TT_IVE.FILMAT = TT_PRO.FILMAT
                ),
       PERCOF = (SELECT CASE WHEN TT_PRO.TIPPRO = 0 THEN DFIL.VENCOF ELSE DFIL.PERCOF END
                   FROM TT_PRO CROSS JOIN TD_FIL DFIL
                  WHERE DFIL.CODFIL = TT_IVE.CODFIL 
                    AND TT_IVE.CODMAT = TT_PRO.CODMAT
                    AND TT_IVE.FILMAT = TT_PRO.FILMAT
                )
   WHERE VEN_DATHOR >= TO_DATE('01/01/2011','DD/MM/YYYY')
     AND SITCOF in ('01', '02');
 

/*-- SEQ 0317 --*/
-- Tarefa 82625 --
SELECT ENABLETRIGGERS(LOWER('TT_IVE'));


/*-- SEQ 0318 --*/
-- Tarefa 82683 --
ALTER TABLE TT_MPB DROP CONSTRAINT CK_MPB_TIPCONJ_REGRA CASCADE; 

/*-- SEQ 0319 --*/
-- Tarefa 82683 --
ALTER TABLE TT_MPB DROP CONSTRAINT CK_MPB_TIPCONJ_REGRA1 CASCADE;

/*-- SEQ 0320 --*/
-- Tarefa 82683 --
ALTER TABLE TT_MPB DROP CONSTRAINT CK_MPB_TIPCONJ_REGRA2 CASCADE;

/*-- SEQ 0321 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82683 --
SELECT * FROM NADA;


/*-- SEQ 0322 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82838 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0323 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82838 --
UPDATE TT_PRO
   SET DESDET = NULL
 WHERE DESDET = '';
 
/*-- SEQ 0324 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82838 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));


/*-- SEQ 0325 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82068 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0326 --*/
-- Tarefa 82068 --
UPDATE TD_FIL SET TRAORI='F'
WHERE CGCFIL = '07014198000292'
AND CODFIL='009';

/*-- SEQ 0327 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82068 --
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));


/*-- SEQ 0328 --*/
-- Tarefa 82427 --
SELECT DISABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0329 --*/
-- Tarefa 82427 --
UPDATE TT_IUF
   SET CALSUB = 'D'
 WHERE CALSUB = 'R'
   AND SUBTRI <> '3';
   
/*-- SEQ 0330 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82427 --
ALTER TABLE TT_IUF ALTER COLUMN CALSUB SET DEFAULT 'D';

/*-- SEQ 0331 --*/
-- Tarefa 82427 --
SELECT ENABLETRIGGERS(LOWER('TT_IUF'));


/*-- SEQ 0332 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82967 --
ALTER TABLE TT_RPS DROP CONSTRAINT CK_RPS_SITRPS CASCADE;

/*-- SEQ 0333 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82967 --
ALTER TABLE TT_RPS DROP CONSTRAINT CK_RPS_SITNFS CASCADE;

/*-- SEQ 0334 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82967 --
ALTER TABLE TT_RPS ADD CONSTRAINT CK_RPS_SITRPS CHECK (SITRPS IN ('T', 'I', 'F', 'C', 'E', 'J'));

/*-- SEQ 0335 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82967 --
ALTER TABLE TT_RPS ADD CONSTRAINT CK_RPS_SITNFS CHECK (SITNFS IN ('T', 'I', 'F', 'C', 'E', 'J'));


/*-- SEQ 0336 --*/
/*-- IGNORE ERRO --*/
-- Tarefa Nmero --
SELECT DISABLETRIGGERS(LOWER('TD_MED'));

/*-- SEQ 0337 --*/
-- Tarefa 82918 --
UPDATE TD_MED
   SET DESMED = 'PECA'
 WHERE UNIMED = 'PC'
   AND DESMED = 'PC';

/*-- SEQ 0338 --*/
/*-- IGNORE ERRO --*/
-- Tarefa Nmero --
SELECT ENABLETRIGGERS(LOWER('TD_MED'));


/*-- SEQ 0339 --*/
-- Tarefa 83049 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0340 --*/
-- Tarefa 83049 --
SELECT DISABLETRIGGERS(LOWER('TT_PAP'));

/*-- SEQ 0341 --*/
-- Tarefa 83049 --
UPDATE TT_USU 
   SET PERMIS = SUBSTR(PERMIS,1,351)||SUBSTR(PERMIS,38,1)||SUBSTR(PERMIS,353,9999)
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TT_FUN
                    WHERE NOMFUN = 'PERMIS352');
   
/*-- SEQ 0342 --*/
-- Tarefa 83049 --
UPDATE TT_PAP
   SET PERMIS = SUBSTR(PERMIS,1,351)||SUBSTR(PERMIS,38,1)||SUBSTR(PERMIS,353,9999)
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TT_FUN
                    WHERE NOMFUN = 'PERMIS352');

/*-- SEQ 0343 --*/
-- Tarefa 83049 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0344 --*/
-- Tarefa 83049 --
SELECT ENABLETRIGGERS(LOWER('TT_PAP'));

/*-- SEQ 0345 --*/
-- Tarefa 83049 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PERMIS352', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PERMIS352'));


/*-- SEQ 0346 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83048 --
ALTER TABLE TT_VRT ADD FLGSTA VARCHAR(1);

/*-- SEQ 0347 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 83048 --
CREATE INDEX I_LC_VRT_FLGSTA ON TT_VRT (FLGSTA)  ;

/*-- SEQ 0348 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83048 --
ALTER TABLE TT_VRT ADD CONSTRAINT CK_VRT_FLGSTA CHECK (FLGSTA IN ('1','2','3','5','6','8','9'));

/*-- SEQ 0349 --*/
-- Tarefa 83048 --
ALTER TABLE TT_VRT DROP CONSTRAINT CK_VRT_STATUS CASCADE;

/*-- SEQ 0350 --*/
-- Tarefa 83048 --
ALTER TABLE TT_VRT ADD CONSTRAINT CK_VRT_STATUS CHECK (
 (FLGENV IS NOT NULL AND FLGCAN IS NULL AND FLGINU IS NULL AND FLGIMP IS NULL AND FLGSTA IS NULL) OR 
 (FLGCAN IS NOT NULL AND FLGENV IS NULL AND FLGINU IS NULL AND FLGIMP IS NULL AND FLGSTA IS NULL) OR 
 (FLGINU IS NOT NULL AND FLGENV IS NULL AND FLGCAN IS NULL AND FLGIMP IS NULL AND FLGSTA IS NULL) OR 
 (FLGIMP IS NOT NULL AND FLGENV IS NULL AND FLGCAN IS NULL AND FLGINU IS NULL AND FLGSTA IS NULL) OR
 (FLGSTA IS NOT NULL AND FLGENV IS NULL AND FLGCAN IS NULL AND FLGINU IS NULL AND FLGIMP IS NULL));

/*-- SEQ 0351 --*/
-- Tarefa 83048 --
ALTER TABLE TT_VRT DROP CONSTRAINT CK_VRT_FLGTIP CASCADE;

/*-- SEQ 0352 --*/
-- Tarefa 83048 --
ALTER TABLE TT_VRT ADD CONSTRAINT CK_VRT_FLGTIP CHECK (FLGTIP IN ('E','C','I','P','S'));
 
/*-- SEQ 0353 --*/
-- Tarefa 83048 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ATUNFE', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ATUNFE'));


/*-- SEQ 0354 --*/
/*-- IGNORE ERRO --*/
alter table tt_cfg drop constraint fk_cfg_reimp_cf;

/*-- SEQ 0355 --*/
alter table tt_cfg add constraint fk_cfg_reimp_cf FOREIGN KEY (codnat_reimp_cf) REFERENCES td_nat(codtab);


/*-- SEQ 0356 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83078 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0357 --*/
-- Tarefa 83078 --
SELECT ExecAlteraTipoColuna('TT_ICO','REDITE','Numeric(7,4)');


/*-- SEQ 0358 --*/
-- Tarefa 83078 --
SELECT ExecAlteraTipoColuna('TT_ICO','REDITEDIF','Numeric(7,4)');


/*-- SEQ 0359 --*/
-- Tarefa 83078 --
SELECT ExecAlteraTipoColuna('TT_ICO','RED_ST','Numeric(7,4)');


/*-- SEQ 0360 --*/
-- Tarefa 83078 --
SELECT ExecAlteraTipoColuna('TT_ICO','RED_STDIF','Numeric(7,4)');


/*-- SEQ 0361 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83078 --
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));


/*-- SEQ 0362 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83220 --
SELECT * FROM NADA;


/*-- SEQ 0363 --*/
-- Tarefa 83235 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FNRATVLECF', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FNRATVLECF'));


/*-- SEQ 0364 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DBIC_DBOM ON TD_BIC (CODBOM)  ;

/*-- SEQ 0365 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DCFO_CTA ON TD_CFO (CFOCTA_FIL,CFOCTA_SEQ,CFOCTA_TIP)  ;

/*-- SEQ 0366 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_CTA ON TD_FIL (FILPAG,SEQPAG,TIPPAG,CTCPAG)  ;

/*-- SEQ 0367 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL0 ON TD_FIL (MUL_TIPENT0)  ;

/*-- SEQ 0368 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL1 ON TD_FIL (MUL_TIPENT1)  ;

/*-- SEQ 0369 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL2 ON TD_FIL (MUL_TIPENT2)  ;

/*-- SEQ 0370 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL3 ON TD_FIL (MUL_TIPENT3)  ;

/*-- SEQ 0371 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL4 ON TD_FIL (MUL_TIPENT4)  ;

/*-- SEQ 0372 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL5 ON TD_FIL (MUL_TIPENT5)  ;

/*-- SEQ 0373 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL7 ON TD_FIL (MUL_TIPENT7)  ;

/*-- SEQ 0374 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DMOD_USUCOM ON TD_MOD (FILCOM,CODCOM)  ;

/*-- SEQ 0375 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DNAT_CTADEN ON TD_NAT (NATDEN_FIL,NATDEN_SEQ,NATDEN_TIP)  ;

/*-- SEQ 0376 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DNAT_CTAFOR ON TD_NAT (NATFOR_FIL,NATFOR_SEQ,NATFOR_TIP)  ;

/*-- SEQ 0377 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DRTT_CTAEST ON TD_RTT (FILCTA_EST_DRTT,SEQCTA_EST_DRTT,TIPCTA_EST_DRTT)  ;

/*-- SEQ 0378 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CCC_CMS ON TT_CCC (FILCMS,SEQCMS)  ;

/*-- SEQ 0379 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_ECOM_AMEX ON TT_CFG (ECOM_AMEX)  ;

/*-- SEQ 0380 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_CC_VALE_PRESENTE ON TT_CFG (CC_VALE_PRESENTE)  ;

/*-- SEQ 0381 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_CC_WOR_PROP ON TT_CFG (CC_WOR_PROP)  ;

/*-- SEQ 0382 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_DEVTRA_CFO ON TT_CFG (DEVTRA_CFO)  ;

/*-- SEQ 0383 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_PORMTV ON TT_CFG (PORMTV)  ;

/*-- SEQ 0384 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_TIPLAN_INS ON TT_CFG (TIPLAN_INS)  ;

/*-- SEQ 0385 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_TIPLAN_PPR ON TT_CFG (TIPLAN_PPR)  ;

/*-- SEQ 0386 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_NAT_CONSIGNACAO ON TT_CFG (NAT_CONSIGNACAO)  ;

/*-- SEQ 0387 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_DEVTRA_NAT ON TT_CFG (DEVTRA_NAT)  ;

/*-- SEQ 0388 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_MEIO_ESTAC ON TT_CFG (MEIO_ESTAC)  ;

/*-- SEQ 0389 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_GX_SIMPAN_ENT ON TT_CFG (GX_SIMPAN_ENT)  ;

/*-- SEQ 0390 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_GX_SIMPAN_PER ON TT_CFG (GX_SIMPAN_PER)  ;

/*-- SEQ 0391 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_GX_SIMPAN_SAI ON TT_CFG (GX_SIMPAN_SAI)  ;

/*-- SEQ 0392 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_ECOM_MASTER ON TT_CFG (ECOM_MASTER)  ;

/*-- SEQ 0393 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_PGT_WOR_PROP ON TT_CFG (FILPGT_WOR_PROP,CODPGT_WOR_PROP)  ;

/*-- SEQ 0394 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_ECOM_VISA ON TT_CFG (ECOM_VISA)  ;

/*-- SEQ 0395 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_COM_DCFE ON TT_COM (CODFCE)  ;

/*-- SEQ 0396 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_COM_DTRI ON TT_COM (CODTRI)  ;

/*-- SEQ 0397 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DOP_DTED ON TT_DOP (TIPTED)  ;

/*-- SEQ 0398 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_END_DPAI ON TT_END (CODPAI)  ;

/*-- SEQ 0399 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_FIS_MODNOT ON TT_FIS (MODNOT)  ;

/*-- SEQ 0400 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_GRA_NCM ON TT_GRA (CODNCM)  ;

/*-- SEQ 0401 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IPTXEST_DEST ON TT_IPTXEST (SIGEST)  ;

/*-- SEQ 0402 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IPTXEXC_DEST ON TT_IPTXEXC ( SIGEST )  ;

/*-- SEQ 0403 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IPTXEXC_NCM ON TT_IPTXEXC ( CODNCM )  ;

/*-- SEQ 0404 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IPTXNCM_NCM ON TT_IPTXNCM ( CODNCM )  ;

/*-- SEQ 0405 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IPT_PRO_PRO ON TT_IPTXPRO ( FILMAT,CODMAT )  ;

/*-- SEQ 0406 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IVEXCSG_FAT ON TT_IVEXCSG ( FILFAT,SEQFAT,ITEFAT )  ;

/*-- SEQ 0407 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IVEXCSG_REM ON TT_IVEXCSG ( FILREM,SEQREM,ITEREM )  ;

/*-- SEQ 0408 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IVEXIPE_IPE_GRA ON TT_IVEXIPE ( FILIPE,NUMIPE,ITEIPE,FILMAT,CODMAT,CODCOR,CODTAM )  ;

/*-- SEQ 0409 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_LAC_DBOM ON TT_LAC ( CODBOM )  ;

/*-- SEQ 0410 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_LAN_PPR ON TT_LAN ( FILPPR,SEQPPR )  ;

/*-- SEQ 0411 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_ORC_CCC ON TT_ORC ( FILADI,SEQADI )  ;

/*-- SEQ 0412 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_ORC_DECF ON TT_ORC ( CODFIL,CANPRE )  ;

/*-- SEQ 0413 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_PRO_FPS ON TT_PRO ( CODFPS )  ;

/*-- SEQ 0414 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_RTT_ECF_ECFEST ON TT_RTT ( CODFIL,ECFEST )  ;

/*-- SEQ 0415 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_RTT_ECF_NUMECF ON TT_RTT ( CODFIL,NUMECF )  ;

/*-- SEQ 0416 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_RTT_USU_EST ON TT_RTT ( FILUSU_EST,CODUSU_EST )  ;

/*-- SEQ 0417 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_VENXOBS_OBS ON TT_VENXOBS ( CODOBS )  ;

/*-- SEQ 0418 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_WCFG_CC_WOR_PROP ON TW_CFG ( CC_WOR_PROP )  ;

/*-- SEQ 0419 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_WCFG ON TW_CFG ( FILPGT_WOR_PROP,CODPGT_WOR_PROP )  ;


/*-- SEQ 0420 --*/
CREATE INDEX I_LC_VEN_FLGNFE_DATHOR ON TT_VEN (FLGNFE, DATHOR)  ;


/*-- SEQ 0421 --*/
-- Tarefa 83220 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0422 --*/
-- Tarefa 83220 --
UPDATE TT_ICO
   SET ICO_VLRFRE = (SELECT ROUND(COM.VLRFRE*TT_ICO.VLRITE/COM.VLRNOT,2)
                       FROM TT_COM COM
                      WHERE TT_ICO.CODFIL=COM.CODFIL
                        AND TT_ICO.SEQUEN=COM.SEQUEN)
 WHERE COALESCE(ICO_VLRFRE,0) = 0
   AND (CODFIL, SEQUEN) IN (SELECT COM.CODFIL, COM.SEQUEN 
                              FROM TT_COM COM 
                             WHERE COM.VLRFRE > 0 )
   AND COM_DATOPE > TO_DATE('01/07/2011','DD/MM/YYYY');
   
/*-- SEQ 0423 --*/
-- Tarefa 83220 --
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));


/*-- SEQ 0424 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83521 --
CREATE TABLE TOTALL_PRO_IMPKIT_F AS 
  SELECT FILMAT, CODMAT
    FROM TT_PRO
   WHERE IMPKIT = 'F'
     AND NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PROIMPKIT');

/*-- SEQ 0425 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83521 --
CREATE TABLE TOTALL_IVE_IMPKIT_F AS
  SELECT CODFIL, SEQUEN, NUMITE
    FROM TT_IVE
   WHERE VEN_DATHOR >= TO_DATE('01/01/2011','DD/MM/YYYY')
     AND IMPKIT = 'F'	 
	 AND NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PROIMPKIT');	 

/*-- SEQ 0426 --*/
-- Tarefa 83521 --
SELECT DISABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0427 --*/
-- Tarefa 83521 --	 
UPDATE TT_IVE 
   SET IMPKIT = 'T'
 WHERE VEN_DATHOR >= TO_DATE('01/01/2011','DD/MM/YYYY')
   AND IMPKIT = 'F'   
   AND NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PROIMPKIT');
   
/*-- SEQ 0428 --*/
-- Tarefa 83521 --
SELECT ENABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0429 --*/
-- Tarefa 83521 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));   
 
/*-- SEQ 0430 --*/
-- Tarefa 83521 --	 
UPDATE TT_PRO
   SET IMPKIT = 'T'
 WHERE IMPKIT = 'F'
   AND NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PROIMPKIT');

/*-- SEQ 0431 --*/
-- Tarefa 83521 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0432 --*/
-- Tarefa 83521 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN')); 

/*-- SEQ 0433 --*/
-- Tarefa 83521 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PROIMPKIT', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PROIMPKIT'));
					 
/*-- SEQ 0434 --*/
-- Tarefa 83521 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0435 --*/
-- Tarefa 83654 --
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0436 --*/
-- Tarefa 83654 --
UPDATE TT_VEN
   SET CHAVEA = NULL
 WHERE FLGNFE IS NOT NULL
   AND CHAVEA IS NOT NULL
   AND LENGTH(CHAVEA) <> 44;

/*-- SEQ 0437 --*/
-- Tarefa 83654 --
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));


/*-- SEQ 0438 --*/
-- Tarefa 83654 --
SELECT DISABLETRIGGERS(LOWER('TT_VRT'));

/*-- SEQ 0439 --*/
-- Tarefa 83654 --
UPDATE TT_VRT
   SET CHAVEA = NULL
 WHERE CHAVEA IS NOT NULL
   AND LENGTH(CHAVEA) <> 44;  

/*-- SEQ 0440 --*/
-- Tarefa 83654 --
SELECT ENABLETRIGGERS(LOWER('TT_VRT'));


/*-- SEQ 0441 --*/
-- Tarefa 83655 --
ALTER TABLE TT_UID DROP CONSTRAINT CK_UID_CODEMP CASCADE;

/*-- SEQ 0442 --*/
-- Tarefa 83655 --
ALTER TABLE TT_ORC DROP CONSTRAINT CK_ORC_CODEMP CASCADE;

/*-- SEQ 0443 --*/
-- Tarefa 83655 --
ALTER TABLE TT_UID ADD CONSTRAINT CK_UID_CODEMP CHECK (CODEMP IN (0,1,2,3,4,5));

/*-- SEQ 0444 --*/
-- Tarefa 83655 --
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_CODEMP CHECK (CODEMP IN (0,1,2,3,4,5));


/*-- SEQ 0445 --*/
-- Tarefa 83663 --
SELECT DISABLETRIGGERS(LOWER('TD_NAT'));

/*-- SEQ 0446 --*/
-- Tarefa 83663 --
UPDATE TD_NAT
   SET SITPIS = '50'
 WHERE TIPNAT IN ('D','M')
   AND SITPIS IS NULL;
 
/*-- SEQ 0447 --*/
-- Tarefa 83663 --
UPDATE TD_NAT
   SET SITCOF = '50'
 WHERE TIPNAT IN ('D','M')
   AND SITCOF IS NULL;
				  
/*-- SEQ 0448 --*/
-- Tarefa 83663 --
SELECT ENABLETRIGGERS(LOWER('TD_NAT'));


/*-- SEQ 0449 --*/
-- Tarefa 83777 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FNCLNOSNUM', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FNCLNOSNUM'));


/*-- SEQ 0450 --*/
-- Tarefa 83838 --
SELECT DISABLETRIGGERS(LOWER('TT_PRE'));

/*-- SEQ 0451 --*/
-- Tarefa 83838 --
SELECT DISABLETRIGGERS(LOWER('TW_PRE'));

/*-- SEQ 0452 --*/
-- Tarefa 83838 --
UPDATE TT_PRE PRE
   SET PRECOV = ROUND(PRE.PRECOV,2)
 WHERE (PRE.FILMAT, PRE.CODMAT) IN 
       (SELECT PRO.FILMAT, PRO.CODMAT
          FROM TT_PRO PRO
         WHERE PRO.DECIMA = 'F');
   
/*-- SEQ 0453 --*/
-- Tarefa 83838 --
UPDATE TW_PRE PRE
   SET PRECOV = ROUND(PRE.PRECOV,2)
 WHERE (PRE.FILMAT, PRE.CODMAT) IN 
       (SELECT PRO.FILMAT, PRO.CODMAT
          FROM TT_PRO PRO
         WHERE PRO.DECIMA = 'F');

/*-- SEQ 0454 --*/
-- Tarefa 83838 --
SELECT ENABLETRIGGERS(LOWER('TT_PRE'));

/*-- SEQ 0455 --*/
-- Tarefa 83838 --
SELECT ENABLETRIGGERS(LOWER('TW_PRE'));


/*-- SEQ 0456 --*/
-- Tarefa 83922 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
     VALUES ('Outros',8,7,'T','39259090');


/*-- SEQ 0457 --*/
-- Tarefa 83958 --
ALTER TABLE TD_FCC ADD COLUMN FCCFIL CHAR(3) ;


/*-- SEQ 0458 --*/
-- Tarefa 83958 --
ALTER TABLE TD_FCC ADD COLUMN FCC_FILMAT CHAR(3) ;


/*-- SEQ 0459 --*/
-- Tarefa 83958 --
ALTER TABLE TD_FCC ADD COLUMN FCC_CODMAT CHAR(5) ;

 
/*-- SEQ 0460 --*/
-- Tarefa 83958 --
ALTER TABLE TD_FCC ADD COLUMN FCC_CODCOR Numeric(5) ;

 
/*-- SEQ 0461 --*/
-- Tarefa 83958 --
ALTER TABLE TD_FCC ADD COLUMN FCC_CODTAM Numeric(5) ;
 
 
/*-- SEQ 0462 --*/
-- Tarefa 83958 -- 
ALTER TABLE TD_FCC ADD CONSTRAINT FK_DFCC_DFIL FOREIGN KEY (FCCFIL) REFERENCES TD_FIL (CODFIL);
 
/*-- SEQ 0463 --*/
-- Tarefa 83958 -- 
ALTER TABLE TD_FCC ADD CONSTRAINT FK_DFCC_GRA FOREIGN KEY (FCC_FILMAT,FCC_CODMAT,FCC_CODCOR,FCC_CODTAM) REFERENCES TT_GRA (FILMAT,CODMAT,CODCOR,CODTAM);

/*-- SEQ 0464 --*/
-- Tarefa 83958 --
ALTER TABLE TW_TAB ADD COLUMN FCCFIL CHAR(3) ;


/*-- SEQ 0465 --*/
-- Tarefa 83958 --
ALTER TABLE TW_TAB ADD COLUMN FCC_FILMAT CHAR(3) ;


/*-- SEQ 0466 --*/
-- Tarefa 83958 --
ALTER TABLE TW_TAB ADD COLUMN FCC_CODMAT CHAR(5) ;

 
/*-- SEQ 0467 --*/
-- Tarefa 83958 --
ALTER TABLE TW_TAB ADD COLUMN FCC_CODCOR Numeric(5) ;

 
/*-- SEQ 0468 --*/
-- Tarefa 83958 --
ALTER TABLE TW_TAB ADD COLUMN FCC_CODTAM Numeric(5) ;
 

/*-- SEQ 0469 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
SELECT * FROM NADA;


/*-- SEQ 0470 --*/
-- Tarefa 82219 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'SPEDEPC', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'SPEDEPC'));


/*-- SEQ 0471 --*/
-- Tarefa 83947 --
ALTER TABLE TT_PRO ADD COLUMN NATBCC CHAR(2) ;


/*-- SEQ 0472 --*/
-- Tarefa 83947
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0473 --*/
-- Tarefa 83947 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'NATBCC', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'NATBCC'));

/*-- SEQ 0474 --*/
-- Tarefa 83947 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0475 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83947 --
alter table tt_ive add kitori Numeric(5);


/*-- SEQ 0476 --*/
-- Tarefa 83958
SELECT DISABLETRIGGERS(LOWER('TT_FUN')); 

/*-- SEQ 0477 --*/
-- Tarefa 83958 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FCC_FILIAL', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FCC_FILIAL'));
					 
/*-- SEQ 0478 --*/
-- Tarefa 83958 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0479 --*/
-- Tarefa 83868
SELECT DISABLETRIGGERS(LOWER('TT_FUN')); 

/*-- SEQ 0480 --*/
-- Tarefa 83868 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'DIAFEC', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'DIAFEC'));
					 
/*-- SEQ 0481 --*/
-- Tarefa 83868 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));
		
/*-- SEQ 0482 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83868 --
DROP FUNCTION DiaFechado(bpchar,bpchar,Timestamp);

/*-- SEQ 0483 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83868 --
DROP FUNCTION DiaFechado(bpchar,bpchar,timestamp);



/*-- SEQ 0484 --*/
-- Tarefa 83777 --
DELETE FROM TT_FUN
 WHERE NOMFUN = 'FNCLNOSNUM';
 
 /*-- SEQ 0485 --*/
-- Tarefa 83777 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FNFTNOSNUM', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FNFTNOSNUM'));


/*-- SEQ 0486 --*/
-- Tarefa 84222 --
SELECT DISABLETRIGGERS(LOWER('TR_ECF'));

/*-- SEQ 0487 --*/
ALTER TABLE TR_ECF ADD COLUMN PELAFD VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0488 --*/
SELECT ENABLETRIGGERS(LOWER('TR_ECF'));

/*-- SEQ 0489 --*/
-- Tarefa 84222 --
ALTER TABLE TR_ECF ADD CONSTRAINT CK_RECF_PELAFD CHECK (PELAFD IN ('T','F'));

/*-- SEQ 0490 --*/
-- Tarefa 84222
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0491 --*/
-- Tarefa 84222 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'VAL_FD', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'VAL_FD'));

/*-- SEQ 0492 --*/
-- Tarefa 84222 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0493 --*/
-- Tarefa 84287
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0494 --*/
-- Tarefa 84287 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PEDIPRFAST', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PEDIPRFAST'));

/*-- SEQ 0495 --*/
-- Tarefa 84287 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0496 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84322 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0497 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN PERCOM_FPV VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0498 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG')); 

/*-- SEQ 0499 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84322 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_PERCOM_FPV CHECK (PERCOM_FPV IN ('T','F'));

/*-- SEQ 0500 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84322 --
ALTER TABLE TT_CFG ALTER COLUMN PERCOM_FPV SET NOT NULL;

/*-- SEQ 0501 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84322 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0502 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN PERCOM_FPV VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0503 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG')); 


/*-- SEQ 0504 --*/
ALTER TABLE TT_PRO ADD TIPMPB CHAR(1);

/*-- SEQ 0505 --*/
CREATE INDEX I_LC_PRO_TIPMPB ON TT_PRO (TIPMPB)  ;

/*-- SEQ 0506 --*/
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_TIPMPB CHECK (TIPMPB IN ('C','T'));

/*-- SEQ 0507 --*/
ALTER TABLE TT_MPB DROP CONSTRAINT CK_MPB_TIPCONJ;

/*-- SEQ 0508 --*/
ALTER TABLE TT_MPB ADD CONSTRAINT CK_MPB_TIPCONJ CHECK (TIPCONJ IN (1,2,3,4,5,6));


/*-- SEQ 0509 --*/
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0510 --*/
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'MARCA_FRE', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'MARCA_FRE'));

/*-- SEQ 0511 --*/
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0512 --*/
/*-- IGNORE ERRO --*/
drop view tv_ven_fis cascade;

/*-- SEQ 0513 --*/
/*-- IGNORE ERRO --*/
drop view tv_ven cascade;

/*-- SEQ 0514 --*/
/*-- IGNORE ERRO --*/
drop view tv_luc cascade;

/*-- SEQ 0515 --*/
/*-- IGNORE ERRO --*/
drop view tv_fat cascade;

/*-- SEQ 0516 --*/
/*-- IGNORE ERRO --*/
drop view tv_even cascade;

/*-- SEQ 0517 --*/
SELECT ExecAlteraTipoColuna('TT_VEN','MARCAS ','VARCHAR(30)');



/*-- SEQ 0518 --*/
-- Tarefa 82830 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0519 --*/
-- Tarefa 82830 --
SELECT ExecAlteraTipoColuna('TD_FIL','E_MAIL','VARCHAR(254)');


/*-- SEQ 0520 --*/
-- Tarefa 82830 --
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0521 --*/
-- Tarefa 82830 --
SELECT DISABLETRIGGERS(LOWER('TI_CLI'));

/*-- SEQ 0522 --*/
-- Tarefa 82830 --
SELECT ExecAlteraTipoColuna('TI_CLI','E_MAIL','VARCHAR(254)');


/*-- SEQ 0523 --*/
-- Tarefa 82830 --
SELECT ENABLETRIGGERS(LOWER('TI_CLI'));

/*-- SEQ 0524 --*/
-- Tarefa 82830 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0525 --*/
-- Tarefa 82830 --
SELECT ExecAlteraTipoColuna('TT_CLI','E_MCON','VARCHAR(254)');


/*-- SEQ 0526 --*/
-- Tarefa 82830 --
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0527 --*/
-- Tarefa 82830 --
SELECT DISABLETRIGGERS(LOWER('TT_CON'));

/*-- SEQ 0528 --*/
-- Tarefa 82830 --
SELECT ExecAlteraTipoColuna('TT_CON','E_MAIL','VARCHAR(254)');


/*-- SEQ 0529 --*/
-- Tarefa 82830 --
SELECT ENABLETRIGGERS(LOWER('TT_CON'));

/*-- SEQ 0530 --*/
-- Tarefa 82830 --
SELECT DISABLETRIGGERS(LOWER('TT_INT'));

/*-- SEQ 0531 --*/
-- Tarefa 82830 --
SELECT ExecAlteraTipoColuna('TT_INT','E_MAIL','VARCHAR(254)');


/*-- SEQ 0532 --*/
-- Tarefa 82830 --
SELECT ENABLETRIGGERS(LOWER('TT_INT'));

/*-- SEQ 0533 --*/
-- Tarefa 82830 --
SELECT DISABLETRIGGERS(LOWER('TT_SPC'));

/*-- SEQ 0534 --*/
-- Tarefa 82830 --
SELECT ExecAlteraTipoColuna('TT_SPC','E_MAIL','VARCHAR(254)');


/*-- SEQ 0535 --*/
-- Tarefa 82830 --
SELECT ENABLETRIGGERS(LOWER('TT_SPC'));


/*-- SEQ 0536 --*/
-- Tarefa 84186
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0537 --*/
-- Tarefa 84186 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'NATBCC2', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'NATBCC2'));

/*-- SEQ 0538 --*/
-- Tarefa 84186 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0539 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78786
DROP VIEW TV_FIN_RTT CASCADE;



/*-- SEQ 0540 --*/
-- Tarefa 84570 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
     VALUES ('Discos para sistema de leitura por raios laser com possibilidade de serem gravados uma nica vez',3,16,'T','85234110');


/*-- SEQ 0541 --*/
-- Tarefa 84596 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0542 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN ST_NO_FRETE VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0543 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0544 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84596 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_ST_NO_FRETE CHECK (ST_NO_FRETE IN ('T','F'));

/*-- SEQ 0545 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84596 --
ALTER TABLE TT_CFG ALTER COLUMN ST_NO_FRETE SET NOT NULL;

/*-- SEQ 0546 --*/
-- Tarefa 84596 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0547 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN ST_NO_FRETE VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0548 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0549 --*/
-- Tarefa 84596 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ST_NO_FRE', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ST_NO_FRE'));


/*-- SEQ 0550 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84179 --
SELECT * FROM NADA;

/*-- SEQ 0551 --*/
-- Tarefa 84179 --
SELECT DISABLETRIGGERS(LOWER('TT_END'));

/*-- SEQ 0552 --*/
-- Tarefa 84179 --
update tt_end
   set insest = null
 where (tt_end.filcli, tt_end.codcli) in
       (select cli.filcli, cli.codcli
          from tt_cli cli inner join tt_end ende on ende.filcli = cli.filcli
                                                and ende.codcli = cli.codcli
         where cli.flgtip = '0'
		   and cli.tipdoc <> 'IE'
           and cli.insest = ende.insest)
   and tt_end.insest is not null;
   
/*-- SEQ 0553 --*/
-- Tarefa 84179 --  
SELECT ENABLETRIGGERS(LOWER('TT_END'));


/*-- SEQ 0554 --*/
-- Tarefa 84801 --
ALTER TABLE TT_CLI ADD COLUMN FILEND CHAR(3) ;


/*-- SEQ 0555 --*/
-- Tarefa 84801 --
ALTER TABLE TT_CLI ADD COLUMN NUMEND Numeric(4) ;


/*-- SEQ 0556 --*/
-- Tarefa 84801 --
CREATE TABLE TEMP_PRI_END AS
SELECT FILCLI, CODCLI, MIN(CODFIL||NUMEND) AS CHVEND
  FROM TT_END ENDE
 WHERE SIGNAT >= 0  
 GROUP BY FILCLI, CODCLI;
 
/*-- SEQ 0557 --*/
-- Tarefa 84801 --
CREATE INDEX I_LC_TEMP_PRI_END ON TEMP_PRI_END (FILCLI, CODCLI)  ; 
 
/*-- SEQ 0558 --*/
-- Tarefa 84801 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));
 
/*-- SEQ 0559 --*/
-- Tarefa 84801 --
UPDATE TT_CLI CLI
   SET FILEND = (SELECT SUBSTR(TMP.CHVEND,1,3)
                   FROM TEMP_PRI_END TMP
                  WHERE TMP.FILCLI = CLI.FILCLI
                    AND TMP.CODCLI = CLI.CODCLI),
       NUMEND = (SELECT TO_NUMBER(SUBSTR(TMP.CHVEND,4,4))
                   FROM TEMP_PRI_END TMP
                  WHERE TMP.FILCLI = CLI.FILCLI
                    AND TMP.CODCLI = CLI.CODCLI)
 WHERE FILEND IS NULL;                       

/*-- SEQ 0560 --*/
-- Tarefa 84801 --
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));                    

/*-- SEQ 0561 --*/
-- Tarefa 84801 --
DROP TABLE TEMP_PRI_END CASCADE;

/*-- SEQ 0562 --*/
-- Tarefa 84801 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ENDCLI', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ENDCLI'));


/*-- SEQ 0563 --*/
-- Tarefa 84403 --
ALTER TABLE TI_ICO ADD COLUMN BASIPI Numeric(12,2) ;



/*-- SEQ 0564 --*/
-- Tarefa 84638 --
SELECT DISABLETRIGGERS(LOWER('TT_UID'));

/*-- SEQ 0565 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_UID ADD COLUMN TERMIN VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0566 --*/
SELECT ENABLETRIGGERS(LOWER('TT_UID'));

/*-- SEQ 0567 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
CREATE INDEX I_LC_UID_TERMIN ON TT_UID (TERMIN, SESSION_ID)  ;

/*-- SEQ 0568 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE TT_UID ADD CONSTRAINT CK_UID_TERMIN CHECK (TERMIN IN ('F','T'));


/*-- SEQ 0569 --*/
-- Tarefa 84668 --
ALTER TABLE TL_SUP DROP CONSTRAINT FK_LSUP_SUP CASCADE;


/*-- SEQ 0570 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
CREATE TABLE GX_CFG (
  GX_CFGId                  Numeric(10),
  GX_CFGSimPanBaseURL       VARCHAR(40),
  GX_CFGSimPanHost          VARCHAR(40),
  GX_CFGSimPanPort          Numeric(10),
  GX_CFGTotallCreditBaseURL VARCHAR(40),
  GX_CFGTotallCreditHost    VARCHAR(40),
  GX_CFGTotallCreditPort    Numeric(10),
  GX_CFGTotallCargaBaseURL  CHAR(50),
  GX_CFGTotallCargaHost     VARCHAR(40),
  GX_CFGTotallCargaPort     Numeric(10),
  GX_CFGLog                 BOOLEAN) 
   ;
  
/*-- SEQ 0571 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG ADD CONSTRAINT PK_GX_CFG PRIMARY KEY (GX_CFGId);

/*-- SEQ 0572 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG ALTER COLUMN GX_CFGLog SET NOT NULL;

/*-- SEQ 0573 --*/
-- Tarefa 84638 --
INSERT INTO GX_CFG
(GX_CFGId, 
 GX_CFGSimPanBaseURL, 
 GX_CFGSimPanHost, 
 GX_CFGSimPanPort, 
 GX_CFGTotallCreditBaseURL, 
 GX_CFGTotallCreditHost, 
 GX_CFGTotallCreditPort, 
 GX_CFGTotallCargaBaseURL, 
 GX_CFGTotallCargaHost, 
 GX_CFGTotallCargaPort, 
 GX_CFGLog)
SELECT 1, 
       null, 
       null, 
       null, 
       null, 
       null, 
       null, 
       null, 
       null, 
       null, 
       False  FROM DUAL
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM GX_CFG
                    WHERE GX_CFGId = 1);

/*-- SEQ 0574 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD COLUMN GX_CFGNfeAtu Timestamp ;
 

/*-- SEQ 0575 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD COLUMN GX_CFGNfeLog BOOLEAN ;
 
       
/*-- SEQ 0576 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
SELECT DISABLETRIGGERS(LOWER('GX_CFG'));       
       
/*-- SEQ 0577 --*/
-- Tarefa 84638 --
UPDATE GX_CFG
   SET GX_CFGNfeAtu = TO_DATE('31/12/2011 00:00:00','DD/MM/YYYY HH24:MI:SS')
 WHERE GX_CFGId = 1
   AND GX_CFGNfeAtu IS NULL;
       
/*-- SEQ 0578 --*/
-- Tarefa 84638 --
UPDATE GX_CFG
   SET GX_CFGNfeLog = False WHERE GX_CFGId = 1
   AND GX_CFGNfeLog IS NULL;

/*-- SEQ 0579 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
SELECT ENABLETRIGGERS(LOWER('GX_CFG'));

/*-- SEQ 0580 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG ALTER COLUMN GX_CFGNfeAtu SET NOT NULL;

/*-- SEQ 0581 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG ALTER COLUMN GX_CFGNfeLog SET NOT NULL;

/*-- SEQ 0582 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
CREATE TABLE GX_LOG (
  GX_LogId        Numeric(10),
  GX_LogDescricao VARCHAR(4000),
  GX_LogData      Timestamp,
  GX_LogErro      BOOLEAN)
   ;
  
/*-- SEQ 0583 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
CREATE SEQUENCE GX_LogId INCREMENT 1 START 1 MINVALUE 1;

  
/*-- SEQ 0584 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_LOG ADD CONSTRAINT PK_GX_LogId PRIMARY KEY (GX_LogId);

/*-- SEQ 0585 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_LOG ALTER COLUMN GX_LogDescricao SET NOT NULL;

/*-- SEQ 0586 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_LOG ALTER COLUMN GX_LogData SET NOT NULL;

/*-- SEQ 0587 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_LOG ALTER COLUMN GX_LogErro SET NOT NULL;

/*-- SEQ 0588 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
DROP FUNCTION GXProximoCodigo(Tabela in VARCHAR, Filial in CHAR, Retorno out VARCHAR);

/*-- SEQ 0589 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
SELECT * FROM NADA;


/*-- SEQ 0590 --*/
-- Tarefa 85042 --
SELECT ExecAlteraTipoColuna('TT_ICO','VALCON','Numeric(14,4)');



/*-- SEQ 0591 --*/
-- Tarefa 83344 --
SELECT DISABLETRIGGERS(LOWER('TL_VEN'));

/*-- SEQ 0592 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83344 --
CREATE INDEX I_LVEN_MSGLOG ON TL_VEN (MSGLOG)  ;

/*-- SEQ 0593 --*/
-- Tarefa 83344 --
DELETE 
  FROM TL_VEN
 WHERE MSGLOG LIKE 'Estado: de I%';

/*-- SEQ 0594 --*/
-- Tarefa 83344 --
DROP INDEX I_LVEN_MSGLOG;
					  
/*-- SEQ 0595 --*/
-- Tarefa 83344 --
SELECT ENABLETRIGGERS(LOWER('TL_VEN'));



/*-- SEQ 0596 --*/
-- Tarefa 85164 --
ALTER TABLE TI_CLI ADD COLUMN ISENTO VARCHAR(1) ;



/*-- SEQ 0597 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82965 --
SELECT DISABLETRIGGERS(LOWER('TL_CFG'));

/*-- SEQ 0598 --*/
-- Tarefa 82965 --
ALTER TABLE TL_CFG ADD COLUMN OPERAD CHAR(1) ;


/*-- SEQ 0599 --*/
-- Tarefa 82965 --
UPDATE TL_CFG
   SET OPERAD = 'A'
 WHERE COLUNA = '--Alteracao--';
 
/*-- SEQ 0600 --*/
-- Tarefa 82965 --
UPDATE TL_CFG
   SET OPERAD = 'E'
 WHERE COLUNA = '--Exclusao--';

/*-- SEQ 0601 --*/
-- Tarefa 82965 --
UPDATE TL_CFG
   SET OPERAD = 'I'
 WHERE COLUNA = '--Inclusao--';
 
/*-- SEQ 0602 --*/
-- Tarefa 82965 --
UPDATE TL_CFG
   SET OPERAD = 'A'
 WHERE COLUNA <> '--Inclusao--'
   AND COLUNA <> '--Exclusao--'
   AND COLUNA <> '--Alteracao--';

/*-- SEQ 0603 --*/
-- Tarefa 82965 --
ALTER TABLE TL_CFG ADD CONSTRAINT CK_CFG_OPERAD CHECK (OPERAD IN ('A','E','I'));

/*-- SEQ 0604 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82965 --
ALTER TABLE TL_CFG ALTER COLUMN OPERAD SET NOT NULL;

/*-- SEQ 0605 --*/
-- Tarefa 82965 --
SELECT ENABLETRIGGERS(LOWER('TL_CFG')); 


/*-- SEQ 0606 --*/
-- Tarefa 84500 --
SELECT ExecAlteraTipoColuna('TT_GRA','CUSFRE','Numeric(14,4)');



/*-- SEQ 0607 --*/
-- Tarefa 85235 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
     VALUES ('-De outras matrias',4,12,'T','640690');

/*-- SEQ 0608 --*/
-- Tarefa 85235 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
     VALUES ('--Partes de calados Palmilhas',5,12,'T','64069020');

