
/*-- SEQ 0001 --*/
-- Tarefa 88999 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0002 --*/
ALTER TABLE TT_CFG ADD COLUMN SEPARAR_ENTREGA VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0003 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0004 --*/
-- Tarefa 88999 -- 
ALTER TABLE TT_CFG ALTER COLUMN SEPARAR_ENTREGA SET NOT NULL;

/*-- SEQ 0005 --*/
-- Tarefa 88999 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_SEPARAR_ENTREGA CHECK (SEPARAR_ENTREGA IN ('T','F'));

/*-- SEQ 0006 --*/
-- Tarefa 88999 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0007 --*/
ALTER TABLE TW_CFG ADD COLUMN SEPARAR_ENTREGA VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0008 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0009 --*/
-- Tarefa 88999 --
UPDATE TT_CFG SET SEPARAR_ENTREGA = 'F'
 WHERE EXISTS (SELECT 1 AS OK
                 FROM TT_FUN
                WHERE NOMFUN = 'SEM_IVO');

/*-- SEQ 0010 --*/
-- Tarefa 88999 --
DELETE FROM TT_FUN
 WHERE NOMFUN = 'SEM_IVO';


/*-- SEQ 0011 --*/
-- Tarefa 89197 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0012 --*/
ALTER TABLE TT_CFG ADD COLUMN GIRO_ESTOQUE CHAR(1) DEFAULT 'C';

/*-- SEQ 0013 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0014 --*/
-- Tarefa 89197 -- 
ALTER TABLE TT_CFG ALTER COLUMN GIRO_ESTOQUE SET NOT NULL;

/*-- SEQ 0015 --*/
-- Tarefa 89197 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_GIRO_ESTOQUE CHECK (GIRO_ESTOQUE IN ('C','U'));

/*-- SEQ 0016 --*/
-- Tarefa 89197 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0017 --*/
ALTER TABLE TW_CFG ADD COLUMN GIRO_ESTOQUE CHAR(1) DEFAULT 'C';

/*-- SEQ 0018 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0019 --*/
-- Tarefa 89199 --
SELECT DISABLETRIGGERS(LOWER('TR_MOV'));

/*-- SEQ 0020 --*/
ALTER TABLE TR_MOV ADD COLUMN PROMOC VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0021 --*/
SELECT ENABLETRIGGERS(LOWER('TR_MOV'));
 
/*-- SEQ 0022 --*/
-- Tarefa 89199 --
ALTER TABLE TR_MOV ALTER COLUMN PROMOC SET NOT NULL;
 
/*-- SEQ 0023 --*/
-- Tarefa 89199 --
ALTER TABLE TR_MOV ADD CONSTRAINT CK_RMOV_PROMOC CHECK (PROMOC IN ('T','F'));


/*-- SEQ 0024 --*/
-- Tarefa 89221 --
ALTER TABLE TT_CLI ADD COLUMN DEPART Numeric(5) ;


/*-- SEQ 0025 --*/
-- Tarefa 89221 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_DDEP FOREIGN KEY (DEPART) REFERENCES TD_DEP (CODTAB);

/*-- SEQ 0026 --*/
-- Tarefa 89221 --
CREATE INDEX I_FK_CLI_DDEP ON TT_CLI (DEPART)  ;

/*-- SEQ 0027 --*/
-- Tarefa 89221 --
ALTER TABLE TT_CLI ADD COLUMN CLASS1 Numeric(5) ;


/*-- SEQ 0028 --*/
-- Tarefa 89221 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_DCL1 FOREIGN KEY (CLASS1) REFERENCES TD_CL1 (CODTAB);

/*-- SEQ 0029 --*/
-- Tarefa 89221 --
CREATE INDEX I_FK_CLI_DCL1 ON TT_CLI (CLASS1)  ;

/*-- SEQ 0030 --*/
-- Tarefa 89221 --
ALTER TABLE TT_CLI ADD COLUMN CLASS2 Numeric(5) ;


/*-- SEQ 0031 --*/
-- Tarefa 89221 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_DCL2 FOREIGN KEY (CLASS2) REFERENCES TD_CL2 (CODTAB);

/*-- SEQ 0032 --*/
-- Tarefa 89221 --
CREATE INDEX I_FK_CLI_DCL2 ON TT_CLI (CLASS2)  ;

/*-- SEQ 0033 --*/
-- Tarefa 89221 --
ALTER TABLE TT_CLI ADD COLUMN CLASS3 Numeric(5) ;


/*-- SEQ 0034 --*/
-- Tarefa 89221 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_DCL3 FOREIGN KEY (CLASS3) REFERENCES TD_CL3 (CODTAB);

/*-- SEQ 0035 --*/
-- Tarefa 89221 --
CREATE INDEX I_FK_CLI_DCL3 ON TT_CLI (CLASS3)  ;

/*-- SEQ 0036 --*/
-- Tarefa 89221 --
ALTER TABLE TT_CLI ADD COLUMN CLASS4 Numeric(5) ;


/*-- SEQ 0037 --*/
-- Tarefa 89221 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_DCL4 FOREIGN KEY (CLASS4) REFERENCES TD_CL4 (CODTAB);

/*-- SEQ 0038 --*/
-- Tarefa 89221 --
CREATE INDEX I_FK_CLI_DCL4 ON TT_CLI (CLASS4)  ;


/*-- SEQ 0039 --*/
-- Tarefa 89267 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,366)||'N'||SUBSTR(PERMIS,368,9999);


/*-- SEQ 0040 --*/
-- Tarefa 89200 --
DROP FUNCTION TGR_IVE_Atualiza_Movimento (TT_IVE.QTDMOV%TYPE,TT_IVE.VLRMOV%TYPE,TT_IVE.CODFIL%tYPE,TT_IVE.SEQUEN%tYPE,TT_IVE.FILMAT%tYPE,TT_IVE.CODMAT%tYPE,TT_IVE.CODCOR%tYPE,TT_IVE.CODTAM%tYPE,TT_IVE.CODMUL%tYPE,TT_IVE.VEN_DATHOR%TYPE,TT_IVE.DUMMY%TYPE) CASCADE;


/*-- SEQ 0041 --*/
-- Tarefa 89227 --
ALTER TABLE TT_CLI ADD COLUMN PARPED Numeric(2) ;

 
/*-- SEQ 0042 --*/
-- Tarefa 89227 --
ALTER TABLE TT_CLI ADD COLUMN PREENT Numeric(2) ;


/*-- SEQ 0043 --*/
-- Tarefa 89227 --
ALTER TABLE TT_CLI ADD COLUMN PRIPAR Numeric(3) ;


/*-- SEQ 0044 --*/
-- Tarefa 89227 --
ALTER TABLE TT_CLI ADD COLUMN PERIOD Numeric(3) ;


/*-- SEQ 0045 --*/
-- Tarefa 89227 --
ALTER TABLE TT_CLI ADD COLUMN DESCON Numeric(5,2) ;


/*-- SEQ 0046 --*/
-- Tarefa 89227 --
ALTER TABLE TT_CLI ADD COLUMN TIPDES Numeric(5) ;


/*-- SEQ 0047 --*/
-- Tarefa 89227 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_DDES FOREIGN KEY (TIPDES) REFERENCES TD_DES (CODTAB);

/*-- SEQ 0048 --*/
-- Tarefa 89227 --
CREATE INDEX I_FK_CLI_DDES ON TT_CLI (TIPDES)  ;


/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88468 --
SELECT * FROM NADA;


/*-- SEQ 0050 --*/
-- Tarefa 89253 --
CREATE TABLE TT_LOT (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  FILMAT CHAR(3),
  CODMAT CHAR(5),
  CODCOR Numeric(5),
  CODTAM Numeric(5),
  FILFOR CHAR(3),
  CODFOR CHAR(6),
  NUMLOT VARCHAR(40),
  DATINC Timestamp,
  ATU_EM Timestamp,
  TONALI VARCHAR(20),
  TAMANH VARCHAR(20),
  DATVAL Timestamp,
  QTDINI Numeric(12,4),
  QTDCOM Numeric(12,4),
  QTDEST Numeric(12,4)
  )  ;
 
/*-- SEQ 0051 --*/ 
-- Tarefa 89253 --
ALTER TABLE TT_LOT ADD CONSTRAINT PK_LOT PRIMARY KEY (CODFIL,SEQUEN);
  
/*-- SEQ 0052 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ADD CONSTRAINT FK_LOT_GRA FOREIGN KEY (FILMAT,CODMAT,CODCOR,CODTAM) REFERENCES TT_GRA(FILMAT,CODMAT,CODCOR,CODTAM);
 
/*-- SEQ 0053 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ADD CONSTRAINT FK_LOT_CLI FOREIGN KEY (FILFOR,CODFOR) REFERENCES TT_CLI(FILCLI,CODCLI);

/*-- SEQ 0054 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ADD CONSTRAINT FK_LOT_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0055 --*/
-- Tarefa 89253 --
CREATE INDEX I_FK_LOT_GRA ON TT_LOT (FILMAT,CODMAT,CODCOR,CODTAM)  ;
 
/*-- SEQ 0056 --*/
-- Tarefa 89253 --
CREATE INDEX I_FK_LOT_CLI ON TT_LOT (FILFOR,CODFOR)  ;
 
/*-- SEQ 0057 --*/
-- Tarefa 89253 --
CREATE INDEX I_FK_LOT_DFIL ON TT_LOT (CODFIL)  ;

/*-- SEQ 0058 --*/
-- Tarefa 89253 --
CREATE UNIQUE INDEX I_UQ_LOT ON TT_LOT (FILMAT,CODMAT,CODCOR,CODTAM,FILFOR,CODFOR,NUMLOT)  ;

/*-- SEQ 0059 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ALTER COLUMN FILMAT SET NOT NULL;

/*-- SEQ 0060 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ALTER COLUMN CODMAT SET NOT NULL;

/*-- SEQ 0061 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ALTER COLUMN CODCOR SET NOT NULL;

/*-- SEQ 0062 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ALTER COLUMN CODTAM SET NOT NULL;

/*-- SEQ 0063 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ALTER COLUMN FILFOR SET NOT NULL;

/*-- SEQ 0064 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ALTER COLUMN CODFOR SET NOT NULL;

/*-- SEQ 0065 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ALTER COLUMN NUMLOT SET NOT NULL;

/*-- SEQ 0066 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0067 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0068 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ALTER COLUMN TONALI SET NOT NULL;

/*-- SEQ 0069 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ALTER COLUMN DATVAL SET NOT NULL;
 
/*-- SEQ 0070 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ALTER COLUMN QTDINI SET NOT NULL;

/*-- SEQ 0071 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ALTER COLUMN QTDCOM SET NOT NULL;

/*-- SEQ 0072 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ALTER COLUMN QTDEST SET NOT NULL;
  
/*-- SEQ 0073 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ALTER COLUMN QTDINI SET DEFAULT '0';

/*-- SEQ 0074 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ALTER COLUMN QTDCOM SET DEFAULT '0';

/*-- SEQ 0075 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ALTER COLUMN QTDEST SET DEFAULT '0';
 
/*-- SEQ 0076 --*/
-- Tarefa 89253 --
CREATE SEQUENCE SQLOT INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0077 --*/
-- Tarefa 89258 --
ALTER TABLE TT_ICO ADD COLUMN FILLOT CHAR(3) ;


/*-- SEQ 0078 --*/
-- Tarefa 89258 --
ALTER TABLE TT_IOR ADD COLUMN FILLOT CHAR(3) ;


/*-- SEQ 0079 --*/
-- Tarefa 89258 --
ALTER TABLE TT_IVE ADD COLUMN FILLOT CHAR(3) ;


/*-- SEQ 0080 --*/
-- Tarefa 89258 --
ALTER TABLE TT_LAN ADD COLUMN FILLOT CHAR(3) ;


/*-- SEQ 0081 --*/
-- Tarefa 89258 --
ALTER TABLE TT_ICO ADD COLUMN SEQLOT CHAR(10) ;


/*-- SEQ 0082 --*/
-- Tarefa 89258 --
ALTER TABLE TT_IOR ADD COLUMN SEQLOT CHAR(10) ;


/*-- SEQ 0083 --*/
-- Tarefa 89258 --
ALTER TABLE TT_IVE ADD COLUMN SEQLOT CHAR(10) ;


/*-- SEQ 0084 --*/
-- Tarefa 89258 --
ALTER TABLE TT_LAN ADD COLUMN SEQLOT CHAR(10) ;

 
/*-- SEQ 0085 --*/
-- Tarefa 89258 --
ALTER TABLE TT_ICO ADD CONSTRAINT FK_ICO_LOT FOREIGN KEY (FILLOT,SEQLOT) REFERENCES TT_LOT (CODFIL, SEQUEN);

/*-- SEQ 0086 --*/
-- Tarefa 89258 --
ALTER TABLE TT_IOR ADD CONSTRAINT FK_IOR_LOT FOREIGN KEY (FILLOT,SEQLOT) REFERENCES TT_LOT (CODFIL, SEQUEN);

/*-- SEQ 0087 --*/
-- Tarefa 89258 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_LOT FOREIGN KEY (FILLOT,SEQLOT) REFERENCES TT_LOT (CODFIL, SEQUEN);

/*-- SEQ 0088 --*/
-- Tarefa 89258 --
ALTER TABLE TT_LAN ADD CONSTRAINT FK_LAN_LOT FOREIGN KEY (FILLOT,SEQLOT) REFERENCES TT_LOT (CODFIL, SEQUEN);

/*-- SEQ 0089 --*/
-- Tarefa 89258 --
CREATE INDEX I_FK_ICO_LOT ON TT_ICO (FILLOT,SEQLOT)  ;

/*-- SEQ 0090 --*/
-- Tarefa 89258 --
CREATE INDEX I_FK_IOR_LOT ON TT_IOR (FILLOT,SEQLOT)  ;

/*-- SEQ 0091 --*/
-- Tarefa 89258 --
CREATE INDEX I_FK_IVE_LOT ON TT_IVE (FILLOT,SEQLOT)  ;

/*-- SEQ 0092 --*/
-- Tarefa 89258 --
CREATE INDEX I_FK_LAN_LOT ON TT_LAN (FILLOT,SEQLOT)  ;


/*-- SEQ 0093 --*/
-- Tarefa 89491 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0094 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN CKPAFILDAV VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0095 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));
 
/*-- SEQ 0096 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89491 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CKPAFILDAV CHECK (CKPAFILDAV IN ('T','F'));
 
/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89491 -- 
ALTER TABLE TT_CFG ALTER COLUMN CKPAFILDAV SET NOT NULL;
 
/*-- SEQ 0098 --*/
-- Tarefa 89491 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0099 --*/
ALTER TABLE TW_CFG ADD COLUMN CKPAFILDAV VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0100 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0101 --*/
-- Tarefa 89387 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TPR ADD COLUMN PERLUC Numeric(5,2) ;


/*-- SEQ 0102 --*/
-- Tarefa 89387 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TPRPERLUC', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TPRPERLUC'));


/*-- SEQ 0103 --*/
-- Tarefa 89484 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PED ADD COLUMN DESESP Numeric(5,2) ;


/*-- SEQ 0104 --*/
-- Tarefa 89484 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PEDDESESP', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PEDDESESP'));


/*-- SEQ 0105 --*/
SELECT DISABLETRIGGERS(LOWER('TT_DEL'));

/*-- SEQ 0106 --*/
DELETE FROM TT_DEL
 WHERE TABELA = 'TT_OUT';
 
/*-- SEQ 0107 --*/
SELECT ENABLETRIGGERS(LOWER('TT_DEL'));


/*-- SEQ 0108 --*/
-- Tarefa 89480 --
ALTER TABLE TT_TPR DROP CONSTRAINT CK_TPR_VAREJO CASCADE;

/*-- SEQ 0109 --*/
-- Tarefa 89480 --
ALTER TABLE TT_TPR ADD CONSTRAINT CK_TPR_VAREJO CHECK (VAREJO IN (0,1,2,3));


/*-- SEQ 0110 --*/
-- Tarefa 89259 --
CREATE TABLE TT_SLT (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  CODMUL Numeric(5),
  FILLOT CHAR(3),
  SEQLOT CHAR(10),
  QTDEST Numeric(12,4),
  RESERV Numeric (12,4)
  )  ;
 
/*-- SEQ 0111 --*/ 
-- Tarefa 89259 --
ALTER TABLE TT_SLT ADD CONSTRAINT PK_SLT PRIMARY KEY (CODFIL,SEQUEN);
  
/*-- SEQ 0112 --*/
-- Tarefa 89259 --
ALTER TABLE TT_SLT ADD CONSTRAINT FK_SLT_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0113 --*/
-- Tarefa 89259 --
ALTER TABLE TT_SLT ADD CONSTRAINT FK_SLT_DMUL FOREIGN KEY (CODMUL) REFERENCES TD_MUL(CODTAB);

/*-- SEQ 0114 --*/
-- Tarefa 89259 --
ALTER TABLE TT_SLT ADD CONSTRAINT FK_SLT_LOT FOREIGN KEY (FILLOT,SEQLOT) REFERENCES TT_LOT(CODFIL,SEQUEN);

/*-- SEQ 0115 --*/
-- Tarefa 89259 --
CREATE INDEX I_FK_SLT_DFIL ON TT_SLT (CODFIL)  ;

/*-- SEQ 0116 --*/
-- Tarefa 89259 --
CREATE INDEX I_FK_SLT_DMUL ON TT_SLT (CODMUL)  ;

/*-- SEQ 0117 --*/
-- Tarefa 89259 --
CREATE INDEX I_FK_SLT_LOT ON TT_SLT (FILLOT,SEQLOT)  ;

/*-- SEQ 0118 --*/
-- Tarefa 89259 --
CREATE UNIQUE INDEX I_UQ_SLT ON TT_SLT (FILLOT,SEQLOT,CODFIL,CODMUL)  ;

/*-- SEQ 0119 --*/
-- Tarefa 89259 --
ALTER TABLE TT_SLT ALTER COLUMN CODMUL SET NOT NULL;

/*-- SEQ 0120 --*/
-- Tarefa 89259 --
ALTER TABLE TT_SLT ALTER COLUMN FILLOT SET NOT NULL;

/*-- SEQ 0121 --*/
-- Tarefa 89259 --
ALTER TABLE TT_SLT ALTER COLUMN SEQLOT SET NOT NULL;

/*-- SEQ 0122 --*/
-- Tarefa 89259 --
ALTER TABLE TT_SLT ALTER COLUMN QTDEST SET NOT NULL;

/*-- SEQ 0123 --*/
-- Tarefa 89259 --
ALTER TABLE TT_SLT ALTER COLUMN RESERV SET NOT NULL;

/*-- SEQ 0124 --*/
-- Tarefa 89259 --
CREATE SEQUENCE SQSLT INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0125 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89256 --


/*-- SEQ 0126 --*/
-- Tarefa 89545 --
ALTER TABLE TT_CLI ADD COLUMN OBSFOR VARCHAR(4000) ;



/*-- SEQ 0127 --*/
-- Tarefa 89586 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA ADD COLUMN FILUSU CHAR(3) ;


/*-- SEQ 0128 --*/
-- Tarefa 89586 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA ADD COLUMN CODUSU CHAR(3) ;


/*-- SEQ 0129 --*/
-- Tarefa 89586 --
SELECT DISABLETRIGGERS(LOWER('TT_ABA'));

/*-- SEQ 0130 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA ADD COLUMN MANUT VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0131 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ABA'));

/*-- SEQ 0132 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89586 -- 
ALTER TABLE TT_ABA ALTER COLUMN MANUT SET NOT NULL;

/*-- SEQ 0133 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89586 --
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0134 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89586 --
CREATE INDEX I_FK_ABA_USU ON TT_ABA (FILUSU, CODUSU)  ;

/*-- SEQ 0135 --*/
-- Tarefa 89586 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ABA139', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ABA139'));

/*-- SEQ 0136 --*/
-- Tarefa 89586 --
ALTER TABLE TT_ABA DROP CONSTRAINT CK_ABA_FLGEST CASCADE;

/*-- SEQ 0137 --*/
-- Tarefa 89586 --
ALTER TABLE TT_ABA ADD CONSTRAINT CK_ABA_FLGEST CHECK (FLGEST IN ('P','C','N','A','B'));


/*-- SEQ 0138 --*/
-- Tarefa 89231 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,365)||SUBSTR(PERMIS,278,1)||SUBSTR(PERMIS,367,9999);

/*-- SEQ 0139 --*/
-- Tarefa 89231 --
UPDATE TT_PAP SET PERMIS = SUBSTR(PERMIS,1,365)||SUBSTR(PERMIS,278,1)||SUBSTR(PERMIS,367,9999);


/*-- SEQ 0140 --*/
-- Tarefa 89239 --
ALTER TABLE TT_CLI ADD COLUMN FILFIA CHAR(3) ;


/*-- SEQ 0141 --*/
-- Tarefa 89239 --
ALTER TABLE TT_CLI ADD COLUMN CODFIA CHAR(6) ;


/*-- SEQ 0142 --*/
-- Tarefa 89239 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_FIA FOREIGN KEY (FILFIA,CODFIA) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0143 --*/
-- Tarefa 89239 --
CREATE INDEX I_FK_CLI_FIA ON TT_CLI (FILFIA,CODFIA)  ;


/*-- SEQ 0144 --*/
-- Tarefa 89398 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,368)||'N'||SUBSTR(PERMIS,370,9999);

/*-- SEQ 0145 --*/
-- Tarefa 89398 --
UPDATE TT_PAP SET PERMIS = SUBSTR(PERMIS,1,368)||'N'||SUBSTR(PERMIS,370,9999);


/*-- SEQ 0146 --*/
-- Tarefa 89395 --
CREATE TABLE TD_RGC (
  CODTAB Numeric(5),
  DESRGC VARCHAR(100),
  RGCATI VARCHAR(1),
  FLGENC VARCHAR(1),
  FLGDEV VARCHAR(1)
  )  ;
 
/*-- SEQ 0147 --*/
-- Tarefa 89395 --
ALTER TABLE TD_RGC ALTER COLUMN RGCATI SET DEFAULT 'T';

/*-- SEQ 0148 --*/
-- Tarefa 89395 --
ALTER TABLE TD_RGC ALTER COLUMN FLGENC SET DEFAULT 'F';

/*-- SEQ 0149 --*/
-- Tarefa 89395 --
ALTER TABLE TD_RGC ALTER COLUMN FLGDEV SET DEFAULT 'T';
 
/*-- SEQ 0150 --*/
-- Tarefa 89395 --
ALTER TABLE TD_RGC ADD CONSTRAINT PK_DRGC PRIMARY KEY (CODTAB);
 
/*-- SEQ 0151 --*/
-- Tarefa 89395 -- 
ALTER TABLE TD_RGC ALTER COLUMN DESRGC SET NOT NULL;
    
/*-- SEQ 0152 --*/
-- Tarefa 89395 -- 
ALTER TABLE TD_RGC ALTER COLUMN RGCATI SET NOT NULL;
	
/*-- SEQ 0153 --*/
-- Tarefa 89395 -- 
ALTER TABLE TD_RGC ALTER COLUMN FLGENC SET NOT NULL;

/*-- SEQ 0154 --*/
-- Tarefa 89395 -- 
ALTER TABLE TD_RGC ALTER COLUMN FLGDEV SET NOT NULL;

/*-- SEQ 0155 --*/
-- Tarefa 89395 --
ALTER TABLE TD_RGC ADD CONSTRAINT CK_DRGC_RGCATI CHECK (RGCATI IN ('T','F'));
 
/*-- SEQ 0156 --*/
-- Tarefa 89395 --
ALTER TABLE TD_RGC ADD CONSTRAINT CK_DRGC_FLGENC CHECK (FLGENC IN ('T','F'));
 
/*-- SEQ 0157 --*/
-- Tarefa 89395 --
ALTER TABLE TD_RGC ADD CONSTRAINT CK_DRGC_FLGDEV CHECK (FLGDEV IN ('T','F'));
 
/*-- SEQ 0158 --*/
-- Tarefa 89395 --
ALTER TABLE TW_TAB ADD COLUMN DESRGC VARCHAR(100) ;

 
/*-- SEQ 0159 --*/
-- Tarefa 89395 --
ALTER TABLE TW_TAB ADD COLUMN RGCATI VARCHAR(1) ;


/*-- SEQ 0160 --*/
-- Tarefa 89395 --
ALTER TABLE TW_TAB ADD COLUMN FLGENC VARCHAR(1) ;


/*-- SEQ 0161 --*/
-- Tarefa 89395 --
ALTER TABLE TW_TAB ADD COLUMN FLGDEV VARCHAR(1) ;


/*-- SEQ 0162 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89395 --
INSERT INTO TD_RGC(CODTAB,DESRGC,FLGENC,FLGDEV)
            VALUES(0,'PADRAO','F','T');


/*-- SEQ 0163 --*/
-- Tarefa 89298 --
CREATE TABLE TD_STF (
  CODTAB Numeric(5),
  DESSTF VARCHAR(100),
  STFATI VARCHAR(1),
  STF_FILFOR CHAR(3),
  STF_CODFOR CHAR(6),
  STF_CODSER CHAR(2),
  STF_SUBSER CHAR(3),
  STF_DIAVEN Numeric(2),
  STF_CODDAR CHAR(1),
  STF_CODSET Numeric(5),
  STF_FILCTA CHAR(3),
  STF_SEQCTA CHAR(10),
  STF_TIPCTA CHAR(1),
  STF_CODFPS VARCHAR(2),
  STF_CODCTR Numeric(5),
  STF_CODCUS Numeric(5),
  STF_CODCFO Numeric(5)
  )  ;
 
/*-- SEQ 0164 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF ALTER COLUMN STFATI SET DEFAULT 'T';

/*-- SEQ 0165 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF ADD CONSTRAINT PK_DSTF PRIMARY KEY (CODTAB);

/*-- SEQ 0166 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF ADD CONSTRAINT FK_DSTF_FOR FOREIGN KEY (STF_FILFOR,STF_CODFOR) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0167 --*/
-- Tarefa 89298 --
CREATE INDEX I_FK_DSTF_FOR ON TD_STF (STF_FILFOR,STF_CODFOR)  ;
 
/*-- SEQ 0168 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF ADD CONSTRAINT FK_DSTF_DSER FOREIGN KEY (STF_CODSER) REFERENCES TD_SER (CODSER);

/*-- SEQ 0169 --*/
-- Tarefa 89298 --
CREATE INDEX I_FK_DSTF_DSER ON TD_STF (STF_CODSER)  ;

/*-- SEQ 0170 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF ADD CONSTRAINT FK_DSTF_DSET FOREIGN KEY (STF_CODSET) REFERENCES TD_SET (CODTAB);

/*-- SEQ 0171 --*/
-- Tarefa 89298 --
CREATE INDEX I_FK_DSTF_DSET ON TD_STF (STF_CODSET)  ;

/*-- SEQ 0172 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF ADD CONSTRAINT FK_DSTF_CTA FOREIGN KEY (STF_FILCTA,STF_SEQCTA,STF_TIPCTA) REFERENCES TT_CTA (CODFIL,SEQUEN,TIPCTA);

/*-- SEQ 0173 --*/
-- Tarefa 89298 --
CREATE INDEX I_FK_DSTF_CTA ON TD_STF (STF_FILCTA,STF_SEQCTA,STF_TIPCTA)  ;

/*-- SEQ 0174 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF ADD CONSTRAINT FK_DSTF_DCTR FOREIGN KEY (STF_CODCTR) REFERENCES TD_CTR (CODTAB);

/*-- SEQ 0175 --*/
-- Tarefa 89298 --
CREATE INDEX I_FK_DSTF_DCTR ON TD_STF (STF_CODCTR)  ;

/*-- SEQ 0176 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF ADD CONSTRAINT FK_DSTF_DCUS FOREIGN KEY (STF_CODCUS) REFERENCES TD_CUS (CODTAB);

/*-- SEQ 0177 --*/
-- Tarefa 89298 --
CREATE INDEX I_FK_DSTF_DCUS ON TD_STF (STF_CODCUS)  ;

/*-- SEQ 0178 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF ADD CONSTRAINT FK_DSTF_DCFO FOREIGN KEY (STF_CODCFO) REFERENCES TD_CFO (CODTAB);

/*-- SEQ 0179 --*/
-- Tarefa 89298 --
CREATE INDEX I_FK_DSTF_DCFO ON TD_STF (STF_CODCFO)  ;

/*-- SEQ 0180 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF ADD CONSTRAINT FK_DSTF_DFPS FOREIGN KEY (STF_CODFPS) REFERENCES TD_FPS (CODFPS);

/*-- SEQ 0181 --*/
-- Tarefa 89298 --
CREATE INDEX I_FK_DSTF_DFPS ON TD_STF (STF_CODFPS)  ;

/*-- SEQ 0182 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF ADD CONSTRAINT CK_DSTF_CODDAR CHECK (STF_CODDAR IN ('0','1'));

/*-- SEQ 0183 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF ADD CONSTRAINT CK_DSTF_STFATI CHECK (STFATI IN ('T','F'));
 
/*-- SEQ 0184 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF ALTER COLUMN DESSTF SET NOT NULL;

/*-- SEQ 0185 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF ALTER COLUMN STFATI SET NOT NULL;

/*-- SEQ 0186 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF ALTER COLUMN STF_FILFOR SET NOT NULL;

/*-- SEQ 0187 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF ALTER COLUMN STF_CODFOR SET NOT NULL;

/*-- SEQ 0188 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF ALTER COLUMN STF_CODSER SET NOT NULL;

/*-- SEQ 0189 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF ALTER COLUMN STF_DIAVEN SET NOT NULL;

/*-- SEQ 0190 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF ALTER COLUMN STF_CODDAR SET NOT NULL;

/*-- SEQ 0191 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF ALTER COLUMN STF_CODSET SET NOT NULL;

/*-- SEQ 0192 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF ALTER COLUMN STF_FILCTA SET NOT NULL;

/*-- SEQ 0193 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF ALTER COLUMN STF_SEQCTA SET NOT NULL;

/*-- SEQ 0194 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF ALTER COLUMN STF_TIPCTA SET NOT NULL;

/*-- SEQ 0195 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF ALTER COLUMN STF_CODFPS SET NOT NULL;

/*-- SEQ 0196 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF ALTER COLUMN STF_CODCTR SET NOT NULL;

/*-- SEQ 0197 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF ALTER COLUMN STF_CODCUS SET NOT NULL;

/*-- SEQ 0198 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD COLUMN DESSTF VARCHAR(100) ;


/*-- SEQ 0199 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD COLUMN STFATI VARCHAR(1) ;


/*-- SEQ 0200 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD COLUMN STF_FILFOR CHAR(3) ;


/*-- SEQ 0201 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD COLUMN STF_CODFOR CHAR(6) ;


/*-- SEQ 0202 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD COLUMN STF_CODSER CHAR(2) ;


/*-- SEQ 0203 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD COLUMN STF_SUBSER CHAR(3) ;


/*-- SEQ 0204 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD COLUMN STF_DIAVEN Numeric(2) ;


/*-- SEQ 0205 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD COLUMN STF_CODDAR CHAR(1) ;


/*-- SEQ 0206 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD COLUMN STF_CODSET Numeric(5) ;


/*-- SEQ 0207 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD COLUMN STF_FILCTA CHAR(3) ;


/*-- SEQ 0208 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD COLUMN STF_SEQCTA CHAR(10) ;


/*-- SEQ 0209 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD COLUMN STF_TIPCTA CHAR(1) ;


/*-- SEQ 0210 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD COLUMN STF_CODFPS VARCHAR(2) ;


/*-- SEQ 0211 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD COLUMN STF_CODCTR Numeric(5) ;


/*-- SEQ 0212 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD COLUMN STF_CODCUS Numeric(5) ;


/*-- SEQ 0213 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD COLUMN STF_CODCFO Numeric(5) ;



/*-- SEQ 0214 --*/
-- Tarefa 89302 --
ALTER TABLE TD_FIL ADD COLUMN CODSTF Numeric(5) ;

 
/*-- SEQ 0215 --*/
-- Tarefa 89302 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_DSTF FOREIGN KEY (CODSTF) REFERENCES TD_STF (CODTAB);

/*-- SEQ 0216 --*/
-- Tarefa 89302 --
CREATE INDEX I_FK_DFIL_DSTF ON TD_FIL (CODSTF)  ;


/*-- SEQ 0217 --*/
-- Tarefa 89399 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0218 --*/
ALTER TABLE TT_PRO ADD COLUMN CODRGC Numeric(5) DEFAULT '0';

/*-- SEQ 0219 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0220 --*/
-- Tarefa 89399 -- 
ALTER TABLE TT_PRO ALTER COLUMN CODRGC SET NOT NULL;
 
/*-- SEQ 0221 --*/
-- Tarefa 89399 --
ALTER TABLE TT_PRO ADD CONSTRAINT FK_PRO_DRGC FOREIGN KEY (CODRGC) REFERENCES TD_RGC (CODTAB);

/*-- SEQ 0222 --*/
-- Tarefa 89399 --
CREATE INDEX I_FK_PRO_DRGC ON TT_PRO (CODRGC)  ;


/*-- SEQ 0223 --*/
-- Tarefa 89396 --
CREATE TABLE TT_RXF (
  CODRGC Numeric(5),
  CODFIL CHAR(3),
  RESERV VARCHAR(1)
  )  ;
  
/*-- SEQ 0224 --*/
-- Tarefa 89396 --
ALTER TABLE TT_RXF ALTER COLUMN RESERV SET DEFAULT 'T';
 
/*-- SEQ 0225 --*/ 
-- Tarefa 89396 --
ALTER TABLE TT_RXF ADD CONSTRAINT PK_RXF PRIMARY KEY (CODRGC,CODFIL);
  
/*-- SEQ 0226 --*/
-- Tarefa 89396 --
ALTER TABLE TT_RXF ADD CONSTRAINT FK_RXF_DRGC FOREIGN KEY (CODRGC) REFERENCES TD_RGC(CODTAB);

/*-- SEQ 0227 --*/
-- Tarefa 89396 --
ALTER TABLE TT_RXF ADD CONSTRAINT FK_RXF_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0228 --*/
-- Tarefa 89396 --
CREATE INDEX I_FK_RXF_DRGC ON TT_RXF (CODRGC)  ;

/*-- SEQ 0229 --*/
-- Tarefa 89396 --
CREATE INDEX I_FK_RXF_DFIL ON TT_RXF (CODFIL)  ;

/*-- SEQ 0230 --*/
-- Tarefa 89396 --
ALTER TABLE TT_RXF ADD CONSTRAINT CK_RXF_RESERV CHECK (RESERV IN ('T','F'));

/*-- SEQ 0231 --*/
-- Tarefa 89396 --
ALTER TABLE TT_RXF ALTER COLUMN RESERV SET NOT NULL;


/*-- SEQ 0232 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89711 --
ALTER TABLE TT_TPR ADD COLUMN FIL_CK CHAR(3) ;


/*-- SEQ 0233 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89711 --
ALTER TABLE TT_TPR ADD CONSTRAINT FK_TPR_DFIL_CK FOREIGN KEY (FIL_CK) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0234 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89711 --
CREATE INDEX I_FK_TPR_DFIL_CK ON TT_TPR (FIL_CK)  ;

/*-- SEQ 0235 --*/
-- Tarefa 89711 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TPRFIL_CK', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TPRFIL_CK'));


/*-- SEQ 0236 --*/
-- Tarefa 89724 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0237 --*/
ALTER TABLE TT_CFG ADD COLUMN FILTRA_FORNEC_PEDIDO VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0238 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));
 
/*-- SEQ 0239 --*/
-- Tarefa 89724 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_FILTRA_FORNEC_PEDIDO CHECK (FILTRA_FORNEC_PEDIDO IN ('T','F'));
 
/*-- SEQ 0240 --*/
-- Tarefa 89724 -- 
ALTER TABLE TT_CFG ALTER COLUMN FILTRA_FORNEC_PEDIDO SET NOT NULL;
 
/*-- SEQ 0241 --*/
-- Tarefa 89724 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0242 --*/
ALTER TABLE TW_CFG ADD COLUMN FILTRA_FORNEC_PEDIDO VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0243 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0244 --*/
-- Tarefa 89717 --
ALTER TABLE TT_PRE ADD COLUMN PERLUC Numeric(5,2) ;



/*-- SEQ 0245 --*/
-- Tarefa 89751 --
ALTER TABLE TT_CTB ADD COLUMN NUMAGE_NOSNUM VARCHAR(5) ;


/*-- SEQ 0246 --*/
-- Tarefa 89751 --
ALTER TABLE TT_CTB ADD COLUMN DIGAGE_NOSNUM VARCHAR(1) ;



/*-- SEQ 0247 --*/
-- Tarefa 88999 --
SELECT DISABLETRIGGERS(LOWER('TT_CTBXCCB'));

/*-- SEQ 0248 --*/
ALTER TABLE TT_CTBXCCB ADD COLUMN SEQREM Numeric(10) DEFAULT 0;

/*-- SEQ 0249 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CTBXCCB'));

/*-- SEQ 0250 --*/
-- Tarefa 88999 -- 
ALTER TABLE TT_CTBXCCB ALTER COLUMN SEQREM SET NOT NULL;


/*-- SEQ 0251 --*/
-- Tarefa 89530 -- 
UPDATE TT_CTBXCCB SET SEQREM = NEXTVAL('SQ_ARQ_COBREBEM')



/*-- SEQ 0252 --*/
-- Tarefa 89867 -- 
SELECT ExecAlteraTipoColuna('TT_PRO','DESDET','TEXT');

  


/*-- SEQ 0253 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89206 --
SELECT * FROM NADA;


/*-- SEQ 0254 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89365 --
SELECT * FROM NADA;


/*-- SEQ 0255 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89371 --
SELECT * FROM NADA;


/*-- SEQ 0256 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88485 --
ALTER TABLE TT_MPD DROP CONSTRAINT CK_MPD_VALOR1 CASCADE;

/*-- SEQ 0257 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88485 --
ALTER TABLE TT_MPD DROP CONSTRAINT CK_MPD_VALOR2 CASCADE;

/*-- SEQ 0258 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88485 --
ALTER TABLE TT_MPD DROP CONSTRAINT CK_MPD_VALOR3 CASCADE;

/*-- SEQ 0259 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88485 --
ALTER TABLE TT_MPD DROP CONSTRAINT CK_MPD_VALOR4 CASCADE;



/*-- SEQ 0260 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90029 --
DROP FUNCTION envia_dav ( Numeric,bpchar,VARCHAR,timestamp,bpchar,bpchar,VARCHAR,Numeric,Numeric,Numeric,Numeric,bpchar,Numeric,bpchar,Numeric,bpchar,Numeric,timestamp,timestamp,VARCHAR,VARCHAR,bpchar,Numeric,VARCHAR,VARCHAR,Numeric,Numeric,Numeric,Numeric,Numeric,VARCHAR,VARCHAR,VARCHAR,timestamp,bpchar,bpchar,VARCHAR,Numeric,int4,bpchar);

/*-- SEQ 0261 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90029 --
DROP FUNCTION envia_dav ( Numeric,bpchar,VARCHAR,timestamp,bpchar,bpchar,VARCHAR,Numeric,Numeric,Numeric,Numeric,bpchar,Numeric,bpchar,Numeric,bpchar,Numeric,timestamp,timestamp,VARCHAR,VARCHAR,VARCHAR,VARCHAR,VARCHAR,Numeric,Numeric,Numeric,Numeric,Numeric,VARCHAR,VARCHAR,VARCHAR,timestamp,bpchar,bpchar,VARCHAR,Numeric,int4,bpchar);

/*-- SEQ 0262 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90029 --
DROP FUNCTION envia_dav ( Numeric,bpchar,VARCHAR,timestamp,bpchar,bpchar,VARCHAR,Numeric,Numeric,Numeric,Numeric,bpchar,Numeric,bpchar,Numeric,bpchar,Numeric,timestamp,timestamp,VARCHAR,VARCHAR,VARCHAR,VARCHAR,VARCHAR,Numeric,Numeric,Numeric,Numeric,Numeric,VARCHAR,VARCHAR,VARCHAR,timestamp,bpchar,bpchar,VARCHAR,Numeric,int4,Numeric,VARCHAR,bpchar);

/*-- SEQ 0263 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90029 --
DROP FUNCTION envia_dav ( Numeric,bpchar,VARCHAR,timestamp,bpchar,bpchar,VARCHAR,Numeric,Numeric,Numeric,Numeric,bpchar,Numeric,bpchar,Numeric,bpchar,Numeric,timestamp,timestamp,VARCHAR,VARCHAR,VARCHAR,VARCHAR,VARCHAR,Numeric,Numeric,Numeric,Numeric,Numeric,VARCHAR,VARCHAR,VARCHAR,timestamp,bpchar,bpchar,VARCHAR,Numeric,int4,Numeric,VARCHAR,bpchar,VARCHAR);

/*-- SEQ 0264 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90029 --
DROP FUNCTION enviaitem_dav ( bpchar,bpchar,bpchar,Numeric,Numeric,Numeric,Numeric,Numeric,Numeric,VARCHAR,bpchar,Numeric,VARCHAR,VARCHAR,Numeric);

/*-- SEQ 0265 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90029 --
DROP FUNCTION enviaitem_dav ( bpchar,bpchar,bpchar,Numeric,Numeric,Numeric,Numeric,Numeric,Numeric,VARCHAR,bpchar,Numeric,VARCHAR,VARCHAR,Numeric,VARCHAR);

/*-- SEQ 0266 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90029 --
DROP FUNCTION enviaitem_dav ( bpchar,bpchar,bpchar,Numeric,Numeric,Numeric,Numeric,Numeric,Numeric,VARCHAR,bpchar,Numeric,VARCHAR,VARCHAR,Numeric,VARCHAR,bpchar);



/*-- SEQ 0267 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
DROP FUNCTION TGPRO1() CASCADE;


/*-- SEQ 0268 --*/
/*-- IGNORE ERRO --*/
-- Tarefa Daniel - Demora importa_pre Systextil --
CREATE INDEX I_LC_IPRE_CODEXT ON TI_PRE (CODEXT, CODFIL)  ;


/*-- SEQ 0269 --*/
-- Tarefa 90432 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CLI ADD COLUMN FILEND CHAR(3) ;


/*-- SEQ 0270 --*/
-- Tarefa 90432 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CLI ADD COLUMN NUMEND Numeric(4) ;


/*-- SEQ 0271 --*/
-- Tarefa 90432 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'WCLINUMEND', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'WCLINUMEND'));


/*-- SEQ 0272 --*/
-- Tarefa 90142 --
ALTER TABLE TT_PRO DROP CONSTRAINT CK_PRO_TIPMPB CASCADE;

/*-- SEQ 0273 --*/
-- Tarefa 90142 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_TIPMPB CHECK (TIPMPB IN ('C','T','M','E','O','D','U','N','S','R','A'));


/*-- SEQ 0274 --*/
-- Tarefa 90867 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0275 --*/
-- Tarefa 90867 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'RTTTRGNUM', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'RTTTRGNUM'));

/*-- SEQ 0276 --*/
-- Tarefa 90867 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));

