
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99807 --
ALTER TABLE TD_CAI DROP CONSTRAINT CK_DCAI_CX_USU CASCADE;

/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99807 --
ALTER TABLE TD_CAI ADD CONSTRAINT CK_DCAI_CX_USU CHECK (CX_USU IN (0,1,2));


/*-- SEQ 0003 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99824 --
ALTER TABLE TD_CAI ADD COLUMN CAIMEN Numeric(2) ;


/*-- SEQ 0004 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99824 --
ALTER TABLE TD_CAI ADD CONSTRAINT CK_DCAI_CAIMEN CHECK ((CAIMEN >= 1) AND (CAIMEN <= 99));

/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99824 --
CREATE UNIQUE INDEX I_UQ_DCAI_CAIMEN ON TD_CAI (CAIMEN)  ;

/*-- SEQ 0006 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99824 --
ALTER TABLE TW_TAB ADD COLUMN CAIMEN Numeric(2) ;



/*-- SEQ 0007 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99835 --
ALTER TABLE TD_FIL ADD COLUMN IP_ORDERLOCAL VARCHAR(3) ;



/*-- SEQ 0008 --*/
-- Tarefa 98537 --
ALTER TABLE TT_ICO ADD COLUMN PERDIF Numeric(5,2) ;


/*-- SEQ 0009 --*/
-- Tarefa 98537 --
ALTER TABLE TT_ICO ADD COLUMN VLRDIF Numeric(12,2) ;



/*-- SEQ 0010 --*/
-- Tarefa 98540 --
ALTER TABLE TT_COM ADD COLUMN XMLNFE TEXT ;



/*-- SEQ 0011 --*/
-- Tarefa 98541 --
ALTER TABLE TT_IVE ADD COLUMN PERDIF Numeric(5,2) ;


/*-- SEQ 0012 --*/
-- Tarefa 98541 --
ALTER TABLE TT_IVE ADD COLUMN VLRDIF Numeric(12,2) ;



/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99861 --
SELECT * FROM NADA;

/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99861 --
SELECT * FROM NADA;

/*-- SEQ 0015 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99861 --
SELECT * FROM NADA;


/*-- SEQ 0016 --*/
-- Tarefa 99861 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0017 --*/
-- Tarefa 99861 --
UPDATE TT_PRO PRO SET USALOT = 'T', LOTONL = 'T' 
 WHERE EXISTS(SELECT 1 AS OK FROM TD_FIL DFIL WHERE DFIL.CGCFIL='81336398000133')
   AND EXISTS(SELECT 1 AS OK FROM TT_LOT LOT  WHERE LOT.FILMAT=PRO.FILMAT AND LOT.CODMAT=PRO.CODMAT);

/*-- SEQ 0018 --*/
-- Tarefa 99861 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));


/*-- SEQ 0019 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99835 --
SELECT ExecAlteraTipoColuna('TD_FIL','IP_ORDERLOCAL','VARCHAR(20)');



/*-- SEQ 0020 --*/
-- Tarefa 99893 --
SELECT DISABLETRIGGERS(LOWER('TI_SAL'));

/*-- SEQ 0021 --*/
-- Tarefa 99893 --
SELECT DISABLETRIGGERS(LOWER('TI_DES'));

/*-- SEQ 0022 --*/
-- Tarefa 99893 --
SELECT DISABLETRIGGERS(LOWER('TI_LIM'));

/*-- SEQ 0023 --*/
-- Tarefa 99893 --
UPDATE TI_SAL
   SET STATUS = '2'
 WHERE STATUS IS NOT NULL
   AND STATUS NOT IN ('0','1','2');

/*-- SEQ 0024 --*/
-- Tarefa 99893 --
UPDATE TI_DES
   SET STATUS = '2'
 WHERE STATUS IS NOT NULL
   AND STATUS NOT IN ('0','1','2');

/*-- SEQ 0025 --*/
-- Tarefa 99893 --
UPDATE TI_LIM
   SET STATUS = '2'
 WHERE STATUS IS NOT NULL
   AND STATUS NOT IN ('0','1','2');

/*-- SEQ 0026 --*/
-- Tarefa 99893 --
ALTER TABLE TI_SAL ADD COLUMN STATUS_TMP Numeric(1) ;


/*-- SEQ 0027 --*/
-- Tarefa 99893 --
ALTER TABLE TI_DES ADD COLUMN STATUS_TMP Numeric(1) ;


/*-- SEQ 0028 --*/
-- Tarefa 99893 --
ALTER TABLE TI_LIM ADD COLUMN STATUS_TMP Numeric(1) ;


/*-- SEQ 0029 --*/
-- Tarefa 99893 --
UPDATE TI_SAL
   SET STATUS_TMP = TO_NUMBER(STATUS)
 WHERE STATUS IS NOT NULL;

/*-- SEQ 0030 --*/
-- Tarefa 99893 --
UPDATE TI_DES
   SET STATUS_TMP = TO_NUMBER(STATUS)
 WHERE STATUS IS NOT NULL;

/*-- SEQ 0031 --*/
-- Tarefa 99893 --
UPDATE TI_LIM
   SET STATUS_TMP = TO_NUMBER(STATUS)
 WHERE STATUS IS NOT NULL;

/*-- SEQ 0032 --*/
-- Tarefa 99893 --
ALTER TABLE TI_SAL DROP COLUMN STATUS CASCADE;

/*-- SEQ 0033 --*/
-- Tarefa 99893 --
ALTER TABLE TI_SAL ADD COLUMN STATUS Numeric(1) ;


/*-- SEQ 0034 --*/
-- Tarefa 99893 --
ALTER TABLE TI_DES DROP COLUMN STATUS CASCADE;

/*-- SEQ 0035 --*/
-- Tarefa 99893 --
ALTER TABLE TI_DES ADD COLUMN STATUS Numeric(1) ;


/*-- SEQ 0036 --*/
-- Tarefa 99893 --
ALTER TABLE TI_LIM DROP COLUMN STATUS CASCADE;

/*-- SEQ 0037 --*/
-- Tarefa 99893 --
ALTER TABLE TI_LIM ADD COLUMN STATUS Numeric(1) ;


/*-- SEQ 0038 --*/
-- Tarefa 99893 --
UPDATE TI_SAL
   SET STATUS = STATUS_TMP
 WHERE STATUS_TMP IS NOT NULL;

/*-- SEQ 0039 --*/
-- Tarefa 99893 --
UPDATE TI_DES
   SET STATUS = STATUS_TMP
 WHERE STATUS_TMP IS NOT NULL;

/*-- SEQ 0040 --*/
-- Tarefa 99893 --
UPDATE TI_LIM
   SET STATUS = STATUS_TMP
 WHERE STATUS_TMP IS NOT NULL;

/*-- SEQ 0041 --*/
-- Tarefa 99893 --
ALTER TABLE TI_SAL ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0042 --*/
-- Tarefa 99893 --
ALTER TABLE TI_SAL ALTER COLUMN STATUS SET NOT NULL;

/*-- SEQ 0043 --*/
-- Tarefa 99893 --
ALTER TABLE TI_DES ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0044 --*/
-- Tarefa 99893 --
ALTER TABLE TI_DES ALTER COLUMN STATUS SET NOT NULL;

/*-- SEQ 0045 --*/
-- Tarefa 99893 --
ALTER TABLE TI_LIM ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0046 --*/
-- Tarefa 99893 --
ALTER TABLE TI_LIM ALTER COLUMN STATUS SET NOT NULL;

/*-- SEQ 0047 --*/
-- Tarefa 99893 --
ALTER TABLE TI_SAL DROP COLUMN STATUS_TMP CASCADE;

/*-- SEQ 0048 --*/
-- Tarefa 99893 --
ALTER TABLE TI_DES DROP COLUMN STATUS_TMP CASCADE;

/*-- SEQ 0049 --*/
-- Tarefa 99893 --
ALTER TABLE TI_LIM DROP COLUMN STATUS_TMP CASCADE;

/*-- SEQ 0050 --*/
-- Tarefa 99893 --
SELECT ENABLETRIGGERS(LOWER('TI_SAL'));

/*-- SEQ 0051 --*/
-- Tarefa 99893 --
SELECT ENABLETRIGGERS(LOWER('TI_DES'));

/*-- SEQ 0052 --*/
-- Tarefa 99893 --
SELECT ENABLETRIGGERS(LOWER('TI_LIM'));


/*-- SEQ 0053 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TI_CLI','CELCON','VARCHAR(10)');


/*-- SEQ 0054 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TI_CLI','CELNUM','VARCHAR(10)');


/*-- SEQ 0055 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TI_CLI','CELUCO','VARCHAR(10)');


/*-- SEQ 0056 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TI_CLI','CONTEL','VARCHAR(10)');


/*-- SEQ 0057 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TI_CLI','NUMTEL','VARCHAR(10)');


/*-- SEQ 0058 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TI_CLI','TELCON','VARCHAR(10)');


/*-- SEQ 0059 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TT_SPC','NUMTEL','VARCHAR(10)');


/*-- SEQ 0060 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TT_SPC','TELCON','VARCHAR(10)');




/*-- SEQ 0061 --*/
-- Tarefa 99958 --
UPDATE TD_CAI
   SET CAIMEN = TO_NUMBER(CX_COD)
 WHERE ISDIGIT(CX_COD) = 1
   AND CX_COD < '100';


/*-- SEQ 0062 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99697 --
DROP VIEW TV_FIN_RTT CASCADE;


/*-- SEQ 0063 --*/
-- Tarefa 100032 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0064 --*/
-- Tarefa 100032 --
UPDATE TT_FUN SET DATFUN = TO_DATE('01/07/2017','DD/MM/YYYY')
  WHERE NOMFUN = 'CEST_NF';

/*-- SEQ 0065 --*/
-- Tarefa 100032 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0066 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97756 --
ALTER TABLE TT_REC ADD COLUMN FILPGT CHAR(3) ;


/*-- SEQ 0067 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97756 --
ALTER TABLE TT_REC ADD COLUMN CODPGT CHAR(3) ;


/*-- SEQ 0068 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97756 --
ALTER TABLE TT_REC ADD CONSTRAINT FK_REC_PLA FOREIGN KEY (FILPGT,CODPGT) REFERENCES TT_PLA (FILPGT,CODPGT);

/*-- SEQ 0069 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97756 --
CREATE INDEX I_FK_REC_PLA ON TT_REC (FILPGT,CODPGT)  ;


/*-- SEQ 0070 --*/
-- Tarefa 97753 --
ALTER TABLE TT_PLA DROP CONSTRAINT CK_PLA_APLICA CASCADE;

/*-- SEQ 0071 --*/
-- Tarefa 97753 --
ALTER TABLE TT_PLA ADD CONSTRAINT CK_PLA_APLICA CHECK (APLICA IN (0,1,2,3,4,5,6));


/*-- SEQ 0072 --*/
-- Tarefa 100086 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0073 --*/
-- Tarefa 100086 --
UPDATE TT_FUN SET DATFUN = TO_DATE('01/07/2017','DD/MM/YYYY')
  WHERE NOMFUN = 'CEST_CF';

/*-- SEQ 0074 --*/
-- Tarefa 100086 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0075 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;

/*-- SEQ 0076 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;

/*-- SEQ 0077 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;

/*-- SEQ 0078 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;


/*-- SEQ 0079 --*/
-- Tarefa 100108 --
SELECT DISABLETRIGGERS(LOWER('TT_SAL'));

/*-- SEQ 0080 --*/
-- Tarefa 100108 --
UPDATE TT_SAL
   SET CAL_CM = NULL, 
       ATU_CM = 'F', 
       DUMMY = 'x'
 WHERE NOT EXISTS (SELECT 1
                     FROM TT_FUN 
                    WHERE NOMFUN = 'ATU_CSTMDO');      

/*-- SEQ 0081 --*/
-- Tarefa 100108 --
SELECT ENABLETRIGGERS(LOWER('TT_SAL'));

/*-- SEQ 0082 --*/
-- Tarefa 100108 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0083 --*/
-- Tarefa 100108 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ATU_CSTMDO', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ATU_CSTMDO'));

/*-- SEQ 0084 --*/
-- Tarefa 100108 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0085 --*/
-- Tarefa 100000 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0086 --*/
ALTER TABLE TT_CFG ADD COLUMN SISDFE Numeric(1) DEFAULT 1;

/*-- SEQ 0087 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0088 --*/
-- Tarefa 100000 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_SISDFE CHECK (SISDFE IN (0, 1));

/*-- SEQ 0089 --*/
-- Tarefa 100000 --
ALTER TABLE TT_CFG ALTER COLUMN SISDFE SET NOT NULL;

/*-- SEQ 0090 --*/
-- Tarefa 100000 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0091 --*/
ALTER TABLE TW_CFG ADD COLUMN SISDFE Numeric(1) DEFAULT 1;

/*-- SEQ 0092 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0093 --*/
-- Tarefa 100151 --
SELECT DISABLETRIGGERS(LOWER('TT_TIN'));

/*-- SEQ 0094 --*/
ALTER TABLE TT_TIN ADD COLUMN SISTIN Numeric(1) DEFAULT 0;

/*-- SEQ 0095 --*/
SELECT ENABLETRIGGERS(LOWER('TT_TIN'));

/*-- SEQ 0096 --*/
-- Tarefa 100151 --
ALTER TABLE TT_TIN ALTER COLUMN SISTIN SET NOT NULL;

/*-- SEQ 0097 --*/
-- Tarefa 100151 --
ALTER TABLE TT_TIN ADD CONSTRAINT CK_TIN_SISTIN CHECK (SISTIN IN (0,1));


/*-- SEQ 0098 --*/
-- Tarefa 100163 --
SELECT DISABLETRIGGERS(LOWER('TT_GRAXSC'));

/*-- SEQ 0099 --*/
ALTER TABLE TT_GRAXSC ADD COLUMN SISTIN Numeric(1) DEFAULT 0;

/*-- SEQ 0100 --*/
SELECT ENABLETRIGGERS(LOWER('TT_GRAXSC'));

/*-- SEQ 0101 --*/
-- Tarefa 100163 --
ALTER TABLE TT_GRAXSC ALTER COLUMN SISTIN SET NOT NULL;

/*-- SEQ 0102 --*/
-- Tarefa 100163 --
ALTER TABLE TT_GRAXSC ADD CONSTRAINT CK_GXSC_SISTIN CHECK (SISTIN IN (0,1));

/*-- SEQ 0103 --*/
-- Tarefa 100163 --
ALTER TABLE TT_GRAXSC ADD COLUMN PRECO_MIN Numeric(12,2) ;



/*-- SEQ 0104 --*/
-- Tarefa 100164 --
ALTER TABLE GX_CFG ADD COLUMN GX_CFGSHOTCOLORDATULTATU Timestamp ;


/*-- SEQ 0105 --*/
-- Tarefa 100164 --
ALTER TABLE GX_CFG ADD COLUMN GX_CFGSHOTCOLORID Numeric(18,0) ;



/*-- SEQ 0106 --*/
-- Tarefa 100204 --
ALTER TABLE TL_IOR_PAF ADD COLUMN ASSINA VARCHAR(256) ;



/*-- SEQ 0107 --*/
-- Tarefa 100152 --
SELECT DISABLETRIGGERS(LOWER('TD_SER'));

/*-- SEQ 0108 --*/
ALTER TABLE TD_SER ADD COLUMN RECIBO VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0109 --*/
SELECT ENABLETRIGGERS(LOWER('TD_SER'));

/*-- SEQ 0110 --*/
-- Tarefa 100152 --
ALTER TABLE TD_SER ALTER COLUMN RECIBO SET NOT NULL;

/*-- SEQ 0111 --*/
-- Tarefa 100152 --
ALTER TABLE TD_SER ADD CONSTRAINT CK_DSER_RECIBO CHECK (RECIBO IN ('T','F'));

/*-- SEQ 0112 --*/
-- Tarefa 100152 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0113 --*/
ALTER TABLE TW_TAB ADD COLUMN RECIBO VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0114 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));


/*-- SEQ 0115 --*/
-- Tarefa 100154 --
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0116 --*/
ALTER TABLE TT_VEN ADD COLUMN RECIBO VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0117 --*/
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0118 --*/
-- Tarefa 100154 --
ALTER TABLE TT_VEN ALTER COLUMN RECIBO SET NOT NULL;

/*-- SEQ 0119 --*/
-- Tarefa 100154 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_RECIBO CHECK (RECIBO IN ('T','F'));

/*-- SEQ 0120 --*/
-- Tarefa 100154 --
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0121 --*/
ALTER TABLE TT_VEN ADD COLUMN NFRECI VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0122 --*/
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0123 --*/
-- Tarefa 100154 --
ALTER TABLE TT_VEN ALTER COLUMN NFRECI SET NOT NULL;

/*-- SEQ 0124 --*/
-- Tarefa 100154 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_NFRECI CHECK (NFRECI IN ('T','F'));


/*-- SEQ 0125 --*/
-- Tarefa 100156 --
ALTER TABLE TD_NAT DROP CONSTRAINT CK_DNAT_TIPNAT CASCADE;

/*-- SEQ 0126 --*/
-- Tarefa 100156 --
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_TIPNAT CHECK (TIPNAT IN ('E','S','V','D','F','A','C','M','N','P','R','J','B','O','I','Z','Y'));


/*-- SEQ 0127 --*/
-- Tarefa 100157 --
ALTER TABLE TT_CFG ADD COLUMN NATRECIBO Numeric(5) ;


/*-- SEQ 0128 --*/
-- Tarefa 100157 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DNAT_NATRECIBO FOREIGN KEY (NATRECIBO) REFERENCES TD_NAT (CODTAB);

/*-- SEQ 0129 --*/
-- Tarefa 100157 --
CREATE INDEX I_FK_CFG_DNAT_NATRECIBO ON TT_CFG (NATRECIBO)  ;

/*-- SEQ 0130 --*/
-- Tarefa 100157 --
ALTER TABLE TW_CFG ADD COLUMN NATRECIBO Numeric(5) ;


/*-- SEQ 0131 --*/
-- Tarefa 100157 --
ALTER TABLE TT_CFG ADD COLUMN NATNFRECI Numeric(5) ;


/*-- SEQ 0132 --*/
-- Tarefa 100157 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DNAT_NATNFRECI FOREIGN KEY (NATNFRECI) REFERENCES TD_NAT (CODTAB);

/*-- SEQ 0133 --*/
-- Tarefa 100157 --
CREATE INDEX I_FK_CFG_DNAT_NATNFRECI ON TT_CFG (NATNFRECI)  ;

/*-- SEQ 0134 --*/
-- Tarefa 100157 --
ALTER TABLE TW_CFG ADD COLUMN NATNFRECI Numeric(5) ;



/*-- SEQ 0135 --*/
-- Tarefa 100159 --
ALTER TABLE TD_FIL ADD COLUMN SERNFRECI CHAR(2) ;


/*-- SEQ 0136 --*/
-- Tarefa 100159 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_DSER_SERNFRECI FOREIGN KEY (SERNFRECI) REFERENCES TD_SER (CODSER);

/*-- SEQ 0137 --*/
-- Tarefa 100159 --
CREATE INDEX I_FK_DFIL_DSER_SERNFRECI ON TD_FIL (SERNFRECI)  ;



/*-- SEQ 0138 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100249 --
DROP FUNCTION ConcatenaVEN (TT_VEN.CODFIL%TYPE,TT_VEN.NUMECF%TYPE,TT_VEN.CODSER%TYPE,TT_VEN.NUMNOT%TYPE,TT_VEN.CNT_RO%TYPE,TT_VEN.VLRLIQ%TYPE,TT_VEN.FLGEST%TYPE) CASCADE;


/*-- SEQ 0139 --*/
-- Tarefa 100099 --
CREATE TABLE TT_QRY (
  ID_QRY Numeric(14),
  QRYCHV VARCHAR(20),
  QRYDES VARCHAR(40),
  QRYATI VARCHAR(1),
  QRYEXP TEXT,
  DATINC Timestamp,
  ATU_EM Timestamp
  )  ;

/*-- SEQ 0140 --*/
-- Tarefa 100099 --
ALTER TABLE TT_QRY ADD CONSTRAINT PK_QRY PRIMARY KEY (ID_QRY);

/*-- SEQ 0141 --*/
-- Tarefa 100099 --
ALTER TABLE TT_QRY ALTER COLUMN QRYCHV SET NOT NULL;

/*-- SEQ 0142 --*/
-- Tarefa 100099 --
ALTER TABLE TT_QRY ALTER COLUMN QRYDES SET NOT NULL;

/*-- SEQ 0143 --*/
-- Tarefa 100099 --
ALTER TABLE TT_QRY ALTER COLUMN QRYATI SET NOT NULL;

/*-- SEQ 0144 --*/
-- Tarefa 100099 --
ALTER TABLE TT_QRY ALTER COLUMN QRYEXP SET NOT NULL;

/*-- SEQ 0145 --*/
-- Tarefa 100099 --
ALTER TABLE TT_QRY ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0146 --*/
-- Tarefa 100099 --
ALTER TABLE TT_QRY ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0147 --*/
-- Tarefa 100099 --
ALTER TABLE TT_QRY ADD CONSTRAINT CK_QRY_QRYATI CHECK (QRYATI IN ('T','F'));

/*-- SEQ 0148 --*/
-- Tarefa 100099 --
ALTER TABLE TT_QRY ALTER COLUMN QRYATI SET DEFAULT 'T';

/*-- SEQ 0149 --*/
-- Tarefa 100099 --
CREATE SEQUENCE sqQRY INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0150 --*/
-- Tarefa 100099 --
INSERT INTO TT_QRY
(ID_QRY, QRYCHV, QRYDES, QRYEXP, QRYATI, DATINC, ATU_EM)
VALUES
((SELECT NEXTVAL('sqQRY') FROM DUAL),
 'DESCONTO_ITEM',
 'DESCONTO NO ITEM',
 'select ''DESCONTO_ITEM''  as "SQL_Chave", cast( ''false'' as VARCHAR(5)) as "B_SQL_Ativo",
        ''select Trunc(i.DocIte_ValorTotal *-.1,2)
          from Documento d inner join DocumentoItem i on i.Doc_Id = d.Doc_Id
                           inner join Transacao t on t.Trn_Id = d.Doc_TrnId
                           inner join participante p on p.Par_Id = t.Trn_ParId
                           inner join usuario u on u.usu_parid = p.Par_Id
          where i.Doc_Id = $1
            and i.DocIte_Id = $2'' as "SQL_Expressao" from dual',
 'F',            
 Agora(),
 Agora());

/*-- SEQ 0151 --*/
-- Tarefa 100099 --
INSERT INTO TT_QRY
(ID_QRY, QRYCHV, QRYDES, QRYEXP, QRYATI, DATINC, ATU_EM)
VALUES
((SELECT NEXTVAL('sqQRY') FROM DUAL),
 'DESCONTO_VENDA',
 'DESCONTO NA VENDA',
 'select ''DESCONTO_VENDA'' as "SQL_Chave", cast( ''false'' as VARCHAR(5)) as "B_SQL_Ativo",
	''select Trunc( sum(i.DocIte_Quantidade/2) ) * 50.00 as Valor
	  from Documento d 	inner join DocumentoItem i on i.Doc_id = d.Doc_id
	inner join Produto p on p.Pro_Id = i.DocIte_ProId
	inner join Classe1 c on c.Cl1_Id = p.Pro_Cl1Id
	  where d.Doc_TrnId = $1
	  and i.DocIte_Situacao = ''''N''''
	  and c.Cl1_Nome = ''''BOMBAS''''
	  and i.DocIte_PromoId is Null
	  and p.Pro_Preco > 500
	  and i.DocIte_Desconto = 0'' as "SQL_Expressao" from dual',
 'F',     
 Agora(),
 Agora());

/*-- SEQ 0152 --*/
-- Tarefa 100099 --
INSERT INTO TT_QRY
(ID_QRY, QRYCHV, QRYDES, QRYEXP, QRYATI, DATINC, ATU_EM)
VALUES
((SELECT NEXTVAL('sqQRY') FROM DUAL),
 'BONUS',
 'BONUS',
 'select ''BONUS'' as "SQL_Chave", cast( ''false'' as VARCHAR(5)) as "B_SQL_Ativo",
	''select case when coalesce( Par_FidelizacaoId, 1 ) = 1 then 0.00 else Trn_Valor * Fid_Percentual / 100 end
      from transacao inner join Participante on Par_id = Trn_ParId
                     left  join Fidelizacao on Fid_Id = Par_FidelizacaoId
	  where Trn_Id = $1 '' as "SQL_Expressao" from dual',
 'F',     
 Agora(),
 Agora());

/*-- SEQ 0153 --*/
-- Tarefa 100099 --
INSERT INTO TT_QRY
(ID_QRY, QRYCHV, QRYDES, QRYEXP, QRYATI, DATINC, ATU_EM)
VALUES
((SELECT NEXTVAL('sqQRY') FROM DUAL),
 'RODAPE_CUPOM',
 'RODAPE DO CUPOM',
 'select ''RODAPE_CUPOM''   as "SQL_Chave", cast( ''true''  as VARCHAR(5)) as "B_SQL_Ativo",
        ''select cast( ''''OPERADOR:'''' || u.usu_apelido ||
                 case when v.usu_id is not null and v.usu_id <> u.usu_id
                  then '''' - VENDEDOR:'''' || v.usu_apelido
                  else '''''''' end as VARCHAR(40) ) || ''''|<BARRAS>'''' as linha
	  from transacao t inner join usuario u on u.usu_id = t.trn_usuid
	   inner join documento d on d.doc_TrnId = t.trn_id
	   left  join usuario v on v.usu_id = d.vdd_id
	  where t.trn_id = $1'' as "SQL_Expressao" from dual',
 'T',     
 Agora(),
 Agora());


/*-- SEQ 0154 --*/
-- Tarefa 100257 --
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0155 --*/
-- Tarefa 100257 --
UPDATE TT_VEN VEN
   SET MODNOT = (SELECT LPAD(TO_CHAR(DSER.MODNOT),2,'0')
                   FROM TD_SER DSER
                  WHERE DSER.CODSER = VEN.CODSER)
 WHERE MODNOT IS NULL;

/*-- SEQ 0156 --*/
-- Tarefa 100257 --
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));



/*-- SEQ 0157 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100273 --
DROP FUNCTION ConcatenaVEN (TT_VEN.CODFIL%TYPE,TT_VEN.NUMECF%TYPE,TT_VEN.CODSER%TYPE,TT_VEN.NUMNOT%TYPE,TT_VEN.CNT_RO%TYPE,TT_VEN.VLRLIQ%TYPE,TT_VEN.FLGEST%TYPE,TT_VEN.SEREXT%TYPE,TT_VEN.MODNOT%TYPE) CASCADE;

/*-- SEQ 0158 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100273 --
DROP FUNCTION ConcatenaGRA (TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TT_GRA.REFPRO%TYPE) CASCADE;


/*-- SEQ 0159 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;
 
/*-- SEQ 0160 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0161 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0162 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0163 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;
  
  
/*-- SEQ 0164 --*/ 
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0165 --*/ 
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0166 --*/ 
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0167 --*/ 
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0168 --*/ 
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;
  
/*-- SEQ 0169 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0170 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0176 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;



/*-- SEQ 0177 --*/
-- Tarefa 100275 --
CREATE INDEX I_LC_GRA_CODFIS ON TT_GRA (CODFIS)  ;


/*-- SEQ 0178 --*/
-- Tarefa 100373 --
ALTER TABLE TD_CAR ADD COLUMN CODCRE VARCHAR(3) ;


/*-- SEQ 0179 --*/
-- Tarefa 100373 --
ALTER TABLE TW_TAB ADD COLUMN CODCRE VARCHAR(3) ;



/*-- SEQ 0180 --*/
-- Tarefa 100401 --
ALTER TABLE TT_TEF DROP CONSTRAINT CK_TEF_TIPOPE CASCADE;

/*-- SEQ 0181 --*/
-- Tarefa 100401 --
ALTER TABLE TT_TEF ADD CONSTRAINT CK_TEF_TIPOPE CHECK (TIPOPE IN ('C','D','P'));


/*-- SEQ 0182 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0187 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;


/*-- SEQ 0189 --*/
-- Tarefa 100474 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0190 --*/
-- Tarefa 100474 --
UPDATE TT_CFG SET CHECKOUT_VERMIN = '5.4a', CHECKOUT_RELMIN = 10;

/*-- SEQ 0191 --*/
-- Tarefa 100474 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));


/*-- SEQ 0192 --*/
-- Tarefa 100149 --
ALTER TABLE TD_FIL DROP CONSTRAINT CK_DFIL_SEGMENTO CASCADE;


/*-- SEQ 0193 --*/
-- Tarefa 100440 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0194 --*/
-- Tarefa 100440 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'LOCK_SEP_R', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'LOCK_SEP_R'));

/*-- SEQ 0195 --*/
-- Tarefa 100440 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0196 --*/
-- Tarefa 100446 --
SELECT DISABLETRIGGERS(LOWER('TT_CON'));

/*-- SEQ 0197 --*/
-- Tarefa 100446 --
SELECT DISABLETRIGGERS(LOWER('TT_RFC'));

/*-- SEQ 0198 --*/
-- Tarefa 100446 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0199 --*/
-- Tarefa 100446 --
SELECT DISABLETRIGGERS(LOWER('TT_END'));

/*-- SEQ 0200 --*/
-- Tarefa 100446 --
SELECT DISABLETRIGGERS(LOWER('TT_SPC'));

/*-- SEQ 0201 --*/
-- Tarefa 100446 --
UPDATE TT_CON
   SET TELCON = '9'||TRIM(TELCON)
 WHERE SUBSTR(TRIM(TELCON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(TELCON)) = 8;

/*-- SEQ 0202 --*/
-- Tarefa 100446 --
UPDATE TT_RFC
   SET NUMFON = '9'||TRIM(NUMFON)
 WHERE SUBSTR(TRIM(NUMFON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(NUMFON)) = 8;

/*-- SEQ 0203 --*/
-- Tarefa 100446 --
UPDATE TT_CLI
   SET TELCON = '9'||TRIM(TELCON)
 WHERE SUBSTR(TRIM(TELCON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(TELCON)) = 8;

/*-- SEQ 0204 --*/
-- Tarefa 100446 --
UPDATE TT_END
   SET NUMFON = '9'||TRIM(NUMFON)
 WHERE SUBSTR(TRIM(NUMFON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(NUMFON)) = 8;

/*-- SEQ 0205 --*/
-- Tarefa 100446 --
UPDATE TT_CLI
   SET CELCON = '9'||TRIM(CELCON)
 WHERE SUBSTR(TRIM(CELCON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(CELCON)) = 8;

/*-- SEQ 0206 --*/
-- Tarefa 100446 --
UPDATE TT_SPC
   SET NUMCEL = '9'||TRIM(NUMCEL)
 WHERE SUBSTR(TRIM(NUMCEL),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(NUMCEL)) = 8;

/*-- SEQ 0207 --*/
-- Tarefa 100446 --
UPDATE TT_CON
   SET CELCON = '9'||TRIM(CELCON)
 WHERE SUBSTR(TRIM(CELCON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(CELCON)) = 8;

/*-- SEQ 0208 --*/
-- Tarefa 100446 --
SELECT ENABLETRIGGERS(LOWER('TT_CON'));

/*-- SEQ 0209 --*/
-- Tarefa 100446 --
SELECT ENABLETRIGGERS(LOWER('TT_RFC'));

/*-- SEQ 0210 --*/
-- Tarefa 100446 --
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0211 --*/
-- Tarefa 100446 --
SELECT ENABLETRIGGERS(LOWER('TT_END'));

/*-- SEQ 0212 --*/
-- Tarefa 100446 --
SELECT ENABLETRIGGERS(LOWER('TT_SPC'));



/*-- SEQ 0213 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100533 --
DROP FUNCTION ConcatenaORC (TT_ORC.CODFIL%TYPE,TT_ORC.TIPPED%TYPE,TT_ORC.NUMPED%TYPE,TT_ORC.NUMPED_PAF%TYPE,TT_ORC.PED_EM%TYPE,TT_ORC.VLRTOT%TYPE,TT_ORC.CODEMP%TYPE,TT_ORC.COOORC%TYPE) CASCADE;

/*-- SEQ 0214 --*/
-- Tarefa 100533 --
SELECT DISABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0215 --*/
-- Tarefa 100533 --
UPDATE TT_ORC ORC SET NUMECF = (SELECT LID.NUMECF 
                                  FROM TT_LID LID 
                                 WHERE ORC.CODFIL = LID.FILPED
                                   AND ORC.TIPPED = LID.TIPPED
                                   AND ORC.NUMPED = LID.NUMPED
                                   AND LID.TIPOPE = 'DOCECF'),
                      COOORC = (SELECT LID.CONCOO 
                                  FROM TT_LID LID 
                                 WHERE ORC.CODFIL = LID.FILPED
                                   AND ORC.TIPPED = LID.TIPPED
                                   AND ORC.NUMPED = LID.NUMPED
                                   AND LID.TIPOPE = 'DOCECF'),
                      ORCIMP = 'T'
 WHERE EXISTS(SELECT 1 AS OK 
                FROM TT_LID LID 
               WHERE ORC.CODFIL = LID.FILPED
                 AND ORC.TIPPED = LID.TIPPED
                 AND ORC.NUMPED = LID.NUMPED
                 AND LID.TIPOPE = 'DOCECF');

/*-- SEQ 0216 --*/
-- Tarefa 100533 --
SELECT ENABLETRIGGERS(LOWER('TT_ORC'));


/*-- SEQ 0217 --*/
-- Tarefa 100539 --
ALTER TABLE TR_CAI ADD COLUMN CODUID Numeric ;


/*-- SEQ 0218 --*/
-- Tarefa 100539 --
ALTER TABLE TR_CAI ADD COLUMN ASSINA VARCHAR(256) ;


/*-- SEQ 0219 --*/
-- Tarefa 100539 --
ALTER TABLE TR_CAI ADD CONSTRAINT FK_RCAI_UID FOREIGN KEY (CODUID) REFERENCES TT_UID(CODUID);

/*-- SEQ 0220 --*/
-- Tarefa 100539 --
CREATE INDEX I_FK_RCAI_UID ON TR_CAI (CODUID)  ;

/*-- SEQ 0221 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100539 --
DROP FUNCTION ConcatenaDFIL (TD_FIL.CODFIL%TYPE,TD_FIL.DATEST%TYPE,TD_FIL.CGCFIL%TYPE) CASCADE;

/*-- SEQ 0222 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100539 --
DROP FUNCTION ConcatenaOPE (TT_OPE.CODFIL%TYPE,TT_OPE.NUMECF%TYPE,TT_OPE.TRN_ID%TYPE,TT_OPE.VLROPE%TYPE) CASCADE;

/*-- SEQ 0223 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100539 --
DROP FUNCTION ConcatenaPRO (TT_PRO.FILMAT%TYPE,TT_PRO.CODMAT%TYPE,TT_PRO.DESMAT%TYPE) CASCADE;

/*-- SEQ 0224 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100539 --
DROP FUNCTION ConcatenaDECF (TD_ECF.FILECF%TYPE,TD_ECF.NUMECF%TYPE,TD_ECF.SERECF%TYPE) CASCADE;

/*-- SEQ 0225 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100539 --
DROP FUNCTION ConcatenaCFG (TT_CFG.PAFECF_CGCTOT%TYPE,TT_CFG.PAFECF_PRIARQ_MD5%TYPE,TT_CFG.PAFECF_NOMPAF%TYPE) CASCADE;

/*-- SEQ 0226 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100539 --
DROP FUNCTION ConcatenaVEN (TT_VEN.CODFIL%TYPE,TT_VEN.NUMECF%TYPE,TT_VEN.CODSER%TYPE,TT_VEN.NUMNOT%TYPE,TT_VEN.CNT_RO%TYPE,TT_VEN.VLRLIQ%TYPE,TT_VEN.FLGEST%TYPE,TT_VEN.SEREXT%TYPE,TT_VEN.MODNOT%TYPE,TT_VEN.CHAVEA%TYPE) CASCADE;

/*-- SEQ 0227 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100539 --
DROP FUNCTION ConcatenaIVE (TT_IVE.VEN_DATHOR%TYPE,TT_IVE.NUMITE%TYPE,TT_IVE.FILMAT%TYPE,TT_IVE.CODMAT%TYPE,TT_IVE.CODCOR%TYPE,TT_IVE.CODTAM%TYPE,TT_IVE.QTDMOV%TYPE,TT_IVE.VLRORI%TYPE,TT_IVE.VLRMOV%TYPE,TT_IVE.TIPPRO%TYPE,TT_IVE.ICMTIP%TYPE,TT_IVE.TAX001%TYPE,TT_IVE.SITMOV%TYPE) CASCADE;

/*-- SEQ 0228 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100539 --
DROP FUNCTION ConcatenaLID (TT_LID.CODFIL%TYPE,TT_LID.NUMECF%TYPE,TT_LID.TRN_ID%TYPE,TT_LID.CONCCF%TYPE,TT_LID.CONCOO%TYPE,TT_LID.CONGNF%TYPE,TT_LID.CONCDC%TYPE,TT_LID.TIPDOC%TYPE,TT_LID.DATHOR%TYPE) CASCADE;


/*-- SEQ 0229 --*/
-- Tarefa 100550 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0230 --*/
ALTER TABLE TD_FIL ADD COLUMN TROCOTEF Numeric(12,2) DEFAULT 0;

/*-- SEQ 0231 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0232 --*/
-- Tarefa 100550 --
ALTER TABLE TD_FIL ALTER COLUMN TROCOTEF SET NOT NULL;

/*-- SEQ 0233 --*/
-- Tarefa 100550 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_TROCOTEF CHECK (TROCOTEF >= 0);



/*-- SEQ 0234 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100539 --
DROP FUNCTION ConcatenaCFG (TT_CFG.PAFECF_CGCTOT%TYPE,TT_CFG.PAFECF_PRIARQ_MD5%TYPE,TT_CFG.PAFECF_NOMPAF%TYPE,TT_CFG.CKPAPREDEC%TYPE) CASCADE;

