
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Tarefa 2019108638 --
SELECT DISABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0003 --*/
-- Ticket 2019108638 --
UPDATE TT_COM
   SET OBSERV = Rtf2txt(OBSERV)
 WHERE TRUNC(DATCMP) >= TO_DATE('01/01/2019','DD/MM/YYYY')
   AND (OBSERV IS NOT NULL)
   AND Rtf2txt(OBSERV) <> OBSERV;

/*-- SEQ 0004 --*/
-- Tarefa 2019108638 --
SELECT ENABLETRIGGERS(LOWER('TT_COM'));


/*-- SEQ 0005 --*/
-- Tarefa 2019106998 --
ALTER TABLE TT_ICO ADD COLUMN CODBEN VARCHAR(10) ;


/*-- SEQ 0006 --*/
-- Tarefa 2019106998 --
ALTER TABLE TT_ICO ADD COLUMN VLRDESON Numeric(15,2) ;


/*-- SEQ 0007 --*/
-- Tarefa 2019106998 --
ALTER TABLE TT_ICO ADD COLUMN MOTDESON Numeric(2) ;


/*-- SEQ 0008 --*/
-- Tarefa 2019106998 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_NN_MOTDESON CHECK ((MOTDESON IS NULL AND COALESCE(VLRDESON, 0) = 0) OR (MOTDESON IS NOT NULL AND COALESCE(VLRDESON, 0) <> 0));

/*-- SEQ 0009 --*/
-- Tarefa 2019106998 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_MOTDESON  CHECK (MOTDESON IN (1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12));




/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
/*-- Projeto PJ7277 --*/
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric,Numeric,VARCHAR,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
/*-- Projeto PJ7277 --*/
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric,Numeric,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
/*-- Projeto PJ7277 --*/
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric,Numeric,VARCHAR) CASCADE;

/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
/*-- Projeto PJ7277 --*/
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric,Numeric) CASCADE;

/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
/*-- Projeto PJ7277 --*/
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric) CASCADE;

/*-- SEQ 0015 --*/
/*-- IGNORE ERRO --*/
/*-- Projeto PJ7277 --*/
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR) CASCADE;

/*-- SEQ 0016 --*/
/*-- IGNORE ERRO --*/
/*-- Projeto PJ7277 --*/
DROP FUNCTION PedidoPendente (VARCHAR,TT_IPE.FILMAT%TYPE,TT_IPE.CODMAT%TYPE,TT_IPE.CODCOR%TYPE,TT_IPE.CODTAM%TYPE,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0017 --*/
/*-- IGNORE ERRO --*/
/*-- Projeto PJ7277 --*/
DROP FUNCTION PedidoPendente (VARCHAR,TT_IPE.FILMAT%TYPE,TT_IPE.CODMAT%TYPE,TT_IPE.CODCOR%TYPE,TT_IPE.CODTAM%TYPE) CASCADE;

/*-- SEQ 0018 --*/
/*-- IGNORE ERRO --*/
/*-- Projeto PJ7277 --*/
DROP FUNCTION PedidoPendente (VARCHAR,TT_IPE.FILMAT%TYPE,TT_IPE.CODMAT%TYPE,TT_IPE.CODCOR%TYPE,TT_IPE.CODTAM%TYPE,VARCHAR) CASCADE;



/*-- SEQ 0019 --*/
-- Projeto PJ7277 --
ALTER TABLE TT_EDI ADD COLUMN QTDPEN_ENT Numeric(16,4) ;


/*-- SEQ 0020 --*/
-- Projeto PJ7277 --
ALTER TABLE TT_EDI ADD COLUMN QTDPEN_SAI Numeric(16,4) ;



/*-- SEQ 0021 --*/
-- Projeto PJ7277 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0022 --*/
-- Projeto PJ7277 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'DIST_SEM_ETAPA_APLI', 'Gerar Pedido de Reposio na Distribuio sem a etapa Aplicar?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DIST_SEM_ETAPA_APLI'));

/*-- SEQ 0023 --*/
-- Projeto PJ7277 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0024 --*/
-- Ticket 2019117065 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0025 --*/
-- Ticket 2019117065 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'TRANSF_VLRITE_ST_MAJ', 'Majorar Valor de Item Substitudos em Transferncia', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TRANSF_VLRITE_ST_MAJ'));

/*-- SEQ 0026 --*/
-- Ticket 2019117065 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

