
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 2019108658 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0003 --*/
-- Ticket 2019108658 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'IMP_ALIQ_ICMS', 'Alquota de ICMS para Nota de Importao', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IMP_ALIQ_ICMS'));

/*-- SEQ 0004 --*/
-- Ticket 2019108658 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PERC_DIF_IMP', 'Percentual de Diferimento para Nota de Importao', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PERC_DIF_IMP'));

/*-- SEQ 0005 --*/
-- Ticket 2019108658 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'TTD_NF_IMP', 'TTD para NF de Importao', 'T', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TTD_NF_IMP'));

/*-- SEQ 0006 --*/
-- Ticket 2019108658 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0007 --*/
-- GES - 2019097191 --
ALTER TABLE TT_VEN ADD COLUMN DESESP Numeric(12,2) ;


/*-- SEQ 0008 --*/
-- GES - 2019097191 --
ALTER TABLE TT_PLA ADD COLUMN DESESP Numeric(6,4) ;



/*-- SEQ 0009 --*/
-- Ticket 2020016177 --
SELECT DISABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0010 --*/
ALTER TABLE TT_IUF ADD COLUMN ALIDIF Numeric(5) DEFAULT 0;

/*-- SEQ 0011 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0012 --*/
-- Ticket 2020016177 --
ALTER TABLE TT_IUF ALTER COLUMN ALIDIF SET NOT NULL;

/*-- SEQ 0013 --*/
-- Ticket 2020016177 --
ALTER TABLE TT_IUF ADD CONSTRAINT FK_IUF_DICM_DIF FOREIGN KEY (ALIDIF) REFERENCES TD_ICM (CODTAB);

/*-- SEQ 0014 --*/
-- Ticket 2020016177 --
SELECT DISABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0015 --*/
ALTER TABLE TT_IUF ADD COLUMN REGDIF CHAR(1) DEFAULT 'C';

/*-- SEQ 0016 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0017 --*/
-- Ticket 2020016177 --
ALTER TABLE TT_IUF ALTER COLUMN REGDIF SET NOT NULL;

/*-- SEQ 0018 --*/
-- Ticket 2020016177 --
ALTER TABLE TT_IUF ADD CONSTRAINT CK_IUF_REGDIF CHECK (REGDIF IN ('C','R','J'));

