
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 2019101073 --
SELECT DISABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0003 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ORC ADD COLUMN EXPORT CHAR(1) DEFAULT 'F';

/*-- SEQ 0004 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019101073 --
ALTER TABLE TT_ORC ALTER COLUMN EXPORT SET NOT NULL;

/*-- SEQ 0006 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019101073 --
CREATE INDEX I_LC_ORC_EXPORT ON TT_ORC (EXPORT, DATINC)  ;

/*-- SEQ 0007 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019101073 --
ALTER TABLE TT_ORC ADD COLUMN DUMMY VARCHAR(1) ;


/*-- SEQ 0008 --*/
-- Ticket 2019101073 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0009 --*/
-- Ticket 2019101073 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'EXPORT_ORC', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'EXPORT_ORC'));

/*-- SEQ 0010 --*/
-- Ticket 2019101073 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0011 --*/
-- Ticket 2019101073 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0012 --*/
-- Ticket 2019101073 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'EXP_DAV_EME4', 'Integrao de DAV/Pr-Venda na exportao EME4?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EXP_DAV_EME4'));

/*-- SEQ 0013 --*/
-- Ticket 2019101073 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0014 --*/
-- Ticket 2020043929 --
SELECT ExecAlteraTipoColuna('TD_CT1','NOMCT1','VARCHAR(40)');



/*-- SEQ 0015 --*/
-- Tarefa 2019053290 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0016 --*/
-- Tarefa 2019053290 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'BLOQ_PREVENDAPARCIAL', 'Bloquear Resgate de Pr-Venda Parcial', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'BLOQ_PREVENDAPARCIAL'));

/*-- SEQ 0017 --*/
-- Tarefa 2019053290 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0018 --*/
-- Ticket 2020044468 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CT1 ADD COLUMN CODEXT_DCT1 VARCHAR(20) ;


/*-- SEQ 0019 --*/
-- Ticket 2020044468 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CT2 ADD COLUMN CODEXT_DCT2 VARCHAR(20) ;


/*-- SEQ 0020 --*/
-- Ticket 2020044468 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CT3 ADD COLUMN CODEXT_DCT3 VARCHAR(20) ;


/*-- SEQ 0021 --*/
-- Ticket 2020044468 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD COLUMN CODEXT_DCT1 VARCHAR(20) ;


/*-- SEQ 0022 --*/
-- Ticket 2020044468 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD COLUMN CODEXT_DCT2 VARCHAR(20) ;


/*-- SEQ 0023 --*/
-- Ticket 2020044468 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD COLUMN CODEXT_DCT3 VARCHAR(20) ;


/*-- SEQ 0024 --*/
-- Ticket 2020044468 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CLI ADD COLUMN CODCT1 VARCHAR(20) ;


/*-- SEQ 0025 --*/
-- Ticket 2020044468 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CLI ADD COLUMN CODCT2 VARCHAR(20) ;


/*-- SEQ 0026 --*/
-- Ticket 2020044468 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CLI ADD COLUMN CODCT3 VARCHAR(20) ;



/*-- SEQ 0027 --*/
-- Ticket 2020044824 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_LIM ADD COLUMN CODCCC VARCHAR(20) ;



/*-- SEQ 0028 --*/
-- Ticket 2019121857 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0029 --*/
-- Ticket 2019121857 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PERGUNTAR_IMP_RECIBO', 'Boto Imprimir desativado no Recebimento de Dbitos do Totall POS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PERGUNTAR_IMP_RECIBO'));

/*-- SEQ 0030 --*/
-- Ticket 2019121857 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0031 --*/
-- Ticket 2019121857 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0032 --*/
-- Ticket 2019121857 --
INSERT INTO TT_IPC (ID_IPC, ID_PCS, VLRBOO, DATINC, ATU_EM)
SELECT NEXTVAL('SQIPC'), PCS.ID_PCS, 'F', AGORA(), AGORA()
  FROM TT_PCS PCS
 WHERE PCS.NOMPCS = 'PERGUNTAR_IMP_RECIBO'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS);

/*-- SEQ 0033 --*/
-- Ticket 2019121857 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));

