
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 2021034619 --
SELECT ExecAlteraTipoColuna('TT_IUF','PERDIF','Numeric(7,4)');


/*-- SEQ 0003 --*/
-- Ticket 2021034619 --
SELECT ExecAlteraTipoColuna('TT_ICO','PERDIF','Numeric(7,4)');


/*-- SEQ 0004 --*/
-- Ticket 2021034619 --
SELECT ExecAlteraTipoColuna('TT_IVE','PERDIF','Numeric(7,4)');



/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020065662 --
ALTER TABLE TL_SRV_MID DROP CONSTRAINT CK_LSVM_ORILOG CASCADE;

/*-- SEQ 0006 --*/
-- Ticket 2020065662 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0007 --*/
-- Ticket 2020065662 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'MIDDLEWAREREST_HOST', 'IP do Servidor do Middleware Matriz para comunicao no padro REST Full', 'T', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'MIDDLEWAREREST_HOST'));

/*-- SEQ 0008 --*/
-- Ticket 2020065662 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'MIDDLEWAREREST_PORT', 'Porta do Servidor do Middleware Matriz para comunicao no padro REST Full', 'I', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'MIDDLEWAREREST_PORT'));

/*-- SEQ 0009 --*/
-- Ticket 2020065662 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'TABELA_CATEGORIA_INT', 'Cdigo da Tabela de Classes(1, 2, 3, 4) para envio como Categoria na integrao "Mercos e etc.".', 'I', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TABELA_CATEGORIA_INT'));

/*-- SEQ 0010 --*/
-- Ticket 2020065662 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0011 --*/
-- Ticket 2020065662 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0012 --*/
-- Ticket 2020065662 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRTXT)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, CFG.GX_CFGMIDDLEWARE_HOST
   FROM TT_PCS PCS
  CROSS JOIN GX_CFG CFG
  WHERE PCS.NOMPCS = 'MIDDLEWAREREST_HOST'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0013 --*/
-- Ticket 2020065662 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRINT)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 9000 -- Porta padro do novo servidor
   FROM TT_PCS PCS
  CROSS JOIN GX_CFG CFG
  WHERE PCS.NOMPCS = 'MIDDLEWAREREST_PORT'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0014 --*/
-- Ticket 2020065662 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRINT)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 1
   FROM TT_PCS PCS
  CROSS JOIN GX_CFG CFG
  WHERE PCS.NOMPCS = 'TABELA_CATEGORIA_INT'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0015 --*/
-- Ticket 2020065662 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0016 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2021017411 --
ALTER TABLE TT_VEN ADD COLUMN IMPSEP VARCHAR(1) ;


/*-- SEQ 0017 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2021017411 --
ALTER TABLE TT_ORC ADD COLUMN IMPSEP VARCHAR(1) ;


/*-- SEQ 0018 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2021017411 --
ALTER TABLE TT_PED ADD COLUMN IMPSEP VARCHAR(1) ;


/*-- SEQ 0019 --*/
-- Ticket 2021017411 --
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0020 --*/
-- Ticket 2021017411 --
SELECT DISABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0021 --*/
-- Ticket 2021017411 --
SELECT DISABLETRIGGERS(LOWER('TT_PED'));

/*-- SEQ 0022 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021017411 --
UPDATE TT_VEN
   SET IMPSEP = 'F'
  WHERE IMPSEP IS NULL;
   
/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021017411 --
UPDATE TT_ORC
   SET IMPSEP = 'F'
 WHERE IMPSEP IS NULL;

/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021017411 --
UPDATE TT_PED
   SET IMPSEP = 'F'
 WHERE IMPSEP IS NULL;

/*-- SEQ 0025 --*/
-- Ticket 2021017411 --
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0026 --*/
-- Ticket 2021017411 --
SELECT ENABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0027 --*/
-- Ticket 2021017411 --
SELECT ENABLETRIGGERS(LOWER('TT_PED'));

/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021017411 --
ALTER TABLE TT_VEN ALTER COLUMN IMPSEP SET DEFAULT 'F';

/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021017411 --
ALTER TABLE TT_ORC ALTER COLUMN IMPSEP SET DEFAULT 'F';

/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021017411 --
ALTER TABLE TT_PED ALTER COLUMN IMPSEP SET DEFAULT 'F';

/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021017411 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_IMPSEP CHECK (IMPSEP IN ('T','F'));

/*-- SEQ 0032 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021017411 --
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_IMPSEP CHECK (IMPSEP IN ('T','F'));

/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021017411 --
ALTER TABLE TT_PED ADD CONSTRAINT CK_PED_IMPSEP CHECK (IMPSEP IN ('T','F'));


/*-- SEQ 0034 --*/
-- Ticket 2021029497 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0035 --*/
-- Ticket 2021029497 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'SEL_AUT_TABPRE_CT', 'Seleo automtica da tabela de preo pela categoria de cliente no Order(Desktop).', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'SEL_AUT_TABPRE_CT'));

/*-- SEQ 0036 --*/
-- Ticket 2021029497 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0037 --*/
-- Ticket 2021029497 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0038 --*/
-- Ticket 2021029497 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  CROSS JOIN GX_CFG CFG
  WHERE PCS.NOMPCS = 'SEL_AUT_TABPRE_CT'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0039 --*/
-- Ticket 2021029497 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0040 --*/
-- Tarefa 2021013014 --
ALTER TABLE TT_GRA ADD COLUMN FILCOM_ANT CHAR(3) ;


/*-- SEQ 0041 --*/
-- Tarefa 2021013014 --
ALTER TABLE TT_GRA ADD COLUMN SEQCOM_ANT CHAR(10) ;


/*-- SEQ 0042 --*/
-- Tarefa 2021013014 --
ALTER TABLE TT_GRA ADD COLUMN ITECOM_ANT Numeric(10) ;


/*-- SEQ 0043 --*/
-- Tarefa 2021013014 --
ALTER TABLE TT_GRA ADD CONSTRAINT FK_GRA_ICO_ANT FOREIGN KEY (FILCOM_ANT, SEQCOM_ANT, ITECOM_ANT) REFERENCES TT_ICO (CODFIL, SEQUEN, NUMITE);
 
/*-- SEQ 0044 --*/
-- Tarefa 2021013014 --
CREATE INDEX I_FK_GRA_ICO_ANT ON TT_GRA (FILCOM_ANT, SEQCOM_ANT, ITECOM_ANT)  ;

/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2021013014 --
ALTER TABLE TT_GRA ADD CONSTRAINT FK_GRA_ICO FOREIGN KEY (FILCOM, SEQCOM, ITECOM) REFERENCES TT_ICO (CODFIL, SEQUEN, NUMITE);
 
/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2021013014 --
CREATE INDEX I_FK_GRA_ICO ON TT_GRA (FILCOM, SEQCOM, ITECOM)  ;


/*-- SEQ 0047 --*/
-- Ticket 2020065662 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0048 --*/
-- Ticket 2020065662 --
UPDATE TT_PCS SET DESPCS = 'Cdigo da Tabela de Classes(1, 2, 3, 4) para envio como Categoria na integrao "Mercos e etc.".'
 WHERE NOMPCS = 'TABELA_CATEGORIA_INT';

/*-- SEQ 0049 --*/
-- Ticket 2020065662 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'TABELA_SEGMENTO_INT', 'Cdigo da Tabela de Categoria(1, 2, 3) para envio como Segmento na integrao "Mercos e etc.".', 'I', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TABELA_SEGMENTO_INT'));

/*-- SEQ 0050 --*/
-- Ticket 2020065662 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'NUM_CHR_PREF_CT_ECOM', 'Nmero de caracteres de prefixo da categoria de cliente para E-Commerce.', 'I', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NUM_CHR_PREF_CT_ECOM'));

/*-- SEQ 0051 --*/
-- Ticket 2020065662 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0052 --*/
-- Ticket 2020065662 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0053 --*/
-- Ticket 2020065662 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRINT)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 1
   FROM TT_PCS PCS
  CROSS JOIN GX_CFG CFG
  WHERE PCS.NOMPCS = 'TABELA_SEGMENTO_INT'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0054 --*/
-- Ticket 2020065662 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0055 --*/
-- Tarefa 2021018889 --
ALTER TABLE TL_CLI ADD COLUMN DUMMY VARCHAR(1) ;



/*-- SEQ 0056 --*/
-- Ticket 2021048507 --
SELECT DISABLETRIGGERS(LOWER('TD_NAT'));

/*-- SEQ 0057 --*/
-- Ticket 2021048507 --
UPDATE TD_NAT
   SET NATMEN = COALESCE((SELECT MAX(NATMEN) FROM TD_NAT WHERE NATMEN IS NOT NULL), 0) + 1
 WHERE (SELECT count(*)
          FROM TD_NAT
         WHERE NATMEN IS NOT NULL
           AND NATDEN = '510200') = 0
  AND NATDEN = '510200';

/*-- SEQ 0058 --*/
-- Ticket 2021048507 --
UPDATE TD_NAT
   SET NATMEN = COALESCE((SELECT MAX(NATMEN) FROM TD_NAT WHERE NATMEN IS NOT NULL), 0) + 1
 WHERE (SELECT count(*)
          FROM TD_NAT
         WHERE NATMEN IS NOT NULL
           AND NATDEN = '592900') = 0
  AND NATDEN = '592900';

/*-- SEQ 0059 --*/
-- Ticket 2021048507 --
UPDATE TD_NAT
   SET NATMEN = COALESCE((SELECT MAX(NATMEN) FROM TD_NAT WHERE NATMEN IS NOT NULL), 0) + 1
 WHERE (SELECT count(*)
          FROM TD_NAT
         WHERE NATMEN IS NOT NULL
           AND NATDEN = '510299') = 0
  AND NATDEN = '510299';

/*-- SEQ 0060 --*/
-- Ticket 2021048507 --
SELECT ENABLETRIGGERS(LOWER('TD_NAT'));


/*-- SEQ 0061 --*/
-- Ticket 2021039659 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0062 --*/
-- Ticket 2021039659 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'IMP_FICHA_CAD_POS', 'Imprimir Ficha Cadastral de Cliente ao Final do cadastro no PoS', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IMP_FICHA_CAD_POS'));

/*-- SEQ 0063 --*/
-- Ticket 2021039659 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0064 --*/
-- Ticket 2021039659 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0065 --*/
-- Ticket 2021039659 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  CROSS JOIN GX_CFG CFG
  WHERE PCS.NOMPCS = 'IMP_FICHA_CAD_POS'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0066 --*/
-- Ticket 2021039659 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0067 --*/
-- Ticket 2021051240 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0068 --*/
-- Ticket 2021051240 --
UPDATE TT_PCS SET DESPCS = 'Portador para Boleto de E-Commerce/Televendas'
 WHERE NOMPCS = 'PORTADOR_ECOM_BOLETO';

/*-- SEQ 0069 --*/
-- Ticket 2021051240 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0070 --*/
-- Ticket 2021029095 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0071 --*/
-- Ticket 2021029095 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'USA_NUMNOT_MATRIZ', 'Utilizar consulta de numerao de nota no middleware local para operaes na Matriz.', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USA_NUMNOT_MATRIZ'));

/*-- SEQ 0072 --*/
-- Ticket 2021029095 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'SERPAD_OPE_MATRIZ', 'Srie padro para operaes na Matriz. Ex: Devoluo, Nota de Crdito de ICMS e etc.', 'T', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'SERPAD_OPE_MATRIZ'));
                     
/*-- SEQ 0073 --*/
-- Ticket 2021029095 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0074 --*/
-- Ticket 2021029095 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0075 --*/
-- Ticket 2021029095 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  CROSS JOIN GX_CFG CFG
  WHERE PCS.NOMPCS = 'USA_NUMNOT_MATRIZ'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0076 --*/
-- Ticket 2021029095 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0077 --*/
-- Ticket 2021056342 --
SELECT DISABLETRIGGERS(LOWER('TT_DEL'));

/*-- SEQ 0078 --*/
-- Ticket 2021056342 --
UPDATE TT_DEL 
   SET ATU_EM = AGORA()
 WHERE ATU_EM >= TO_DATE('01/01/2021','DD/MM/YYYY');

/*-- SEQ 0079 --*/
-- Ticket 2021056342 --
SELECT ENABLETRIGGERS(LOWER('TT_DEL'));


/*-- SEQ 0080 --*/
-- Ticket 2021039659 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0081 --*/
-- Ticket 2021039659 --
UPDATE TT_PCS set DESPCS = 'Imprimir ficha cadastral de cliente ao final do cadastro no POS'
  WHERE NOMPCS = 'IMP_FICHA_CAD_POS';

/*-- SEQ 0082 --*/
-- Ticket 2021039659 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0083 --*/
-- Ticket 2020124081 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0084 --*/
-- Ticket 2020124081 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'IMP_EXTRATO_P_RECIBO', 'Impresso automtica do extrato dos dbitos aps recibo de recebimento?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IMP_EXTRATO_P_RECIBO'));

INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'IMP_CUP_REC_REDUZIDO', 'Imprimir cupom de recebimento e extrato reduzido?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IMP_CUP_REC_REDUZIDO'));

/*-- SEQ 0085 --*/
-- Ticket 2020124081 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0086 --*/
-- Ticket 2020124081 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0087 --*/
-- Ticket 2020124081 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
   FROM TT_PCS PCS
  CROSS JOIN GX_CFG CFG
  WHERE PCS.NOMPCS = 'IMP_EXTRATO_P_RECIBO'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0088 --*/
-- Ticket 2020124081 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
   FROM TT_PCS PCS
  CROSS JOIN GX_CFG CFG
  WHERE PCS.NOMPCS = 'IMP_CUP_REC_REDUZIDO'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0089 --*/
-- Ticket 2020124081 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0090 --*/
-- Ticket 2021039659 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0091 --*/
-- Ticket 2021039659 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ALT_EMBQTD', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ALT_EMBQTD'));

/*-- SEQ 0092 --*/
-- Ticket 2021039659 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0093 --*/
-- Ticket 2021057447  --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0094 --*/
-- Ticket 2021057447 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'SERPAD_ORC_TELEVENDA', 'Srie padro para DAV/Pr-Venda de Televendas?', 'T', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'SERPAD_ORC_TELEVENDA'));

/*-- SEQ 0095 --*/
-- Ticket 2021057447 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0096 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021058656 --
ALTER TABLE TT_CFG ADD COLUMN INT_CON_ABA Numeric(5,0) ;


/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021058656 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_DREM_CONABA FOREIGN KEY (INT_CON_ABA) REFERENCES TD_REM (CODTAB);

/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021058656 --
CREATE INDEX I_FK_DREM_CONABA ON TT_CFG (INT_CON_ABA)  ;

/*-- SEQ 0099 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021058656 --
ALTER TABLE TW_CFG ADD COLUMN INT_CON_ABA Numeric(5,0) ;


/*-- SEQ 0100 --*/
-- Ticket 2021058656 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0101 --*/
-- Ticket 2021058656 --
UPDATE TT_CFG
   SET INT_CON_ABA = 4
 WHERE EXISTS (SELECT 1 AS OK
                 FROM TD_REM
                WHERE CODTAB = 4)
   AND INT_CON_ABA IS NULL;

/*-- SEQ 0102 --*/
-- Ticket 2021058656 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0103 --*/
-- Ticket 2021058656 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0104 --*/
-- Ticket 2021058656 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CNABCONABA', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CNABCONABA'));

/*-- SEQ 0105 --*/
-- Ticket 2021058656 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0106 --*/
-- Ticket 2021068089 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0107 --*/
-- Ticket 2021068089 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'EXP_NUMDAV_EME4', 'Exporta nmero do DAV/Pr-Venda na exportao EME4?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EXP_NUMDAV_EME4'));

/*-- SEQ 0108 --*/
-- Ticket 2021068089 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

