
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 2021027969 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0003 --*/
-- Ticket 2021027969 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'NT_2020_006', 'Data de incio para envio do Intermediador e Novos Meios de Pagamento - Nota Tcnica 2020.006', 'D', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NT_2020_006'));

/*-- SEQ 0004 --*/
-- Ticket 2021027969 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0005 --*/
-- Ticket 2021027969 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0006 --*/
-- Ticket 2021027969 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRDAT)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, TO_DATE('01/09/2021', 'DD/MM/YYYY')
  FROM TT_PCS PCS
 WHERE PCS.NOMPCS = 'NT_2020_006'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0007 --*/
-- Ticket 2021027969 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0008 --*/
-- Ticket 2021027969 --
CREATE TABLE TD_TIPXINT (
  CODTAB Numeric(10),
  DATINC Timestamp,
  ATU_EM Timestamp,
  DESTIPxINT VARCHAR(100)
  )  ;

/*-- SEQ 0009 --*/
-- Ticket 2021027969 --
ALTER TABLE TD_TIPXINT ADD CONSTRAINT PK_DTXI PRIMARY KEY (CODTAB);

/*-- SEQ 0010 --*/
-- Ticket 2021027969 --
CREATE SEQUENCE SQDTXI INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0011 --*/
-- Ticket 2021027969 --
ALTER TABLE TD_TIPXINT ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0012 --*/
-- Ticket 2021027969 --
ALTER TABLE TD_TIPXINT ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0013 --*/
-- Ticket 2021027969 --
ALTER TABLE TD_TIPXINT ALTER COLUMN DESTIPxINT SET NOT NULL;

/*-- SEQ 0014 --*/
-- Ticket 2021027969 --
INSERT INTO TD_TIPXINT (CODTAB, DATINC, ATU_EM, DESTIPxINT)
VALUES (0, AGORA(), AGORA(), 'No Definido');

/*-- SEQ 0015 --*/
-- Ticket 2021027969 --
INSERT INTO TD_TIPXINT (CODTAB, DATINC, ATU_EM, DESTIPxINT)
VALUES (1, AGORA(), AGORA(), 'Outros');

/*-- SEQ 0016 --*/
-- Ticket 2021027969 --
INSERT INTO TD_TIPXINT (CODTAB, DATINC, ATU_EM, DESTIPxINT)
VALUES (2, AGORA(), AGORA(), 'Totali Mobi');

/*-- SEQ 0017 --*/
-- Ticket 2021027969 --
INSERT INTO TD_TIPXINT (CODTAB, DATINC, ATU_EM, DESTIPxINT)
VALUES (3, AGORA(), AGORA(), 'SkyHub');

/*-- SEQ 0018 --*/
-- Ticket 2021027969 --
INSERT INTO TD_TIPXINT (CODTAB, DATINC, ATU_EM, DESTIPxINT)
VALUES (4, AGORA(), AGORA(), 'Mercos');

/*-- SEQ 0019 --*/
-- Ticket 2021027969 --
INSERT INTO TD_TIPXINT (CODTAB, DATINC, ATU_EM, DESTIPxINT)
VALUES (5, AGORA(), AGORA(), 'E-Commerce');

/*-- SEQ 0020 --*/
-- Ticket 2021027969 --
ALTER TABLE TW_TAB ADD COLUMN DESTIPXINT VARCHAR(100) ;


/*-- SEQ 0021 --*/
-- Ticket 2021027969 --
CREATE TABLE TT_CLIXINT (
  ID_CLIxINT Numeric(10),
  DATINC Timestamp,
  ATU_EM Timestamp,
  FILCLI CHAR(3),
  CODCLI CHAR(6),
  TIPINT Numeric(10),
  CODINT VARCHAR(100)
  )  ;

/*-- SEQ 0022 --*/
-- Ticket 2021027969 --
ALTER TABLE TT_CLIXINT ADD CONSTRAINT PK_CLXI PRIMARY KEY (ID_CLIXINT);

/*-- SEQ 0023 --*/
-- Ticket 2021027969 --
CREATE SEQUENCE SQCLXI INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0024 --*/
-- Ticket 2021027969 --
ALTER TABLE TT_CLIXINT ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0025 --*/
-- Ticket 2021027969 --
ALTER TABLE TT_CLIXINT ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0026 --*/
-- Ticket 2021027969 --
ALTER TABLE TT_CLIXINT ALTER COLUMN FILCLI SET NOT NULL;

/*-- SEQ 0027 --*/
-- Ticket 2021027969 --
ALTER TABLE TT_CLIXINT ALTER COLUMN CODCLI SET NOT NULL;

/*-- SEQ 0028 --*/
-- Ticket 2021027969 --
ALTER TABLE TT_CLIXINT ALTER COLUMN TIPINT SET NOT NULL;

/*-- SEQ 0029 --*/
-- Ticket 2021027969 --
ALTER TABLE TT_CLIXINT ALTER COLUMN CODINT SET NOT NULL;

/*-- SEQ 0030 --*/
-- Ticket 2021027969 --
ALTER TABLE TT_CLIXINT ADD CONSTRAINT FK_CLXI_CLI FOREIGN KEY (FILCLI,CODCLI) REFERENCES TT_CLI (FILCLI,CODCLI);

/*-- SEQ 0031 --*/
-- Ticket 2021027969 --
CREATE INDEX I_FK_CLXI_CLI ON TT_CLIXINT (FILCLI,CODCLI)  ;

/*-- SEQ 0032 --*/
-- Ticket 2021027969 --
ALTER TABLE TT_CLIXINT ADD CONSTRAINT FK_CLXI_DTXI FOREIGN KEY (TIPINT) REFERENCES TD_TIPXINT (CODTAB);

/*-- SEQ 0033 --*/
-- Ticket 2021027969 --
CREATE INDEX I_LC_CLXI_TIPINT ON TT_CLIxINT (TIPINT)  ;

/*-- SEQ 0034 --*/
-- Ticket 2021027969 --
CREATE INDEX I_LC_CLXI_INTERMEDIADOR ON TT_CLIxINT (TIPINT,CODINT)  ;

/*-- SEQ 0035 --*/
-- Ticket 2021027969 --
ALTER TABLE TT_ORC ADD COLUMN TIPINT Numeric(10) ;


/*-- SEQ 0036 --*/
-- Ticket 2021027969 --
ALTER TABLE TT_ORC ADD CONSTRAINT FK_ORC_DTXI FOREIGN KEY (TIPINT) REFERENCES TD_TIPxINT (CODTAB);

/*-- SEQ 0037 --*/
-- Ticket 2021027969 --
CREATE INDEX I_FK_ORC_DTXI ON TT_ORC (TIPINT)  ;

/*-- SEQ 0038 --*/
-- Ticket 2021027969 --
ALTER TABLE TT_VEN ADD COLUMN FILINT CHAR(3) ;


/*-- SEQ 0039 --*/
-- Ticket 2021027969 --
ALTER TABLE TT_VEN ADD COLUMN CODINT CHAR(6) ;


/*-- SEQ 0040 --*/
-- Ticket 2021027969 --
ALTER TABLE TT_VEN ADD COLUMN TIPINT Numeric(10) ;


/*-- SEQ 0041 --*/
-- Ticket 2021027969 --
ALTER TABLE TT_VEN ADD COLUMN ID_INT VARCHAR(100) ;


/*-- SEQ 0042 --*/
-- Ticket 2021027969 --
ALTER TABLE TT_VEN ADD CONSTRAINT FK_VEN_CLI_INT FOREIGN KEY (FILINT,CODINT) REFERENCES TT_CLI (FILCLI,CODCLI);

/*-- SEQ 0043 --*/
-- Ticket 2021027969 --
CREATE INDEX I_FK_VEN_CLI_INT ON TT_VEN (FILINT,CODINT)  ;

/*-- SEQ 0044 --*/
-- Ticket 2021027969 --
ALTER TABLE TT_VEN ADD CONSTRAINT FK_VEN_DTXI FOREIGN KEY (TIPINT) REFERENCES TD_TIPxINT (CODTAB);

/*-- SEQ 0045 --*/
-- Ticket 2021027969 --
CREATE INDEX I_FK_VEN_DTXI ON TT_VEN (TIPINT)  ;


/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2021018889 --
ALTER TABLE TL_CLI ADD COLUMN DUMMY VARCHAR(1) ;



/*-- SEQ 0047 --*/
-- Ticket 2021048507 --
SELECT DISABLETRIGGERS(LOWER('TD_NAT'));

/*-- SEQ 0048 --*/
-- Ticket 2021048507 --
UPDATE TD_NAT
   SET NATMEN = COALESCE((SELECT MAX(NATMEN) FROM TD_NAT WHERE NATMEN IS NOT NULL), 0) + 1
 WHERE (SELECT count(*)
          FROM TD_NAT
         WHERE NATMEN IS NOT NULL
           AND NATDEN = '510200') = 0
  AND NATDEN = '510200';

/*-- SEQ 0049 --*/
-- Ticket 2021048507 --
UPDATE TD_NAT
   SET NATMEN = COALESCE((SELECT MAX(NATMEN) FROM TD_NAT WHERE NATMEN IS NOT NULL), 0) + 1
 WHERE (SELECT count(*)
          FROM TD_NAT
         WHERE NATMEN IS NOT NULL
           AND NATDEN = '592900') = 0
  AND NATDEN = '592900';

/*-- SEQ 0050 --*/
-- Ticket 2021048507 --
UPDATE TD_NAT
   SET NATMEN = COALESCE((SELECT MAX(NATMEN) FROM TD_NAT WHERE NATMEN IS NOT NULL), 0) + 1
 WHERE (SELECT count(*)
          FROM TD_NAT
         WHERE NATMEN IS NOT NULL
           AND NATDEN = '510299') = 0
  AND NATDEN = '510299';

/*-- SEQ 0051 --*/
-- Ticket 2021048507 --
SELECT ENABLETRIGGERS(LOWER('TD_NAT'));


/*-- SEQ 0052 --*/
-- Ticket 2021039659 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0053 --*/
-- Ticket 2021039659 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'IMP_FICHA_CAD_POS', 'Imprimir Ficha Cadastral de Cliente ao Final do cadastro no PoS', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IMP_FICHA_CAD_POS'));

/*-- SEQ 0054 --*/
-- Ticket 2021039659 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0055 --*/
-- Ticket 2021039659 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0056 --*/
-- Ticket 2021039659 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'IMP_FICHA_CAD_POS'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0057 --*/
-- Ticket 2021039659 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0058 --*/
-- Ticket 2021051240 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0059 --*/
-- Ticket 2021051240 --
UPDATE TT_PCS SET DESPCS = 'Portador para Boleto de E-Commerce/Televendas'
 WHERE NOMPCS = 'PORTADOR_ECOM_BOLETO';

/*-- SEQ 0060 --*/
-- Ticket 2021051240 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0061 --*/
-- Ticket 2021029095 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0062 --*/
-- Ticket 2021029095 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'USA_NUMNOT_MATRIZ', 'Utilizar consulta de numerao de nota no middleware local para operaes na Matriz.', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USA_NUMNOT_MATRIZ'));

/*-- SEQ 0063 --*/
-- Ticket 2021029095 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'SERPAD_OPE_MATRIZ', 'Srie padro para operaes na Matriz. Ex: Devoluo, Nota de Crdito de ICMS e etc.', 'T', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'SERPAD_OPE_MATRIZ'));
                     
/*-- SEQ 0064 --*/
-- Ticket 2021029095 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0065 --*/
-- Ticket 2021029095 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0066 --*/
-- Ticket 2021029095 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'USA_NUMNOT_MATRIZ'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0067 --*/
-- Ticket 2021029095 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0068 --*/
-- Ticket 2021056342 --
SELECT DISABLETRIGGERS(LOWER('TT_DEL'));

/*-- SEQ 0069 --*/
-- Ticket 2021056342 --
UPDATE TT_DEL 
   SET ATU_EM = AGORA()
 WHERE ATU_EM >= TO_DATE('01/01/2021','DD/MM/YYYY');

/*-- SEQ 0070 --*/
-- Ticket 2021056342 --
SELECT ENABLETRIGGERS(LOWER('TT_DEL'));


/*-- SEQ 0071 --*/
-- Ticket 2021039659 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0072 --*/
-- Ticket 2021039659 --
UPDATE TT_PCS set DESPCS = 'Imprimir ficha cadastral de cliente ao final do cadastro no POS'
  WHERE NOMPCS = 'IMP_FICHA_CAD_POS';

/*-- SEQ 0073 --*/
-- Ticket 2021039659 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0074 --*/
-- Ticket 2020124081 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0075 --*/
-- Ticket 2020124081 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'IMP_EXTRATO_P_RECIBO', 'Impresso automtica do extrato dos dbitos aps recibo de recebimento?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IMP_EXTRATO_P_RECIBO'));

INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'IMP_CUP_REC_REDUZIDO', 'Imprimir cupom de recebimento e extrato reduzido?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IMP_CUP_REC_REDUZIDO'));

/*-- SEQ 0076 --*/
-- Ticket 2020124081 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0077 --*/
-- Ticket 2020124081 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0078 --*/
-- Ticket 2020124081 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'IMP_EXTRATO_P_RECIBO'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0079 --*/
-- Ticket 2020124081 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'IMP_CUP_REC_REDUZIDO'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0080 --*/
-- Ticket 2020124081 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0081 --*/
-- Ticket 2020124081 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0082 --*/
-- Ticket 2020124081 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'RESBAS_NOME_ECOM', 'Concatena Referncia Bsica a descrio do E-Commerce', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'RESBAS_NOME_ECOM'));

/*-- SEQ 0083 --*/
-- Ticket 2020124081 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0084 --*/
-- Ticket 2021039659 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0085 --*/
-- Ticket 2021039659 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ALT_EMBQTD', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ALT_EMBQTD'));

/*-- SEQ 0086 --*/
-- Ticket 2021039659 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0087 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2021026469 --
ALTER TABLE TT_GRA ADD COLUMN FLGREP VARCHAR(1) ;


/*-- SEQ 0088 --*/
-- Ticket 2021026469 --
SELECT DISABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021026469 --
UPDATE TT_GRA
   SET FLGREP = 'F'
  WHERE FLGREP IS NULL;
   
/*-- SEQ 0090 --*/
-- Ticket 2021026469 --
SELECT ENABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0091 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021026469 --
ALTER TABLE TT_GRA ALTER COLUMN FLGREP SET DEFAULT 'F';

/*-- SEQ 0092 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021026469 --
ALTER TABLE TT_GRA ADD CONSTRAINT CK_GRA_IMPSEP CHECK (FLGREP IN ('T','F'));


/*-- SEQ 0093 --*/
-- Ticket 2021057447  --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0094 --*/
-- Ticket 2021057447 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'SERPAD_ORC_TELEVENDA', 'Srie padro para DAV/Pr-Venda de Televendas?', 'T', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'SERPAD_ORC_TELEVENDA'));

/*-- SEQ 0095 --*/
-- Ticket 2021057447 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0096 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021058656 --
ALTER TABLE TT_CFG ADD COLUMN INT_CON_ABA Numeric(5,0) ;


/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021058656 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_DREM_CONABA FOREIGN KEY (INT_CON_ABA) REFERENCES TD_REM (CODTAB);

/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021058656 --
CREATE INDEX I_FK_DREM_CONABA ON TT_CFG (INT_CON_ABA)  ;

/*-- SEQ 0099 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021058656 --
ALTER TABLE TW_CFG ADD COLUMN INT_CON_ABA Numeric(5,0) ;


/*-- SEQ 0100 --*/
-- Ticket 2021058656 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0101 --*/
-- Ticket 2021058656 --
UPDATE TT_CFG
   SET INT_CON_ABA = 4
 WHERE EXISTS (SELECT 1 AS OK
                 FROM TD_REM
                WHERE CODTAB = 4)
   AND INT_CON_ABA IS NULL;

/*-- SEQ 0102 --*/
-- Ticket 2021058656 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0103 --*/
-- Ticket 2021058656 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0104 --*/
-- Ticket 2021058656 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CNABCONABA', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CNABCONABA'));

/*-- SEQ 0105 --*/
-- Ticket 2021058656 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0106 --*/
-- Ticket 2021068089 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0107 --*/
-- Ticket 2021068089 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'EXP_NUMDAV_EME4', 'Exporta nmero do DAV/Pr-Venda na exportao EME4?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EXP_NUMDAV_EME4'));

/*-- SEQ 0108 --*/
-- Ticket 2021068089 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0109 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2021072621 --
ALTER TABLE TT_ORC ADD COLUMN E_JSON TEXT ;


/*-- SEQ 0110 --*/
-- Tarefa 2021072621 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0111 --*/
-- Tarefa 2021072621 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'E_JSON', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'E_JSON'));

/*-- SEQ 0112 --*/
-- Tarefa 2021072621 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0113 --*/
-- Ticket 2021069331 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0114 --*/
-- Ticket 2021069331 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'SUBTRAIR_ICMS_INTER', 'Subtrair o ICMS Interestadual da base do DIFAL ST por dentro(Majorado)', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'SUBTRAIR_ICMS_INTER'));

/*-- SEQ 0115 --*/
-- Ticket 2021069331 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0116 --*/
-- Ticket 2021063044 --
CREATE SEQUENCE SQIMPNUMLOTE INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0117 --*/
-- Ticket 2021063044 --
ALTER TABLE TI_PRE ADD COLUMN IDLOTE Numeric(10) ;


/*-- SEQ 0118 --*/
-- Ticket 2021063044 --
ALTER TABLE TI_PRO ADD COLUMN IDLOTE Numeric(10) ;


/*-- SEQ 0119 --*/
-- Ticket 2021063044 --
ALTER TABLE TI_SAL ADD COLUMN IDLOTE Numeric(10) ;


/*-- SEQ 0120 --*/
-- Ticket 2021063044 --
ALTER TABLE TI_LAN ADD COLUMN IDLOTE Numeric(10) ;


/*-- SEQ 0121 --*/
-- Ticket 2021063044 --
ALTER TABLE TI_LOT ADD COLUMN IDLOTE Numeric(10) ;


/*-- SEQ 0122 --*/
-- Ticket 2021063044 --
ALTER TABLE TI_SLT ADD COLUMN IDLOTE Numeric(10) ;



/*-- SEQ 0123 --*/
-- Ticket 2021077325 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0124 --*/
-- Ticket 2021077325 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'DIFERENCA_CONF_PESO', 'Permitir diferena de X.xxx Gramas na conferncia de peso do Auto Atendimento - Ex: 0.100', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DIFERENCA_CONF_PESO'));

/*-- SEQ 0125 --*/
-- Ticket 2021077325 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0126 --*/
-- Ticket 2021029497 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0127 --*/
-- Ticket 2021029497 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'SEL_AUT_TABPRE_CT', 'Seleo automtica da tabela de preo pela categoria de cliente no Order(Desktop).', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'SEL_AUT_TABPRE_CT'));

/*-- SEQ 0128 --*/
-- Ticket 2021029497 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0129 --*/
-- Ticket 2021029497 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0130 --*/
-- Ticket 2021029497 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'SEL_AUT_TABPRE_CT'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0131 --*/
-- Ticket 2021029497 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0132 --*/
-- Ticket 2020065662 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0133 --*/
-- Ticket 2020065662 --
UPDATE TT_PCS SET DESPCS = 'Cdigo da Tabela de Classes(1, 2, 3, 4) para envio como Categoria na integrao "Mercos e etc.".'
 WHERE NOMPCS = 'TABELA_CATEGORIA_INT';

/*-- SEQ 0134 --*/
-- Ticket 2020065662 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'TABELA_SEGMENTO_INT', 'Cdigo da Tabela de Categoria(1, 2, 3) para envio como Segmento na integrao "Mercos e etc.".', 'I', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TABELA_SEGMENTO_INT'));

/*-- SEQ 0135 --*/
-- Ticket 2020065662 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'NUM_CHR_PREF_CT_ECOM', 'Nmero de caracteres de prefixo da categoria de cliente para E-Commerce.', 'I', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NUM_CHR_PREF_CT_ECOM'));

/*-- SEQ 0136 --*/
-- Ticket 2020065662 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0137 --*/
-- Ticket 2020065662 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0138 --*/
-- Ticket 2020065662 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRINT)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 1
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'TABELA_SEGMENTO_INT'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0139 --*/
-- Ticket 2020065662 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0140 --*/
-- Ticket 2020124081 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0141 --*/
-- Ticket 2020124081 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'CONCILIA_TODOSRG11', 'Concilia todos os registro tipo 11 do arquivo de conciliao?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CONCILIA_TODOSRG11'));

/*-- SEQ 0142 --*/
-- Ticket 2020124081 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0143 --*/
-- Ticket 2021064735 --
ALTER TABLE TT_COM ADD COLUMN TIPCCM VARCHAR(1) ;


/*-- SEQ 0144 --*/
-- Tarefa 2021064735 --
ALTER TABLE TT_COM ADD CONSTRAINT CK_COM_TIPCCM CHECK ((TIPCCM IS NULL) OR (TIPCCM IN ('C', 'M', 'Z')));

/*-- SEQ 0145 --*/
-- Ticket 2021064735 --
ALTER TABLE TT_ICO ADD COLUMN COM_TIPCCM VARCHAR(1) ;


/*-- SEQ 0146 --*/
-- Tarefa 2021064735 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_COM_TIPCCM CHECK ((COM_TIPCCM IS NULL) OR (COM_TIPCCM IN ('C', 'M', 'Z')));

/*-- SEQ 0147 --*/
-- Ticket 2021064735 --
ALTER TABLE TD_CFO ADD COLUMN TIPCCM VARCHAR(1) ;


/*-- SEQ 0148 --*/
-- Tarefa 2021064735 --
ALTER TABLE TD_CFO ADD CONSTRAINT CK_DCFO_TIPCCM CHECK ((TIPCCM IS NULL) OR (TIPCCM IN ('C', 'M', 'Z')));

/*-- SEQ 0149 --*/
-- Ticket 2021064735 --
ALTER TABLE TW_TAB ADD COLUMN TIPCCM VARCHAR(1) ;


/*-- SEQ 0150 --*/
-- Ticket 2021064735 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0151 --*/
-- Ticket 2021064735 --
UPDATE TT_PCS SET PCSATI = 'F'
 WHERE NOMPCS = 'ZERA_CUSTO_BONIFIC';

/*-- SEQ 0152 --*/
-- Ticket 2021064735 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0153 --*/
-- Ticket 2021077976 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0154 --*/
-- Ticket 2021077976 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'CAN_ITE_DAV_NAO_FAT', 'Realiza o cancelamento dos itens do DAV/Pr-Venda no Faturados?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CAN_ITE_DAV_NAO_FAT'));

/*-- SEQ 0155 --*/
-- Ticket 2021077976 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0156 --*/
-- Ticket 2022018478 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0157 --*/
-- Ticket 2022018478 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'IGNORAR_DIFAL', 'Ignorar cálculo do DIFAL?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IGNORAR_DIFAL'));

/*-- SEQ 0158 --*/
-- Ticket 2022018478 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

