
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 2022102100 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0003 --*/
-- Ticket 2022102100 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'CM_ZERO_SEMEST', 'Custo Mdio Unitrio Zero quando Saldo do Custo Mdio estiver Zero?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CM_ZERO_SEMEST'));

/*-- SEQ 0004 --*/
-- Ticket 2022102100 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022092246 --
DROP INDEX i_fk_ven_cli;

/*-- SEQ 0006 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022092246 --
CREATE INDEX I_FK_VEN_CLI ON TT_VEN (FILCLI,CODCLI)  ;

/*-- SEQ 0007 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022092246 --
CREATE INDEX I_LC_VEN_CLI_FILDTH ON TT_VEN (FILCLI, CODCLI, DATHOR, CODFIL)  ;


/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022103752 --
ALTER TABLE TT_IPE ADD CONSTRAINT FK_IPE_ICO FOREIGN KEY (FILICO,SEQICO,NUMICO) REFERENCES TT_ICO (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022103752 --
CREATE INDEX I_FK_IPE_ICO ON TT_IPE (FILICO,SEQICO,NUMICO)  ;

/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022103752 --
CREATE INDEX I_FK_IPE_PED ON TT_IPE (CODFIL, NUMPED)  ;



/*-- SEQ 0011 --*/
-- Ticket 2022038392 --
DROP FUNCTION Produtos_Nomes (Numeric,VARCHAR) CASCADE;

 /*-- SEQ 0012 --*/
-- Ticket 2022038392 --
DROP FUNCTION Nomes (VARCHAR,Numeric,Numeric) CASCADE;

/*-- SEQ 0013 --*/
-- Ticket 2022038392 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0014 --*/
-- Ticket 2022038392 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'IGNJNUMPLV', 'Permite ignorar unio entre nmero e palavras na funo de palavras associadas?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IGNJNUMPLV'));

/*-- SEQ 0015 --*/
-- Ticket 2022038392 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0016 --*/
-- Ticket 2022038392 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0017 --*/
-- Ticket 2022038392 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'IGNJNUMPLV'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0018 --*/
-- Ticket 2022038392 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0019 --*/
-- Ticket 2022116080 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0020 --*/
-- Ticket 2022116080 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'REL_TRA_PENDENTE', 'Diferenciar coluna "Meio de Pagamento" os meios que subiram via transao pendente (Relatrios)?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'REL_TRA_PENDENTE'));

/*-- SEQ 0021 --*/
-- Ticket 2022116080 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0022 --*/
-- Ticket 2022112665 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0023 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '39081025',
        'Poliamida-6, sem carga',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '39081025'));

/*-- SEQ 0024 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '39081026',
        'Poliamida-6,6, sem carga',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '39081026'));

/*-- SEQ 0025 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '40022091',
        '1,2-polibutadieno sindiotctico',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '40022091'));

/*-- SEQ 0026 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '40022099',
        'Outros',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '40022099'));

/*-- SEQ 0027 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '87149311',
        'Sem rosca, para pinhes do tipo cassete',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '87149311'));

/*-- SEQ 0028 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '87149319',
        'Outros',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '87149319'));

/*-- SEQ 0029 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '87149611',
        'Pedaleiros com pedivelas de pea nica (monobloco)',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '87149611'));

/*-- SEQ 0030 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '87149612',
        'Pedivelas de pea nica (monobloco)',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '87149612'));

/*-- SEQ 0031 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '87149619',
        'Outros',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '87149619'));

/*-- SEQ 0032 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '87149690',
        'Outros',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '87149690'));

/*-- SEQ 0033 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '87149920',
        'Caixas de direo sem rosca',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '87149920'));

/*-- SEQ 0034 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '90183926',
        'Cateteres intravenosos perifricos, de plstico',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '90183926'));

/*-- SEQ 0035 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '39074020',
        'Em p ou flocos, com ndice de fluidez de massa inferior a 60 g/10 min ou superior a 80 g/10 min segundo Norma ASTM D 1238',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '39074020'));

/*-- SEQ 0036 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '47032110',
        'Em rolos',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '47032110'));   

/*-- SEQ 0037 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '47032190',
        'Outras',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '47032190'));

/*-- SEQ 0038 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '76061230',
        'Simplesmente laminadas, constitudas de, pelo menos, duas camadas de diferentes ligas de alumnio, sendo uma o ncleo e as outras de revestimento, exceto: ncleo de liga da Aluminium Association AA 3003 modificada (liga de alumnio com um teor, em peso, de silcio inferior ou igual a 0,60 %, de ferro inferior ou igual a 0,70 %, de cobre igual ou superior a 0,05 % e inferior ou igual a 0,20 %, de mangans igual ou superior a 1,0 % e inferior ou igual a 1,5 %, de zinco inferior ou igual a 0,15 % e de outros elementos total inferior ou igual a 0,15 %) com revestimento de liga AA 4343 (liga de alumnio com um teor, em peso, de silcio igual ou superior a 6,8 % e inferior ou igual a 8,2 %, de ferro inferior ou igual a 0,80 %, de cobre inferior ou igual a 0,25 %, de mangans inferior ou igual a 0,10 %, de zinco inferior ou igual a 0,20 % e de outros elementos total inferior ou igual a 0,15 %)',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '76061230'));   

/*-- SEQ 0039 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '76071120',
        'Constitudas de, pelo menos, duas camadas de diferentes ligas de alumnio, sendo uma o ncleo e as outras de revestimento, exceto: ncleo de liga da Aluminium Association AA 3003 modificada (liga de alumnio com um teor, em peso, de silcio inferior ou igual a 0,60 %, de ferro inferior ou igual a 0,70 %, de cobre igual ou superior a 0,05 % e inferior ou igual a 0,20 %, de mangans igual ou superior a 1,0 % e inferior ou igual a 1,5 %, de zinco inferior ou igual a 0,15 % e de outros elementos total inferior ou igual a 0,15 %) com revestimento de liga AA 4343 (liga de alumnio com um teor, em peso, de silcio igual ou superior a 6,8 % e inferior ou igual a 8,2 %, de ferro inferior ou igual a 0,80 %, de cobre inferior ou igual a 0,25 %, de mangans inferior ou igual a 0,10 %, de zinco inferior ou igual a 0,20 % e de outros elementos total inferior ou igual a 0,15 %)',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '76071120'));

/*-- SEQ 0040 --*/
-- Ticket 2022112665 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '39081024';

/*-- SEQ 0041 --*/
-- Ticket 2022112665 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '40022090';

/*-- SEQ 0042 --*/
-- Ticket 2022112665 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '87149310';

/*-- SEQ 0043 --*/
-- Ticket 2022112665 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '87149600';

/*-- SEQ 0044 --*/
-- Ticket 2022112665 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '90183924';

/*-- SEQ 0045 --*/
-- Ticket 2022112665 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '47032100';

 /*-- SEQ 0046 --*/
-- Ticket 2022112665 --
SELECT ENABLETRIGGERS(LOWER('TT_NCM'));


/*-- SEQ 0047 --*/
-- Ticket 2022054569 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0048 --*/
-- Ticket 2022054569 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'IGNFATCONGRAPEDCOM', 'Ignora fator de converso da grade no pedido de compra?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IGNFATCONGRAPEDCOM'));
                     
/*-- SEQ 0049 --*/
-- Ticket 2022054569 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0050 --*/
-- Ticket 2022073397 --
ALTER TABLE TD_FIL ADD COLUMN FILCLIDOA CHAR(3) ;


/*-- SEQ 0051 --*/
-- Ticket 2022073397 --
ALTER TABLE TD_FIL ADD COLUMN CODCLIDOA CHAR(6) ;


/*-- SEQ 0052 --*/
-- Ticket 2022073397 --
ALTER TABLE TT_CFG ADD COLUMN CC_DOACAOTROCO Numeric(5) ;


/*-- SEQ 0053 --*/
-- Ticket 2022073397 --
ALTER TABLE TW_CFG ADD COLUMN CC_DOACAOTROCO Numeric(5) ;


/*-- SEQ 0054 --*/
-- Ticket 2022073397 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_CLIDOA FOREIGN KEY (FILCLIDOA,CODCLIDOA) REFERENCES TT_CLI (FILCLI,CODCLI);

/*-- SEQ 0055 --*/
-- Ticket 2022073397 --
CREATE INDEX I_FK_DFIL_CLIDOA ON TD_FIL (FILCLIDOA,CODCLIDOA)  ;

/*-- SEQ 0056 --*/
-- Ticket 2022073397 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_CC_DOACAOTROCO FOREIGN KEY (CC_DOACAOTROCO) REFERENCES TD_CCC (CODTAB);

/*-- SEQ 0057 --*/
-- Ticket 2022073397 --
CREATE INDEX I_FK_CFG_CC_DOACAOTROCO ON TT_CFG (CC_DOACAOTROCO)  ;


/*-- SEQ 0058 --*/
-- Tarefa 2022048918 --
ALTER TABLE TT_COM ADD COLUMN CODMUL Numeric(5) ;


/*-- SEQ 0059 --*/
-- Tarefa 2022048918 --
ALTER TABLE TT_COM ADD CONSTRAINT FK_COM_DMUL FOREIGN KEY (CODMUL) REFERENCES TD_MUL (CODTAB);

/*-- SEQ 0060 --*/
-- Tarefa 2022048918 --
CREATE INDEX I_FK_COM_DMUL ON TT_COM (CODMUL)  ;


/*-- SEQ 0061 --*/
-- Ticket 2022124866' --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0062 --*/
-- Ticket 2022124866' --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'BOTAO_DETALHES_POS', 'Permite negociao de desconto/acrscimo no caixa ao resgatar DAV? (Mostrar boto "Detalhes")', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'BOTAO_DETALHES_POS'));

/*-- SEQ 0063 --*/
-- Ticket 2022124866' --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0064 --*/
-- Ticket 2022124866 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0065 --*/
-- Ticket 2022124866 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0066 --*/
-- Ticket 2022124866 --
DELETE FROM TT_IPC 
 WHERE ID_PCS = (SELECT MIN(ID_PCS)
                   FROM TT_PCS
                  WHERE NOMPCS = 'BOTAO_DETALHES_POS');

/*-- SEQ 0067 --*/
-- Ticket 2022124866 --                                       
DELETE FROM TT_PCS
 WHERE NOMPCS = 'BOTAO_DETALHES_POS';


/*-- SEQ 0068 --*/
-- Ticket 2022124866 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'OCULTA_BOTAODETALHES', 'Ocultar boto "F10 - Detalhes" no caixa, ao resgatar DAV?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OCULTA_BOTAODETALHES'));

/*-- SEQ 0069 --*/
-- Ticket 2022124866 --
INSERT INTO TT_IPC (ID_IPC, ID_PCS, IPCATI, VLRBOO, DATINC, ATU_EM)
SELECT NEXTVAL('SQIPC'), PCS.ID_PCS, 'T', 'T', AGORA(), AGORA()
  FROM TT_PCS PCS
 WHERE PCS.NOMPCS = 'OCULTA_BOTAODETALHES'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS);

/*-- SEQ 0070 --*/
-- Ticket 2022124866 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0071 --*/
-- Ticket 2022124866 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));



/*-- SEQ 0072 --*/
/*--IGNORE ERRO--*/
-- Tarefa 2022048918 --
DROP FUNCTION PC_ICO_AUX_UPDATE (TT_ICO.COM_DATOPE%TYPE,TT_ICO.CODFIL%TYPE,TT_ICO.FILMAT%TYPE,TT_ICO.CODMAT%TYPE,TT_ICO.CODCOR%TYPE,TT_ICO.CODTAM%TYPE) CASCADE;


/*
 * OBJETIVO: Inserir um parmetro de configurao de sistema (registro na TT_PCS).
 */

/*-- SEQ 0073 --*/
-- Ticket 2022079541  --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0074 --*/
-- Ticket 2022079541  --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'RETIRAR_RESTRICAO_ST', 'Retirar a restrio que obriga base e valor de ICMS ST para CST 10 na Devoluo de Compra?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'RETIRAR_RESTRICAO_ST'));

/*-- SEQ 0075 --*/
-- Ticket 2022079541  --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*
 * OBJETIVO: Inserir um valor padro para o parmetro de configurao de sistema (registro na TT_IPC).
 */
 
/*-- SEQ 0076 --*/
-- Ticket 2022079541  --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0077 --*/
-- Ticket 2022079541  --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'RETIRAR_RESTRICAO_ST'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0078 --*/
-- Ticket 2022079541  --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0079 --*/
-- Ticket 2022079093 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0080 --*/
-- Ticket 2022079093 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'APRCATCLIPOS', 'Apresenta categoria de cliente na operao do PoS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'APRCATCLIPOS'));

/*-- SEQ 0081 --*/
-- Ticket 2022079093 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'CAT1CLI_NOVO', 'Quando categoria no for informada, utilizar a Categoria 1 como padro para novos clientes?', 'T', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CAT1CLI_NOVO'));

/*-- SEQ 0082 --*/
-- Ticket 2022079093 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0083 --*/
-- Ticket 2022025817 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0084 --*/
-- Ticket 2022025817 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'CALC_IR_FILSIMPLES', 'Calcular imposto de renda para filiais com regime tributrio simples?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CALC_IR_FILSIMPLES'));

/*-- SEQ 0085 --*/
-- Ticket 2022025817 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

 
/*-- SEQ 0086 --*/
-- Ticket 2022025817 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0087 --*/
-- Ticket 2022025817 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'CALC_IR_FILSIMPLES'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0088 --*/
-- Ticket 2022025817 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0089 --*/
-- Ticket 2023015721 --
SELECT DISABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0090 --*/
-- Ticket 2023015721 --
UPDATE TT_IUF
   SET ICMISE = 'F'
 WHERE ICMISE IS NULL;

/*-- SEQ 0091 --*/
-- Ticket 2023015721 --
SELECT ENABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0092 --*/
-- Ticket 2023015721 --
ALTER TABLE TT_IUF ALTER COLUMN ICMISE SET NOT NULL;


/*-- SEQ 0093 --*/
-- Ticket 2022115633 --
SELECT DISABLETRIGGERS(LOWER('TT_INU'));

/*-- SEQ 0094 --*/
ALTER TABLE TT_INU ADD COLUMN EXPEM4 VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0095 --*/
SELECT ENABLETRIGGERS(LOWER('TT_INU'));


/*-- SEQ 0096 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20230117404 --
ALTER TABLE TI_SLT ADD COLUMN ID_ISLT Numeric(10) ;


/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20230117404 --
CREATE SEQUENCE SQISLT INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0098 --*/
-- Ticket 20230117404 --
SELECT DISABLETRIGGERS(LOWER('TI_SLT'));

/*-- SEQ 0099 --*/
-- Ticket 20230117404 --
UPDATE TI_SLT
   SET ID_ISLT = NEXTVAL('SQISLT')
 WHERE ID_ISLT IS NULL;

/*-- SEQ 0100 --*/
-- Ticket 20230117404 --
SELECT ENABLETRIGGERS(LOWER('TI_SLT'));

/*-- SEQ 0101 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20230117404 --
ALTER TABLE TI_SLT ADD CONSTRAINT PK_ISLT PRIMARY KEY (ID_ISLT);

/*-- SEQ 0102 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20230117404 --
ALTER TABLE TI_REC ADD COLUMN ID_IREC Numeric(10) ;


/*-- SEQ 0103 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20230117404 --
CREATE SEQUENCE SQIREC INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0104 --*/
-- Ticket 20230117404 --
SELECT DISABLETRIGGERS(LOWER('TI_REC'));

/*-- SEQ 0105 --*/
-- Ticket 20230117404 --
UPDATE TI_REC
   SET ID_IREC = NEXTVAL('SQIREC')
 WHERE ID_IREC IS NULL;

/*-- SEQ 0106 --*/
-- Ticket 20230117404 --
SELECT ENABLETRIGGERS(LOWER('TI_REC'));

/*-- SEQ 0107 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20230117404 --
ALTER TABLE TI_REC ADD CONSTRAINT PK_IREC PRIMARY KEY (ID_IREC);

/*-- SEQ 0108 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20230117404 --
ALTER TABLE TI_LOT ADD COLUMN ID_ILOT Numeric(10) ;


/*-- SEQ 0109 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20230117404 --
CREATE SEQUENCE SQILOT INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0110 --*/
-- Ticket 20230117404 --
SELECT DISABLETRIGGERS(LOWER('TI_LOT'));

/*-- SEQ 0111 --*/
-- Ticket 20230117404 --
UPDATE TI_LOT
   SET ID_ILOT = NEXTVAL('SQILOT')
 WHERE ID_ILOT IS NULL;

/*-- SEQ 0112 --*/
-- Ticket 20230117404 --
SELECT ENABLETRIGGERS(LOWER('TI_LOT'));

/*-- SEQ 0113 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20230117404 --
ALTER TABLE TI_LOT ADD CONSTRAINT PK_ILOT PRIMARY KEY (ID_ILOT);


/*-- SEQ 0114 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023024350 --
ALTER TABLE TI_VEN ADD COLUMN FLGNFE CHAR(1) ;


/*-- SEQ 0115 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023024350 --
ALTER TABLE TI_VEN ADD COLUMN CHAVEA VARCHAR(44) ;



/*-- SEQ 0116 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2023025311 --
ALTER TABLE TD_BCO ADD COLUMN FILBCO CHAR(3) ;


/*-- SEQ 0117 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2023025311 --
ALTER TABLE TD_BCO ADD COLUMN CODBCO CHAR(6) ;


/*-- SEQ 0118 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2023025311 --
ALTER TABLE TD_BCO ADD CONSTRAINT FK_DBCO_CLI FOREIGN KEY (FILBCO, CODBCO) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0119 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2023025311 --
CREATE INDEX I_FK_DBCO_CLI ON TD_BCO (FILBCO, CODBCO)  ;

/*-- SEQ 0120 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023025311 --
INSERT INTO TT_FUN (NOMFUN, DATFUN)
     VALUES ('SPED_BANCO', AGORA());


/*-- SEQ 0121 --*/
-- Ticket 2023028076 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0122 --*/
-- Ticket 2023028076 --
UPDATE TT_CLI CLI SET CATEG1 = NULL
 WHERE 1=1
   AND EXISTS(SELECT 1 AS OK FROM TD_CT1 DCT1 WHERE DCT1.CODTAB = CLI.CATEG1 AND NOMCT1 IS NULL AND CODEXT_DCT1 IS NULL);

/*-- SEQ 0123 --*/
-- Ticket 2023028076 --
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0124 --*/
-- Ticket 2023028076 --
SELECT DISABLETRIGGERS(LOWER('TD_CT1'));

/*-- SEQ 0125 --*/
-- Ticket 2023028076 --
DELETE FROM TD_CT1
 WHERE 1=1
   AND NOMCT1 IS NULL
   AND CODEXT_DCT1 IS NULL;

/*-- SEQ 0126 --*/
-- Ticket 2023028076 --
SELECT ENABLETRIGGERS(LOWER('TD_CT1'));


/*-- SEQ 0127 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2023028442 --
SELECT ExecAlteraTipoColuna('TI_VEN','CODSER','VARCHAR(3)');



/*-- SEQ 0128 --*/
-- Ticket 2023023421 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0129 --*/
-- Ticket 2023023421 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '02071210',
        '- Com miudezas',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '02071210'));

/*-- SEQ 0130 --*/
-- Ticket 2023023421 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '02071220',
        '- Sem miudezas',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '02071220'));
                     
/*-- SEQ 0131 --*/
-- Ticket 2023023421 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '03029110',
        'Ovas de tainhas (Mugilspp.)',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '03029110'));
                     
/*-- SEQ 0132 --*/
-- Ticket 2023023421 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '03029190',
        '- Outros',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '03029190'));
							
/*-- SEQ 0133 --*/
-- Ticket 2023023421 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '03039110',
        'Ovas de tainhas (Mugilspp.)',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '03039110'));
                     
/*-- SEQ 0134 --*/
-- Ticket 2023023421 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '03039190',
        '- Outros',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '03039190'));

/*-- SEQ 0135 --*/
-- Ticket 2023023421 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '03052010',
        'Ovas de tainhas (Mugilspp.)',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '03052010'));

/*-- SEQ 0136 --*/
-- Ticket 2023023421 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '03052090',
        '- Outros',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '03052090'));

/*-- SEQ 0137 --*/
-- Ticket 2023023421 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '02071200';

/*-- SEQ 0138 --*/
-- Ticket 2023023421 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '03029100';

/*-- SEQ 0139 --*/
-- Ticket 2023023421 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '03039100';

/*-- SEQ 0140 --*/
-- Ticket 2023023421 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '03052000';

 /*-- SEQ 0141 --*/
-- Ticket 2023023421 --
SELECT ENABLETRIGGERS(LOWER('TT_NCM'));


/*-- SEQ 0142 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023042187 --
DROP INDEX I_UQ_NUMPED_RE;

/*-- SEQ 0143 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023042187 --
CREATE INDEX I_LC_NUMPED_RE ON TT_ORC (CODFIL, TIPPED, NUMPED_RE, FLGEST, FLGECO)  ;

