
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 20230311507 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0003 --*/
-- Ticket 20230311507 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'CONSID_SALPEN_SALREA', 'Considerar SaldoPendente(Entrada/Sada) para o clculo do SaldoReal?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CONSID_SALPEN_SALREA'));

/*-- SEQ 0004 --*/
-- Ticket 20230311507 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

 
/*-- SEQ 0005 --*/
-- Ticket 20230311507 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0006 --*/
-- Ticket 20230311507 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'CONSID_SALPEN_SALREA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0007 --*/
-- Ticket 20230311507 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0008 --*/
-- Ticket 2023045079 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0009 --*/
-- Ticket 2023045079 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'ATIVAR_FIDELIDADE', 'Ativar a comunicao com o servio de fidelidade no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'ATIVAR_FIDELIDADE'));

/*-- SEQ 0010 --*/
-- Ticket 2023045079 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));
 
/*-- SEQ 0011 --*/
-- Ticket 2023045079 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0012 --*/
-- Ticket 2023045079 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'ATIVAR_FIDELIDADE'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0013 --*/
-- Ticket 2023045079 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0014 --*/
-- Ticket 2023026710 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0015 --*/
-- Ticket 2023026710 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'VAL_CLI_VALECOMPRA', 'No permitir o uso do "Vale-Compra" para cliente diferente do titular do Vale no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'VAL_CLI_VALECOMPRA'));

/*-- SEQ 0016 --*/
-- Ticket 2023026710 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

 
/*-- SEQ 0017 --*/
-- Ticket 2023026710 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0018 --*/
-- Ticket 2023026710 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'VAL_CLI_VALECOMPRA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0019 --*/
-- Ticket 2023026710 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0020 --*/
-- Ticket 2023048911 --
CREATE TABLE TD_MTD ( -- Montadora
    CODTAB Numeric(5),
    DESMTD VARCHAR(100), 
    DATINC Timestamp, 
    ATU_EM Timestamp,
    MTDATI VARCHAR(1) DEFAULT 'T')  ; 
  
/*-- SEQ 0021 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MTD ADD CONSTRAINT PK_DMTD PRIMARY KEY (CODTAB);

/*-- SEQ 0022 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MTD ALTER COLUMN DESMTD SET NOT NULL;

/*-- SEQ 0023 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MTD ALTER COLUMN MTDATI SET NOT NULL;

/*-- SEQ 0024 --*/
-- Ticket 2023048911 --
--ALTER TABLE TD_MTD ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0025 --*/
-- Ticket 2023048911 --
--ALTER TABLE TD_MTD ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0026 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MTD ADD CONSTRAINT CK_DMTD_MTDATI CHECK (MTDATI IN ('T','F'));
  
/*-- SEQ 0027 --*/
-- Ticket 2023048911 --
CREATE INDEX I_LC_MTD_DESMTD ON TD_MTD (DESMTD)  ;

-----------------------------------------------------------------------

/*-- SEQ 0028 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI ADD COLUMN CODMTD Numeric(5) ;


/*-- SEQ 0029 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI ADD COLUMN TIPVEI Numeric(2) ;


/*-- SEQ 0030 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI ADD CONSTRAINT CK_DVEI_TIPVEI CHECK (TIPVEI IN (01,02,03,04,05,06,07,08,09,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26));
 
/*-- SEQ 0031 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI ADD COLUMN ESPVEI Numeric(1) ;


/*-- SEQ 0032 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI ADD CONSTRAINT CK_DVEI_ESPVEI CHECK (ESPVEI IN (1,2,3,4,5,6));
 
/*-- SEQ 0033 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI ADD COLUMN CONVEI Numeric(1) ;


/*-- SEQ 0034 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI ADD CONSTRAINT CK_DVEI_CONVEI CHECK (CONVEI IN (1,2,3));

/*-- SEQ 0035 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI ADD COLUMN CAPMAX Numeric(3) ;
 

/*-- SEQ 0036 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI ADD COLUMN MAXTRA Numeric(13,4) ;
 

/*-- SEQ 0037 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI ADD CONSTRAINT FK_VEI_MTD FOREIGN KEY (CODMTD) REFERENCES TD_MTD (CODTAB);

/*-- SEQ 0038 --*/
-- Ticket 2023048911 --
CREATE INDEX I_FK_VEI_MTD ON TD_VEI (CODMTD)  ;

/*-- SEQ 0039 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI ALTER COLUMN PLACAS DROP NOT NULL;

/*-- SEQ 0040 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI ALTER COLUMN PESMAX DROP NOT NULL;

/*-- SEQ 0041 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI ALTER COLUMN VOLMAX DROP NOT NULL;

-----------------------------------------------------------------------

/*-- SEQ 0042 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_LOT ADD COLUMN ANOFAB Numeric(4) ;
 

/*-- SEQ 0043 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_LOT ADD COLUMN TIPPIN CHAR(1) ;
 

/*-- SEQ 0044 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_LOT ADD CONSTRAINT CK_LOT_TIPPIN CHECK (TIPPIN IN ('C','M','F','P','S'));

/*-- SEQ 0045 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_LOT ADD COLUMN CHASSI VARCHAR(17) ;
 

/*-- SEQ 0046 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_LOT ADD COLUMN CONVIN CHAR(1) ;
 

/*-- SEQ 0047 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_LOT ADD CONSTRAINT CK_LOT_CONVIN CHECK (CONVIN IN ('R','N'));

/*-- SEQ 0048 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_LOT ADD COLUMN ANOMOD Numeric(4) ;
 

/*-- SEQ 0049 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_LOT ADD COLUMN SERIAL VARCHAR(9) ;
 

/*-- SEQ 0050 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_LOT ADD COLUMN NUMMOT VARCHAR(21) ;
 

-----------------------------------------------------------------------

/*-- SEQ 0051 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_GRA ADD COLUMN ANOFAB Numeric(4) ;
 

/*-- SEQ 0052 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_GRA ADD COLUMN TIPPIN CHAR(1) ;
 

/*-- SEQ 0053 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_GRA ADD CONSTRAINT CK_GRA_TIPPIN CHECK (TIPPIN IN ('C','M','F','P','S'));

/*-- SEQ 0054 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_GRA ADD COLUMN CONVIN CHAR(1) ;
 

/*-- SEQ 0055 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_GRA ADD CONSTRAINT CK_GRA_CONVIN CHECK (CONVIN IN ('R','N'));

/*-- SEQ 0056 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_GRA ADD COLUMN ANOMOD Numeric(4) ;
 

-----------------------------------------------------------------------

/*-- SEQ 0057 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_IVE ADD COLUMN RESTRI Numeric(1) ;
 

/*-- SEQ 0058 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_RESTRI CHECK (RESTRI IN (0,1,2,3,4,5,6,7,8,9)); 

/*-- SEQ 0059 --*/
-- Ticket 2023048911 --
SELECT DISABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0060 --*/
ALTER TABLE TT_IVE ADD COLUMN TIPOPE Numeric(1) DEFAULT 1;

/*-- SEQ 0061 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IVE')); 

/*-- SEQ 0062 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_TIPOPE CHECK (TIPOPE IN (0,1,2,3)); -- 1 fixo, porm existe 0, 1, 2 e 3

-----------------------------------------------------------------------

/*-- SEQ 0063 --*/
-- Ticket 2023048911 --
CREATE TABLE TD_MOT ( -- Motor
    CODTAB Numeric(5),
    DESCMO VARCHAR(100),
    TIPCOM VARCHAR(2), 
    CILIND VARCHAR(4),
    POTENC VARCHAR(4), 
    DATINC Timestamp,
    ATU_EM Timestamp,
    MTOATI VARCHAR(1) DEFAULT 'T')  ;

/*-- SEQ 0064 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MOT ADD CONSTRAINT PK_DMOT PRIMARY KEY (CODTAB);

/*-- SEQ 0065 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MOT ALTER COLUMN DESCMO SET NOT NULL;

/*-- SEQ 0066 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MOT ALTER COLUMN MTOATI SET NOT NULL;

/*-- SEQ 0067 --*/
-- Ticket 2023048911 --
--ALTER TABLE TD_MOT ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0068 --*/
-- Ticket 2023048911 --
--ALTER TABLE TD_MOT ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0069 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MOT ADD CONSTRAINT CK_DMOT_MTOATI CHECK (MTOATI IN ('T','F'));
 
/*-- SEQ 0070 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MOT ADD CONSTRAINT CK_DMOT_TIPCOM CHECK (TIPCOM IN ('01','02','03','04','05','06','07','08','09','10','11','12','13','14','15','16','17','18'));
    
/*-- SEQ 0071 --*/
-- Ticket 2023048911 --
CREATE INDEX I_LC_MOT_DESCMO ON TD_MOT (DESCMO)  ;

-----------------------------------------------------------------------

/*-- SEQ 0072 --*/
-- Ticket 2023048911 --
CREATE TABLE TD_MDV ( -- Modelos
    CODTAB Numeric(5),
    CODVEI Numeric(5),
    DESMDV VARCHAR(100),
    DISEXI VARCHAR(4),
    DATINC Timestamp,
    CODMAR Numeric(6),
    ATU_EM Timestamp,
    MDVATI VARCHAR(1) DEFAULT 'T')  ;
   
/*-- SEQ 0073 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MDV ADD CONSTRAINT PK_DMDV PRIMARY KEY (CODTAB);

/*-- SEQ 0074 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MDV ALTER COLUMN DESMDV SET NOT NULL;

/*-- SEQ 0075 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MDV ALTER COLUMN MDVATI SET NOT NULL;

/*-- SEQ 0076 --*/
-- Ticket 2023048911 --
--ALTER TABLE TD_MDV ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0077 --*/
-- Ticket 2023048911 --
--ALTER TABLE TD_MDV ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0078 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MDV ADD CONSTRAINT CK_DMDV_MDVATI CHECK (MDVATI IN ('T','F'));
   
/*-- SEQ 0079 --*/
-- Ticket 2023048911 --
CREATE INDEX I_LC_MDV_DESMDV ON TD_MDV (DESMDV)  ;

/*-- SEQ 0080 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MDV ADD CONSTRAINT FK_MDV_VEI FOREIGN KEY (CODVEI) REFERENCES TD_VEI (CODTAB);

/*-- SEQ 0081 --*/
-- Ticket 2023048911 --
CREATE INDEX I_FK_MDV_VEI ON TD_MDV (CODVEI)  ;

-----------------------------------------------------------------------

/*-- SEQ 0082 --*/
-- Ticket 2023048911 --
CREATE TABLE TD_CORVEI ( -- Cor do Veculo
    CODTAB Numeric(5),
    DESCORVEI VARCHAR(100),
    CODCORDEN Numeric(2),
    DATINC Timestamp,
    ATU_EM Timestamp,
    CORVEIATI VARCHAR(1) DEFAULT 'T')  ;
   
/*-- SEQ 0083 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_CORVEI ADD CONSTRAINT PK_DCORVEI PRIMARY KEY (CODTAB);

/*-- SEQ 0084 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_CORVEI ALTER COLUMN DESCORVEI SET NOT NULL;

/*-- SEQ 0085 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_CORVEI ALTER COLUMN CORVEIATI SET NOT NULL;

/*-- SEQ 0086 --*/
-- Ticket 2023048911 --
--ALTER TABLE TD_CORVEI ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0087 --*/
-- Ticket 2023048911 --
--ALTER TABLE TD_CORVEI ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0088 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_CORVEI ADD CONSTRAINT CK_DCORVEI_CORVEIATI CHECK (CORVEIATI IN ('T','F'));

/*-- SEQ 0089 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_CORVEI ADD CONSTRAINT CK_DCORVEI_CODCORDEN CHECK (CODCORDEN IN ('01','02','03','04','05','06','07','08','09','10','11','12','13','14','15','16'));

-----------------------------------------------------------------------

/*-- SEQ 0090 --*/
-- Ticket 2023048911 --
CREATE TABLE TT_DMTDXDCORVEI ( -- Relacionamento com COR > VECULO
    CODIGO VARCHAR(4),
    CODMTD Numeric(5), -- TD_MTD
    CODCORVEI Numeric(5), -- TD_CORVEI
    DATINC Timestamp,
    ATU_EM Timestamp)  ;
    
/*-- SEQ 0091 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_DMTDXDCORVEI ADD CONSTRAINT PK_DMTDXDCORVEI PRIMARY KEY (CODMTD,CODCORVEI);

/*-- SEQ 0092 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_DMTDXDCORVEI ADD CONSTRAINT FK_DMTDXDCORVEI_DMTD FOREIGN KEY (CODMTD) REFERENCES TD_MTD (CODTAB);

/*-- SEQ 0093 --*/
-- Ticket 2023048911 --
CREATE INDEX I_FK_DMTDXDCORVEI_DMTD ON TT_DMTDXDCORVEI (CODMTD)  ;

/*-- SEQ 0094 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_DMTDXDCORVEI ADD CONSTRAINT FK_DMTDXDCORVEI_CORVEI FOREIGN KEY (CODCORVEI) REFERENCES TD_CORVEI (CODTAB);

/*-- SEQ 0095 --*/
-- Ticket 2023048911 --
CREATE INDEX I_FK_DMTDXDCORVEI_CORVEI ON TT_DMTDXDCORVEI (CODCORVEI)  ;

/*-- SEQ 0096 --*/
-- Ticket 2023048911 --
--ALTER TABLE TT_DMTDXDCORVEI ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0097 --*/
-- Ticket 2023048911 --
--ALTER TABLE TT_DMTDXDCORVEI ALTER COLUMN ATU_EM SET NOT NULL;

-----------------------------------------------------------------------

/*-- SEQ 0098 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD COLUMN DESMTD VARCHAR(100) ;


/*-- SEQ 0099 --*/
-- Ticket 2023048911 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0100 --*/
ALTER TABLE TW_TAB ADD COLUMN MTDATI VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0101 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0102 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD COLUMN CODMTD Numeric(5) ;


/*-- SEQ 0103 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD COLUMN TIPVEI Numeric(2) ;


/*-- SEQ 0104 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD COLUMN ESPVEI Numeric(1) ;


/*-- SEQ 0105 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD COLUMN CONVEI Numeric(1) ;


/*-- SEQ 0106 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD COLUMN CAPMAX Numeric(3) ;


/*-- SEQ 0107 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD COLUMN MAXTRA Numeric(13,4) ;
 

/*-- SEQ 0108 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD COLUMN DESCMO VARCHAR(100) ;


/*-- SEQ 0109 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD COLUMN TIPCOM VARCHAR(2) ;


/*-- SEQ 0110 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD COLUMN CILIND VARCHAR(4) ;


/*-- SEQ 0111 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD COLUMN POTENC VARCHAR(4) ;


/*-- SEQ 0112 --*/
-- Ticket 2023048911 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0113 --*/
ALTER TABLE TW_TAB ADD COLUMN MTOATI VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0114 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0115 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD COLUMN CODVEI Numeric(5) ;


/*-- SEQ 0116 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD COLUMN DESMDV VARCHAR(100) ;


/*-- SEQ 0117 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD COLUMN DISEXI VARCHAR(4) ;


/*-- SEQ 0118 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD COLUMN CODMAR Numeric(6) ;


/*-- SEQ 0119 --*/
-- Ticket 2023048911 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0120 --*/
ALTER TABLE TW_TAB ADD COLUMN MDVATI VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0121 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0122 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD COLUMN DESCORVEI VARCHAR(100) ;


/*-- SEQ 0123 --*/
-- Ticket 2023048911 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0124 --*/
ALTER TABLE TW_TAB ADD COLUMN CORVEIATI VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0125 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0126 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD COLUMN CODCORDEN Numeric(2) ;


-----------------------------------------------------------------------

/*-- SEQ 0127 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_PRO ADD COLUMN CODMDV Numeric(5) ;


/*-- SEQ 0128 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_PRO ADD CONSTRAINT FK_PRO_MDV FOREIGN KEY (CODMDV) REFERENCES TD_MDV (CODTAB);

/*-- SEQ 0129 --*/
-- Ticket 2023048911 --
CREATE INDEX I_FK_PRO_MDV ON TT_PRO (CODMDV)  ;

-----------------------------------------------------------------------

/*-- SEQ 0130 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_GRA ADD COLUMN CODMOT Numeric(5) ;


/*-- SEQ 0131 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_GRA ADD CONSTRAINT FK_GRA_MOT FOREIGN KEY (CODMOT) REFERENCES TD_MOT (CODTAB);

/*-- SEQ 0132 --*/
-- Ticket 2023048911 --
CREATE INDEX I_FK_GRA_MOT ON TT_GRA (CODMOT)  ;

-----------------------------------------------------------------------


/*-- SEQ 0133 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_LOT ADD COLUMN CODCORVEI Numeric(5) ;
 

/*-- SEQ 0134 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_LOT ADD CONSTRAINT FK_LOT_CORVEI FOREIGN KEY (CODCORVEI) REFERENCES TD_CORVEI (CODTAB);

/*-- SEQ 0135 --*/
-- Ticket 2023048911 --
CREATE INDEX I_FK_LOT_CORVEI ON TT_LOT (CODCORVEI)  ;

/*-- SEQ 0136 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_GRA ADD COLUMN CODCORVEI Numeric(5) ;


/*-- SEQ 0137 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_GRA ADD CONSTRAINT FK_GRA_CORVEI FOREIGN KEY (CODCORVEI) REFERENCES TD_CORVEI (CODTAB);

/*-- SEQ 0138 --*/
-- Ticket 2023048911 --
CREATE INDEX I_FK_GRA_CORVEI ON TT_GRA (CODCORVEI)  ;


/*-- SEQ 0139 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB DROP COLUMN MTDATI CASCADE;

/*-- SEQ 0140 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB DROP COLUMN MTOATI CASCADE;

/*-- SEQ 0141 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB DROP COLUMN MDVATI CASCADE;

/*-- SEQ 0142 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB DROP COLUMN CORVEIATI CASCADE;

/*-- SEQ 0143 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD COLUMN MTDATI VARCHAR(1) ;


/*-- SEQ 0144 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD COLUMN MTOATI VARCHAR(1) ;


/*-- SEQ 0145 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD COLUMN MDVATI VARCHAR(1) ;


/*-- SEQ 0146 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD COLUMN CORVEIATI VARCHAR(1) ;


/*-- SEQ 0147 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MTD DROP COLUMN DATINC CASCADE;

/*-- SEQ 0148 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MTD DROP COLUMN ATU_EM CASCADE;

/*-- SEQ 0149 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MTD ADD COLUMN DATINC Timestamp ;


/*-- SEQ 0150 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MTD ADD COLUMN ATU_EM Timestamp ;


/*-- SEQ 0151 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MOT DROP COLUMN DATINC CASCADE;

/*-- SEQ 0152 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MOT DROP COLUMN ATU_EM CASCADE;

/*-- SEQ 0153 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MOT ADD COLUMN DATINC Timestamp ;


/*-- SEQ 0154 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MOT ADD COLUMN ATU_EM Timestamp ;


/*-- SEQ 0155 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MDV DROP COLUMN DATINC CASCADE;

/*-- SEQ 0156 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MDV DROP COLUMN ATU_EM CASCADE;

/*-- SEQ 0157 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MDV ADD COLUMN DATINC Timestamp ;


/*-- SEQ 0158 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MDV ADD COLUMN ATU_EM Timestamp ;


/*-- SEQ 0159 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_CORVEI DROP COLUMN DATINC CASCADE;

/*-- SEQ 0160 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_CORVEI DROP COLUMN ATU_EM CASCADE;

/*-- SEQ 0161 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_CORVEI ADD COLUMN DATINC Timestamp ;


/*-- SEQ 0162 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_CORVEI ADD COLUMN ATU_EM Timestamp ;


/*-- SEQ 0163 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_DMTDXDCORVEI DROP COLUMN DATINC CASCADE;

/*-- SEQ 0164 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_DMTDXDCORVEI DROP COLUMN ATU_EM CASCADE;

/*-- SEQ 0165 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_DMTDXDCORVEI ADD COLUMN DATINC Timestamp ;


/*-- SEQ 0166 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_DMTDXDCORVEI ADD COLUMN ATU_EM Timestamp ;


/*-- SEQ 0167 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_DMTDXDCORVEI DROP COLUMN DATINC CASCADE;

/*-- SEQ 0168 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_DMTDXDCORVEI DROP COLUMN ATU_EM CASCADE;

/*-- SEQ 0169 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_DMTDXDCORVEI ADD COLUMN DATINC Timestamp ;


/*-- SEQ 0170 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_DMTDXDCORVEI ADD COLUMN ATU_EM Timestamp ;



/*-- SEQ 0171 --*/
-- Ticket 20221210595 --
ALTER TABLE TT_IVE DROP COLUMN TIPOPE CASCADE;

/*-- SEQ 0172 --*/
-- Ticket 20221210595 --
ALTER TABLE TT_IVE ADD COLUMN TIPOPE Numeric(1) ;


/*-- SEQ 0173 --*/
-- Ticket 20221210595 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_TIPOPE CHECK (TIPOPE IN (0,1,2,3,9));


/*-- SEQ 0174 --*/
-- Ticket 20230311507 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0175 --*/
-- Ticket 20230311507 --
DELETE FROM TT_IPC WHERE ID_PCS IN (SELECT ID_PCS FROM TT_PCS WHERE NOMPCS = 'CONSID_SALPEN_SALREA');

/*-- SEQ 0176 --*/
-- Ticket 20230311507 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0177 --*/
-- Ticket 20230311507 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0178 --*/
-- Ticket 20230311507 --
DELETE FROM TT_PCS WHERE NOMPCS = 'CONSID_SALPEN_SALREA';

/*-- SEQ 0179 --*/
-- Ticket 20230311507 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0180 --*/
-- Ticket 20230311507 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0181 --*/
-- Ticket 20230311507 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'CONSID_ENTPEN_SALREA', 'Considerar Entradas Pendentes para o clculo do SaldoReal?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CONSID_ENTPEN_SALREA'));

/*-- SEQ 0182 --*/
-- Ticket 20230311507 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'CONSID_SAIPEN_SALREA', 'Considerar Sadas Pendentes para o clculo do SaldoReal?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CONSID_SAIPEN_SALREA'));

/*-- SEQ 0183 --*/
-- Ticket 20230311507 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0184 --*/
-- Ticket 20230311507 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0185 --*/
-- Ticket 20230311507 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'CONSID_ENTPEN_SALREA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0186 --*/
-- Ticket 20230311507 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'CONSID_SAIPEN_SALREA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0187 --*/
-- Ticket 20230311507 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0188 --*/
-- Ticket 2023021566 --
ALTER TABLE TD_FIL ADD COLUMN SERTRA CHAR(2) ;


/*-- SEQ 0189 --*/
-- Ticket 2023021566 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_DSER_SERTRA FOREIGN KEY (SERTRA) REFERENCES TD_SER (CODSER);

/*-- SEQ 0190 --*/
-- Ticket 2023021566 --
CREATE INDEX I_FK_DFIL_DSER_SERTRA ON TD_FIL (SERTRA)  ;

/*-- SEQ 0191 --*/
-- Ticket 2023021566 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0192 --*/
-- Ticket 2023021566 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PERMITE_FAT_PARC_SEP', 'Permite faturamento parcial do DAV/Pr-Venda dos itens j separados no CommerceWeb?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PERMITE_FAT_PARC_SEP'));
                     
/*-- SEQ 0193 --*/
-- Ticket 2023021566 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0194 --*/
-- Ticket 2023021566 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0195 --*/
-- Ticket 2023021566 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PERMITE_FAT_PARC_SEP'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
  
/*-- SEQ 0196 --*/
-- Ticket 2023021566 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0197 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD COLUMN BASINSS Numeric(12,2) ;


/*-- SEQ 0198 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD COLUMN PERINSS Numeric(5,2) ;


/*-- SEQ 0199 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD COLUMN VLRINSS Numeric(12,2) ;


/*-- SEQ 0200 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD COLUMN PERREDISS Numeric(5,2) ;


/*-- SEQ 0201 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD COLUMN SITISS CHAR(1) ;


/*-- SEQ 0202 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD CONSTRAINT CK_IOR_SITISS CHECK ((SITISS IS NULL) OR (SITISS IN ('N','I','R','S')));

/*-- SEQ 0203 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD COLUMN BASISS Numeric(12,2) ;


/*-- SEQ 0204 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD COLUMN PERISS Numeric(5,2) ;


/*-- SEQ 0205 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD COLUMN VLRISS Numeric(12,2) ;


/*-- SEQ 0206 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD COLUMN VLRISSRET Numeric(12,2) ;


/*-- SEQ 0207 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD COLUMN PERREDISS Numeric(5,2) ;


/*-- SEQ 0208 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD COLUMN VLRISSRET Numeric(12,2) ;



/*-- SEQ 0209 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD COLUMN PERSOC Numeric(5,2) ;


/*-- SEQ 0210 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD COLUMN BASSOC Numeric(12,2) ;



/*-- SEQ 0211 --*/
-- Ticket 2023030881 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0212 --*/
-- Ticket 2023030881 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PERMITE_EDT_ISS_ORD', 'Permite edio das informaes tributrias de Servio no Order?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PERMITE_EDT_ISS_ORD'));
                     
/*-- SEQ 0213 --*/
-- Ticket 2023030881 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0214 --*/
-- Ticket 2023030881 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0215 --*/
-- Ticket 2023030881 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PERMITE_EDT_ISS_ORD'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
  
/*-- SEQ 0216 --*/
-- Ticket 2023030881 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0217 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_CFG ADD COLUMN NATDECTRA Numeric(5) ;


/*-- SEQ 0218 --*/
-- Ticket 2023021566 --
ALTER TABLE TW_CFG ADD COLUMN NATDECTRA Numeric(5) ;


/*-- SEQ 0219 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DNAT_NATDECTRA FOREIGN KEY (NATDECTRA) REFERENCES TD_NAT (CODTAB);

/*-- SEQ 0220 --*/
-- Ticket 2023021566 --
CREATE INDEX I_FK_CFG_DNAT_NATDECTRA ON TT_CFG (NATDECTRA)  ;


/*-- SEQ 0221 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IVE ADD COLUMN CODIBG_INCIDENCIA Numeric(10) ;


/*-- SEQ 0222 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IVE ADD COLUMN OBSERV VARCHAR(4000) ;


/*-- SEQ 0223 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_IBG_INCIDENCIA FOREIGN KEY (CODIBG_INCIDENCIA) REFERENCES TT_IBG (CODIBG);

/*-- SEQ 0224 --*/
-- Ticket 2023021566 --
CREATE INDEX I_FK_IVE_IBG_INCIDENCIA ON TT_IVE (CODIBG_INCIDENCIA)  ;


/*-- SEQ 0225 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD COLUMN PERDEDISS Numeric(5,2) ;


/*-- SEQ 0226 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD COLUMN PERDEDISS Numeric(5,2) ;


/*-- SEQ 0227 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD COLUMN VLRDEDISS Numeric(12,2) ;


/*-- SEQ 0228 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD COLUMN VLRDEDISS Numeric(12,2) ;



/*-- SEQ 0229 --*/
-- Ticket 2023023021 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0230 --*/
-- Ticket 2023023021 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'USA_EDT_PAR_POS', 'Utiliza edio de Parcelas no PoS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USA_EDT_PAR_POS'));

/*-- SEQ 0231 --*/
-- Ticket 2023023021 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0232 --*/
-- Ticket 2023030881 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0233 --*/
-- Ticket 2023030881 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PERMITEMULTSERVICOS', 'Permite mltiplos Servio na mesma Operao?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PERMITEMULTSERVICOS'));
                     
/*-- SEQ 0234 --*/
-- Ticket 2023030881 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0235 --*/
-- Ticket 2023030881 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0236 --*/
-- Ticket 2023030881 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PERMITEMULTSERVICOS'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
  
/*-- SEQ 0237 --*/
-- Ticket 2023030881 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0238 --*/
-- Ticket 2023030881 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0239 --*/
-- Ticket 2023030881 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'APLINSSCOMODESCORD', 'Aplica Valor do INSS como desconto no Order?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'APLINSSCOMODESCORD'));
                     
/*-- SEQ 0240 --*/
-- Ticket 2023030881 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0241 --*/
-- Ticket 2023030881 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0242 --*/
-- Ticket 2023030881 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'APLINSSCOMODESCORD'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
  
/*-- SEQ 0243 --*/
-- Ticket 2023030881 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));



/*-- SEQ 0244 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023067692 --
DROP FUNCTION PedidoPendente (VARCHAR,TT_IPE.FILMAT%TYPE,TT_IPE.CODMAT%TYPE,TT_IPE.CODCOR%TYPE,TT_IPE.CODTAM%TYPE,VARCHAR,VARCHAR,VARCHAR,TT_IPE.CODMUL%TYPE) CASCADE;

/*-- SEQ 0245 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023067692 --
DROP FUNCTION PedidoPendente (VARCHAR,TT_IPE.FILMAT%TYPE,TT_IPE.CODMAT%TYPE,TT_IPE.CODCOR%TYPE,TT_IPE.CODTAM%TYPE) CASCADE;

/*-- SEQ 0246 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023067692 --
DROP FUNCTION PedidoPendente (VARCHAR,TT_IPE.FILMAT%TYPE,TT_IPE.CODMAT%TYPE,TT_IPE.CODCOR%TYPE,TT_IPE.CODTAM%TYPE,VARCHAR) CASCADE;

/*-- SEQ 0247 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023067692 --
DROP FUNCTION PedidoPendente (VARCHAR,TT_IPE.FILMAT%TYPE,TT_IPE.CODMAT%TYPE,TT_IPE.CODCOR%TYPE,TT_IPE.CODTAM%TYPE,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0248 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023067692 --
DROP FUNCTION PedidoPendente (VARCHAR,TT_IPE.FILMAT%TYPE,TT_IPE.CODMAT%TYPE,TT_IPE.CODCOR%TYPE,TT_IPE.CODTAM%TYPE,VARCHAR,VARCHAR,VARCHAR) CASCADE;



/*-- SEQ 0249 --*/
/*-- IGNORE ERRO --*/
-- Ticket 20230515370 --
ALTER TABLE TD_DEV ADD COLUMN CODEXT VARCHAR(20) ;


