
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CAI ADD CONSTRAINT CK_DCAI_TRANSF_TIPCAI CHECK ( (TRANSF = 'T' and TIPCAI = 'N') or (TRANSF = 'F' and TIPCAI IN ('N','G')) );


/*-- SEQ 0002 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CAI'));

/*-- SEQ 0003 --*/
UPDATE TT_CAI
   SET CAMBIO = 0
 WHERE CAMBIO IS NOT NULL
   AND(CAMBIO < 0
    OR CAMBIO > 9);

/*-- SEQ 0004 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CAI'));

/*-- SEQ 0005 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CAM'));

/*-- SEQ 0006 --*/
UPDATE TT_CAM
   SET CODMOE = 0
 WHERE CODMOE IS NOT NULL
   AND(CODMOE < 0
    OR CODMOE > 9);

/*-- SEQ 0007 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CAM'));

/*-- SEQ 0008 --*/
SELECT DISABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0009 --*/
UPDATE TT_COM
   SET CODMOE = 0
 WHERE CODMOE IS NOT NULL
   AND(CODMOE < 0
    OR CODMOE > 9);

/*-- SEQ 0010 --*/
UPDATE TT_COM
   SET MOEJUR = 0
 WHERE MOEJUR IS NOT NULL
   AND(MOEJUR < 0
    OR MOEJUR > 9);

/*-- SEQ 0011 --*/
SELECT ENABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0012 --*/
SELECT DISABLETRIGGERS(LOWER('TT_FIN'));

/*-- SEQ 0013 --*/
UPDATE TT_FIN
   SET CODMOE = 0
 WHERE CODMOE IS NOT NULL
   AND(CODMOE < 0
    OR CODMOE > 9);
    
/*-- SEQ 0014 --*/
SELECT ENABLETRIGGERS(LOWER('TT_FIN'));

/*-- SEQ 0015 --*/
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));    

/*-- SEQ 0016 --*/
UPDATE TT_ICO
   SET CODMOE = 0
 WHERE CODMOE IS NOT NULL
   AND(CODMOE < 0
    OR CODMOE > 9);
    
/*-- SEQ 0017 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0018 --*/
SELECT DISABLETRIGGERS(LOWER('TT_IPE'));    

/*-- SEQ 0019 --*/
UPDATE TT_IPE
   SET CODMOE = 0
 WHERE CODMOE IS NOT NULL
   AND(CODMOE < 0
    OR CODMOE > 9);
    
/*-- SEQ 0020 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IPE'));

/*-- SEQ 0021 --*/
SELECT DISABLETRIGGERS(LOWER('TT_MOE'));    

/*-- SEQ 0022 --*/
UPDATE TT_MOE
   SET CODMOE = 0
 WHERE CODMOE IS NOT NULL
   AND(CODMOE < 0
    OR CODMOE > 9);
    
/*-- SEQ 0023 --*/
SELECT ENABLETRIGGERS(LOWER('TT_MOE'));

/*-- SEQ 0024 --*/
SELECT DISABLETRIGGERS(LOWER('TT_OPE'));    

/*-- SEQ 0025 --*/
UPDATE TT_OPE
   SET CAMBIO = 0
 WHERE CAMBIO IS NOT NULL
   AND(CAMBIO < 0
    OR CAMBIO > 9);
    
/*-- SEQ 0026 --*/
SELECT ENABLETRIGGERS(LOWER('TT_OPE'));

/*-- SEQ 0027 --*/
SELECT DISABLETRIGGERS(LOWER('TT_PED'));    

/*-- SEQ 0028 --*/
UPDATE TT_PED
   SET CODMOE = 0
 WHERE CODMOE IS NOT NULL
   AND(CODMOE < 0
    OR CODMOE > 9);
    
/*-- SEQ 0029 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PED'));

/*-- SEQ 0030 --*/
SELECT DISABLETRIGGERS(LOWER('TT_PLA'));    

/*-- SEQ 0031 --*/
UPDATE TT_PLA
   SET CODMOE = 0
 WHERE CODMOE IS NOT NULL
   AND(CODMOE < 0
    OR CODMOE > 9);

/*-- SEQ 0032 --*/
UPDATE TT_PLA
   SET MOECOR = 0
 WHERE MOECOR IS NOT NULL
   AND(MOECOR < 0
    OR MOECOR > 9);
    
/*-- SEQ 0033 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PLA'));

/*-- SEQ 0034 --*/
SELECT DISABLETRIGGERS(LOWER('TT_PRE'));    

/*-- SEQ 0035 --*/
UPDATE TT_PRE
   SET CODMOE = 0
 WHERE CODMOE IS NOT NULL
   AND(CODMOE < 0
    OR CODMOE > 9);
    
/*-- SEQ 0036 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PRE'));

/*-- SEQ 0037 --*/
SELECT DISABLETRIGGERS(LOWER('TT_REC'));    

/*-- SEQ 0038 --*/
UPDATE TT_REC
   SET CODMOE = 0
 WHERE CODMOE IS NOT NULL
   AND(CODMOE < 0
    OR CODMOE > 9);
    
/*-- SEQ 0039 --*/
SELECT ENABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0040 --*/
SELECT DISABLETRIGGERS(LOWER('TT_TRC'));    

/*-- SEQ 0041 --*/
UPDATE TT_TRC
   SET CODMOE = 0
 WHERE CODMOE IS NOT NULL
   AND(CODMOE < 0
    OR CODMOE > 9);

/*-- SEQ 0042 --*/
UPDATE TT_TRC
   SET MOEJUR = 0
 WHERE MOEJUR IS NOT NULL
   AND(MOEJUR < 0
    OR MOEJUR > 9);
    
/*-- SEQ 0043 --*/
SELECT ENABLETRIGGERS(LOWER('TT_TRC'));

/*-- SEQ 0044 --*/
SELECT DISABLETRIGGERS(LOWER('TD_MOE'));    

/*-- SEQ 0045 --*/
DELETE 
  FROM TD_MOE
 WHERE CODTAB < 0
    OR CODTAB > 9;
    
/*-- SEQ 0046 --*/
SELECT ENABLETRIGGERS(LOWER('TD_MOE'));

/*-- SEQ 0047 --*/
ALTER TABLE TD_MOE ADD CONSTRAINT CK_DMOE_CODTAB CHECK ((CODTAB >= 0) AND (CODTAB <= 9));


/*-- SEQ 0048 --*/
ALTER TABLE TT_CFG ADD DIGITACAO_ATACADO VARCHAR(1);

/*-- SEQ 0049 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_DIGITACAO_ATACADO CHECK (DIGITACAO_ATACADO IN ('T','F'));

/*-- SEQ 0050 --*/
ALTER TABLE TT_CFG ALTER COLUMN DIGITACAO_ATACADO SET DEFAULT 'F';

/*-- SEQ 0051 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0052 --*/
UPDATE TT_CFG SET DIGITACAO_ATACADO = 'F' WHERE DIGITACAO_ATACADO IS NULL;

/*-- SEQ 0053 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0054 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ALTER COLUMN DIGITACAO_ATACADO SET NOT NULL;

/*-- SEQ 0055 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD DIGITACAO_ATACADO VARCHAR(1);

/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CONSTRAINT CK_WCFG_DIGITACAO_ATACADO CHECK (DIGITACAO_ATACADO IN ('T','F'));

/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ALTER COLUMN DIGITACAO_ATACADO SET DEFAULT 'F';


/*-- SEQ 0058 --*/
ALTER TABLE TT_CFG ADD VALIDA_ESTOQUE_ORDER VARCHAR(1);

/*-- SEQ 0059 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_VALIDA_ESTOQUE_ORDER CHECK (VALIDA_ESTOQUE_ORDER IN ('T','F'));

/*-- SEQ 0060 --*/
ALTER TABLE TT_CFG ALTER COLUMN VALIDA_ESTOQUE_ORDER SET DEFAULT 'T';

/*-- SEQ 0061 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0062 --*/
UPDATE TT_CFG SET VALIDA_ESTOQUE_ORDER = 'T' WHERE VALIDA_ESTOQUE_ORDER IS NULL;

/*-- SEQ 0063 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0064 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ALTER COLUMN VALIDA_ESTOQUE_ORDER SET NOT NULL;

/*-- SEQ 0065 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD VALIDA_ESTOQUE_ORDER VARCHAR(1);

/*-- SEQ 0066 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CONSTRAINT CK_WCFG_VALIDA_ESTOQUE_ORDER CHECK (VALIDA_ESTOQUE_ORDER IN ('T','F'));

/*-- SEQ 0067 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ALTER COLUMN VALIDA_ESTOQUE_ORDER SET DEFAULT 'T';


/*-- SEQ 0068 --*/
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0069 --*/
UPDATE TT_PRO SET RESIPI = 0 WHERE RESIPI IS NULL;

/*-- SEQ 0070 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));


/*-- SEQ 0071 --*/
CREATE TABLE TT_IND (
   SEQUEN Numeric(5),
   NOMIND VARCHAR(50),
   FORIND VARCHAR(4000),
   FORSQL VARCHAR(4000),
   COMENT VARCHAR(254),
   VLRMIN Numeric(16,4), 
   VLRMAX Numeric(16,4)
)  ;

/*-- SEQ 0072 --*/
ALTER TABLE TT_IND ALTER COLUMN NOMIND SET NOT NULL;

/*-- SEQ 0073 --*/
ALTER TABLE TT_IND ALTER COLUMN FORIND SET NOT NULL;

/*-- SEQ 0074 --*/
ALTER TABLE TT_IND ALTER COLUMN FORSQL SET NOT NULL;

/*-- SEQ 0075 --*/
ALTER TABLE TT_IND ALTER COLUMN COMENT SET NOT NULL;

/*-- SEQ 0076 --*/
ALTER TABLE TT_IND ADD CONSTRAINT PK_IND PRIMARY KEY (SEQUEN)   ;



/*-- SEQ 0077 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL DROP CONSTRAINT CK_DFIL_PERPIS;

/*-- SEQ 0078 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL DROP CONSTRAINT CK_DFIL_PERCOF;

/*-- SEQ 0079 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL DROP CONSTRAINT CK_DFIL_PERSOC;

/*-- SEQ 0080 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ALTER COLUMN PERPIS DROP NOT NULL;

/*-- SEQ 0081 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ALTER COLUMN PERCOF DROP NOT NULL;

/*-- SEQ 0082 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ALTER COLUMN PERSOC DROP NOT NULL;

/*-- SEQ 0083 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ALTER COLUMN COMCOF DROP NOT NULL;

/*-- SEQ 0084 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ALTER COLUMN COMPIS DROP NOT NULL;

/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ALTER COLUMN COMCOF DROP NOT NULL;

/*-- SEQ 0086 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ALTER COLUMN COMPIS DROP NOT NULL;


/*-- SEQ 0087 --*/
ALTER TABLE TT_ECT ADD USOCTA CHAR(1);

/*-- SEQ 0088 --*/
create unique index I_UQ_ECT_USOCTA on TT_ECT (USOCTA)
   ;


/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CUS ADD EXTCUS VARCHAR(20);

/*-- SEQ 0090 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD EXTCUS VARCHAR(20);


/*-- SEQ 0091 --*/
ALTER TABLE TD_CTR ADD FILPRA CHAR(3);

/*-- SEQ 0092 --*/
ALTER TABLE TD_CTR ADD SEQPRA CHAR(10);

/*-- SEQ 0093 --*/
ALTER TABLE TD_CTR ADD TIPPRA CHAR(1);

/*-- SEQ 0094 --*/
ALTER TABLE TD_CTR ADD CONSTRAINT CK_DCTR_TIPPRA CHECK (TIPPRA IN ('G'));

/*-- SEQ 0095 --*/
ALTER TABLE TD_CTR ADD CONSTRAINT FK_DCTR_CTA_PRAZO FOREIGN KEY (FILPRA,SEQPRA,TIPPRA) REFERENCES TT_CTA (CODFIL,SEQUEN,TIPCTA);

/*-- SEQ 0096 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTR'));

/*-- SEQ 0097 --*/
UPDATE TD_CTR
   SET FILPRA = CTRFIL,
       SEQPRA = CTRSEQ,
       TIPPRA = CTRTIP;

/*-- SEQ 0098 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTR'));

/*-- SEQ 0099 --*/
ALTER TABLE TD_CTR ALTER COLUMN FILPRA SET NOT NULL;

/*-- SEQ 0100 --*/
ALTER TABLE TD_CTR ALTER COLUMN SEQPRA SET NOT NULL;

/*-- SEQ 0101 --*/
ALTER TABLE TD_CTR ALTER COLUMN TIPPRA SET NOT NULL;

/*-- SEQ 0102 --*/
ALTER TABLE TW_TAB ADD FILPRA CHAR(3);

/*-- SEQ 0103 --*/
ALTER TABLE TW_TAB ADD SEQPRA CHAR(10);

/*-- SEQ 0104 --*/
ALTER TABLE TW_TAB ADD TIPPRA CHAR(1);

/*-- SEQ 0105 --*/
ALTER TABLE TW_TAB ADD TITCTRPRA VARCHAR(200);


/*-- SEQ 0106 --*/
ALTER TABLE TT_IVO ADD FILIPE CHAR(3);

/*-- SEQ 0107 --*/
ALTER TABLE TT_IVO ADD NUMIPE CHAR(8);

/*-- SEQ 0108 --*/
ALTER TABLE TT_IVO ADD ITEIPE Numeric(5);

/*-- SEQ 0109 --*/
ALTER TABLE TT_IVO ADD CONSTRAINT FK_IVO_IPE FOREIGN KEY (FILIPE, NUMIPE, ITEIPE) REFERENCES TT_IPE (CODFIL, NUMPED, NUMITE);

/*-- SEQ 0110 --*/
ALTER TABLE TT_IVO DROP CONSTRAINT CK_IVO_FILIVE;

/*-- SEQ 0111 --*/
ALTER TABLE TT_IVO ADD CONSTRAINT CK_IVO_FILIAL CHECK (FILIVE IS NOT NULL OR FILPED IS NOT NULL OR FILIPE IS NOT NULL);


/*-- SEQ 0112 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_IIN ADD ZERESQ VARCHAR(1);

/*-- SEQ 0113 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_COL ADD CONSTRAINT CK_WIIN_ZERESQ CHECK ( ZERESQ IN ('T','F'));

/*-- SEQ 0114 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_IIN ALTER COLUMN ZERESQ SET DEFAULT 'T';


/*-- SEQ 0115 --*/
/*-- IGNORE ERRO --*/
UPDATE TW_IIN SET ZERESQ ='T' WHERE ZERESQ IS NULL;

/*-- SEQ 0116 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_IIN ALTER COLUMN ZERESQ SET NOT NULL;



/*-- SEQ 0117 --*/
ALTER TABLE TT_CFG ADD MOSTRA_REPASSE VARCHAR(1);

/*-- SEQ 0118 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_MOSTRA_REPASSE CHECK (MOSTRA_REPASSE IN ('T','F'));

/*-- SEQ 0119 --*/
ALTER TABLE TT_CFG ALTER COLUMN MOSTRA_REPASSE SET DEFAULT 'F';

/*-- SEQ 0120 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0121 --*/
UPDATE TT_CFG SET MOSTRA_REPASSE = 'F' WHERE MOSTRA_REPASSE IS NULL;

/*-- SEQ 0122 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0123 --*/
ALTER TABLE TT_CFG ALTER COLUMN MOSTRA_REPASSE SET NOT NULL;

/*-- SEQ 0124 --*/
ALTER TABLE TW_CFG ADD MOSTRA_REPASSE VARCHAR(1);

/*-- SEQ 0125 --*/
ALTER TABLE TW_CFG ADD CONSTRAINT CK_WCFG_MOSTRA_REPASSE CHECK (MOSTRA_REPASSE IN ('T','F'));

/*-- SEQ 0126 --*/
ALTER TABLE TW_CFG ALTER COLUMN MOSTRA_REPASSE SET DEFAULT 'F';


/*-- SEQ 0127 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN ADD FUNRUR Numeric(12,2);


/*-- SEQ 0128 --*/
ALTER TABLE TD_FIL ADD PER_FIS_RURAL Numeric(6,2);

/*-- SEQ 0129 --*/
ALTER TABLE TD_FIL ADD PER_JUR_RURAL Numeric(6,2);


/*-- SEQ 0130 --*/
ALTER TABLE TT_COM
  ADD RETIRR VARCHAR(1);
  
/*-- SEQ 0131 --*/
ALTER TABLE TT_COM ADD CONSTRAINT CK_COM_RETIRR CHECK (RETIRR IN ('T','F'));  

/*-- SEQ 0132 --*/
ALTER TABLE TT_COM ALTER COLUMN RETIRR SET DEFAULT 'F';

/*-- SEQ 0133 --*/
SELECT DISABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0134 --*/
UPDATE TT_COM SET RETIRR = 'F' WHERE RETIRR IS NULL;

/*-- SEQ 0135 --*/
SELECT ENABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0136 --*/
ALTER TABLE TT_COM ALTER COLUMN RETIRR SET NOT NULL;
  
/*-- SEQ 0137 --*/
ALTER TABLE TT_COM
  ADD RETCSS VARCHAR(1);
  
/*-- SEQ 0138 --*/
ALTER TABLE TT_COM ADD CONSTRAINT CK_COM_RETCSS CHECK (RETCSS IN ('T','F'));  

/*-- SEQ 0139 --*/
ALTER TABLE TT_COM ALTER COLUMN RETCSS SET DEFAULT 'F';

/*-- SEQ 0140 --*/
SELECT DISABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0141 --*/
UPDATE TT_COM SET RETCSS = 'F' WHERE RETCSS IS NULL;

/*-- SEQ 0142 --*/
SELECT ENABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0143 --*/
ALTER TABLE TT_COM ALTER COLUMN RETCSS SET NOT NULL;  

/*-- SEQ 0144 --*/
ALTER TABLE TT_COM
  DROP CONSTRAINT CK_COM_TIPCTA;


/*-- SEQ 0145 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION ProximaConta (TT_CTA.CODFIL%TYPE,TT_CTA.TITCTA%TYPE,TT_CTA.TIPCTA%TYPE,TT_CTA.USOCTA%TYPE,VARCHAR) CASCADE;

/*-- SEQ 0146 --*/
CREATE OR REPLACE FUNCTION ProximaConta (TT_CTA.CODFIL%TYPE,TT_CTA.TITCTA%TYPE,TT_CTA.TIPCTA%TYPE,TT_CTA.USOCTA%TYPE,VARCHAR)
RETURNS TT_CTA.SEQUEN%TYPE AS '
DECLARE
p_Filial ALIAS FOR $1 ;
p_Titulo ALIAS FOR $2 ;
p_Tipo ALIAS FOR $3 ;
p_Uso ALIAS FOR $4 ;
p_AplNum ALIAS FOR $5 ;
  wk_retorno    TT_CTA.SEQUEN%TYPE;
  wk_ECT_CODFIL TT_ECT.CODFIL%TYPE;
  wk_ECT_SEQUEN TT_ECT.SEQUEN%TYPE;
  wk_Filial     TT_CTA.CODFIL%TYPE;
  wk_AplNum     VARCHAR(1);
  vComplemento      constant VARCHAR(100) := constante(''complemento'');
  wk_ordcta     TT_CTA.ORDCTA%TYPE;

-- Principal
BEGIN
  -- Cria uma nova conta
  SELECT LPAD(RTRIM(NEXTVAL(''SQCTA'')),10,'' '') INTO wk_retorno FROM DUAL;

  -- Obtem a estrutura de contas padrao
    SELECT A.CODFIL, A.SEQUEN
      INTO wk_ECT_CODFIL, wk_ECT_SEQUEN
      FROM TT_IDF B, TT_ECT A
     WHERE A.CODFIL = B.CODLOJ
       AND A.SEQUEN = ''         1'';
--     AND A.TITECT LIKE ''NAO CLASSIFICAD%'';
  IF ISNULL(wk_ECT_SEQUEN)=''T'' THEN
      RAISE EXCEPTION ''PG-20001 Na estrutura de contas nao foi localizado a conta generica "NAO CLASSIFICADO".%'' , vComplemento;
      RETURN NULL;
  END IF;
  if p_Filial is null then
        
    SELECT FilialPadrao() into wk_Filial;
      else
    wk_Filial := p_Filial;
  end if;

  IF p_AplNum = ''D'' THEN
    wk_AplNum := ''D'';
  ELSE
    IF p_Tipo = ''G'' THEN 
      wk_AplNum := ''G'';
    ELSE 
      wk_AplNum := ''N'';
    END IF;
  END IF;

  IF ISNULL(wk_ECT_SEQUEN)=''T'' THEN
     SELECT MAX(COALESCE(ORDCTA,0)) + 1
       INTO WK_ORDCTA
       FROM TT_CTA
      WHERE FILECT IS NULL
        AND SEQECT IS NULL;
  else
     SELECT MAX(COALESCE(ORDCTA,0)) + 1
       INTO WK_ORDCTA
       FROM TT_CTA
      WHERE FILECT = wk_ECT_CODFIL
        AND SEQECT = wk_ECT_SEQUEN;
  end if;


  INSERT INTO TT_CTA (CODFIL,SEQUEN,TITCTA,FILECT,SEQECT,TIPCTA,USOCTA,APLNUM,ORDCTA)
              VALUES (wk_Filial,wk_retorno,p_titulo,wk_ECT_CODFIL,wk_ECT_SEQUEN,p_Tipo,p_Uso,wk_AplNum,wk_ordcta);

  RETURN wk_retorno;
END;
' language 'plpgsql';



/*-- SEQ 0147 --*/
ALTER TABLE TT_CTA DROP CONSTRAINT CK_CTA_USOCTA;

/*-- SEQ 0148 --*/
ALTER TABLE TT_CTA 
  ADD CONSTRAINT CK_CTA_USOCTA 
  CHECK (USOCTA IN ('O','L','C','E','B','P','+','-','I'));
  
/*-- SEQ 0149 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0150 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_imp_irrf () CASCADE;

/*-- SEQ 0151 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_imp_irrf ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''IRRF a Pagar'',''N'',''I'',''N''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''IRRF_PAG'' AS CFGCOL, ''I'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0152 --*/
select temp_cria_conta_imp_irrf() from dual;


/*-- SEQ 0153 --*/
DROP FUNCTION temp_cria_conta_imp_irrf () CASCADE;

/*-- SEQ 0154 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_imp_piscofins () CASCADE;

/*-- SEQ 0155 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_imp_piscofins ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''PIS/COFINS a Pagar'',''N'',''I'',''N''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''PIS_COFINS_PAG'' AS CFGCOL, ''I'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0156 --*/
select temp_cria_conta_imp_piscofins() from dual;


/*-- SEQ 0157 --*/
DROP FUNCTION temp_cria_conta_imp_piscofins () CASCADE;

/*-- SEQ 0158 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_imp_contrib () CASCADE;

/*-- SEQ 0159 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_imp_contrib ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''Contribuio Social a Pagar'',''N'',''I'',''N''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''CONTRIB_PAG'' AS CFGCOL, ''I'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0160 --*/
select temp_cria_conta_imp_contrib() from dual;


/*-- SEQ 0161 --*/
DROP FUNCTION temp_cria_conta_imp_contrib () CASCADE;

/*-- SEQ 0162 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0163 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0164 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_bonif () CASCADE;

/*-- SEQ 0165 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_bonif ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''Bonificaes'',''G'',''O'',''G''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''BONIFICACOES'' AS CFGCOL, ''O'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0166 --*/
select temp_cria_conta_bonif() from dual;


/*-- SEQ 0167 --*/
DROP FUNCTION temp_cria_conta_bonif () CASCADE;

/*-- SEQ 0168 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0169 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0170 --*/
UPDATE TT_CFG
   SET CHECKOUT_VERMIN = '4.6U',
       CHECKOUT_RELMIN = 2;

/*-- SEQ 0171 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));



/*-- SEQ 0172 --*/
ALTER TABLE TR_FIN DROP CONSTRAINT CK_RFIN_TIPCTA;

/*-- SEQ 0173 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_fundo () CASCADE;

/*-- SEQ 0175 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_fundo ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''Fundo Rural a Pagar'',''N'',''I'',''N''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''FUNDO_RURAL_PAG'' AS CFGCOL, ''I'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0176 --*/
select temp_cria_conta_fundo() from dual;


/*-- SEQ 0177 --*/
DROP FUNCTION temp_cria_conta_fundo () CASCADE;

/*-- SEQ 0178 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
CREATE TABLE TT_DIS (CODFIL CHAR(3),
                     SEQUEN CHAR(10),
                     DATOPE Timestamp,
                     FILFOR CHAR(3),
                     CODFOR CHAR(6),
                     FILEND CHAR(3),
                     NUMEND Numeric(5),
                     FILUSU CHAR(3),
                     CODUSU CHAR(3))  ;

/*-- SEQ 0180 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_DIS ALTER COLUMN CODFIL SET NOT NULL;

/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_DIS ALTER COLUMN SEQUEN SET NOT NULL;

/*-- SEQ 0182 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_DIS ALTER COLUMN DATOPE SET NOT NULL;

/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_DIS ALTER COLUMN FILUSU SET NOT NULL;

/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_DIS ALTER COLUMN CODUSU SET NOT NULL;

/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_DIS ADD CONSTRAINT PK_DIS PRIMARY KEY (CODFIL, SEQUEN)   ;


/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/
CREATE SEQUENCE SQDIS INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0187 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_DIS ADD CONSTRAINT FK_DIS_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_DIS ADD CONSTRAINT FK_DIS_CLI FOREIGN KEY (FILFOR, CODFOR) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_DIS ADD CONSTRAINT FK_DIS_END FOREIGN KEY (FILFOR, CODFOR, FILEND, NUMEND) REFERENCES TT_END (FILCLI, CODCLI, CODFIL, NUMEND);

/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_DIS ADD CONSTRAINT FK_DIS_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0191 --*/
/*-- IGNORE ERRO --*/
CREATE TABLE TT_IDI (CODFIL CHAR(3),
                     SEQUEN CHAR(10),
                     NUMITE Numeric(5),
                     FLGEST CHAR(1),
                     FILMAT CHAR(3),
                     CODMAT CHAR(5),
                     CODCOR Numeric(5),
                     CODTAM Numeric(5),
                     FILORI CHAR(3),
                     FILDES CHAR(3),
                     QTDMOV Numeric(12,4),
                     FILUSU CHAR(3),
                     CODUSU CHAR(3),
                     FILPED CHAR(3),
                     NUMPED CHAR(8),
                     ITEPED Numeric(5))  ;

/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDI ALTER COLUMN CODFIL SET NOT NULL;

/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDI ALTER COLUMN SEQUEN SET NOT NULL;

/*-- SEQ 0194 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDI ALTER COLUMN NUMITE SET NOT NULL;

/*-- SEQ 0195 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDI ALTER COLUMN FILMAT SET NOT NULL;

/*-- SEQ 0196 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDI ALTER COLUMN CODMAT SET NOT NULL;

/*-- SEQ 0197 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDI ALTER COLUMN CODCOR SET NOT NULL;

/*-- SEQ 0198 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDI ALTER COLUMN CODTAM SET NOT NULL;

/*-- SEQ 0199 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDI ALTER COLUMN FILORI SET NOT NULL;

/*-- SEQ 0200 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDI ALTER COLUMN FILDES SET NOT NULL;

/*-- SEQ 0201 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDI ALTER COLUMN QTDMOV SET NOT NULL;

/*-- SEQ 0202 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDI ADD CONSTRAINT PK_IDI PRIMARY KEY (CODFIL, SEQUEN, NUMITE)   ;

/*-- SEQ 0203 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDI ADD CONSTRAINT FK_IDI_DIS FOREIGN KEY (CODFIL, SEQUEN) REFERENCES TT_DIS (CODFIL, SEQUEN);

/*-- SEQ 0204 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDI ADD CONSTRAINT FK_IDI_IPE FOREIGN KEY (FILPED, NUMPED, ITEPED) REFERENCES TT_IPE (CODFIL, NUMPED, NUMITE);

/*-- SEQ 0205 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDI ADD CONSTRAINT FK_IDI_FILORI FOREIGN KEY (FILORI) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0206 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDI ADD CONSTRAINT FK_IDI_FILDES FOREIGN KEY (FILDES) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0207 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDI ADD CONSTRAINT FK_IDI_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0208 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDI ADD CONSTRAINT FK_IDI_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);


/*-- SEQ 0209 --*/
/*-- IGNORE ERRO --*/
CREATE TABLE TT_EDI (CODFIL CHAR(3),
                     SEQUEN CHAR(10),
                     NUMITE Numeric(5),
                     FILMAT CHAR(3),
                     CODMAT CHAR(6),
                     CODCOR Numeric(5),
                     CODTAM Numeric(5),
                     FILEST CHAR(3),
                     QTDEST Numeric(12,4),
                     NECESS Numeric(12,4))  ;

/*-- SEQ 0210 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EDI ADD CONSTRAINT PK_EDI PRIMARY KEY (CODFIL, SEQUEN, NUMITE)   ;


/*-- SEQ 0211 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EDI ADD CONSTRAINT FK_EDI_DIS FOREIGN KEY (CODFIL, SEQUEN) REFERENCES TT_DIS (CODFIL, SEQUEN);

/*-- SEQ 0212 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EDI ADD CONSTRAINT FK_EDI_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0213 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EDI ADD CONSTRAINT FK_EDI_DFIL FOREIGN KEY (FILEST) REFERENCES TD_FIL (CODFIL);


/*-- SEQ 0214 --*/
ALTER TABLE TT_CTB ADD LICENCA VARCHAR(100);

/*-- SEQ 0215 --*/
ALTER TABLE TT_CFG ADD LOGOBOLETO VARCHAR(100);


/*-- SEQ 0216 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD ARECEBER_PASSA_ECF VARCHAR(1);

/*-- SEQ 0217 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_ARECEBER_PASSA_ECF CHECK (ARECEBER_PASSA_ECF IN ('T','F'));

/*-- SEQ 0218 --*/
/*-- IGNORE ERRO --*/
UPDATE TT_CFG SET ARECEBER_PASSA_ECF = 'F';

/*-- SEQ 0219 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ALTER COLUMN ARECEBER_PASSA_ECF SET NOT NULL;

/*-- SEQ 0220 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ALTER COLUMN ARECEBER_PASSA_ECF SET DEFAULT 'F';

/*-- SEQ 0221 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD ARECEBER_PASSA_ECF VARCHAR(1);

/*-- SEQ 0222 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ALTER COLUMN ARECEBER_PASSA_ECF SET DEFAULT 'F';


/*-- SEQ 0223 --*/
/*-- IGNORE ERRO --*/
DELETE FROM TT_EDI WHERE LENGTH(CODMAT) = 6;

/*-- SEQ 0224 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TT_EDI','CODMAT','CHAR(5)');



/*-- SEQ 0225 --*/
ALTER TABLE TW_CFG ADD LOGOBOLETO VARCHAR(100);


/*-- SEQ 0226 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CAM ADD DATCRI Timestamp;

/*-- SEQ 0227 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CFP ADD DATCRI Timestamp;

/*-- SEQ 0228 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CHR ADD DATCRI Timestamp;

/*-- SEQ 0229 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CLI ADD DATCRI Timestamp;

/*-- SEQ 0230 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_COM ADD DATCRI Timestamp;

/*-- SEQ 0231 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_DES ADD DATCRI Timestamp;

/*-- SEQ 0232 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_DOP ADD DATCRI Timestamp;

/*-- SEQ 0233 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ICO ADD DATCRI Timestamp;

/*-- SEQ 0234 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_IOF ADD DATCRI Timestamp;

/*-- SEQ 0235 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_IVE ADD DATCRI Timestamp;

/*-- SEQ 0236 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_LAN ADD DATCRI Timestamp;

/*-- SEQ 0237 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_LIM ADD DATCRI Timestamp;

/*-- SEQ 0238 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_NAT ADD DATCRI Timestamp;

/*-- SEQ 0239 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PAG ADD DATCRI Timestamp;

/*-- SEQ 0240 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PLA ADD DATCRI Timestamp;

/*-- SEQ 0241 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRE ADD DATCRI Timestamp;

/*-- SEQ 0242 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD DATCRI Timestamp;

/*-- SEQ 0243 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_REC ADD DATCRI Timestamp;

/*-- SEQ 0244 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_SAL ADD DATCRI Timestamp;

/*-- SEQ 0245 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_SER ADD DATCRI Timestamp;

/*-- SEQ 0246 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_USU ADD DATCRI Timestamp;

/*-- SEQ 0247 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_VEN ADD DATCRI Timestamp;

/*-- SEQ 0248 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CAM ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0249 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CFP ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0250 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CHR ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0251 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CLI ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0252 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_COM ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0253 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_DES ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0254 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_DOP ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0255 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ICO ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0256 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_IOF ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0257 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_IVE ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0258 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_LAN ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0259 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_LIM ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0260 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_NAT ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0261 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PAG ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0262 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PLA ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0263 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRE ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0264 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0265 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_REC ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0266 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_SAL ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0267 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_SER ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0268 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_USU ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0269 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_VEN ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0270 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CFP ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0271 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_SER ALTER COLUMN STATUS SET DEFAULT 0;



/*-- SEQ 0272 --*/
/*-- IGNORE ERRO --*/
DROP INDEX I_LC_ICLI_STATUS;

/*-- SEQ 0273 --*/
/*-- IGNORE ERRO --*/
DROP INDEX I_LC_IICO_STATUS;

/*-- SEQ 0274 --*/
/*-- IGNORE ERRO --*/
DROP INDEX I_LC_IIVE_STATUS;

/*-- SEQ 0275 --*/
/*-- IGNORE ERRO --*/
DROP INDEX I_LC_ILIM_STATUS;

/*-- SEQ 0276 --*/
/*-- IGNORE ERRO --*/
DROP INDEX I_LC_IPRE_STATUS;

/*-- SEQ 0277 --*/
/*-- IGNORE ERRO --*/
DROP INDEX I_LC_IPRO_STATUS;

/*-- SEQ 0278 --*/
/*-- IGNORE ERRO --*/
DROP INDEX I_LC_ISAL_STATUS;

/*-- SEQ 0279 --*/
/*-- IGNORE ERRO --*/
DROP INDEX I_LC_IVEN_STATUS;

/*-- SEQ 0280 --*/
/*-- IGNORE ERRO --*/
DROP INDEX I_TI_LAN;

/*-- SEQ 0281 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_ICLI_STATUS ON TI_CLI (STATUS, DATCRI)   ;

/*-- SEQ 0282 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_IICO_STATUS ON TI_ICO (STATUS, DATCRI)   ;

/*-- SEQ 0283 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_IIVE_STATUS ON TI_IVE (STATUS, DATCRI)   ;

/*-- SEQ 0284 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_ILIM_STATUS ON TI_LIM (STATUS, DATCRI)   ;

/*-- SEQ 0285 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_IPRE_STATUS ON TI_PRE (STATUS, DATCRI)   ;

/*-- SEQ 0286 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_IPRO_STATUS ON TI_PRO (STATUS, DATCRI)   ;

/*-- SEQ 0287 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_ISAL_STATUS ON TI_SAL (STATUS, DATCRI)   ;

/*-- SEQ 0288 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_IVEN_STATUS ON TI_VEN (STATUS, DATCRI)   ;

/*-- SEQ 0289 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_ILAN_STATUS ON TI_LAN (STATUS, DATCRI)   ;



/*-- SEQ 0290 --*/
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0291 --*/
/*-- IGNORE ERRO --*/
update tt_cli set naodiv='F'
where naodiv is null;
    
/*-- SEQ 0292 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CLI ALTER COLUMN NAODIV SET DEFAULT 'F';

/*-- SEQ 0293 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CLI ALTER COLUMN NAODIV SET NOT NULL;

/*-- SEQ 0294 --*/
/*-- IGNORE ERRO --*/
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));


/*-- SEQ 0295 --*/
ALTER TABLE TT_USU DROP CONSTRAINT AK_USU_CLI;

/*-- SEQ 0296 --*/
ALTER TABLE TT_USU ADD CONSTRAINT AK_USU_CLI UNIQUE (FILCLI, CODCLI)   ;


/*-- SEQ 0297 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TE_CCC ADD FILPGT CHAR(3);

/*-- SEQ 0298 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TE_CCC ADD CODPGT CHAR(3);


/*-- SEQ 0299 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_LPRE_DATOPE ON TL_PRE (FILPRE, SEQPRE, DATOPE)  ;


/*-- SEQ 0300 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_IVE_FIS ADD ICMFRE Numeric(12,4);

/*-- SEQ 0301 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_IVE_FIS ADD VLRFRE Numeric(12,4);

/*-- SEQ 0302 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_IVE_FIS','VLR001','Numeric(9,2)');


/*-- SEQ 0303 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_IVE_FIS','VLRMOV','Numeric(14,2)');


/*-- SEQ 0304 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_IVE_FIS','CODFIL','CHAR(3)');


/*-- SEQ 0305 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_IVE_FIS','SEQUEN','CHAR(10)');


/*-- SEQ 0306 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_IVE_FIS','NUMITE','Numeric(5,0)');


/*-- SEQ 0307 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_VEN_FIS','CODFIL','CHAR(3)');


/*-- SEQ 0308 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_VEN_FIS','SEQUEN','CHAR(10)');


/*-- SEQ 0309 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD BASICM Numeric(12,2);

/*-- SEQ 0310 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TT_FUN (NOMFUN, DATFUN) VALUES ('IVE_BASICM',AGORA());

/*-- SEQ 0311 --*/
SELECT 'ALPHA' FROM DUAL;

/*-- SEQ 0312 --*/
SELECT 'ALPHA' FROM DUAL;

/*-- SEQ 0313 --*/
SELECT 'ALPHA' FROM DUAL;

/*-- SEQ 0314 --*/
SELECT 'ALPHA' FROM DUAL;

/*-- SEQ 0315 --*/
SELECT 'ALPHA' FROM DUAL;

/*-- SEQ 0316 --*/
SELECT 'ALPHA' FROM DUAL;

/*-- SEQ 0317 --*/
ALTER TABLE TT_COM ADD VLRPIS NUMERIC(12,2);

/*-- SEQ 0318 --*/
ALTER TABLE TT_COM ADD VLRCOF NUMERIC(12,2);

/*-- SEQ 0319 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_IVE_FIS ADD ICMSEG Numeric(12,4);

/*-- SEQ 0320 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_IVE_FIS ADD VLRSEG Numeric(12,4);


/*-- SEQ 0321 --*/
/*-- IGNORE ERRO --*/
alter table TD_STD drop constraint CK_DSTD_FLGFLX;

/*-- SEQ 0322 --*/
/*-- IGNORE ERRO --*/
alter table TD_STD
    add constraint CK_DSTD_FLGFLX
    check ((FLGFLX = 'C' AND USOSTD = 'C') OR (FLGFLX IN ('A','R') AND USOSTD = 'A'));

/*-- SEQ 0323 --*/
/*-- IGNORE ERRO --*/
insert into td_std (codtab,usostd,domdop,stdati,desstd,flgflx)
values ( (select max(codtab)+1 from td_std), 'C', (select cheque from tt_cfg where chetro = 'T'), 'T','CHEQUE TROCO CANCELADO','C' );






/*-- SEQ 0324 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD REUTILIZA_REFERENCIA CHAR(1);



/*-- SEQ 0325 --*/
UPDATE TT_CLI CLI
   SET ULTCOM = (SELECT MAX(VEN.DATHOR) AS ULTCOM
                   FROM TT_REC REC, TT_VEN VEN
                  WHERE REC.CODFIL = VEN.CODFIL
                    AND REC.SEQUEN = VEN.SEQUEN
                    AND VEN.LANVEN = 'T'
                    AND VEN.FLGEST <> 'C'
                    AND COALESCE(REC.RENORI,0) = 0
                    AND VEN.FILCLI = CLI.FILCLI
                    AND VEN.CODCLI = CLI.CODCLI),
       TOTPAR = (SELECT COUNT(*) AS TOTPAR
                   FROM TT_REC REC, TT_VEN VEN
                  WHERE REC.CODFIL = VEN.CODFIL
                    AND REC.SEQUEN = VEN.SEQUEN
                    AND VEN.LANVEN = 'T'
                    AND VEN.FLGEST <> 'C'
                    AND COALESCE(REC.RENORI,0) = 0
                    AND VEN.FILCLI = CLI.FILCLI
                    AND VEN.CODCLI = CLI.CODCLI)
 WHERE CLI.FILCLI||CLI.CODCLI <> (SELECT VC_FILCLI||VC_CODCLI 
                                    FROM TT_CFG);
                                    
/*-- SEQ 0326 --*/                                    
UPDATE TT_CLI CLI
   SET TOTATR = COALESCE((SELECT SUM(TRUNC(REC.PAGAME)-TRUNC(REC.DATVEN)) AS TOTATR
                   FROM TT_REC REC, TT_VEN VEN
                  WHERE REC.CODFIL = VEN.CODFIL
                    AND REC.SEQUEN = VEN.SEQUEN
                    AND VEN.LANVEN = 'T'
                    AND VEN.FLGEST <> 'C'
                    AND REC.FLGEST = 'P'
                    AND TRUNC(REC.PAGAME) > TRUNC(REC.DATVEN)
                    AND VEN.FILCLI = CLI.FILCLI
                    AND VEN.CODCLI = CLI.CODCLI),0),
       MAIATR = COALESCE((SELECT MAX(TRUNC(REC.PAGAME)-TRUNC(REC.DATVEN)) AS MAIATR
                   FROM TT_REC REC, TT_VEN VEN
                  WHERE REC.CODFIL = VEN.CODFIL
                    AND REC.SEQUEN = VEN.SEQUEN
                    AND VEN.LANVEN = 'T'
                    AND VEN.FLGEST <> 'C'
                    AND REC.FLGEST = 'P'
                    AND TRUNC(REC.PAGAME) > TRUNC(REC.DATVEN)
                    AND VEN.FILCLI = CLI.FILCLI
                    AND VEN.CODCLI = CLI.CODCLI),0)
 WHERE CLI.FILCLI||CLI.CODCLI <> (SELECT VC_FILCLI||VC_CODCLI 
                                    FROM TT_CFG);                                    

/*-- SEQ 0327 --*/
ALTER TABLE TT_CLI ALTER COLUMN TOTPAR SET DEFAULT 0;

/*-- SEQ 0328 --*/
ALTER TABLE TT_CLI ALTER COLUMN MAIATR SET DEFAULT 0;

/*-- SEQ 0329 --*/
ALTER TABLE TT_CLI ALTER COLUMN TOTATR SET DEFAULT 0;

/*-- SEQ 0330 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0331 --*/
UPDATE TT_CLI 
   SET TOTPAR = 0 
 WHERE TOTPAR IS NULL;

/*-- SEQ 0332 --*/
UPDATE TT_CLI 
   SET MAIATR = 0 
 WHERE MAIATR IS NULL;

/*-- SEQ 0333 --*/
UPDATE TT_CLI 
   SET TOTATR = 0 
 WHERE TOTATR IS NULL;

/*-- SEQ 0334 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0335 --*/
ALTER TABLE TT_CLI ALTER COLUMN TOTPAR SET NOT NULL;

/*-- SEQ 0336 --*/
ALTER TABLE TT_CLI ALTER COLUMN MAIATR SET NOT NULL;

/*-- SEQ 0337 --*/
ALTER TABLE TT_CLI ALTER COLUMN TOTATR SET NOT NULL;


/*-- SEQ 0338 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD MARECF VARCHAR(20);

/*-- SEQ 0339 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD MODECF VARCHAR(20);

/*-- SEQ 0340 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD VSWECF VARCHAR(10);

/*-- SEQ 0341 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD CODFAB VARCHAR(3);

/*-- SEQ 0342 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD CODMOD VARCHAR(2);

/*-- SEQ 0343 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD DSWECF Timestamp;

/*-- SEQ 0344 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD FITDET VARCHAR(1);

/*-- SEQ 0345 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_FITDET CHECK (FITDET IN ('T','F'));

/*-- SEQ 0346 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ALTER COLUMN FITDET SET DEFAULT 'F';


/*-- SEQ 0347 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD MARECF VARCHAR(20);

/*-- SEQ 0348 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD MODECF VARCHAR(20);

/*-- SEQ 0349 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD VSWECF VARCHAR(10);

/*-- SEQ 0350 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD CODFAB VARCHAR(3);

/*-- SEQ 0351 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD CODMOD VARCHAR(2);

/*-- SEQ 0352 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD DSWECF Timestamp;

/*-- SEQ 0353 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD FITDET VARCHAR(1);

/*-- SEQ 0354 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ALTER COLUMN FITDET SET DEFAULT 'F';






/*-- SEQ 0355 --*/
ALTER TABLE TT_CFG ADD FILIAL_CONTRATO Numeric(1);

/*-- SEQ 0356 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_FILIAL_CONTRATO CHECK (FILIAL_CONTRATO IN (0,1));

/*-- SEQ 0357 --*/
ALTER TABLE TT_CFG ALTER COLUMN FILIAL_CONTRATO SET DEFAULT 0;

/*-- SEQ 0358 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0359 --*/
UPDATE TT_CFG SET FILIAL_CONTRATO = 0 WHERE FILIAL_CONTRATO IS NULL;

/*-- SEQ 0360 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0361 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ALTER COLUMN FILIAL_CONTRATO SET NOT NULL;

/*-- SEQ 0362 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD FILIAL_CONTRATO Numeric(1);

/*-- SEQ 0363 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CONSTRAINT CK_WCFG_FILIAL_CONTRATO CHECK (FILIAL_CONTRATO IN (0,1));

/*-- SEQ 0364 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ALTER COLUMN FILIAL_CONTRATO SET DEFAULT 0;


/*-- SEQ 0365 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ADD CHEHOM VARCHAR(10);




/*-- SEQ 0366 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TT_VEN','DESCON','Numeric(14,4)');


/*-- SEQ 0367 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_VEN_FIS','DESCON','Numeric(14,4)');



/*-- SEQ 0368 --*/
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0369 --*/
UPDATE TT_USU
   SET PERMIS = SUBSTR(PERMIS,1,257)||'N'||SUBSTR(PERMIS,259,999);

/*-- SEQ 0370 --*/
SELECT ENABLETRIGGERS(LOWER('TT_USU'));



/*-- SEQ 0371 --*/
SELECT DISABLETRIGGERS(LOWER('TT_FIN'));

/*-- SEQ 0372 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_fin_datfis () CASCADE;

/*-- SEQ 0373 --*/
CREATE OR REPLACE FUNCTION temp_fin_datfis ()
RETURNS VARCHAR AS '
DECLARE

  vCODFIL TT_FIN.CODFIL%TYPE;
  vSEQUEN TT_FIN.SEQUEN%TYPE;
  cDUMMY  VARCHAR(10);
  
  CR_FIN_ORI CURSOR FOR
  SELECT TAB.CODFIL,TAB.SEQUEN
    FROM (SELECT FIN.CODFIL, FIN.SEQUEN, FIN.DATFIS, 
                 (SELECT REC.PAGAME 
                    FROM TT_REC REC INNER JOIN TT_OPE INT ON INT.FILREC = REC.CODFIL
                                                         AND INT.SEQREC = REC.SEQUEN
                                                         AND INT.NUMPAR = REC.NUMPAR
                                                         AND INT.SUBPAR = REC.SUBPAR
                   WHERE INT.CODFIL = OPE.CODFIL 
                     AND INT.NUMECF = OPE.NUMECF 
                     AND INT.TRN_ID = OPE.TRN_ID 
                     AND INT.NUMITE = OPE.NUMITE-1 
                     AND OPE.VLROPE = INT.VLROPE*-1
                 ) AS PAGAME
            FROM TT_OPE OPE INNER JOIN TT_FIN FIN ON OPE.FILFIN = FIN.CODFIL
                                                 AND OPE.SEQFIN = FIN.SEQUEN
           WHERE OPE.NUMECF = ''000''
         ) TAB 
   WHERE TAB.DATFIS <> TRUNC(TAB.PAGAME)
     AND TAB.PAGAME IS NOT NULL; 
     
  CR_FIN_TRN CURSOR FOR
  SELECT TAB.CODFIL,TAB.SEQUEN
    FROM (SELECT TRN.CODFIL, TRN.SEQUEN, TRN.DATFIS, 
                 (SELECT REC.PAGAME 
                    FROM TT_REC REC INNER JOIN TT_OPE INT ON INT.FILREC = REC.CODFIL
                                                         AND INT.SEQREC = REC.SEQUEN
                                                         AND INT.NUMPAR = REC.NUMPAR
                                                         AND INT.SUBPAR = REC.SUBPAR
                   WHERE INT.CODFIL = OPE.CODFIL 
                     AND INT.NUMECF = OPE.NUMECF 
                     AND INT.TRN_ID = OPE.TRN_ID 
                     AND INT.NUMITE = OPE.NUMITE-1 
                     AND OPE.VLROPE = INT.VLROPE*-1
                 ) AS PAGAME
            FROM TT_OPE OPE INNER JOIN TT_FIN FIN ON OPE.FILFIN = FIN.CODFIL
                                                 AND OPE.SEQFIN = FIN.SEQUEN
                            INNER JOIN TT_FIN TRN ON FIN.CODFIL = TRN.CODFIL
                                                 AND FIN.SEQUEN = TRN.SEQTRN                                               
           WHERE OPE.NUMECF = ''000''
         ) TAB 
   WHERE TAB.DATFIS <> TRUNC(TAB.PAGAME)
     AND TAB.PAGAME IS NOT NULL;     
  
BEGIN

  OPEN CR_FIN_ORI;
  FETCH CR_FIN_ORI INTO vCODFIL, vSEQUEN;
  IF FOUND THEN
    cDUMMY := INSERE_LFIN_LAN(''FIN'',vCODFIL,vSEQUEN,''--'',''--'');
  END IF;  
  CLOSE CR_FIN_ORI;

  OPEN CR_FIN_TRN;
  FETCH CR_FIN_TRN INTO vCODFIL, vSEQUEN;
  IF FOUND THEN
    cDUMMY := INSERE_LFIN_LAN(''FIN'',vCODFIL,vSEQUEN,''--'',''--'');
  END IF;  
  CLOSE CR_FIN_TRN; 
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0374 --*/
select temp_fin_datfis() from dual;


/*-- SEQ 0375 --*/
DROP FUNCTION temp_fin_datfis () CASCADE;

/*-- SEQ 0376 --*/
UPDATE TT_FIN
   SET DATFIS = TRUNC(SUB.PAGAME)
  FROM (
       SELECT TAB.CODFIL, TAB.SEQUEN, TAB.PAGAME
         FROM (
               SELECT FIN.CODFIL, FIN.SEQUEN, FIN.DATFIS, 
                      (SELECT REC.PAGAME 
                         FROM TT_REC REC INNER JOIN TT_OPE INT ON INT.FILREC = REC.CODFIL
                                                              AND INT.SEQREC = REC.SEQUEN
                                                              AND INT.NUMPAR = REC.NUMPAR
                                                              AND INT.SUBPAR = REC.SUBPAR
                        WHERE INT.CODFIL = OPE.CODFIL 
                          AND INT.NUMECF = OPE.NUMECF 
                          AND INT.TRN_ID = OPE.TRN_ID 
                          AND INT.NUMITE = OPE.NUMITE-1 
                          AND OPE.VLROPE = INT.VLROPE*-1
                      ) AS PAGAME
                 FROM TT_OPE OPE INNER JOIN TT_FIN FIN ON OPE.FILFIN = FIN.CODFIL
                                                      AND OPE.SEQFIN = FIN.SEQUEN
                WHERE OPE.NUMECF = '000'
              ) TAB 
        WHERE TAB.DATFIS <> TRUNC(TAB.PAGAME)
          AND TAB.PAGAME IS NOT NULL
       ) SUB 
 WHERE TT_FIN.CODFIL = SUB.CODFIL
   AND TT_FIN.SEQUEN = SUB.SEQUEN;

/*-- SEQ 0377 --*/
UPDATE TT_FIN
   SET DATFIS = TRUNC(SUB.PAGAME)
  FROM (
       SELECT TAB.CODFIL, TAB.SEQUEN, TAB.PAGAME
         FROM (
               SELECT TRN.CODFIL, TRN.SEQUEN, TRN.DATFIS, 
                      (SELECT REC.PAGAME 
                         FROM TT_REC REC INNER JOIN TT_OPE INT ON INT.FILREC = REC.CODFIL
                                                              AND INT.SEQREC = REC.SEQUEN
                                                              AND INT.NUMPAR = REC.NUMPAR
                                                              AND INT.SUBPAR = REC.SUBPAR
                        WHERE INT.CODFIL = OPE.CODFIL 
                          AND INT.NUMECF = OPE.NUMECF 
                          AND INT.TRN_ID = OPE.TRN_ID 
                          AND INT.NUMITE = OPE.NUMITE-1 
                          AND OPE.VLROPE = INT.VLROPE*-1
                      ) AS PAGAME
                 FROM TT_OPE OPE INNER JOIN TT_FIN FIN ON OPE.FILFIN = FIN.CODFIL
                                                      AND OPE.SEQFIN = FIN.SEQUEN
                                 INNER JOIN TT_FIN TRN ON FIN.CODFIL = TRN.CODFIL
                                                      AND FIN.SEQUEN = TRN.SEQTRN                                                      
                WHERE OPE.NUMECF = '000'
              ) TAB 
        WHERE TAB.DATFIS <> TRUNC(TAB.PAGAME)
          AND TAB.PAGAME IS NOT NULL 
       ) SUB 
 WHERE TT_FIN.CODFIL = SUB.CODFIL
   AND TT_FIN.SEQUEN = SUB.SEQUEN;

/*-- SEQ 0378 --*/
SELECT ENABLETRIGGERS(LOWER('TT_FIN'));


/*-- SEQ 0379 --*/
DROP INDEX I_UQ_LFIN_DESTIN;

/*-- SEQ 0380 --*/
DROP INDEX I_UQ_LFIN_ORIGEM;

/*-- SEQ 0381 --*/
CREATE INDEX I_LC_LFIN_DESTIN ON TL_FIN (DESTIN, CODTAB)  ;

/*-- SEQ 0382 --*/
CREATE INDEX I_LC_LFIN_ORIGEM ON TL_FIN (ORIGEM, FILORI, SEQORI, PARORI, SUBORI)  ;

/*-- SEQ 0383 --*/
CREATE SEQUENCE SQLFIN INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0384 --*/
ALTER TABLE TL_FIN ADD FIN_ID Numeric(10);

/*-- SEQ 0385 --*/
SELECT DISABLETRIGGERS(LOWER('TL_FIN'));

/*-- SEQ 0386 --*/
UPDATE TL_FIN
   SET FIN_ID = NEXTVAL('SQLFIN')
WHERE FIN_ID IS NULL;

/*-- SEQ 0387 --*/
SELECT ENABLETRIGGERS(LOWER('TL_FIN'));

/*-- SEQ 0388 --*/
ALTER TABLE TL_FIN ADD CONSTRAINT PK_LFIN PRIMARY KEY (FIN_ID)   ;




/*-- SEQ 0389 --*/
SELECT DISABLETRIGGERS(LOWER('TT_PAG'));

/*-- SEQ 0390 --*/
SELECT DISABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0391 --*/
UPDATE TT_COM SET FLGEST = 'Q'
 WHERE VLRLIQ = 0
   AND FLGEST = 'A';

/*-- SEQ 0392 --*/
DELETE FROM TT_PAG WHERE VLRPAR = 0 AND FLGEST = 'A';

/*-- SEQ 0393 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PAG'));

/*-- SEQ 0394 --*/
SELECT ENABLETRIGGERS(LOWER('TT_COM'));


/*-- SEQ 0395 --*/
ALTER TABLE TT_COM ADD FLGICM CHAR(1);

/*-- SEQ 0396 --*/
ALTER TABLE TT_COM ADD CONSTRAINT CK_FLGICM CHECK (FLGICM IN ('T','F'));

/*-- SEQ 0397 --*/
ALTER TABLE TT_COM ADD FLGISS CHAR(1);

/*-- SEQ 0398 --*/
ALTER TABLE TT_COM ADD CONSTRAINT CK_FLGISS CHECK (FLGISS IN ('T','F'));


/*-- SEQ 0399 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0400 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_icms () CASCADE;

/*-- SEQ 0401 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_icms ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''ICMS a Pagar'',''N'',''I'',''N''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''ICMS_PAG'' AS CFGCOL, ''I'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0402 --*/
select temp_cria_conta_icms() from dual;


/*-- SEQ 0403 --*/
DROP FUNCTION temp_cria_conta_icms () CASCADE;

/*-- SEQ 0404 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0405 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0406 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_iss () CASCADE;

/*-- SEQ 0407 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_iss ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''ISS a Pagar'',''N'',''I'',''N''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''ISS_PAG'' AS CFGCOL, ''I'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0408 --*/
select temp_cria_conta_iss() from dual;


/*-- SEQ 0409 --*/
DROP FUNCTION temp_cria_conta_iss () CASCADE;

/*-- SEQ 0410 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0411 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0412 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_inss () CASCADE;

/*-- SEQ 0413 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_inss ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''INSS a Pagar'',''N'',''I'',''N''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''INSS_PAG'' AS CFGCOL, ''I'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0414 --*/
select temp_cria_conta_inss() from dual;


/*-- SEQ 0415 --*/
DROP FUNCTION temp_cria_conta_inss () CASCADE;

/*-- SEQ 0416 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0417 --*/
UPDATE TT_OUT
   SET SQLOUT = 'select *
  from (select lpad(trim(ref),13,''0'') as ref
          from (select codean as ref 
                  from tt_ean
                 union all
                select refbas as ref
                  from tt_pro
                 union all
                select refpro as ref
                  from tt_gra) TAB_I
         where isdigit(ref) <> 0 
         group by trim(ref)
        having count(*) = 1) TAB_II
         order by ref'
 WHERE CODTAB = 'REF'
   AND MD5(SQLOUT) = 'bf2b53b27df7a4ae15f3be7adb526094';


/*-- SEQ 0418 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CHR'));

/*-- SEQ 0419 --*/
update tt_chr 
   set pagame = null
 where flgest not in ('B','C','X')
   and pagame is not null;

/*-- SEQ 0420 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CHR'));


/*-- SEQ 0421 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_VEN_FIS ADD AVISTA CHAR(1);


/*-- SEQ 0422 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PLA ADD TIPCCC Numeric(5);

/*-- SEQ 0423 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PLA ADD CONSTRAINT FK_PLA_CCC  FOREIGN KEY (TIPCCC) REFERENCES TD_CCC (CODTAB);

/*-- SEQ 0424 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_PLA_CCC ON TT_PLA (TIPCCC)  ;


/*-- SEQ 0425 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_OPE_LID ON TT_OPE (CODFIL,NUMECF,TRN_ID)  ;

/*-- SEQ 0426 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_REC_DATINC ON TT_REC (DATINC)  ;


/*-- SEQ 0427 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN ADD OUTTAX Numeric(12,2);

/*-- SEQ 0428 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_VEN_FIS ADD OUTTAX Numeric(12,2);

/*-- SEQ 0429 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TT_FUN (NOMFUN, DATFUN) VALUES ('VEN_OUTTAX',AGORA());

/*-- SEQ 0430 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_IVE_FIS ADD OUTTAX Numeric(12,2);

/*-- SEQ 0431 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_IVE_FIS ADD ICMTAX Numeric(12,2);


/*-- SEQ 0432 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD VLRUNI Numeric(12,4);

/*-- SEQ 0433 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TT_FUN (NOMFUN, DATFUN) VALUES ('IVE_VLRUNI',AGORA());

