
/*-- SEQ 0001 --*/
ALTER TABLE TT_PLA ALTER COLUMN JURTOT SET DEFAULT 'T';


/*-- SEQ 0002 --*/
ALTER TABLE TD_IRE ADD REDTRA Numeric(6,4);

/*-- SEQ 0003 --*/
ALTER TABLE TW_TAB ADD REDTRA Numeric(6,4);

/*-- SEQ 0004 --*/
ALTER TABLE TI_PRO ADD REDTRA CHAR(6);


/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CLI ALTER COLUMN EDICRE SET DEFAULT 'T';


/*-- SEQ 0006 --*/
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0007 --*/
/*-- IGNORE ERRO --*/
UPDATE TT_CLI SET EDICRE = 'T' 
 WHERE (SELECT COUNT(*) FROM TT_CRE) = 0;

/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));


 

/*-- SEQ 0009 --*/
SELECT ExecAlteraTipoColuna('TT_REF','REFFOR','VARCHAR(30)');




  /*-- SEQ 0010 --*/
  CREATE TABLE TD_PGF(
     CODTAB Numeric(5),
     CODEXT VARCHAR(10),
     MSGRET VARCHAR(255),
     CODBCO Numeric(5),
     TIPRET Numeric(1), 
     TIPREG Numeric(1),
     PGFATI CHAR(1))  ;
  
  /*-- SEQ 0011 --*/
  ALTER TABLE TD_PGF ADD CONSTRAINT PK_DPGF PRIMARY KEY (CODTAB);
  
  /*-- SEQ 0012 --*/
  ALTER TABLE TD_PGF ADD CONSTRAINT FK_DPGF_DBCO FOREIGN KEY (CODBCO) REFERENCES TD_BCO (CODTAB);
  
  /*-- SEQ 0013 --*/
  ALTER TABLE TD_PGF ALTER COLUMN CODEXT SET NOT NULL;
  
  /*-- SEQ 0014 --*/
  ALTER TABLE TD_PGF ALTER COLUMN MSGRET SET NOT NULL;
  
  /*-- SEQ 0015 --*/
  ALTER TABLE TD_PGF ADD CONSTRAINT CK_DPGF_TIPRET CHECK (TIPRET IN (1, 2, 3));
  
  /*-- SEQ 0016 --*/
  ALTER TABLE TD_PGF ADD CONSTRAINT CK_DPGF_TIPREG CHECK (TIPREG IN (0, 1, 9));

  /*-- SEQ 0017 --*/
  ALTER TABLE TD_PGF ADD CONSTRAINT CK_DPGF_PGFATI CHECK (PGFATI IN ('T','F'));


/*-- SEQ 0018 --*/
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0019 --*/
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,266)||'N'||SUBSTR(PERMIS,268,9999);

/*-- SEQ 0020 --*/
SELECT ENABLETRIGGERS(LOWER('TT_USU'));


/*-- SEQ 0021 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (1, 'AA', 'Arquivo duplicado', 1, 0);

/*-- SEQ 0022 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (2, 'AB', 'Data limite para desconto, sem valor correspondente', 2, 1);

/*-- SEQ 0023 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (3, 'AC', 'Tipo de servio invlido', 1, 0);

/*-- SEQ 0024 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (4, 'AD', 'Modalidade de pagamento invlida', 2, 1);

/*-- SEQ 0025 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (5, 'AE', 'Tipo de inscrio e identificao do cliente pagador incompatveis', 1, 0);

/*-- SEQ 0026 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (6, 'AF', 'Valores no numricos ou zerados', 2, 1);

/*-- SEQ 0027 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (7, 'AG', 'Tipo de inscrio e identificao do favorecido incompatveis', 2, 1);

/*-- SEQ 0028 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (8, 'AJ', 'Tipo de movimento invlido', 2, 1);

/*-- SEQ 0029 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (9, 'AL', 'Banco, agncia ou conta invlidos', 2, 1);

/*-- SEQ 0030 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (10, 'AM', 'Agncia do favorecido invlida', 2, 1);

/*-- SEQ 0031 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (11, 'AN', 'Conta corrente do favorecido invlida', 2, 1);

/*-- SEQ 0032 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (12, 'AO', 'Nome do favorecido no informado', 2, 1);

/*-- SEQ 0033 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (13, 'AQ', 'Tipo de moeda invlido', 2, 1);

/*-- SEQ 0034 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (14, 'AT', 'CGC/CPF do favorecido invlido', 2, 1);

/*-- SEQ 0035 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (15, 'AU', 'Endereo do favorecido no informado', 2, 1);

/*-- SEQ 0036 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (16, 'AX', 'CEP do favorecido invlido', 2, 1);

/*-- SEQ 0037 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (17, 'AY', 'Alterao invlida; Banco anterior Bradesco', 2, 1);

/*-- SEQ 0038 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (18, 'AZ', 'Cdigo de Banco do favorecido invlido', 2, 1);

/*-- SEQ 0039 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (19, 'BD', 'Pagamento agendado', 3, 1);

/*-- SEQ 0040 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (20, 'BE', 'Hora de gravao invlida', 1, 0);

/*-- SEQ 0041 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (21, 'BF', 'Identificao da empresa no Banco, invlida', 1, 0);

/*-- SEQ 0042 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (22, 'BG', 'CGC/CPF do pagador invlido', 1, 0);


/*-- SEQ 0043 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (23, 'BH', 'Tipo de inscrio do cliente favorecido invlido', 2, 1);

/*-- SEQ 0044 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (24, 'BI', 'Data de vencimento invlida ou no preenchida', 2, 1);

/*-- SEQ 0045 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (25, 'BJ', 'Data de emisso do documento invlida', 2, 1);

/*-- SEQ 0046 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (26, 'BK', 'Tipo de inscrio do cliente favorecido no permitido', 2, 1);

/*-- SEQ 0047 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (27, 'BL', 'Data limite para desconto invlida', 2, 1);

/*-- SEQ 0048 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (28, 'BM', 'Data para efetivao do pagamento invlida', 2, 1);

/*-- SEQ 0049 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (29, 'BN', 'Data para efetivao anterior a do processamento', 2, 1);

/*-- SEQ 0050 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (30, 'BO', 'Cliente no cadastrado', 1, 0);

/*-- SEQ 0051 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (31, 'BP', 'Identificao de Ttulo Bradesco divergente da original', 2, 1);

/*-- SEQ 0052 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (32, 'BQ', 'Data do documento posterior ao vencimento', 2, 1);

/*-- SEQ 0053 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (33, 'BT', 'Desautorizao efetuada', 3, 1);

/*-- SEQ 0054 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (34, 'BU', 'Alterao efetuada',  3, 1);

/*-- SEQ 0055 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (35, 'BV', 'Excluso efetuada', 3, 1);

/*-- SEQ 0056 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (36, 'BW', 'Pagamento efetuado', 3, 1);

/*-- SEQ 0057 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (37, 'FA', 'Cdigo de origem invlido', 1, 0);

/*-- SEQ 0058 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (38, 'FB', 'Data de gravao do arquivo invlida', 1, 0);

/*-- SEQ 0059 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (39, 'FC', 'Tipo de documento invlido',  2, 1);

/*-- SEQ 0060 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (40, 'FE', 'Nmero de pagamento invlido', 2, 1);

/*-- SEQ 0061 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (41, 'FF', 'Valor do desconto sem data limite', 2, 1);

/*-- SEQ 0062 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (42, 'FG', 'Data limite para desconto posterior ao vencimento', 2, 1);

/*-- SEQ 0063 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (43, 'FH', 'Falta nmero e/ou srie do documento', 2, 1);

/*-- SEQ 0064 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (44, 'FI', 'Excluso de agendamento no disponvel', 2, 1);

/*-- SEQ 0065 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (45, 'FJ', 'Soma dos valores no confere', 2, 1);

/*-- SEQ 0066 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (46, 'FK', 'Falta valor de pagamento', 2, 1);

/*-- SEQ 0067 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (47, 'FL', 'Modalidade de pagamento invlida para o contrato', 2, 1);

/*-- SEQ 0068 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (48, 'FM', 'Cdigo de movimento invlido', 2, 1);

/*-- SEQ 0069 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (49, 'FN', 'Tentativa de incluso de registro existente', 2, 1);

/*-- SEQ 0070 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (50, 'FO', 'Tentativa de alterao para registro inexistente', 2, 1);

/*-- SEQ 0071 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (51, 'FP', 'Tentativa de efetivao de agendamento no disponvel', 2, 1);

/*-- SEQ 0072 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (52, 'FQ', 'Tentativa de desautorizao de agendamento no disponvel', 2, 1);

/*-- SEQ 0073 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (53, 'FR', 'Autorizao de agendamento sem data de efetivao e sem data de vencimento', 2, 1);

/*-- SEQ 0074 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (54, 'FS', 'Ttulo em agendamento; Pedido de confirmao', 3, 1);

/*-- SEQ 0075 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (55, 'FT', 'Tipo de inscrio do cliente pagador invlido', 1, 0 );

/*-- SEQ 0076 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (56, 'FU', 'Contrato inexistente ou inativo', 1, 0);

/*-- SEQ 0077 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (57, 'FV', 'Cliente com convnio cancelado', 1, 0);

/*-- SEQ 0078 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (58, 'FW', 'Valor autorizado inferior ao original', 2, 1);

/*-- SEQ 0079 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (59, 'FX', 'Est faltando registro header', 1, 0);

/*-- SEQ 0080 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (60, 'FZ', 'Valor autorizado no confere para pagamento em atraso', 2, 1);

/*-- SEQ 0081 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (61, 'F0', 'Agendamento em atraso; no permitido pelo convnio', 2, 1);


/*-- SEQ 0082 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (62, 'F1', 'Tentativa de Agendamento com Desc. Fora do Prazo', 2, 1);

/*-- SEQ 0083 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (63, 'F3', 'Tentativa de alterao invlida; confirmao de dbito j efetuada', 2, 1);

/*-- SEQ 0084 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (64, 'F4', 'Falta registro trailler', 1, 9);

/*-- SEQ 0085 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (65, 'F5', 'Valor do trailler no confere', 1, 9);

/*-- SEQ 0086 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (66, 'F6', 'Quantidade de registros do trailler no confere', 1, 9);

/*-- SEQ 0087 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (67, 'F7', 'Tentativa de alterao invlida; pagamento j enviado ao Bradesco Instantneo', 2, 1);

/*-- SEQ 0088 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (68, 'F8', 'Pagamento enviado aps o horrio estipulado', 2, 1);

/*-- SEQ 0089 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (69, 'F9', 'Tentativa de incluso de registro existente em histrico', 2, 1);

/*-- SEQ 0090 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (70, 'GA', 'Tipo de DOC/TED invlido', 2, 1);

/*-- SEQ 0091 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (71, 'GB', 'Nmero do DOC/TED invlido', 2, 1);

/*-- SEQ 0092 --*/
INSERT INTO TD_PGF
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES (72, 'GC', 'Finalidade do DOC/TED invlida ou inexistente', 2, 1);

/*-- SEQ 0093 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(73, 'GD', 'Conta corrente do favorecido encerrada / bloqueada', 2, 1);

/*-- SEQ 0094 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(74, 'GE', 'Conta corrente do favorecido no recadastrada', 2, 1);

/*-- SEQ 0095 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(75, 'GF', 'Incluso de pagamento via modalidade 30 no permitida', 2, 1);

/*-- SEQ 0096 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(76, 'GG', 'Campo livre do cdigo de barras (linha digitvel) invlido', 2, 1);

/*-- SEQ 0097 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(77, 'GH', 'Dgito verificador do cdigo de barras invlido', 2, 1);

/*-- SEQ 0098 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(78, 'GI', 'Cdigo da moeda da linha digitvel invlido', 2, 1);

/*-- SEQ 0099 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(79, 'GJ', 'Conta poupana do favorecido invlida', 2, 1);

/*-- SEQ 0100 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(80, 'GK', 'Conta poupana do favorecido no recadastrada', 2, 1);

/*-- SEQ 0101 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(81, 'GL', 'Conta poupana do favorecido no encontrada', 2, 1);

/*-- SEQ 0102 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(82, 'GM', 'Pagamento 3 (trs) dias aps o vencimento', 2, 1);

/*-- SEQ 0103 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(83, 'GN', 'Conta complementar invlida', 2, 1);

/*-- SEQ 0104 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(84, 'GO', 'Incluso de DOC/TED para Banco 237 no permitido', 2, 1);

/*-- SEQ 0105 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(85, 'GP', 'CGC/CPF do favorecido divergente do cadastro do Banco', 2, 1);

/*-- SEQ 0106 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(86, 'GQ', 'Tipo de DOC/TED no permitido via sistema eletrnico', 2, 1);

/*-- SEQ 0107 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(87, 'GR', 'Alterao invlida; pagamento j enviado a agncia
pagadora', 2, 1);

/*-- SEQ 0108 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(88, 'GS', 'Limite de pagamento excedido. Fale com o Gerente da
sua agncia', 3, 1);

/*-- SEQ 0109 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(89, 'GT', 'Limite vencido/vencer em 30 dias', 3, 1);

/*-- SEQ 0110 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(90, 'GU', 'Pagamento agendado por aumento de limite ou reduo
no total autorizado', 3, 1);

/*-- SEQ 0111 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(91, 'GV', 'Cheque OP estornado conforme seu pedido', 3, 1);

/*-- SEQ 0112 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(92, 'GW', 'Conta corrente ou conta poupana com razo no
permitido para efetivao de crdito', 2, 1);

/*-- SEQ 0113 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(93, 'GX', 'Cheque OP com data limite vencida', 3, 1);

/*-- SEQ 0114 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(94, 'GY', 'Conta poupana do favorecido encerrada / bloqueada', 2, 1);

/*-- SEQ 0115 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(95, 'GZ', 'Conta corrente encerrada / bloqueada', 2, 1);

/*-- SEQ 0116 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(96, 'HA', 'Agendado, dbito sob consulta de saldo', 3, 1);

/*-- SEQ 0117 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(97, 'HB', 'Pagamento no efetuado, saldo insuficiente', 3, 1);

/*-- SEQ 0118 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(98, 'HC', 'Pagamento no efetuado, alm de saldo insuficiente,
conta com cadastro no DVL', 3, 1);

/*-- SEQ 0119 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(99, 'HD', 'Pagamento no efetuado, alm de saldo insuficiente,
conta bloqueada', 3, 1);

/*-- SEQ 0120 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(100, 'HE', 'Data de Vencto/Pagto fora do prazo de operao do banco', 2, 1);

/*-- SEQ 0121 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(101, 'HF', 'Processado e debitado', 3, 1);

/*-- SEQ 0122 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(102, 'HG', 'Processado e no debitado por saldo insuficiente', 3, 1);

/*-- SEQ 0123 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(103, 'JA', 'Cdigo de lanamento invlido', 2, 1);

/*-- SEQ 0124 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(104, 'JB', 'DOC/TED/Ttulos devolvido e estornados', 3, 1);

/*-- SEQ 0125 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(105, 'JC', 'Modalidade alterada de 07/CIP, para 08/STR', 3, 1);

/*-- SEQ 0126 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(106, 'JD', 'Modalidade alterada de 07/CIP, para 03/DOC COMPE', 3, 1);

/*-- SEQ 0127 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(107, 'JE', 'Modalidade alterada de 08/STR para 07/CIP', 3, 1);

/*-- SEQ 0128 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(108, 'JF', 'Modalidade alterada de 08/STR para 03/COMPE', 3, 1);

/*-- SEQ 0129 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(109, 'JG', 'Alterao de Modalidade Via Arquivo no Permitida', 3, 1);

/*-- SEQ 0130 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(110, 'JH', 'Horrio de Consulta de Saldo aps Encerramento Rotina', 3, 1);

/*-- SEQ 0131 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(111, 'JI', 'Modalidade alterada de 01/Crdito em conta para
05/Crdito em conta Numeric time', 3, 1);

/*-- SEQ 0132 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(112, 'JJ', 'Horrio de agendamento Invlido', 2, 1);

/*-- SEQ 0133 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(113, 'JK', 'Tipo de conta  modalidade DOC/TED - invlido', 2, 1);

/*-- SEQ 0134 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(114, 'JL', 'Titulo Agendado/Descontado', 3, 1);

/*-- SEQ 0135 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(115, 'JM', 'Alterao no Permitida, Titulo Antecipado/Descontado', 2, 1);

/*-- SEQ 0136 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(116, 'JN', 'Modalidade Alter. de 05/Crdito em Conta Numeric Time
Para 01/Crdito em Conta', 3, 1);

/*-- SEQ 0137 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(117, 'JO', 'Excluso no Permitida, Titulo Antecipado/Descontado', 2, 1);

/*-- SEQ 0138 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(118, 'JP', 'Pagamento com Limite TED Excedido. Fale com o Gerente
da sua agncia para Autorizao.', 3, 1);

/*-- SEQ 0139 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(119, 'KO', 'Autorizao para debito em conta', 3, NULL);

/*-- SEQ 0140 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(120, 'KP', 'Cliente pagador no cadastrado do PAGFOR', 2, NULL);

/*-- SEQ 0141 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(121, 'KQ', 'Modalidade invlida para pagador em teste', 2, NULL);

/*-- SEQ 0142 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(122, 'KR', 'Banco destinatrio no operante nesta data', 2, 1);

/*-- SEQ 0143 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(123, 'KS', 'Modalidade alterada de DOC. Para TED', 3, 1);

/*-- SEQ 0144 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(124, 'KT', 'Dt. Efetivao alterada p/ prximo MOVTO. ** TRAG', 3, 1);

/*-- SEQ 0145 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(125, 'KV', 'CPF/CNPJ do investidor invlido ou inexistente', 2, 1);

/*-- SEQ 0146 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(126, 'KW', 'Tipo Inscrio Investidor Invlido ou inexistente', 2, 1);

/*-- SEQ 0147 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(127, 'KX', 'Nome do Investidor Inexistente', 2, 1);

/*-- SEQ 0148 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(128, 'KZ', 'Cdigo do Investidor Inexistente', 2, 1);

/*-- SEQ 0149 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(129, 'LA', 'Agendado. Sob Lista de Dbito', 3, 1);

/*-- SEQ 0150 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(130, 'LB', 'Pagamento no autorizado sob Lista de Dbito', 3, 1);

/*-- SEQ 0151 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(131, 'LC', 'Lista com mais de uma modalidade', 2, 1);

/*-- SEQ 0152 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(132, 'LD', 'Lista com mais de uma data de Pagamento', 2, 1);

/*-- SEQ 0153 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(133, 'LE', 'Nmero de Lista Duplicado', 2, 1);

/*-- SEQ 0154 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(134, 'LF', 'Lista de Dbito vencida e no autorizada', 2, 1);

/*-- SEQ 0155 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(135, 'MA', 'Tipo conta Invlida para finalidade', 2, 1);

/*-- SEQ 0156 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(136, 'MB', 'Conta Crdito Investimento invlida/inexistente', 2, 1);

/*-- SEQ 0157 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(137, 'MC', 'Conta Dbito Investimento Invlida/inexistente', 2, 1);

/*-- SEQ 0158 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(138, 'MD', 'Titularidade diferente para tipo de conta', 2, 1);

/*-- SEQ 0159 --*/
INSERT INTO TD_PGF 
(CODTAB, CODEXT, MSGRET, TIPRET, TIPREG)
VALUES 
(139, 'TR', 'Ag/ Conta do favorecido alteradas por Transferencia de agencia', 3, 1);


/*-- SEQ 0160 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_REC ADD CODOUT Numeric(5);

/*-- SEQ 0161 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_REC ADD CONSTRAINT FK_REC_DOUT FOREIGN KEY (CODOUT) REFERENCES TD_OUT (CODTAB);

/*-- SEQ 0162 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
VALUES
('REC_OUTROS', Agora(), Agora());


/*-- SEQ 0163 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN ADD DOCNFP VARCHAR(15);

/*-- SEQ 0164 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_VEN_FIS ADD DOCNFP VARCHAR(15);

/*-- SEQ 0165 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_VEN ADD DOCNFP VARCHAR(15);

/*-- SEQ 0166 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ORC ADD DOCNFP VARCHAR(15);


/*-- SEQ 0167 --*/
SELECT DISABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0168 --*/
UPDATE TT_IVE
   SET VLR001 = ROUND(VLRMOV*TAX001/100,2)
 WHERE TAX001 <> 0
   AND VLR001 = 0
   AND (SELECT VEN.TRIBUT
          FROM TT_VEN VEN
         WHERE VEN.CODFIL = TT_IVE.CODFIL
           AND VEN.SEQUEN = TT_IVE.SEQUEN) = 'T'
   AND (SELECT PRO.TIPPRO
          FROM TT_PRO PRO 
         WHERE PRO.FILMAT = TT_IVE.FILMAT
           AND PRO.CODMAT = TT_IVE.CODMAT) = 1;

/*-- SEQ 0169 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0170 --*/
UPDATE TT_CFG
   SET CHECKOUT_VERMIN = '4.7D',
       CHECKOUT_RELMIN = 0;

/*-- SEQ 0171 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));


/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_DOP ADD PORORI Numeric(5);

/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_DOP ADD CONSTRAINT FK_DOP_DCOB FOREIGN KEY (PORORI) REFERENCES TD_COB (CODTAB);

/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
VALUES
('DOP_PORORI', Agora(), Agora());


/*-- SEQ 0175 --*/
ALTER TABLE TW_EXT ADD ESTORN CHAR(1);

/*-- SEQ 0176 --*/
ALTER TABLE TW_EXT ADD CONSTRAINT CK_EXT_ESTORN CHECK (ESTORN IN ('T','F'));


/*-- SEQ 0177 --*/
CREATE TABLE TD_FCC (CODTAB Numeric(5),
                     VLRTAX Numeric(7,4),
					 PERATE Numeric(7,2))  ;

/*-- SEQ 0178 --*/
ALTER TABLE TD_FCC ADD CONSTRAINT PK_DFCC PRIMARY KEY (CODTAB);

/*-- SEQ 0179 --*/
ALTER TABLE TD_FCC ADD CONSTRAINT FK_DFCC_DIND FOREIGN KEY (CODTAB) REFERENCES TD_IND (CODTAB);

/*-- SEQ 0180 --*/
ALTER TABLE TD_FCC ALTER COLUMN VLRTAX SET NOT NULL;

/*-- SEQ 0181 --*/
ALTER TABLE TD_FCC ALTER COLUMN PERATE SET NOT NULL;

/*-- SEQ 0182 --*/
ALTER TABLE TW_TAB ADD VLRTAX Numeric(7,4);

/*-- SEQ 0183 --*/
ALTER TABLE TW_TAB ADD PERATE Numeric(7,2);



/*-- SEQ 0184 --*/
ALTER TABLE TD_FCC ADD FCCATI VARCHAR(1);

/*-- SEQ 0185 --*/
ALTER TABLE TD_FCC ADD CONSTRAINT CK_DFCC_FCCATI CHECK (FCCATI IN ('T','F'));

/*-- SEQ 0186 --*/
ALTER TABLE TD_FCC ALTER COLUMN FCCATI SET DEFAULT 'T';

/*-- SEQ 0187 --*/
ALTER TABLE TD_FCC ALTER COLUMN FCCATI SET NOT NULL;

/*-- SEQ 0188 --*/
ALTER TABLE TW_TAB ADD FCCATI VARCHAR(1);

/*-- SEQ 0189 --*/
UPDATE TD_FCC SET FCCATI = 'T' WHERE FCCATI IS NULL;


/*-- SEQ 0190 --*/
ALTER TABLE TD_TAN ADD PRECAL Numeric(12,4);

/*-- SEQ 0191 --*/
ALTER TABLE TW_TAB ADD PRECAL Numeric(12,4);


/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG DROP CONSTRAINT CK_BASE_MARKUP;

/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_BASE_MARKUP CHECK (BASE_MARKUP IN ('R','I','B','1','2','3'));


/*-- SEQ 0194 --*/
/*-- IGNORE ERRO --*/
UPDATE TT_OUT
   SET SQLOUT = 'SELECT *
  FROM (SELECT LPAD(TRIM(REF),13,''0'') AS REF
          FROM (SELECT CODEAN AS REF 
                  FROM TT_EAN
                 UNION ALL
                SELECT REFBAS AS REF
                  FROM TT_PRO
                 UNION ALL
                SELECT REFPRO AS REF
                  FROM TT_GRA) TAB_I
         WHERE ISDIGIT(REF) <> 0 
         GROUP BY TRIM(REF)
        HAVING COUNT(*) = 1) TAB_II
         ORDER BY REF'
 WHERE CODTAB = 'REF'
   AND MD5(SQLOUT) = 'bf2b53b27df7a4ae15f3be7adb526094';


/*-- SEQ 0195 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_RCP ALTER COLUMN TIPFOR DROP NOT NULL;


/*-- SEQ 0196 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_EXP DROP CONSTRAINT CK_USOEXC;

/*-- SEQ 0197 --*/
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('TD_EXP'));

/*-- SEQ 0198 --*/
/*-- IGNORE ERRO --*/
UPDATE TD_EXP
   SET USOEXC = 'F'
 WHERE USOEXC IS NULL;

/*-- SEQ 0199 --*/
/*-- IGNORE ERRO --*/
SELECT ENABLETRIGGERS(LOWER('TD_EXP'));

/*-- SEQ 0200 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_EXP ADD CONSTRAINT CK_USOEXC CHECK (USOEXC IN ('T','F'));

/*-- SEQ 0201 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_EXP ALTER COLUMN USOEXC SET NOT NULL;


/*-- SEQ 0202 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_ITF_FLGDAT ON TT_ITF (FLGEST, DATVEN)  ;

/*-- SEQ 0203 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_IITF_STATUS ON TI_ITF (STATUS)  ;


/*-- SEQ 0204 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TT_DESXCLI','VLRDES','Numeric(14,4)');




/*-- SEQ 0205 --*/
/*-- IGNORE ERRO --*/
DROP VIEW TV_TAB_002;

/*-- SEQ 0206 --*/
/*-- IGNORE ERRO --*/
DROP VIEW TV_WEB CASCADE;

/*-- SEQ 0207 --*/
/*-- IGNORE ERRO --*/
DROP VIEW TV_TAB_OUT;

/*-- SEQ 0208 --*/
SELECT ExecAlteraTipoColuna('TD_CL1',' CLASS1','VARCHAR(40)');


/*-- SEQ 0209 --*/
SELECT ExecAlteraTipoColuna('TW_TAB',' CLASS1','VARCHAR(40)');


/*-- SEQ 0210 --*/
SELECT ExecAlteraTipoColuna('TD_CL2',' CLASS2','VARCHAR(40)');


/*-- SEQ 0211 --*/
SELECT ExecAlteraTipoColuna('TW_TAB',' CLASS2','VARCHAR(40)');


/*-- SEQ 0212 --*/
SELECT ExecAlteraTipoColuna('TD_CL3',' CLASS3','VARCHAR(40)');


/*-- SEQ 0213 --*/
SELECT ExecAlteraTipoColuna('TW_TAB',' CLASS3','VARCHAR(40)');


/*-- SEQ 0214 --*/
SELECT ExecAlteraTipoColuna('TD_CL4',' CLASS4','VARCHAR(40)');


/*-- SEQ 0215 --*/
SELECT ExecAlteraTipoColuna('TW_TAB',' CLASS4','VARCHAR(40)');



/*-- SEQ 0216 --*/
SELECT DISABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0217 --*/
UPDATE TT_GRA
   SET MARKUP = 0
 WHERE MARKUP < 0
    OR MARKUP > 99;

/*-- SEQ 0218 --*/
SELECT ENABLETRIGGERS(LOWER('TT_GRA'));


/*-- SEQ 0219 --*/
SELECT DISABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0220 --*/
UPDATE TT_IVE 
   SET NATFIS = '6404'||SUBSTR(NATFIS,5,2)
 WHERE NATFIS LIKE '6405%';

/*-- SEQ 0221 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0222 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_NATFIS CHECK (SUBSTR(NATFIS,1,4) <> '6405');


/*-- SEQ 0223 --*/
ALTER TABLE TT_CFG ADD TAXCRE_PREATEND Numeric(12,2);

/*-- SEQ 0224 --*/
ALTER TABLE TT_CFG ADD DIACRE_PREATEND Numeric(3);

/*-- SEQ 0225 --*/
ALTER TABLE TT_CFG ADD TAXDEB_PREATEND Numeric(12,2);

/*-- SEQ 0226 --*/
ALTER TABLE TT_CFG ADD DIADEB_PREATEND Numeric(3);



/*-- SEQ 0227 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CL1'));

/*-- SEQ 0228 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL1 ADD CL1WEB VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0229 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CL1'));

/*-- SEQ 0230 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL1 ADD Constraint CK_DCL1_CL1WEB CHECK(CL1WEB IN ('T','F'));

/*-- SEQ 0231 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL1 ALTER COLUMN CL1WEB SET NOT NULL;

/*-- SEQ 0232 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CL2'));

/*-- SEQ 0233 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL2 ADD CL2WEB VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0234 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CL2'));

/*-- SEQ 0235 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL2 ADD Constraint CK_DCL2_CL2WEB CHECK (CL2WEB IN ('T','F'));

/*-- SEQ 0236 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL2 ALTER COLUMN CL2WEB SET NOT NULL;

/*-- SEQ 0237 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CL3'));

/*-- SEQ 0238 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL3 ADD CL3WEB VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0239 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CL3'));

/*-- SEQ 0240 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL3 ADD Constraint CK_DCL3_CL3WEB CHECK (CL3WEB IN ('T','F'));

/*-- SEQ 0241 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL3 ALTER COLUMN CL3WEB SET NOT NULL;

/*-- SEQ 0242 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CL4'));

/*-- SEQ 0243 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL4 ADD CL4WEB VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0244 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CL4'));

/*-- SEQ 0245 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL4 ADD Constraint CK_DCL4_CL4WEB CHECK(CL4WEB IN ('T','F'));

/*-- SEQ 0246 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CL4 ALTER COLUMN CL4WEB SET NOT NULL;

/*-- SEQ 0247 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_DEP ADD DEPWEB VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0248 --*/
SELECT DISABLETRIGGERS(LOWER('TD_DEP'));

/*-- SEQ 0249 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_DEP ADD Constraint CK_DDEP_DEPWEB CHECK (DEPWEB IN ('T','F'));

/*-- SEQ 0250 --*/
SELECT ENABLETRIGGERS(LOWER('TD_DEP'));

/*-- SEQ 0251 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_DEP ALTER COLUMN DEPWEB SET NOT NULL;


/*-- SEQ 0252 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_CAM
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0253 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_CFP
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0254 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_CHR
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0255 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_CLI
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0256 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_COM
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0257 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_DES
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0258 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_DOP
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0259 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_ICO
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0260 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_IOF
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0261 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_IVE
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0262 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_LAN
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0263 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_LIM
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0264 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_NAT
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0265 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_PAG
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0266 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_PLA
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0267 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_PRE
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0268 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_PRO
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0269 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_REC
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0270 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_SAL
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0271 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_SER
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0272 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_USU
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0273 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_VEN
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0274 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CAM ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0275 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CFP ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0276 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CHR ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0277 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CLI ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0278 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_COM ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0279 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_DES ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0280 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_DOP ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0281 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ICO ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0282 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_IOF ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0283 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_IVE ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0284 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_LAN ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0285 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_LIM ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0286 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_NAT ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0287 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PAG ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0288 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PLA ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0289 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRE ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0290 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0291 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_REC ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0292 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_SAL ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0293 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_SER ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0294 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_USU ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0295 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_VEN ALTER COLUMN DATCRI SET NOT NULL;


/*-- SEQ 0296 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TPR ALTER COLUMN SIGNAT SET DEFAULT 1;

/*-- SEQ 0297 --*/
SELECT DISABLETRIGGERS(LOWER('TT_TPR'));

/*-- SEQ 0298 --*/
UPDATE TT_TPR
   SET SIGNAT = 1
 WHERE SIGNAT IS NULL;

/*-- SEQ 0299 --*/
SELECT ENABLETRIGGERS(LOWER('TT_TPR'));

/*-- SEQ 0300 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TPR ALTER COLUMN SIGNAT SET NOT NULL;


/*-- SEQ 0301 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ADD TRISIM VARCHAR(1);

/*-- SEQ 0302 --*/
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0303 --*/
UPDATE TD_FIL
SET TRISIM = CASE UFLOJA WHEN 'SC' THEN 'O'
WHEN 'RS' THEN 'S'
ELSE 'N'
END
WHERE TRISIM IS NULL;

/*-- SEQ 0304 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0305 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_TRISIM CHECK (TRISIM IN (''N'',''O'',''S''));

/*-- SEQ 0306 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_REGTRI_TRISIM CHECK ((REGTRI=''S'' AND TRISIM IS NOT NULL) OR (COALESCE(REGTRI,''N'')<>''S''));


/*-- SEQ 0307 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CFO ADD CFOMOD CHAR(2);

/*-- SEQ 0308 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_NAT ADD NATMOD CHAR(2);

/*-- SEQ 0309 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_ICO_FIS ADD MODNOT CHAR(2);


/*-- SEQ 0310 --*/
SELECT DISABLETRIGGERS(LOWER('TT_PAG'));

/*-- SEQ 0311 --*/
UPDATE TT_PAG 
   SET SIGNAT = 0
 WHERE SIGNAT IS NULL;

/*-- SEQ 0312 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PAG'));

/*-- SEQ 0313 --*/
ALTER TABLE TT_PAG ALTER COLUMN SIGNAT SET DEFAULT 0;

/*-- SEQ 0314 --*/
ALTER TABLE TT_PAG ALTER COLUMN SIGNAT SET NOT NULL;


/*-- SEQ 0315 --*/
INSERT INTO TL_FIN 
(ORIGEM, FILORI, SEQORI, PARORI, SUBORI, DATINC) 
SELECT CAST('PTR' AS CHAR(3)),
       PTR.CODFIL, PTR.SEQUEN, PTR.NUMPAR, PTR.SUBPAR, 
       Agora()
  FROM TT_PTR PTR INNER JOIN TT_TRC TRC ON TRC.CODFIL = PTR.CODFIL
                                       AND TRC.SEQUEN = PTR.SEQUEN
                  INNER JOIN TR_FIN FIN ON FIN.ORIGEM = 'PTR'
                                       AND FIN.CODFIL = PTR.CODFIL
                                       AND FIN.SEQUEN = PTR.SEQUEN
                                       AND FIN.NUMPAR = PTR.NUMPAR
                                       AND FIN.SUBPAR = PTR.SUBPAR
 WHERE TRC.FLGEST = 'C';


/*-- SEQ 0316 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF ADD NUMAUT Numeric(6);

/*-- SEQ 0317 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD NROPAR Numeric(2);

/*-- SEQ 0318 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD TOTPAR Numeric(2);

/*-- SEQ 0319 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD VLRTAX Numeric(14,2);

/*-- SEQ 0320 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_TEF_NUMAUT ON TT_TEF (NUMAUT)  ;

/*-- SEQ 0321 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD STATUS Numeric(1);

/*-- SEQ 0322 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_IITF_RO_STATUS ON TI_ITF_RO (STATUS)  ;

/*-- SEQ 0323 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0324 --*/
SELECT DISABLETRIGGERS(LOWER('TI_ITF_RO'));

/*-- SEQ 0325 --*/
UPDATE TI_ITF_RO SET STATUS=1 WHERE STATUS IS NULL;

/*-- SEQ 0326 --*/
SELECT ENABLETRIGGERS(LOWER('TI_ITF_RO'));

/*-- SEQ 0327 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD DATIMP Timestamp;

/*-- SEQ 0328 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD OBSSTA VARCHAR(255);

/*-- SEQ 0329 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD operad char(1);

/*-- SEQ 0330 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TEF ADD NRLOTE Numeric(10);

/*-- SEQ 0331 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TT_FUN (NOMFUN, DATFUN) VALUES ('TEF_NRLOTE',AGORA());

/*-- SEQ 0332 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD SEQARQ Numeric(10);

/*-- SEQ 0333 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD ORIAJU Numeric(2);

/*-- SEQ 0334 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD CODSTATUS Numeric(2);



/*-- SEQ 0335 --*/
select setval('sqmun',(select MAX(to_number(CODIGO)) from tt_mun)+1)

/*-- SEQ 0336 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL DROP CONSTRAINT FK_DFIL_MUN;

/*-- SEQ 0337 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_MUN FOREIGN KEY (CODCID) REFERENCES TT_MUN (CODIGO) ON UPDATE CASCADE;

/*-- SEQ 0338 --*/
SELECT DISABLETRIGGERS('TT_LOG');

/*-- SEQ 0339 --*/
DELETE FROM TT_LOG WHERE CODBAI IN (select codbai from TT_BAI WHERE CODMUN NOT IN (SELECT CODIGO FROM TT_MUN));

/*-- SEQ 0340 --*/
SELECT DISABLETRIGGERS('TT_BAI');

/*-- SEQ 0341 --*/
DELETE FROM TT_BAI WHERE CODMUN NOT IN (SELECT CODIGO FROM TT_MUN); 

/*-- SEQ 0342 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_BAI DROP CONSTRAINT FK_BAI_MUN;

/*-- SEQ 0343 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_BAI ADD CONSTRAINT FK_BAI_MUN FOREIGN KEY (CODMUN) REFERENCES TT_MUN (CODIGO) ON UPDATE CASCADE;

/*-- SEQ 0344 --*/
SELECT DISABLETRIGGERS('TT_END');

/*-- SEQ 0345 --*/
UPDATE TT_END SET CODCID=NULL WHERE (CODCID) NOT IN (SELECT CODIGO FROM TT_MUN); 

/*-- SEQ 0346 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_END DROP CONSTRAINT FK_END_MUN;

/*-- SEQ 0347 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_END ADD CONSTRAINT FK_END_MUN FOREIGN KEY (CODCID) REFERENCES TT_MUN (CODIGO) ON UPDATE CASCADE;

/*-- SEQ 0348 --*/
SELECT DISABLETRIGGERS('TT_ICM');

/*-- SEQ 0349 --*/
DELETE FROM TT_ICM WHERE (CODCID) NOT IN (SELECT CODIGO FROM TT_MUN); 

/*-- SEQ 0350 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ICM DROP CONSTRAINT FK_ICM_MUN;

/*-- SEQ 0351 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ICM ADD CONSTRAINT FK_ICM_MUN FOREIGN KEY (CODCID) REFERENCES TT_MUN (CODIGO) ON UPDATE CASCADE;

/*-- SEQ 0352 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDF DROP CONSTRAINT FK_IDF_MUN;

/*-- SEQ 0353 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDF ADD CONSTRAINT FK_IDF_MUN FOREIGN KEY (CODCID) REFERENCES TT_MUN (CODIGO) ON UPDATE CASCADE;

/*-- SEQ 0354 --*/
SELECT DISABLETRIGGERS('TT_IMU');

/*-- SEQ 0355 --*/
DELETE FROM TT_IMU WHERE (CODCID) NOT IN (SELECT CODIGO FROM TT_MUN); 

/*-- SEQ 0356 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IMU DROP CONSTRAINT FK_IMU_MUN;

/*-- SEQ 0357 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IMU ADD CONSTRAINT FK_IMU_MUN FOREIGN KEY (CODCID) REFERENCES TT_MUN (CODIGO) ON UPDATE CASCADE;

/*-- SEQ 0358 --*/
SELECT DISABLETRIGGERS('TT_MUN');

/*-- SEQ 0359 --*/
UPDATE TT_MUN
SET CODIGO=lpad(NEXTVAL('sqmun'),5,' ')
where codigo NOT LIKE ' %';

/*-- SEQ 0360 --*/
SELECT ENABLETRIGGERS('TT_END');

/*-- SEQ 0361 --*/
SELECT ENABLETRIGGERS('TT_MUN');

/*-- SEQ 0362 --*/
SELECT ENABLETRIGGERS('TT_IMU');

/*-- SEQ 0363 --*/
SELECT ENABLETRIGGERS('TT_ICM');

/*-- SEQ 0364 --*/
SELECT ENABLETRIGGERS('TT_BAI');

/*-- SEQ 0365 --*/
SELECT ENABLETRIGGERS('TT_LOG');


/*-- SEQ 0366 --*/
/*-- IGNORE ERRO --*/
CREATE SEQUENCE SQ_ARQ_COBREBEM INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0367 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_FCP DROP COLUMN PREBOM CASCADE;

/*-- SEQ 0368 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_MDT ADD PREBOM Numeric(14,4);


/*-- SEQ 0369 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF ADD NUMAUT Numeric(6);

/*-- SEQ 0370 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD NROPAR Numeric(2);

/*-- SEQ 0371 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD TOTPAR Numeric(2);

/*-- SEQ 0372 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD VLRTAX Numeric(14,2);

/*-- SEQ 0373 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_TEF_NUMAUT ON TT_TEF (NUMAUT)  ;

/*-- SEQ 0374 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD STATUS Numeric(1);

/*-- SEQ 0375 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_IITF_RO_STATUS ON TI_ITF_RO (STATUS)  ;

/*-- SEQ 0376 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0377 --*/
SELECT DISABLETRIGGERS(LOWER('TI_ITF_RO'));

/*-- SEQ 0378 --*/
UPDATE TI_ITF_RO SET STATUS=1 WHERE STATUS IS NULL;

/*-- SEQ 0379 --*/
SELECT ENABLETRIGGERS(LOWER('TI_ITF_RO'));

/*-- SEQ 0380 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD DATIMP Timestamp;

/*-- SEQ 0381 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD OBSSTA VARCHAR(255);

/*-- SEQ 0382 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD operad char(1);

/*-- SEQ 0383 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TEF ADD NRLOTE Numeric(10);

/*-- SEQ 0384 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TT_FUN (NOMFUN, DATFUN) VALUES ('TEF_NRLOTE',AGORA());

/*-- SEQ 0385 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD SEQARQ Numeric(10);

/*-- SEQ 0386 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD ORIAJU Numeric(2);

/*-- SEQ 0387 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF_RO ADD CODSTATUS Numeric(2);


/*-- SEQ 0388 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TT_IOR','VLRITE','Numeric(14,4)');



/*-- SEQ 0389 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCB ADD ENVNOS VARCHAR(1);

/*-- SEQ 0390 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCB ALTER COLUMN ENVNOS SET DEFAULT 'T';

/*-- SEQ 0391 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCB ADD CONSTRAINT CK_CCB_ENVNOS CHECK (ENVNOS IN ('T','F'));

/*-- SEQ 0392 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CCB'));

/*-- SEQ 0393 --*/
UPDATE TT_CCB 
   SET ENVNOS = CASE WHEN CARCCB = '1' 
                     THEN 'F' 
                     ELSE 'T' 
                END 
 WHERE ENVNOS IS NULL;

/*-- SEQ 0394 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CCB'));

/*-- SEQ 0395 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCB ALTER COLUMN ENVNOS SET NOT NULL;


/*-- SEQ 0396 --*/
/*--IGNORE ERRO--*/
DROP FUNCTION TGDLCR() CASCADE;


/*-- SEQ 0397 --*/
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0398 --*/
UPDATE TT_VEN
   SET AVISTA = (
        SELECT CASE WHEN SUM(CASE WHEN REC.FLGEST='A' AND REC.CARTAO IS NULL AND REC.SEQCHE IS NULL THEN 1 ELSE 0 END)>0 THEN 'F'
                    WHEN SUM(CASE WHEN REC.DATFIS<>TT_VEN.DATFIS THEN 1 ELSE 0 END)>0 THEN 'F'
                    WHEN SUM(CASE WHEN CHR.DATFIS<>CHR.DATVEN THEN 1 ELSE 0 END)>0 THEN 'F' -- RFMP 66883
               ELSE 'T'
               END
          FROM TT_REC REC LEFT JOIN TT_CHR CHR ON CHR.CODFIL = REC.CODFIL
                                              AND CHR.SEQUEN = REC.SEQCHE
         WHERE REC.CODFIL = TT_VEN.CODFIL
           AND REC.SEQUEN = TT_VEN.SEQUEN)
 WHERE AVISTA <> (
        SELECT CASE WHEN SUM(CASE WHEN REC.FLGEST='A' AND REC.CARTAO IS NULL AND REC.SEQCHE IS NULL THEN 1 ELSE 0 END)>0 THEN 'F'
                    WHEN SUM(CASE WHEN REC.DATFIS<>TT_VEN.DATFIS THEN 1 ELSE 0 END)>0 THEN 'F'
                    WHEN SUM(CASE WHEN CHR.DATFIS<>CHR.DATVEN THEN 1 ELSE 0 END)>0 THEN 'F' -- RFMP 66883
               ELSE 'T'
               END
          FROM TT_REC REC LEFT JOIN TT_CHR CHR ON CHR.CODFIL = REC.CODFIL
                                              AND CHR.SEQUEN = REC.SEQCHE
         WHERE REC.CODFIL = TT_VEN.CODFIL
           AND REC.SEQUEN = TT_VEN.SEQUEN
);

/*-- SEQ 0399 --*/
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));


/*-- SEQ 0400 --*/
alter table ti_itf add id_itf Numeric(10);

/*-- SEQ 0401 --*/
delete from ti_itf where id_itf is null;

/*-- SEQ 0402 --*/
alter table ti_itf add constraint pk_iitf primary key (id_itf)   ;

/*-- SEQ 0403 --*/
alter table ti_itf_ro add id_itf Numeric(10);

/*-- SEQ 0404 --*/
delete from ti_itf_ro where id_itf is null;

/*-- SEQ 0405 --*/
alter table ti_itf_ro add constraint pk_iitf_ro primary key (id_itf)   ;

/*-- SEQ 0406 --*/
CREATE SEQUENCE SQIITF INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0407 --*/
CREATE SEQUENCE SQIITFRO INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0408 --*/
alter table ti_itf drop constraint fk_iitf_itf ;

/*-- SEQ 0409 --*/
ALTER TABLE ti_itf DROP COLUMN numite CASCADE;

/*-- SEQ 0410 --*/
alter table ti_itf add constraint fk_iitf_tef foreign key (filtef, seqtef) references tt_tef (codfil,sequen) ;

/*-- SEQ 0411 --*/
create index i_iitf_tef on ti_itf (filtef, seqtef)  ;

/*-- SEQ 0412 --*/
CREATE SEQUENCE SQIITFGRUPO INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0413 --*/
alter table ti_itf_ro add grupo Numeric(10);

/*-- SEQ 0414 --*/
alter table ti_itf add grupo Numeric(10); 

/*-- SEQ 0415 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION CONCILIACAO_CARTAO () CASCADE;



/*-- SEQ 0416 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68212 --
DROP VIEW TV_RFIN_VEN;


/*-- SEQ 0417 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67034 --
CREATE INDEX I_LC_INV_FLGEST ON TT_INV (FLGEST, CODFIL, CODMUL);


/*-- SEQ 0418 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
ALTER TABLE TD_MED ADD DESMED VARCHAR(20);

/*-- SEQ 0419 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
SELECT DISABLETRIGGERS(LOWER('TD_MED'));

/*-- SEQ 0420 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
UPDATE TD_MED
SET    DESMED=UNIMED
WHERE  DESMED IS NULL;

/*-- SEQ 0421 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
SELECT ENABLETRIGGERS(LOWER('TD_MED'));

/*-- SEQ 0422 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
ALTER TABLE TD_MED ALTER COLUMN DESMED SET NOT NULL;

/*-- SEQ 0423 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
ALTER TABLE TW_TAB ADD DESMED VARCHAR(20);

/*-- SEQ 0424 --*/
-- Tarefa 68419
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0425 --*/
-- Tarefa 68419
ALTER TABLE TD_FIL ADD FILWEB VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0426 --*/
-- Tarefa 68419 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_FILWEB CHECK (FILWEB IN ('T','F'));

/*-- SEQ 0427 --*/
-- Tarefa 68419
ALTER TABLE TD_FIL ALTER COLUMN FILWEB SET NOT NULL;

/*-- SEQ 0428 --*/
-- Tarefa 68419 --
UPDATE TD_FIL SET FILWEB='T' WHERE CODFIL = '006' AND CGCFIL = '07014198000373';

/*-- SEQ 0429 --*/
-- Tarefa 68419 --
UPDATE TD_FIL SET FILWEB='F' WHERE (CODFIL <> '006') OR (CGCFIL <> '07014198000373');

/*-- SEQ 0430 --*/
-- Tarefa 68419
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0431 --*/
-- Tarefa 68419
SELECT DISABLETRIGGERS(LOWER('TD_MUL'));

/*-- SEQ 0432 --*/
-- Tarefa 68419
ALTER TABLE TD_MUL ADD MULWEB VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0433 --*/
-- Tarefa 68419 --
ALTER TABLE TD_MUL ADD CONSTRAINT CK_DMUL_MULWEB CHECK (MULWEB IN ('T','F'));

/*-- SEQ 0434 --*/
-- Tarefa 68419
ALTER TABLE TD_MUL ALTER COLUMN MULWEB SET NOT NULL;

/*-- SEQ 0435 --*/
-- Tarefa 68419
UPDATE TD_MUL SET MULWEB = 'T' WHERE MULWEB IS NULL AND CODTAB = 0;

/*-- SEQ 0436 --*/
-- Tarefa 68419
SELECT ENABLETRIGGERS(LOWER('TD_MUL'));


/*-- SEQ 0437 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA

-- Foi retirado porque h outro passo fazendo isso.

-- 68299 --
--SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

--/*-- PASSO 046 --*/
--/*-- IGNORE ERRO --*/
-- 68299 --
--UPDATE TT_CFG
--   SET NOME_CLASSIFICACAO = 'CLASSIFICAO'
-- WHERE NOME_CLASSIFICACAO = 'CLASSIFICACAO';

--/*-- PASSO 046 --*/
--/*-- IGNORE ERRO --*/
-- 68299 --
--SELECT ENABLETRIGGERS(LOWER('TT_CFG'));


/*-- SEQ 0438 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68389 --
DROP INDEX I_LC_ORC_NUMBLO;

/*-- SEQ 0439 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68389 --
CREATE INDEX I_LC_ORC_NUMBLO_COMAND ON TT_ORC (NUMBLO,COMAND)  ;


/*-- SEQ 0440 --*/
-- 68816 --
SELECT DISABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0441 --*/
-- 68816 --
UPDATE TT_COM
   SET FLGEST = 'A'
 WHERE (CODFIL, SEQUEN) IN (SELECT COM.CODFIL, COM.SEQUEN
                              FROM TT_COM COM INNER JOIN TT_PAG PAG ON COM.CODFIL=PAG.CODFIL 
                                                                   AND COM.SEQUEN=PAG.SEQUEN
                             WHERE COM.FLGEST = 'Q'
                               AND PAG.FLGEST = 'A');

/*-- SEQ 0442 --*/
-- 68816 --
SELECT ENABLETRIGGERS(LOWER('TT_COM'));


/*-- SEQ 0443 --*/
-- 68299 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0444 --*/
-- 68299 --
UPDATE TT_CFG
   SET NOME_CLASSIFICACAO = 'Classificao'
 WHERE UPPER(NOME_CLASSIFICACAO) = 'CLASSIFICACAO';

/*-- SEQ 0445 --*/
-- 68299 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));


/*-- SEQ 0446 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 66858 --
ALTER TABLE TR_FIN ADD VLRCRT Numeric(14,2);


/*-- SEQ 0447 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68826 --
CREATE INDEX I_LC_CHR_FLGEST_PLACAS ON TT_CHR (FLGEST, PLACAS)  ;

/*-- SEQ 0448 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68826 --
CREATE INDEX I_LC_LVEN_VEN ON TL_VEN (FILVEN, SEQVEN)  ;

/*-- SEQ 0449 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68826 --
CREATE INDEX I_LC_FIN_FILNUM ON TT_FIN (FILNUM, FLGFIN)  ;


/*-- SEQ 0450 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION AtualizaFinanceiro (TL_FIN.ORIGEM%TYPE,TL_FIN.FILORI%TYPE,TL_FIN.SEQORI%TYPE) CASCADE;

/*-- SEQ 0451 --*/
SELECT DISABLETRIGGERS(LOWER('TR_CTA'));

/*-- SEQ 0452 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CTA'));

/*-- SEQ 0453 --*/
update tr_cta cta
set totdeb = (select sum(case when fin.vlrpgt<0 then fin.vlrpgt else 0 end) * -1
                from tv_fin fin
               where fin.flgflx=cta.flgflx
        and fin.filcta=cta.filcta
        and fin.seqcta=cta.seqcta
        and fin.tipcta=cta.tipcta
        and fin.filrec=cta.fillan
        and fin.datpgt between cta.datlan and to_date(to_char(cta.datlan,'dd/mm/yyyy')||' 23:59:59','dd/mm/yyyy hh24:mi:ss')
    ),
   totcre=(select sum(case when fin.vlrpgt>0 then fin.vlrpgt else 0 end) 
      from tv_fin fin
     where fin.flgflx=cta.flgflx
       and fin.filcta=cta.filcta
       and fin.seqcta=cta.seqcta
       and fin.tipcta=cta.tipcta
       and fin.filrec=cta.fillan
       and fin.datpgt between cta.datlan and to_date(to_char(cta.datlan,'dd/mm/yyyy')||' 23:59:59','dd/mm/yyyy hh24:mi:ss')
    )
where tipcta='N'
  and datlan > to_date('01/01/2009','dd/mm/yyyy')
  and flgflx='R'
  and (select count(*) from tt_uid where versis = '4.4C-R30' )>0
  and (select count(*) from tt_fun where nomfun='CORR_SALDO')=0;

/*-- SEQ 0454 --*/
     UPDATE TT_CTA
        SET ATUREA = 'F',
            ATUARE = 'F',
            DATARE = NULL,
            DATREA = NULL
      WHERE tipcta='N'
        and (select count(*) from tt_uid where versis = '4.4C-R30' )>0
        and (select count(*) from tt_fun where nomfun='CORR_SALDO')=0;

/*-- SEQ 0455 --*/
SELECT ENABLETRIGGERS(LOWER('TR_CTA'));

/*-- SEQ 0456 --*/
SELECT ENABLETRIGGERS(LOWER('TR_CTA'));

/*-- SEQ 0457 --*/
select AtualizaSaldoContas(); 

/*-- SEQ 0458 --*/
/*-- IGNORE ERRO --*/
insert into tt_fun (nomfun, datfun, atu_em) values ('CORR_SALDO',agora(),agora());

