
/*-- SEQ 0001 --*/
-- Tarefa 75117 --
ALTER TABLE TT_CLI ADD CODCRC VARCHAR(15);


/*-- SEQ 0002 --*/
--Tarefa 75119 --
ALTER TABLE TD_FIL ADD FILCNT CHAR(3);

/*-- SEQ 0003 --*/
--Tarefa 75119 --
ALTER TABLE TD_FIL ADD CODCNT CHAR(6);


/*-- SEQ 0004 --*/
-- Tarefa 75137 --
CREATE TABLE TD_FCE(
  CODFCE Numeric(2),
  DESFCE VARCHAR(254))  ;

/*-- SEQ 0005 --*/
-- Tarefa 75137 --
ALTER TABLE TD_FCE ADD CONSTRAINT PK_FCE PRIMARY KEY (CODFCE);

/*-- SEQ 0006 --*/
-- Tarefa 75137 --
INSERT INTO TD_FCE (CODFCE, DESFCE) VALUES (00, '01 registro consolidando o consumo residencial at 100 kWh');

/*-- SEQ 0007 --*/
-- Tarefa 75137 --
INSERT INTO TD_FCE (CODFCE, DESFCE) VALUES (01, '01 registro consolidando o consumo residencial de 101 a 300 kWh');

/*-- SEQ 0008 --*/
-- Tarefa 75137 --
INSERT INTO TD_FCE (CODFCE, DESFCE) VALUES (02, '01 registro consolidando o consumo residencial de 301 a 500 kWh');

/*-- SEQ 0009 --*/
-- Tarefa 75137 --
INSERT INTO TD_FCE (CODFCE, DESFCE) VALUES (03, '01 registro consolidando o consumo residencial de 501 a 1000 kWh');

/*-- SEQ 0010 --*/
-- Tarefa 75137 --
INSERT INTO TD_FCE (CODFCE, DESFCE) VALUES (04, '01 registro consolidando o consumo residencial acima de 1000 kWh');

/*-- SEQ 0011 --*/
-- Tarefa 75137 --
INSERT INTO TD_FCE (CODFCE, DESFCE) VALUES (20, '01 registro consolidando o consumo industrial at 20.000 kWh');

/*-- SEQ 0012 --*/
-- Tarefa 75137 --
INSERT INTO TD_FCE (CODFCE, DESFCE) VALUES (21, '01 registro por documento fiscal emitido para consumo industrial acima de 20.000 kWh');

/*-- SEQ 0013 --*/
-- Tarefa 75137 --
INSERT INTO TD_FCE (CODFCE, DESFCE) VALUES (40, '01 registro consolidando o consumo de comrcio e/ou servios at 2.000 kWh');

/*-- SEQ 0014 --*/
-- Tarefa 75137 --
INSERT INTO TD_FCE (CODFCE, DESFCE) VALUES (41, '01 registro por documento fiscal emitido para consumo de comrcio e/ou servios acima de 2.000 kWh');

/*-- SEQ 0015 --*/
-- Tarefa 75137 --
INSERT INTO TD_FCE (CODFCE, DESFCE) VALUES (60, '01 registro consolidando o consumo rural at 2.000 kWh');

/*-- SEQ 0016 --*/
-- Tarefa 75137 --
INSERT INTO TD_FCE (CODFCE, DESFCE) VALUES (61, '01 registro por documento fiscal emitido para consumo rural acima de 2.000 kWh');

/*-- SEQ 0017 --*/
-- Tarefa 75137 --
INSERT INTO TD_FCE (CODFCE, DESFCE) VALUES (70, '01 registro consolidando todo o consumo do poder pblico');

/*-- SEQ 0018 --*/
-- Tarefa 75137 --
INSERT INTO TD_FCE (CODFCE, DESFCE) VALUES (71, '01 registro consolidando todo o consumo de iluminao pblica');

/*-- SEQ 0019 --*/
-- Tarefa 75137 --
INSERT INTO TD_FCE (CODFCE, DESFCE) VALUES (72, '01 registro consolidando todo o consumo do servio pblico');

/*-- SEQ 0020 --*/
-- Tarefa 75137 --
INSERT INTO TD_FCE (CODFCE, DESFCE) VALUES (80, '01 registro consolidando todo o consumo prprio');

/*-- SEQ 0021 --*/
-- Tarefa 75137 --
INSERT INTO TD_FCE (CODFCE, DESFCE) VALUES (90, '01 registro por documento fiscal emitido para outras unidades da federao');

/*-- SEQ 0022 --*/
-- Tarefa 75137 --
INSERT INTO TD_FCE (CODFCE, DESFCE) VALUES (99,	'01 registro por documento fiscal emitido');


/*-- SEQ 0023 --*/
SELECT ExecAlteraTipoColuna('TD_FUN','CODFUN','VARCHAR(4)');



/*-- SEQ 0024 --*/
-- Tarefa  75153 --
CREATE TABLE TD_MNF (
 CODMNF VARCHAR(2),  
 DESMNF VARCHAR(60),
 IMPMNF VARCHAR(4));

/*-- SEQ 0025 --*/ 
-- Tarefa  75153 --
ALTER TABLE TD_MNF ALTER COLUMN CODMNF SET NOT NULL;

/*-- SEQ 0026 --*/ 
-- Tarefa 75153 --
ALTER TABLE TD_MNF ALTER COLUMN DESMNF SET NOT NULL;

/*-- SEQ 0027 --*/ 
-- Tarefa 75153 --
ALTER TABLE TD_MNF ADD CONSTRAINT PK_MNF PRIMARY KEY (CODMNF);

/*-- SEQ 0028 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('00', 'No Informado', '' );

/*-- SEQ 0029 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('01', 'Nota Fiscal', '1/1A' );

/*-- SEQ 0030 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('1B', 'Nota Fiscal Avulsa', '' );

/*-- SEQ 0031 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('02', 'Nota Fiscal de Venda a Consumidor', '2' );

/*-- SEQ 0032 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('2D', 'Cupom Fiscal', '' );

/*-- SEQ 0033 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('2E', 'Cupom Fiscal Bilhete de Passagem', '' );

/*-- SEQ 0034 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('04', 'Nota Fiscal de Produtor', '4' );

/*-- SEQ 0035 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('06', 'Nota Fiscal/Conta de Energia Eltrica', '6' );

/*-- SEQ 0036 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('07', 'Nota Fiscal de Servio de Transporte', '7' );

/*-- SEQ 0037 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('08', 'Conhecimento de Transporte Rodovirio de Cargas', '8' );

/*-- SEQ 0038 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('8B', 'Conhecimento de Transporte de Cargas Avulso', '' );

/*-- SEQ 0039 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('09', 'Conhecimento de Transporte Aquavirio de Cargas', '9' );

/*-- SEQ 0040 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('10', 'Conhecimento Areo', '10' );

/*-- SEQ 0041 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('11', 'Conhecimento de Transporte Ferrovirio de Cargas', '11' );

/*-- SEQ 0042 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('13', 'Bilhete de Passagem Rodovirio', '13' );

/*-- SEQ 0043 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('14', 'Bilhete de Passagem Aquavirio', '14' );

/*-- SEQ 0044 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('15', 'Bilhete de Passagem e Nota de Bagagem', '15' );

/*-- SEQ 0045 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('17', 'Despacho de Transporte', '17' );

/*-- SEQ 0046 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('16', 'Bilhete de Passagem Ferrovirio', '16' );

/*-- SEQ 0047 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('18', 'Resumo de Movimento Dirio', '18' );

/*-- SEQ 0048 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('20', 'Ordem de Coleta de Cargas', '20' );

/*-- SEQ 0049 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('21', 'Nota Fiscal de Servio de Comunicao', '21' );

/*-- SEQ 0050 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('22', 'Nota Fiscal de Servio de Telecomunicao', '22' );

/*-- SEQ 0051 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('23', 'GNRE', '23' );

/*-- SEQ 0052 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('24', 'Autorizao de Carregamento e Transporte', '24' );

/*-- SEQ 0053 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('25', 'Manifesto de Carga', '25' );

/*-- SEQ 0054 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('26', 'Conhecimento de Transporte Multimodal de Cargas', '26' );

/*-- SEQ 0055 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('27', 'Nota Fiscal De Transporte Ferrovirio De Carga', '' );

/*-- SEQ 0056 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('28', 'Nota Fiscal/Conta de Fornecimento de Gs Canalizado', '' );

/*-- SEQ 0057 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('29', 'Nota Fiscal/Conta De Fornecimento Dgua Canalizada', '' );

/*-- SEQ 0058 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('55', 'Nota Fiscal de Servio de Telecomunicao', '' );

/*-- SEQ 0059 --*/
-- Tarefa 75153 --
INSERT INTO TD_MNF (CODMNF, DESMNF, IMPMNF) VALUES ('57', 'Conhecimento de Transporte Eletrnico  CT-e', '' );


/*-- SEQ 0060 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0061 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0062 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0063 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0064 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0065 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0066 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0067 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0068 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0069 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0070 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0071 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0072 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0073 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;


/*-- SEQ 0074 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0075 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
ALTER TABLE TT_NCM ADD TEMPNCM VARCHAR(8);

/*-- SEQ 0076 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
UPDATE TT_NCM
   SET TEMPNCM = CODNCM;

/*-- SEQ 0077 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
SELECT DISABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0078 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
ALTER TABLE TT_GRA DROP CONSTRAINT FK_GRA_NCM CASCADE;

/*-- SEQ 0079 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
SELECT ENABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0080 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
ALTER TABLE TT_NCM DROP CONSTRAINT PK_NCM CASCADE;

/*-- SEQ 0081 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
ALTER TABLE TT_NCM DROP COLUMN CODNCM CASCADE;

/*-- SEQ 0082 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
ALTER TABLE TT_NCM ADD CODNCM VARCHAR(8);

/*-- SEQ 0083 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
UPDATE TT_NCM
   SET CODNCM = TEMPNCM;

/*-- SEQ 0084 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
UPDATE TT_NCM
   SET CODNCM = ('0'||CODNCM)
 WHERE LENGTH(CODNCM) IN (1,3,5,7);

/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
SELECT * FROM NADA;

/*-- SEQ 0086 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
SELECT * FROM NADA;

/*-- SEQ 0087 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
SELECT * FROM NADA;

/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
ALTER TABLE TT_NCM DROP COLUMN TEMPNCM CASCADE;

/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
ALTER TABLE TT_NCM ADD CONSTRAINT PK_NCM PRIMARY KEY (CODNCM);

/*-- SEQ 0090 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
SELECT DISABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0091 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
ALTER TABLE TT_GRA ADD TEMPNCM VARCHAR(8);

/*-- SEQ 0092 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
UPDATE TT_GRA
   SET TEMPNCM = CODNCM;

/*-- SEQ 0093 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
ALTER TABLE TT_GRA DROP COLUMN CODNCM CASCADE;

/*-- SEQ 0094 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
ALTER TABLE TT_GRA ADD CODNCM VARCHAR(8);

/*-- SEQ 0095 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
UPDATE TT_GRA
   SET CODNCM = TEMPNCM;

/*-- SEQ 0096 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
UPDATE TT_GRA
   SET CODNCM = ('0'||CODNCM)
 WHERE LENGTH(CODNCM) IN (1,3,5,7);
 
/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
SELECT * FROM NADA;

/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
SELECT * FROM NADA;

/*-- SEQ 0099 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
SELECT * FROM NADA;

/*-- SEQ 0100 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
ALTER TABLE TT_GRA DROP COLUMN TEMPNCM CASCADE;

/*-- SEQ 0101 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
ALTER TABLE TT_GRA ADD CONSTRAINT FK_GRA_NCM FOREIGN KEY (CODNCM) REFERENCES TT_NCM(CODNCM);

/*-- SEQ 0102 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
SELECT ENABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0103 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
SELECT ENABLETRIGGERS(LOWER('TT_NCM'));


/*-- SEQ 0104 --*/
-- Tarefa 75140 --
CREATE TABLE TD_BOM (
CODTAB Numeric(5), 
NUMBOM Numeric(2), 
NSERIE VARCHAR(60),
NOMFAB VARCHAR(60),
MODELO VARCHAR(60),
TIPMED CHAR(1),
BOMATI VARCHAR(1) DEFAULT 'T')  ;

/*-- SEQ 0105 --*/
-- Tarefa  75140 --
ALTER TABLE TD_BOM ALTER COLUMN BOMATI SET NOT NULL;

/*-- SEQ 0106 --*/
-- Tarefa  75140 --
ALTER TABLE TD_BOM ALTER COLUMN CODTAB SET NOT NULL;

/*-- SEQ 0107 --*/
-- Tarefa  75140 --
ALTER TABLE TD_BOM ALTER COLUMN NUMBOM SET NOT NULL;

/*-- SEQ 0108 --*/
-- Tarefa 75140 --
ALTER TABLE TD_BOM ADD CONSTRAINT PK_BOM PRIMARY KEY (CODTAB);

/*-- SEQ 0109 --*/
-- Tarefa 75140 --
ALTER TABLE TD_BOM ADD CONSTRAINT CK_BOM_TIPMED CHECK (TIPMED IN ('0','1'));

/*-- SEQ 0110 --*/
-- Tarefa 75140 --
ALTER TABLE TD_BOM ADD CONSTRAINT CK_BOM_BOMATI CHECK (BOMATI IN ('T','F'));

/*-- SEQ 0111 --*/
-- Tarefa 75140 --
ALTER TABLE TW_TAB ADD NSERIE VARCHAR(60);

/*-- SEQ 0112 --*/
-- Tarefa 75140 --
ALTER TABLE TW_TAB ADD NOMFAB VARCHAR(60);

/*-- SEQ 0113 --*/
-- Tarefa 75140 --
ALTER TABLE TW_TAB ADD MODELO VARCHAR(60);

/*-- SEQ 0114 --*/
-- Tarefa 75140 --
ALTER TABLE TW_TAB ADD TIPMED CHAR(1);

/*-- SEQ 0115 --*/
-- Tarefa 75140 --
ALTER TABLE TW_TAB ADD BOMATI VARCHAR(1) DEFAULT 'T';


/*-- SEQ 0116 --*/
--Tarefa 75122 --
CREATE TABLE TD_PAI (
  CODPAI Numeric(5),
  DESPAI VARCHAR(60))  ;

/*-- SEQ 0117 --*/
--Tarefa 75122 --
ALTER TABLE TD_PAI ADD CONSTRAINT PK_PAI PRIMARY KEY (CODPAI);

/*-- SEQ 0118 --*/
--Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (132, 'AFEGANISTAO' );

/*-- SEQ 0119 --*/
--Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (175, 'ALBANIA, REPUBLICA DA' );

/*-- SEQ 0120 --*/
--Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (230, 'ALEMANHA' );

/*-- SEQ 0121 --*/
--Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (310, 'BURKINA FASO' );

/*-- SEQ 0122 --*/
--Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (370, 'ANDORRA' );

/*-- SEQ 0123 --*/
--Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (400, 'ANGOLA' );

/*-- SEQ 0124 --*/
--Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (418, 'ANGUILLA' );

/*-- SEQ 0125 --*/
--Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (434, 'ANTIGUA E BARBUDA' );

/*-- SEQ 0126 --*/
--Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (477, 'ANTILHAS HOLANDESAS' );

/*-- SEQ 0127 --*/
--Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (531, 'ARABIA SAUDITA' );

/*-- SEQ 0128 --*/
--Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (590, 'ARGELIA' );

/*-- SEQ 0129 --*/
--Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (639, 'ARGENTINA' );

/*-- SEQ 0130 --*/
--Tarefa75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (647, 'ARMENIA, REPUBLICA DA' );
 
/*-- SEQ 0131 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (655, 'ARUBA' );

/*-- SEQ 0132 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (698, 'AUSTRALIA' );

/*-- SEQ 0133 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (728, 'AUSTRIA' );

/*-- SEQ 0134 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (736, 'AZERBAIJAO, REPUBLICA DO' );

/*-- SEQ 0135 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (779, 'BAHAMAS, ILHAS' );

/*-- SEQ 0136 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (809, 'BAHREIN, ILHAS' );

/*-- SEQ 0137 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (817, 'BANGLADESH' );

/*-- SEQ 0138 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (833, 'BARBADOS' );

/*-- SEQ 0139 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (850, 'BELARUS, REPUBLICA DA' );

/*-- SEQ 0140 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (876, 'BELGICA' );

/*-- SEQ 0141 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (884, 'BELIZE' );

/*-- SEQ 0142 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (906, 'BERMUDAS' );

/*-- SEQ 0143 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (930, 'MIANMAR (BIRMANIA)' );

/*-- SEQ 0144 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (973, 'BOLIVIA' );

/*-- SEQ 0145 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (981, 'BOSNIA-HERZEGOVINA (REPUBLICA DA)' );

/*-- SEQ 0146 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1015, 'BOTSUANA' );

/*-- SEQ 0147 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1058, 'BRASIL' );

/*-- SEQ 0148 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1082, 'BRUNEI' );

/*-- SEQ 0149 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1112, 'BULGARIA, REPUBLICA DA' );

/*-- SEQ 0150 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1155, 'BURUNDI' );

/*-- SEQ 0151 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1198, 'BUTAO' );

/*-- SEQ 0152 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1279, 'CABO VERDE, REPUBLICA DE' );

/*-- SEQ 0153 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1376, 'CAYMAN, ILHAS' );

/*-- SEQ 0154 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1414, 'CAMBOJA' );

/*-- SEQ 0155 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1457, 'CAMAROES' );

/*-- SEQ 0156 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1490, 'CANADA' );

/*-- SEQ 0157 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1504, 'GUERNSEY, ILHA DO CANAL (INCLUI ALDERNEY E SARK)' );

/*-- SEQ 0158 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1508, 'JERSEY, ILHA DO CANAL' );

/*-- SEQ 0159 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1511, 'CANARIAS, ILHAS' );

/*-- SEQ 0160 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1538, 'CAZAQUISTAO, REPUBLICA DO' );

/*-- SEQ 0161 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1546, 'CATAR' );

/*-- SEQ 0162 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1589, 'CHILE' );

/*-- SEQ 0163 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1600, 'CHINA, REPUBLICA POPULAR' );

/*-- SEQ 0164 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1619, 'FORMOSA (TAIWAN)' );

/*-- SEQ 0165 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1635, 'CHIPRE' );

/*-- SEQ 0166 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1651, 'COCOS(KEELING),ILHAS' );

/*-- SEQ 0167 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1694, 'COLOMBIA' );

/*-- SEQ 0168 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1732, 'COMORES, ILHAS' );

/*-- SEQ 0169 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1775, 'CONGO' );

/*-- SEQ 0170 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1830, 'COOK, ILHAS' );

/*-- SEQ 0171 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1872, 'COREIA, REP.POP.DEMOCRATICA' );

/*-- SEQ 0172 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1902, 'COREIA, REPUBLICA DA' );

/*-- SEQ 0173 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1937, 'COSTA DO MARFIM' );

/*-- SEQ 0174 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1953, 'CROACIA (REPUBLICA DA)' );

/*-- SEQ 0175 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1961, 'COSTA RICA' );

/*-- SEQ 0176 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1988, 'COVEITE' );

/*-- SEQ 0177 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (1996, 'CUBA' );

/*-- SEQ 0178 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2291, 'BENIN' );

/*-- SEQ 0179 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2321, 'DINAMARCA' );

/*-- SEQ 0180 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2356, 'DOMINICA,ILHA' );

/*-- SEQ 0181 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2399, 'EQUADOR' );

/*-- SEQ 0182 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2402, 'EGITO' );

/*-- SEQ 0183 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2437, 'ERITREIA' );

/*-- SEQ 0184 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2445, 'EMIRADOS ARABES UNIDOS' );

/*-- SEQ 0185 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2453, 'ESPANHA' );

/*-- SEQ 0186 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2461, 'ESLOVENIA, REPUBLICA DA' );

/*-- SEQ 0187 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2470, 'ESLOVACA, REPUBLICA' );

/*-- SEQ 0188 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2496, 'ESTADOS UNIDOS' );

/*-- SEQ 0189 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2518, 'ESTONIA, REPUBLICA DA' );

/*-- SEQ 0190 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2534, 'ETIOPIA' );

/*-- SEQ 0191 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2550, 'FALKLAND (ILHAS MALVINAS)' );

/*-- SEQ 0192 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2593, 'FEROE, ILHAS' );

/*-- SEQ 0193 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2674, 'FILIPINAS' );

/*-- SEQ 0194 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2712, 'FINLANDIA' );

/*-- SEQ 0195 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2755, 'FRANCA' );

/*-- SEQ 0196 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2810, 'GABAO' );

/*-- SEQ 0197 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2852, 'GAMBIA' );

/*-- SEQ 0198 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2895, 'GANA' );

/*-- SEQ 0199 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2917, 'GEORGIA, REPUBLICA DA' );

/*-- SEQ 0200 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2933, 'GIBRALTAR' );

/*-- SEQ 0201 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (2976, 'GRANADA' );

/*-- SEQ 0202 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3018, 'GRECIA' );

/*-- SEQ 0203 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3050, 'GROENLANDIA' );

/*-- SEQ 0204 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3093, 'GUADALUPE' );

/*-- SEQ 0205 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3131, 'GUAM' );

/*-- SEQ 0206 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3174, 'GUATEMALA' );

/*-- SEQ 0207 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3255, 'GUIANA FRANCESA' );

/*-- SEQ 0208 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3298, 'GUINE' );

/*-- SEQ 0209 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3310, 'GUINE-EQUATORIAL' );

/*-- SEQ 0210 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3344, 'GUINE-BISSAU' );

/*-- SEQ 0211 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3379, 'GUIANA' );

/*-- SEQ 0212 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3417, 'HAITI' );

/*-- SEQ 0213 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3450, 'HONDURAS' );

/*-- SEQ 0214 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3514, 'HONG KONG' );

/*-- SEQ 0215 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3557, 'HUNGRIA, REPUBLICA DA' );

/*-- SEQ 0216 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3573, 'IEMEN' );

/*-- SEQ 0217 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3595, 'MAN, ILHA DE' );

/*-- SEQ 0218 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3611, 'INDIA' );

/*-- SEQ 0219 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3654, 'INDONESIA' );

/*-- SEQ 0220 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3697, 'IRAQUE' );

/*-- SEQ 0221 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3727, 'IRA, REPUBLICA ISLAMICA DO' );

/*-- SEQ 0222 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3751, 'IRLANDA' );

/*-- SEQ 0223 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3794, 'ISLANDIA' );

/*-- SEQ 0224 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3832, 'ISRAEL' );

/*-- SEQ 0225 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3867, 'ITALIA' );

/*-- SEQ 0226 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3913, 'JAMAICA' );

/*-- SEQ 0227 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3964, 'JOHNSTON' );

/*-- SEQ 0228 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (3999, 'JAPAO' );

/*-- SEQ 0229 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4030, 'JORDANIA' );

/*-- SEQ 0230 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4111, 'KIRIBATI' );

/*-- SEQ 0231 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4200, 'LAOS, REP.POP.DEMOCR.DO' );

/*-- SEQ 0232 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4260, 'LESOTO' );

/*-- SEQ 0233 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4278, 'LETONIA, REPUBLICA DA' );

/*-- SEQ 0234 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4316, 'LIBANO' );

/*-- SEQ 0235 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4340, 'LIBERIA' );

/*-- SEQ 0236 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4383, 'LIBIA' );

/*-- SEQ 0237 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4405, 'LIECHTENSTEIN' );

/*-- SEQ 0238 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4421, 'LITUANIA, REPUBLICA DA' );

/*-- SEQ 0239 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4456, 'LUXEMBURGO' );

/*-- SEQ 0240 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4472, 'MACAU' );

/*-- SEQ 0241 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4499, 'MACEDONIA, ANT.REP.IUGOSLAVA' );

/*-- SEQ 0242 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4502, 'MADAGASCAR' );

/*-- SEQ 0243 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4525, 'MADEIRA, ILHA DA' );

/*-- SEQ 0244 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4553, 'MALASIA' );

/*-- SEQ 0245 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4588, 'MALAVI' );

/*-- SEQ 0246 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4618, 'MALDIVAS' );

/*-- SEQ 0247 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4642, 'MALI' );

/*-- SEQ 0248 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4677, 'MALTA' );

/*-- SEQ 0249 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4723, 'MARIANAS DO NORTE' );

/*-- SEQ 0250 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4740, 'MARROCOS' );

/*-- SEQ 0251 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4766, 'MARSHALL,ILHAS' );

/*-- SEQ 0252 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4774, 'MARTINICA' );

/*-- SEQ 0253 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4855, 'MAURICIO' );

/*-- SEQ 0254 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4880, 'MAURITANIA' );

/*-- SEQ 0255 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4901, 'MIDWAY, ILHAS' );

/*-- SEQ 0256 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4936, 'MEXICO' );

/*-- SEQ 0257 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4944, 'MOLDAVIA, REPUBLICA DA' );

/*-- SEQ 0258 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4952, 'MONACO' );

/*-- SEQ 0259 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4979, 'MONGOLIA' );

/*-- SEQ 0260 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4985, 'MONTENEGRO' );

/*-- SEQ 0261 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (4995, 'MICRONESIA' );

/*-- SEQ 0262 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5010, 'MONTSERRAT,ILHAS' );

/*-- SEQ 0263 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5053, 'MOCAMBIQUE' );

/*-- SEQ 0264 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5070, 'NAMIBIA' );

/*-- SEQ 0265 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5088, 'NAURU' );

/*-- SEQ 0266 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5118, 'CHRISTMAS,ILHA' );

/*-- SEQ 0267 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5177, 'NEPAL' );

/*-- SEQ 0268 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5215, 'NICARAGUA' );

/*-- SEQ 0269 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5258, 'NIGER' );

/*-- SEQ 0270 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5282, 'NIGERIA' );

/*-- SEQ 0271 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5312, 'NIUE,ILHA' );

/*-- SEQ 0272 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5355, 'NORFOLK,ILHA' );

/*-- SEQ 0273 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5380, 'NORUEGA' );

/*-- SEQ 0274 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5428, 'NOVA CALEDONIA' );

/*-- SEQ 0275 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5452, 'PAPUA NOVA GUINE' );

/*-- SEQ 0276 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5487, 'NOVA ZELANDIA' );

/*-- SEQ 0277 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5517, 'VANUATU' );

/*-- SEQ 0278 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5568, 'OMA' );

/*-- SEQ 0279 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5665, 'PACIFICO,ILHAS DO' );

/*-- SEQ 0280 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5738, 'PAISES BAIXOS' );

/*-- SEQ 0281 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5754, 'PALAU' );

/*-- SEQ 0282 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5762, 'PAQUISTAO' );

/*-- SEQ 0283 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5800, 'PANAMA' );

/*-- SEQ 0284 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5860, 'PARAGUAI' );

/*-- SEQ 0285 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5894, 'PERU' );

/*-- SEQ 0286 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5932, 'PITCAIRN,ILHA' );

/*-- SEQ 0287 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (5991, 'POLINESIA FRANCESA' );

/*-- SEQ 0288 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (6033, 'POLONIA, REPUBLICA DA' );

/*-- SEQ 0289 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (6076, 'PORTUGAL' );

/*-- SEQ 0290 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (6114, 'PORTO RICO' );

/*-- SEQ 0291 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (6238, 'QUENIA' );

/*-- SEQ 0292 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (6254, 'QUIRGUIZ, REPUBLICA' );

/*-- SEQ 0293 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (6289, 'REINO UNIDO' );

/*-- SEQ 0294 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (6408, 'REPUBLICA CENTRO-AFRICANA' );

/*-- SEQ 0295 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (6475, 'REPUBLICA DOMINICANA' );

/*-- SEQ 0296 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (6602, 'REUNIAO, ILHA' );

/*-- SEQ 0297 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (6653, 'ZIMBABUE' );

/*-- SEQ 0298 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (6700, 'ROMENIA' );

/*-- SEQ 0299 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (6750, 'RUANDA' );

/*-- SEQ 0300 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (6769, 'RUSSIA, FEDERACAO DA' );

/*-- SEQ 0301 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (6777, 'SALOMAO, ILHAS' );

/*-- SEQ 0302 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (6781, 'SAINT KITTS E NEVIS' );

/*-- SEQ 0303 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (6858, 'SAARA OCIDENTAL' );

/*-- SEQ 0304 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (6874, 'EL SALVADOR' );

/*-- SEQ 0305 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (6904, 'SAMOA' );

/*-- SEQ 0306 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (6912, 'SAMOA AMERICANA' );

/*-- SEQ 0307 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (6955, 'SAO CRISTOVAO E NEVES,ILHAS' );

/*-- SEQ 0308 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (6971, 'SAN MARINO' );

/*-- SEQ 0309 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7005, 'SAO PEDRO E MIQUELON' );

/*-- SEQ 0310 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7056, 'SAO VICENTE E GRANADINAS' );

/*-- SEQ 0311 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7102, 'SANTA HELENA' );

/*-- SEQ 0312 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7153, 'SANTA LUCIA' );

/*-- SEQ 0313 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7200, 'SAO TOME E PRINCIPE, ILHAS' );

/*-- SEQ 0314 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7285, 'SENEGAL' );

/*-- SEQ 0315 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7315, 'SEYCHELLES' );

/*-- SEQ 0316 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7358, 'SERRA LEOA' );

/*-- SEQ 0317 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7370, 'SERVIA' );

/*-- SEQ 0318 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7412, 'CINGAPURA' );

/*-- SEQ 0319 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7447, 'SIRIA, REPUBLICA ARABE DA' );

/*-- SEQ 0320 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7480, 'SOMALIA' );

/*-- SEQ 0321 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7501, 'SRI LANKA' );

/*-- SEQ 0322 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7544, 'SUAZILANDIA' );

/*-- SEQ 0323 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7560, 'AFRICA DO SUL' );

/*-- SEQ 0324 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7595, 'SUDAO' );

/*-- SEQ 0325 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7641, 'SUECIA' );

/*-- SEQ 0326 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7676, 'SUICA' );

/*-- SEQ 0327 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7706, 'SURINAME' );

/*-- SEQ 0328 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7722, 'TADJIQUISTAO, REPUBLICA DO' );

/*-- SEQ 0329 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7765, 'TAILANDIA' );

/*-- SEQ 0330 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7803, 'TANZANIA, REP.UNIDA DA' );

/*-- SEQ 0331 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7820, 'TERRITORIO BRIT.OC.INDICO' );

/*-- SEQ 0332 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7838, 'DJIBUTI' );

/*-- SEQ 0333 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7889, 'CHADE' );

/*-- SEQ 0334 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7919, 'TCHECA, REPUBLICA' );

/*-- SEQ 0335 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (7951, 'TIMOR LESTE' );

/*-- SEQ 0336 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (8001, 'TOGO' );

/*-- SEQ 0337 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (8052, 'TOQUELAU,ILHAS' );

/*-- SEQ 0338 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (8109, 'TONGA' );

/*-- SEQ 0339 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (8150, 'TRINIDAD E TOBAGO' );

/*-- SEQ 0340 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (8206, 'TUNISIA' );

/*-- SEQ 0341 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (8230, 'TURCAS E CAICOS,ILHAS' );

/*-- SEQ 0342 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (8249, 'TURCOMENISTAO, REPUBLICA DO' );

/*-- SEQ 0343 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (8273, 'TURQUIA' );

/*-- SEQ 0344 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (8281, 'TUVALU' );

/*-- SEQ 0345 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (8311, 'UCRANIA' );

/*-- SEQ 0346 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (8338, 'UGANDA' );

/*-- SEQ 0347 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (8451, 'URUGUAI' );

/*-- SEQ 0348 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (8478, 'UZBEQUISTAO, REPUBLICA DO' );

/*-- SEQ 0349 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (8486, 'VATICANO, EST.DA CIDADE DO' );

/*-- SEQ 0350 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (8508, 'VENEZUELA' );

/*-- SEQ 0351 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (8583, 'VIETNA' );

/*-- SEQ 0352 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (8630, 'VIRGENS,ILHAS (BRITANICAS)' );

/*-- SEQ 0353 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (8664, 'VIRGENS,ILHAS (E.U.A.)' );

/*-- SEQ 0354 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (8702, 'FIJI' );

/*-- SEQ 0355 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (8737, 'WAKE, ILHA' );

/*-- SEQ 0356 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (8885, 'CONGO, REPUBLICA DEMOCRATICA DO' );

/*-- SEQ 0357 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (8907, 'ZAMBIA' );

/*-- SEQ 0358 --*/
-- Tarefa 75122 --
INSERT INTO TD_PAI (CODPAI, DESPAI) VALUES (8958, 'ZONA DO CANAL DO PANAMA' );


/*-- SEQ 0359 --*/
-- Tarefa 75200 --
CREATE TABLE TD_FPS (
CODFPS VARCHAR(2),
DESFPS VARCHAR(40))  ;

/*-- SEQ 0360 --*/
-- Tarefa 75200 --
ALTER TABLE TD_FPS ADD CONSTRAINT PK_FPS PRIMARY KEY (CODFPS); 

/*-- SEQ 0361 --*/
-- Tarefa 75200 --
INSERT INTO TD_FPS (CODFPS, DESFPS) VALUES(00,'Mercadoria para Revenda');

/*-- SEQ 0362 --*/
-- Tarefa 75200 --
INSERT INTO TD_FPS (CODFPS, DESFPS) VALUES(01,'Matria-Prima');

/*-- SEQ 0363 --*/
-- Tarefa 75200 --
INSERT INTO TD_FPS (CODFPS, DESFPS) VALUES(02,'Embalagem');

/*-- SEQ 0364 --*/
-- Tarefa 75200 --
INSERT INTO TD_FPS (CODFPS, DESFPS) VALUES(03,'Produto em Processo');

/*-- SEQ 0365 --*/
-- Tarefa 75200 --
INSERT INTO TD_FPS (CODFPS, DESFPS) VALUES(04,'Produto Acabado');

/*-- SEQ 0366 --*/
-- Tarefa 75200 --
INSERT INTO TD_FPS (CODFPS, DESFPS) VALUES(05,'Subproduto');

/*-- SEQ 0367 --*/
-- Tarefa 75200 --
INSERT INTO TD_FPS (CODFPS, DESFPS) VALUES(06,'Produto Intermedirio');

/*-- SEQ 0368 --*/
-- Tarefa 75200 --
INSERT INTO TD_FPS (CODFPS, DESFPS) VALUES(07,'Material de Uso e Consumo');

/*-- SEQ 0369 --*/
-- Tarefa 75200 --
INSERT INTO TD_FPS (CODFPS, DESFPS) VALUES(08,'Ativo Imobilizado');

/*-- SEQ 0370 --*/
-- Tarefa 75200 --
INSERT INTO TD_FPS (CODFPS, DESFPS) VALUES(09,'Servios');

/*-- SEQ 0371 --*/
-- Tarefa 75200 --
INSERT INTO TD_FPS (CODFPS, DESFPS) VALUES(10,'Outros insumos');

/*-- SEQ 0372 --*/
-- Tarefa 75200 --
INSERT INTO TD_FPS (CODFPS, DESFPS) VALUES(99,'Outras');


/*-- SEQ 0373 --*/
-- Tarefa 75148  --
ALTER TABLE TD_BIC ADD CODBOM Numeric(5);

/*-- SEQ 0374 --*/
-- Tarefa 75148  --
ALTER TABLE TD_BIC ADD CONSTRAINT FK_DBIC_CODBOM FOREIGN KEY (CODBOM) REFERENCES TD_BOM (CODTAB);

/*-- SEQ 0375 --*/
-- Tarefa 75148  --
ALTER TABLE TW_TAB ADD CODBOM Numeric(5);


/*-- SEQ 0376 --*/
-- Tarefa 75144 --
CREATE TABLE TT_LAC(
  CODFIL CHAR   (3 )       ,
  SEQUEN CHAR   (10)       ,
  NUMLAC VARCHAR(20)       ,
  DATAPL Timestamp              ,
  LACATI VARCHAR(1) DEFAULT 'T',
  CODBOM Numeric (5))  ;

/*-- SEQ 0377 --*/
-- Tarefa 75144 --
ALTER TABLE TT_LAC ALTER COLUMN CODFIL SET NOT NULL;

/*-- SEQ 0378 --*/
-- Tarefa 75144 --
ALTER TABLE TT_LAC ALTER COLUMN SEQUEN SET NOT NULL;

/*-- SEQ 0379 --*/
-- Tarefa 75144 --
ALTER TABLE TT_LAC ALTER COLUMN NUMLAC SET NOT NULL;

/*-- SEQ 0380 --*/
-- Tarefa 75144 --
ALTER TABLE TT_LAC ALTER COLUMN DATAPL SET NOT NULL;

/*-- SEQ 0381 --*/
-- Tarefa 75144 --
ALTER TABLE TT_LAC ALTER COLUMN LACATI SET NOT NULL;

/*-- SEQ 0382 --*/
-- Tarefa 75144 --
ALTER TABLE TT_LAC ALTER COLUMN CODBOM SET NOT NULL;

/*-- SEQ 0383 --*/
-- Tarefa 75144 --
ALTER TABLE TT_LAC ADD CONSTRAINT PK_LAC PRIMARY KEY (CODFIL,SEQUEN);

/*-- SEQ 0384 --*/
-- Tarefa 75144 --
ALTER TABLE TT_LAC ADD CONSTRAINT CK_LAC_DATAPL CHECK (DATAPL = TRUNC(DATAPL));

/*-- SEQ 0385 --*/
-- Tarefa 75144 --
ALTER TABLE TT_LAC ADD CONSTRAINT CK_LAC_LACATI CHECK (LACATI IN ('T','F'));

/*-- SEQ 0386 --*/
-- Tarefa 75144 --
CREATE SEQUENCE SQSEQUEN INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0387 --*/
-- Tarefa 75144 --
ALTER TABLE TT_LAC ADD CONSTRAINT FK_LAC_CODBOM FOREIGN KEY (CODBOM) REFERENCES TD_BOM (CODTAB);  

/*-- SEQ 0388 --*/
-- Tarefa 75144 --
CREATE TABLE TL_LAC(
  FILLAC CHAR(3 )     ,
  SEQLAC CHAR(10)     ,
  DATOPE Timestamp         ,
  FILUSU CHAR(3 )     ,
  CODUSU CHAR(3 )     ,
  MSGLOG VARCHAR(4000),
  CODUID Numeric)  ;

/*-- SEQ 0389 --*/
-- Tarefa 75144 --
ALTER TABLE TL_LAC ADD CONSTRAINT FK_LAC_FILLAC FOREIGN KEY (FILLAC,SEQLAC) REFERENCES TT_LAC (CODFIL,SEQUEN);  

/*-- SEQ 0390 --*/
-- Tarefa 75144 --
CREATE INDEX I_FK_LLAC_LAC ON TL_LAC (FILLAC,SEQLAC)  ;


 

 


/*-- SEQ 0391 --*/
-- Tarefa 75201 --
ALTER TABLE TT_PRO ADD CODFPS  VARCHAR(2);


/*-- SEQ 0392 --*/
-- Tarefa 75123 --
ALTER TABLE TT_CLI ADD CODPAI Numeric(5);

/*-- SEQ 0393 --*/
-- Tarefa 75123 --
ALTER TABLE TW_CLI ADD CODPAI Numeric(5);


/*-- SEQ 0394 --*/
-- Tarefa 75123 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0395 --*/
-- Tarefa 75123 --
UPDATE TT_CLI
SET CODPAI = 1058
WHERE ESTRAN = 'F';

/*-- SEQ 0396 --*/
-- Tarefa 75123 --
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));


/*-- SEQ 0397 --*/
-- Tarefa 75138 --
ALTER TABLE TT_COM ADD CODFCE Numeric(02);


/*-- SEQ 0398 --*/
-- Tarefa 75213 --
CREATE TABLE TT_OBS(
 CODOBS  Numeric(5),
 DESOBS  VARCHAR(4000),
 CODINT  Numeric(5))  ;

/*-- SEQ 0399 --*/
-- Tarefa 75213 --
ALTER TABLE TT_OBS ADD CONSTRAINT PK_OBS PRIMARY KEY (CODOBS);

/*-- SEQ 0400 --*/ 
-- Tarefa 75213 --
CREATE SEQUENCE SQOBS INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0401 --*/
-- Tarefa 75213 --
CREATE INDEX I_FK_OBS_CODINT ON TT_OBS (CODINT)  ;

/*-- SEQ 0402 --*/
-- Tarefa 75213 --
CREATE TABLE TL_OBS(
 CODOBS  Numeric(5),
 DATOPE  Timestamp,
 FILUSU  CHAR(3),
 CODUSU  CHAR(3),
 MSGLOG  VARCHAR(4000),
 CODUID  Numeric)  ;

/*-- SEQ 0403 --*/
-- Tarefa 75213 --
ALTER TABLE TL_OBS ADD CONSTRAINT FK_LOBS_OBS FOREIGN KEY (CODOBS) REFERENCES TT_OBS (CODOBS);

/*-- SEQ 0404 --*/
-- Tarefa 75213 --
CREATE INDEX I_FK_LOBS_OBS ON TL_OBS (CODOBS)  ;


/*-- SEQ 0405 --*/
-- Tarefa 75220 --
CREATE TABLE TT_FRO (
  CODFRO Numeric(5),
  DESFRO VARCHAR(4000))  ;

/*-- SEQ 0406 --*/
-- Tarefa 75220 --
ALTER TABLE TT_FRO ADD CONSTRAINT PK_FRO PRIMARY KEY (CODFRO);

/*-- SEQ 0407 --*/
-- Tarefa 75220 --
CREATE TABLE TL_FRO (
  CODFRO Numeric(5),
  DATOPE Timestamp,
  FILUSU CHAR(3),
  CODUSU CHAR(3),
  MSGLOG VARCHAR(4000),
  CODUID Numeric)  ;

/*-- SEQ 0408 --*/
-- Tarefa 75220 --
ALTER TABLE TL_FRO ADD CONSTRAINT FK_LFRO_FRO FOREIGN KEY (CODFRO) REFERENCES TT_FRO (CODFRO);

/*-- SEQ 0409 --*/
-- Tarefa 75220 --
CREATE INDEX I_FK_LFRO_FRO ON TL_FRO (CODFRO)  ;




/*-- SEQ 0410 --*/ 
-- Tarefa  75153 --
SELECT ExecAlteraTipoColuna('TD_MNF','CODMNF','CHAR(2)');


/*-- SEQ 0411 --*/ 
/*-- IGNORE ERRO --*/ 
-- Tarefa  75153 --
ALTER TABLE TD_MNF ALTER COLUMN CODMNF SET NOT NULL;

/*-- SEQ 0412 --*/ 
/*-- IGNORE ERRO --*/ 
-- Tarefa 75153 --
ALTER TABLE TD_MNF ALTER COLUMN DESMNF SET NOT NULL;

/*-- SEQ 0413 --*/ 
/*-- IGNORE ERRO --*/ 
-- Tarefa 75153 --
ALTER TABLE TD_MNF ADD CONSTRAINT PK_MNF PRIMARY KEY (CODMNF);


/*-- SEQ 0414 --*/
-- Tarefa  75214 --
CREATE TABLE TT_VENXOBS  (
 FILVEN  CHAR(3),  
 SEQVEN  CHAR(10),
 CODOBS  Numeric(5));

/*-- SEQ 0415 --*/ 
-- Tarefa  75214 --
ALTER TABLE TT_VENXOBS ALTER COLUMN FILVEN SET NOT NULL;

/*-- SEQ 0416 --*/ 
-- Tarefa 75214 --
ALTER TABLE TT_VENXOBS ALTER COLUMN SEQVEN SET NOT NULL;

/*-- SEQ 0417 --*/ 
-- Tarefa 75214 --
ALTER TABLE TT_VENXOBS ALTER COLUMN CODOBS SET NOT NULL;

/*-- SEQ 0418 --*/ 
-- Tarefa 75214 --
ALTER TABLE TT_VENXOBS ADD CONSTRAINT PK_VENXOBS PRIMARY KEY (FILVEN,SEQVEN,CODOBS);

/*-- SEQ 0419 --*/ 
-- Tarefa 75214 --
ALTER TABLE TT_VENXOBS ADD CONSTRAINT FK_VENXOBS_VEN FOREIGN KEY (FILVEN,SEQVEN) REFERENCES TT_VEN(CODFIL, SEQUEN);

/*-- SEQ 0420 --*/ 
-- Tarefa 75214 --
ALTER TABLE TT_VENXOBS ADD CONSTRAINT FK_VENXOBS_OBS FOREIGN KEY (CODOBS) REFERENCES TT_OBS(CODOBS);


/*-- SEQ 0421 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0422 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
SELECT DISABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0423 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
ALTER TABLE TT_GRA DROP CONSTRAINT FK_GRA_NCM CASCADE;

/*-- SEQ 0424 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
UPDATE TT_NCM
   SET CODNCM = trim(CODNCM);

/*-- SEQ 0425 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
UPDATE TT_GRA
   SET CODNCM = trim(CODNCM);

/*-- SEQ 0426 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
ALTER TABLE TT_GRA ADD CONSTRAINT FK_GRA_NCM FOREIGN KEY (CODNCM) REFERENCES TT_NCM(CODNCM);

/*-- SEQ 0427 --*/
-- Tarefa 75102 --
SELECT ENABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0428 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75102 --
SELECT ENABLETRIGGERS(LOWER('TT_NCM'));


/*-- SEQ 0429 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_IVE ADD SITIPI CHAR(2);

/*-- SEQ 0430 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_IVE ADD BASIPI Numeric(12,2);

/*-- SEQ 0431 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_IVE ADD VLRIPI Numeric(12,2);

/*-- SEQ 0432 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_IVE ADD BASISS Numeric(12,2);

/*-- SEQ 0433 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_IVE ADD VLRICM Numeric(12,2);

/*-- SEQ 0434 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_IVE ADD SITPIS CHAR(2);

/*-- SEQ 0435 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_IVE ADD PERPIS Numeric(6,4);

/*-- SEQ 0436 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_IVE ADD BASPIS Numeric(12,2);

/*-- SEQ 0437 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_IVE ADD VLRPIS Numeric(12,2);

/*-- SEQ 0438 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_IVE ADD SITCOF CHAR(2);

/*-- SEQ 0439 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_IVE ADD PERCOF Numeric(6,4);

/*-- SEQ 0440 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_IVE ADD BASCOF Numeric(12,2);

/*-- SEQ 0441 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_IVE ADD VLRCOF Numeric(12,2);

/*-- SEQ 0442 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_VEN ADD SEREXT VARCHAR(3);

/*-- SEQ 0443 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_VEN ADD BASICM Numeric(12,2);

/*-- SEQ 0444 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_VEN ADD VLRICM Numeric(12,2);

/*-- SEQ 0445 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_VEN ADD VLRPIS Numeric(12,2);

/*-- SEQ 0446 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_VEN ADD BASISS Numeric(12,2);

/*-- SEQ 0447 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_VEN ADD VLRISS Numeric(12,2);

/*-- SEQ 0448 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_VEN ADD VLRCSL Numeric(12,2);

/*-- SEQ 0449 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_VEN ADD BASIRR Numeric(12,2);

/*-- SEQ 0450 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_VEN ADD VLRIRR Numeric(12,2);

/*-- SEQ 0451 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_VEN ADD OBSFIS VARCHAR(4000);

/*-- SEQ 0452 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75269 --
ALTER TABLE TT_VEN ADD VLRCFI Numeric(12,2);


/*-- SEQ 0453 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75271 --
ALTER TABLE TD_SER ADD SEREXT VARCHAR(3);

/*-- SEQ 0454 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75271 --
ALTER TABLE TW_TAB ADD SEREXT VARCHAR(3);


/*-- SEQ 0455 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75396 --
ALTER TABLE TT_IVE ADD TAXICM Numeric(6,4);

/*-- SEQ 0456 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75396 --
ALTER TABLE TT_IVE ADD TAXIPI Numeric(6,4);


/*-- SEQ 0457 --*/
-- Tarefa 75155 --
SELECT DISABLETRIGGERS(LOWER('TT_FIS'));

/*-- SEQ 0458 --*/
-- Tarefa 75155 --
UPDATE TT_FIS SET MODNOT = '00'
WHERE MODNOT NOT IN (SELECT CODMNF FROM TD_MNF);

/*-- SEQ 0459 --*/
-- Tarefa 75155 --
ALTER TABLE TT_FIS ADD CONSTRAINT FK_FIS_MODNOT FOREIGN KEY (MODNOT) REFERENCES TD_MNF (CODMNF);

/*-- SEQ 0460 --*/
-- Tarefa 75155 --
SELECT ENABLETRIGGERS(LOWER('TT_FIS'));




/*-- SEQ 0461 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75286--
SELECT ExecAlteraTipoColuna('TT_CTB','DIGCRR','VARCHAR(2)');


/*-- SEQ 0462 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75286--
SELECT ExecAlteraTipoColuna('TT_CBP','DIGCRR','VARCHAR(2)');



/*-- SEQ 0463 --*/
-- Tarefa  75113 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0464 --*/
-- Tarefa  75113 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,327)||SUBSTR(PERMIS,136,1)||SUBSTR(PERMIS,329,9999);

/*-- SEQ 0465 --*/
-- Tarefa  75113 --
UPDATE TT_PAP SET PERMIS = SUBSTR(PERMIS,1,327)||SUBSTR(PERMIS,136,1)||SUBSTR(PERMIS,329,9999);

/*-- SEQ 0466 --*/
-- Tarefa  75113 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));


/*-- SEQ 0467 --*/
-- Tarefa  75508 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0468 --*/
-- Tarefa  75508 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,328)||SUBSTR(PERMIS,1,1)||SUBSTR(PERMIS,330,9999);

/*-- SEQ 0469 --*/
-- Tarefa  75508 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0470 --*/
-- Tarefa  75508 --
SELECT DISABLETRIGGERS(LOWER('TT_PAP'));

/*-- SEQ 0471 --*/
-- Tarefa  75508 --
UPDATE TT_PAP SET PERMIS = SUBSTR(PERMIS,1,328)||SUBSTR(PERMIS,1,1)||SUBSTR(PERMIS,330,9999);

/*-- SEQ 0472 --*/
-- Tarefa  75508 --
SELECT ENABLETRIGGERS(LOWER('TT_PAP'));


/*-- SEQ 0473 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75508 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0474 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75508 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,329)||SUBSTR(PERMIS,41,1)||SUBSTR(PERMIS,331,9999);

/*-- SEQ 0475 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75508 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0476 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75508 --
SELECT DISABLETRIGGERS(LOWER('TT_PAP'));

/*-- SEQ 0477 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75508 --
UPDATE TT_PAP SET PERMIS = SUBSTR(PERMIS,1,329)||SUBSTR(PERMIS,41,1)||SUBSTR(PERMIS,331,9999);

/*-- SEQ 0478 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75508 --
SELECT ENABLETRIGGERS(LOWER('TT_PAP'));


/*-- SEQ 0479 --*/
-- Tarefa  75151 --
CREATE TABLE TT_OIP (
 CODFIL CHAR(3),  
 SEQUEN CHAR(10),
 DOCIMP VARCHAR(10),
 TIPDOC CHAR(1),
 DATINC Timestamp,
 ATU_EM Timestamp,
 VLRPIS Numeric(12,2) DEFAULT 0,
 VLRCOF Numeric(12,2) DEFAULT 0)  ;

/*-- SEQ 0480 --*/
-- Tarefa 75151 --
ALTER TABLE TT_OIP ALTER COLUMN VLRPIS SET NOT NULL;

/*-- SEQ 0481 --*/
-- Tarefa 75151 --
ALTER TABLE TT_OIP ALTER COLUMN VLRCOF SET NOT NULL;

/*-- SEQ 0482 --*/
-- Tarefa 75151 --
ALTER TABLE TT_OIP ADD CONSTRAINT PK_OIP PRIMARY KEY (CODFIL,SEQUEN,DOCIMP);

/*-- SEQ 0483 --*/
-- Tarefa 75151 --
ALTER TABLE TT_OIP ADD CONSTRAINT FK_OIP_COM FOREIGN KEY (CODFIL,SEQUEN) REFERENCES TT_COM(CODFIL,SEQUEN);

/*-- SEQ 0484 --*/
-- Tarefa 75151 --
CREATE INDEX I_FK_OIP_COM ON TT_OIP (CODFIL,SEQUEN)  ;

/*-- SEQ 0485 --*/
-- Tarefa 75151 --
ALTER TABLE TT_OIP ADD CONSTRAINT CK_OIP_TIPDOC CHECK (TIPDOC IN ('0','1'));

/*-- SEQ 0486 --*/
-- Tarefa 75151 --
CREATE SEQUENCE SQOIP INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0487 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75678 --
SELECT * FROM NADA;

/*-- SEQ 0488 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75678 --
SELECT * FROM NADA;


/*-- SEQ 0489 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75674 --
SELECT * FROM NADA;

/*-- SEQ 0490 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75674 --
SELECT * FROM NADA;

/*-- SEQ 0491 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75674 --
SELECT * FROM NADA;

/*-- SEQ 0492 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75674 --
SELECT * FROM NADA;

/*-- SEQ 0493 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75674 --
SELECT * FROM NADA;

/*-- SEQ 0494 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75674 --
SELECT * FROM NADA;

/*-- SEQ 0495 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75674 --
SELECT * FROM NADA;

/*-- SEQ 0496 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75674 --
SELECT * FROM NADA;

/*-- SEQ 0497 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75674 --
SELECT * FROM NADA;

/*-- SEQ 0498 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75674 --
SELECT * FROM NADA;

/*-- SEQ 0499 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75674 --
SELECT * FROM NADA;

/*-- SEQ 0500 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75674 --
SELECT * FROM NADA;

/*-- SEQ 0501 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75674 --
SELECT * FROM NADA;

/*-- SEQ 0502 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75674 --
SELECT * FROM NADA;


/*-- SEQ 0503 --*/
/*-- IGNORE ERRO --*/
--Tarefa 75612 --
SELECT * FROM NADA

/*-- SEQ 0504 --*/
/*-- IGNORE ERRO --*/
--Tarefa 75612 --
SELECT * FROM NADA

/*-- SEQ 0505 --*/
/*-- IGNORE ERRO --*/
--Tarefa 75612 --
SELECT * FROM NADA

/*-- SEQ 0506 --*/
/*-- IGNORE ERRO --*/
--Tarefa 75612 --
SELECT * FROM NADA

/*-- SEQ 0507 --*/
/*-- IGNORE ERRO --*/
--Tarefa 75612 --
SELECT * FROM NADA



/*-- SEQ 0508 --*/
-- Tarefa 75617 --
ALTER TABLE TT_COM ADD TIPFRE VARCHAR(1);

/*-- SEQ 0509 --*/
-- Tarefa 75617 --
ALTER TABLE TT_COM ADD CONSTRAINT CK_COM_TIPFRE CHECK (TIPFRE IN ('0','1','2','9'));


/*-- SEQ 0510 --*/
-- Tarefa 75676 --
ALTER TABLE TT_ICO ADD SITIPI CHAR(2);

/*-- SEQ 0511 --*/
-- Tarefa 75676 --
ALTER TABLE TT_ICO ADD BASIPI Numeric(12,2);


/*-- SEQ 0512 --*/
--Tarefa 75672 --
ALTER TABLE TT_COM ADD CHAVEA VARCHAR(44);


/*-- SEQ 0513 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75674 --
ALTER TABLE TD_DOP DROP COLUMN TIPTIT CASCADE;

/*-- SEQ 0514 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75674 --
ALTER TABLE TW_TAB DROP COLUMN TIPTIT CASCADE;

/*-- SEQ 0515 --*/
-- Tarefa 75674 --
ALTER TABLE TD_DOP ADD TIPTIT CHAR(2);

/*-- SEQ 0516 --*/
-- Tarefa 75674 --
SELECT DISABLETRIGGERS(LOWER('TD_DOP'));

/*-- SEQ 0517 --*/
-- Tarefa 75674 --
UPDATE TD_DOP 
   SET TIPTIT = '99';

/*-- SEQ 0518 --*/
-- Tarefa 75674 --
SELECT ENABLETRIGGERS(LOWER('TD_DOP'));

/*-- SEQ 0519 --*/
-- Tarefa 75674 --
ALTER TABLE TD_DOP ALTER COLUMN TIPTIT SET NOT NULL;

/*-- SEQ 0520 --*/
-- Tarefa 75674 --
ALTER TABLE TD_DOP ADD CONSTRAINT CK_DDOP_TIPTIT CHECK (TIPTIT IN ('00','01','02','03','99'));

/*-- SEQ 0521 --*/
-- Tarefa 75674 --
ALTER TABLE TW_TAB ADD TIPTIT CHAR(2);


/*-- SEQ 0522 --*/
-- Tarefa 75191 --
CREATE SEQUENCE tmp_seq_codtab_tdbom INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0523 --*/
-- Tarefa 75191 --
INSERT INTO TD_BOM (CODTAB, NUMBOM) SELECT NEXTVAL('tmp_seq_codtab_tdbom') AS CODTAB, NUMBOM FROM (SELECT NUMBOM FROM TD_BIC GROUP BY NUMBOM) AUX;

/*-- SEQ 0524 --*/
-- Tarefa 75191 --
DROP SEQUENCE tmp_seq_codtab_tdbom;

/*-- SEQ 0525 --*/
-- Tarefa 75191 --
UPDATE TD_BIC BIC SET CODBOM = (SELECT BOM.CODTAB FROM TD_BOM BOM WHERE BOM.NUMBOM = BIC.NUMBOM);

/*-- SEQ 0526 --*/
-- Tarefa 75191 --
CREATE TABLE TEMP_TD_BIC AS SELECT * FROM TD_BIC;

/*-- SEQ 0527 --*/
-- Tarefa 75191 --
ALTER TABLE TD_BIC DROP COLUMN NUMBOM CASCADE;

/*-- SEQ 0528 --*/
-- Tarefa 75191 --
ALTER TABLE TD_BIC ALTER COLUMN CODBOM SET NOT NULL;


/*-- SEQ 0529 --*/
-- Tarefa  75508 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0530 --*/
-- Tarefa  75508 --
update tt_usu 
set permis=rpad(trim(permis),400,'N')
where length(permis)<400;

/*-- SEQ 0531 --*/
-- Tarefa  75508 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,329)||SUBSTR(PERMIS,41,1)||SUBSTR(PERMIS,331,9999);

/*-- SEQ 0532 --*/
-- Tarefa  75508 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0533 --*/
-- Tarefa  75508 --
SELECT DISABLETRIGGERS(LOWER('TT_PAP'));

/*-- SEQ 0534 --*/
-- Tarefa  75508 --
update tt_pap 
set permis=rpad(trim(permis),400,'N')
where length(permis)<400;

/*-- SEQ 0535 --*/
-- Tarefa  75508 --
UPDATE TT_PAP SET PERMIS = SUBSTR(PERMIS,1,329)||SUBSTR(PERMIS,41,1)||SUBSTR(PERMIS,331,9999);

/*-- SEQ 0536 --*/
-- Tarefa  75508 --
SELECT ENABLETRIGGERS(LOWER('TT_PAP'));


/*-- SEQ 0537 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 75144 --
DROP FUNCTION TGLAC() CASCADE;


/*-- SEQ 0538 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75213  --
DROP FUNCTION TGOBS() CASCADE;


/*-- SEQ 0539 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  75923  --
ALTER TABLE TT_COM ADD CONSTRAINT FK_COM_DFCE FOREIGN KEY (CODFCE) REFERENCES TD_FCE (CODFCE);


/*-- SEQ 0540 --*/
-- Tarefa 75919 --
ALTER TABLE TT_COM ADD CODTRI Numeric(5);

/*-- SEQ 0541 --*/
-- Tarefa 75919 --
ALTER TABLE TT_COM ADD CONSTRAINT FK_COM_DTRI FOREIGN KEY (CODTRI) REFERENCES TD_TRI(CODTAB);


/*-- SEQ 0542 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75200 --
SELECT DISABLETRIGGERS(LOWER('TD_FPS'));

/*-- SEQ 0543 --*/
-- Tarefa 75200 --
UPDATE TD_FPS SET CODFPS = LPAD(CODFPS,2,'0');

/*-- SEQ 0544 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75200 --
SELECT ENABLETRIGGERS(LOWER('TD_FPS'));

/*-- SEQ 0545 --*/
-- Tarefa 75200 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0546 --*/
-- Tarefa 75200 --
UPDATE TT_PRO SET CODFPS = LPAD(CODFPS,2,'0') WHERE CODFPS IS NOT NULL;

/*-- SEQ 0547 --*/
-- Tarefa 75200 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0548 --*/
-- Tarefa 75200 --
ALTER TABLE TT_PRO ADD CONSTRAINT FK_PRO_DFPS FOREIGN KEY (CODFPS) REFERENCES TD_FPS (CODFPS);


/*-- SEQ 0549 --*/
-- Tarefa  76067 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_DPAI FOREIGN KEY (CODPAI) REFERENCES TD_PAI (CODPAI);


/*-- SEQ 0550 --*/
-- Tarefa 76092 --
ALTER TABLE TD_FIL ADD PATNFE VARCHAR(255);


/*-- SEQ 0551 --*/
-- Tarefa 76094 --
ALTER TABLE TT_VRT ADD FILVEN CHAR(3);

/*-- SEQ 0552 --*/
-- Tarefa 76094 --
ALTER TABLE TT_VRT ADD ECFVEN CHAR(3);

/*-- SEQ 0553 --*/
-- Tarefa 76094 --
ALTER TABLE TT_VRT ADD SERVEN CHAR(2);

/*-- SEQ 0554 --*/
-- Tarefa 76094 --
ALTER TABLE TT_VRT ADD NOTVEN CHAR(6);

/*-- SEQ 0555 --*/
-- Tarefa 76094 --
ALTER TABLE TT_VRT ADD CROVEN Numeric(5);

/*-- SEQ 0556 --*/
-- Tarefa 76094 --
ALTER TABLE TT_VRT ALTER COLUMN FILVEN SET NOT NULL;

/*-- SEQ 0557 --*/
-- Tarefa 76094 --
ALTER TABLE TT_VRT ALTER COLUMN ECFVEN SET NOT NULL;

/*-- SEQ 0558 --*/
-- Tarefa 76094 --
ALTER TABLE TT_VRT ALTER COLUMN SERVEN SET NOT NULL;

/*-- SEQ 0559 --*/
-- Tarefa 76094 --
ALTER TABLE TT_VRT ALTER COLUMN NOTVEN SET NOT NULL;

/*-- SEQ 0560 --*/
-- Tarefa 76094 --
ALTER TABLE TT_VRT ALTER COLUMN CROVEN SET NOT NULL;

/*-- SEQ 0561 --*/
-- Tarefa 76094 --
CREATE SEQUENCE SQVRT INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0562 --*/
-- Tarefa 76094 --
CREATE INDEX I_LC_VRT_VENDA ON TT_VRT (FILVEN, ECFVEN, SERVEN, NOTVEN, CROVEN)  ;

/*-- SEQ 0563 --*/
-- Tarefa 76094 --
SELECT DISABLETRIGGERS(LOWER('TT_VRT'));

/*-- SEQ 0564 --*/
-- Tarefa 76094 --
ALTER TABLE TT_VRT DROP CONSTRAINT CK_VRT_FLGCAN CASCADE;

/*-- SEQ 0565 --*/
-- Tarefa 76094 --
ALTER TABLE TT_VRT DROP CONSTRAINT CK_VRT_FLGINU CASCADE;

/*-- SEQ 0566 --*/
-- Tarefa 76094 --
ALTER TABLE TT_VRT DROP CONSTRAINT CK_VRT_FLGIMP CASCADE;

/*-- SEQ 0567 --*/
-- Tarefa 76094 --
ALTER TABLE TT_VRT ADD CONSTRAINT CK_VRT_FLGCAN CHECK (FLGCAN IN ('2','3','5','8','9'));

/*-- SEQ 0568 --*/
-- Tarefa 76094 --
ALTER TABLE TT_VRT ADD CONSTRAINT CK_VRT_FLGINU CHECK (FLGINU IN ('2','4','5','8','9'));

/*-- SEQ 0569 --*/
-- Tarefa 76094 --
ALTER TABLE TT_VRT ADD CONSTRAINT CK_VRT_FLGIMP CHECK (FLGIMP IN ('0','1','2','9'));

/*-- SEQ 0570 --*/
-- Tarefa 76094 --
SELECT ENABLETRIGGERS(LOWER('TT_VRT'));


/*-- SEQ 0571 --*/
-- Tarefa 76094 --
ALTER TABLE TT_VRT DROP CONSTRAINT PK_VRT CASCADE;

/*-- SEQ 0572 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76094 --
ALTER TABLE TT_VRT DROP COLUMN NUMRET CASCADE;

/*-- SEQ 0573 --*/
-- Tarefa 76094 --
ALTER TABLE TT_VRT ADD CONSTRAINT PK_VRT PRIMARY KEY (CODFIL, SEQUEN);


/*-- SEQ 0574 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76201 --
SELECT * FROM NADA;

/*-- SEQ 0575 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76201 --
SELECT * FROM NADA;

/*-- SEQ 0576 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76201 --
SELECT * FROM NADA;

/*-- SEQ 0577 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76201 --
SELECT * FROM NADA;

/*-- SEQ 0578 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76201 --
SELECT * FROM NADA;

/*-- SEQ 0579 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76201 --
SELECT * FROM NADA;


/*-- SEQ 0580 --*/
-- Tarefa 76201 --
ALTER TABLE TT_VEN ALTER COLUMN FLGNFE DROP NOT NULL;

/*-- SEQ 0581 --*/
-- Tarefa 76201 --
ALTER TABLE TT_VEN ALTER COLUMN FLGNFE SET DEFAULT NULL;


/*-- SEQ 0582 --*/
ALTER TABLE DW_VENDAS_CLIENTE ADD CLIENTE VARCHAR(100);


/*-- SEQ 0583 --*/
-- Tarefa 76193  --
UPDATE TD_MNF 
   SET DESMNF = 'Nota Fiscal Eletrnica'
 WHERE CODMNF = '55';


/*-- SEQ 0584 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76201 --
ALTER TABLE TT_VEN DROP CONSTRAINT CK_VEN_FLGNFE CASCADE;

/*-- SEQ 0585 --*/
-- Tarefa 76201 --
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0586 --*/
-- Tarefa 76201 --
UPDATE TT_VEN
   SET FLGNFE = NULL
WHERE FLGNFE IS NOT NULL;

/*-- SEQ 0587 --*/
-- Tarefa 76201 --
SELECT ENABLETRIGGERS(LOWER('TT_VEN')); 

/*-- SEQ 0588 --*/
-- Tarefa 76201 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_FLGNFE CHECK (FLGNFE IN ('0','1','2','3','4','6','8'));


/*-- SEQ 0589 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76186 --
CREATE INDEX I_LC_VEN_NUMNOT ON TT_VEN (NUMNOT, CODFIL)  ;

/*-- SEQ 0590 --*/
-- Tarefa 76186 --
ALTER TABLE TT_VEN DROP CONSTRAINT CK_VEN_FLGNFE CASCADE;

/*-- SEQ 0591 --*/
-- Tarefa 76186 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_FLGNFE CHECK (FLGNFE IN ('0','1','2','3','4','6','7','8','9'));


/*-- SEQ 0592 --*/
-- Tarefa 76405 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0593 --*/
-- Tarefa 76405 --
UPDATE TT_NCM
   SET NIVNCM = NIVNCM + 1
 WHERE CODNCM <> '00'
   AND NOT EXISTS (SELECT 1 AS OK FROM TT_NCM WHERE CODNCM='01');

/*-- SEQ 0594 --*/
-- Tarefa 76405 --
SELECT ENABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0595 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('01', 'Animais vivos', 1, 1, 'T' );

/*-- SEQ 0596 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('02', 'Carnes e miudezas, comestveis', 1, 1, 'T' );

/*-- SEQ 0597 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('03', 'Peixes e crustceos, moluscos e os outros invertebrados aquticos', 1, 1, 'T' );

/*-- SEQ 0598 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('04', 'Leite e laticnios; ovos de aves; mel natural; produtos comestveis de origem animal, no especificados nem compreendidos em outros Captulos da TIPI', 1, 1, 'T' );

/*-- SEQ 0599 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('05', 'Outros produtos de origem animal, no especificados nem compreendidos em outros Captulos da TIPI', 1, 1, 'T' );

/*-- SEQ 0600 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('06', 'Plantas vivas e produtos de floricultura', 1, 1, 'T' );

/*-- SEQ 0601 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('07', 'Produtos hortcolas, plantas, razes e tubrculos, comestveis', 1, 1, 'T' );

/*-- SEQ 0602 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('08', 'Frutas; cascas de ctricos e de meles', 1, 1, 'T' );

/*-- SEQ 0603 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('09', 'Caf, ch, mate e especiarias', 1, 1, 'T' );

/*-- SEQ 0604 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('10', 'Cereais', 1, 1, 'T' );

/*-- SEQ 0605 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('11', 'Produtos da indstria de moagem; malte; amidos e fculas; inulina; glten de trigo', 1, 1, 'T' );

/*-- SEQ 0606 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('12', 'Sementes e frutos oleaginosos; gros, sementes e frutos diversos; plantas industriais ou medicinais; palha e forragem', 1, 1, 'T' );

/*-- SEQ 0607 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('13', 'Gomas, resinas e outros sucos e extratos vegetais', 1, 1, 'T' );

/*-- SEQ 0608 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('14', 'Matrias para entranar e outros produtos de origem vegetal, no especificadas nem compreendidas em outros Captulos da NCM', 1, 1, 'T' );

/*-- SEQ 0609 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('15', 'Gorduras e leos animais ou vegetais; produtos da sua dissociao; gorduras alimentares elaboradas; ceras de origem animal ou vegetal', 1, 1, 'T' );

/*-- SEQ 0610 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('16', 'Preparaes de carne, de peixes ou de crustceos, de moluscos ou de outros invertebrados aquticos', 1, 1, 'T' );

/*-- SEQ 0611 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('17', 'Acares e produtos de confeitaria', 1, 1, 'T' );

/*-- SEQ 0612 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('18', 'Cacau e suas preparaes', 1, 1, 'T' );

/*-- SEQ 0613 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('19', 'Preparaes  base de cereais, farinhas, amidos, fculas ou de leite; produtos de pastelaria', 1, 1, 'T' );

/*-- SEQ 0614 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('20', 'Preparaes de produtos hortcolas, de frutas ou de outras partes de plantas', 1, 1, 'T' );

/*-- SEQ 0615 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('21', 'Preparaes alimentcias diversas', 1, 1, 'T' );

/*-- SEQ 0616 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('22', 'Bebidas, lquidos alcolicos e vinagres', 1, 1, 'T' );

/*-- SEQ 0617 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('23', 'Resduos e desperdcios das indstrias alimentares; alimentos preparados para animais', 1, 1, 'T' );

/*-- SEQ 0618 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('24', 'Fumo (tabaco) e seus sucedneos, manufaturados', 1, 1, 'T' );

/*-- SEQ 0619 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('25', 'Sal; enxofre; terras e pedras; gesso, cal e cimento', 1, 1, 'T' );

/*-- SEQ 0620 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('26', 'Minrios, escrias e cinzas', 1, 1, 'T' );

/*-- SEQ 0621 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('27', 'Combustveis minerais, leos minerais e produtos de sua destilao; matrias betuminosas; ceras minerais', 1, 1, 'T' );

/*-- SEQ 0622 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('28', 'Produtos qumicos inorgnicos; compostos inorgnicos ou orgnicos de metais preciosos, de elementos radioativos, de metais das terras raras ou de istopos', 1, 1, 'T' );

/*-- SEQ 0623 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('29', 'Produtos qumicos orgnicos', 1, 1, 'T' );

/*-- SEQ 0624 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('30', 'Produtos farmacuticos', 1, 1, 'T' );

/*-- SEQ 0625 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('31', 'Adubos ou fertilizantes', 1, 1, 'T' );

/*-- SEQ 0626 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('32', 'Extratos tanantes e tintoriais; taninos e seus derivados; pigmentos e outras matrias corantes, tintas e vernizes, mstiques; tintas de escrever', 1, 1, 'T' );

/*-- SEQ 0627 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('33', 'leos essenciais e resinides; produtos de perfumaria ou de toucador preparados e preparaes cosmticas', 1, 1, 'T' );

/*-- SEQ 0628 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('34', 'Sabes, agentes orgnicos de superfcie, preparaes para lavagem, preparaes lubrificantes, ceras artificiais, ceras preparadas, produtos de conservao e limpeza, velas e artigos semelhantes, massas ou pastas para modelar, "ceras para dentistas" e composies para dentistas  base de gesso', 1, 1, 'T' );

/*-- SEQ 0629 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('35', 'Matrias albuminides; produtos  base de amidos ou de fculas modificados; colas; enzimas', 1, 1, 'T' );

/*-- SEQ 0630 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('36', 'Plvoras e explosivos; artigos de pirotecnia; fsforos; ligas pirofricas; matrias inflamveis', 1, 1, 'T' );

/*-- SEQ 0631 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('37', 'Produtos para fotografia e cinematografia', 1, 1, 'T' );

/*-- SEQ 0632 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('38', 'Produtos diversos das indstrias qumicas', 1, 1, 'T' );

/*-- SEQ 0633 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('39', 'Plsticos e suas obras', 1, 1, 'T' );

/*-- SEQ 0634 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('40', 'Borracha e suas obras', 1, 1, 'T' );

/*-- SEQ 0635 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('41', 'Peles, exceto a peleteria (peles com plo*), e couros', 1, 1, 'T' );

/*-- SEQ 0636 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('42', 'Obras de couro; artigos de correeiro ou de seleiro; artigos de viagem, bolsas e artefatos semelhantes; obras de tripa', 1, 1, 'T' );

/*-- SEQ 0637 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('43', 'Peleteria (peles com plo*) e suas obras; peleteria (peles com plo*) artificial', 1, 1, 'T' );

/*-- SEQ 0638 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('44', 'Madeira, carvo vegetal e obras de madeira', 1, 1, 'T' );

/*-- SEQ 0639 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('45', 'Cortia e suas obras', 1, 1, 'T' );

/*-- SEQ 0640 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('46', 'Obras de espartaria ou de cestaria', 1, 1, 'T' );

/*-- SEQ 0641 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('47', 'Pastas de madeira ou de outras matrias fibrosas celulsicas; papel ou carto de reciclar (desperdcios e aparas)', 1, 1, 'T' );

/*-- SEQ 0642 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('48', 'Papel e carto; obras de pasta de celulose, de papel ou de carto', 1, 1, 'T' );

/*-- SEQ 0643 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('49', 'Livros, jornais, gravuras e outros produtos das indstrias grficas; textos manuscritos ou datilografados, planos e plantas', 1, 1, 'T' );

/*-- SEQ 0644 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('50', 'Seda', 1, 1, 'T' );

/*-- SEQ 0645 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('51', 'L e plos finos ou grosseiros; fios e tecidos de crina', 1, 1, 'T' );

/*-- SEQ 0646 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('52', 'Algodo', 1, 1, 'T' );

/*-- SEQ 0647 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('53', 'Outras fibras txteis vegetais; fios de papel e tecido de fios de papel', 1, 1, 'T' );

/*-- SEQ 0648 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('54', 'Filamentos sintticos ou artificiais', 1, 1, 'T' );

/*-- SEQ 0649 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('55', 'Fibras sintticas ou artificiais, descontnuas', 1, 1, 'T' );

/*-- SEQ 0650 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('56', 'Pastas ("ouates"), feltros e falsos tecidos; fios especiais; cordis, cordas e cabos; artigos de cordoaria', 1, 1, 'T' );

/*-- SEQ 0651 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('57', 'Tapetes e outros revestimentos para pavimentos, de matrias txteis', 1, 1, 'T' );

/*-- SEQ 0652 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('58', 'Tecidos especiais; tecidos tufados; rendas; tapearias; passamanarias; bordados', 1, 1, 'T' );

/*-- SEQ 0653 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('59', 'Tecidos impregnados, revestidos, recobertos ou estratificados; artigos para usos tcnicos de matrias txteis', 1, 1, 'T' );

/*-- SEQ 0654 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('60', 'Tecidos de malha', 1, 1, 'T' );

/*-- SEQ 0655 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('61', 'Vesturio e seus acessrios, de malha', 1, 1, 'T' );

/*-- SEQ 0656 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('62', 'Vesturio e seus acessrios, exceto de malha', 1, 1, 'T' );

/*-- SEQ 0657 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('63', 'Outros artefatos txteis confeccionados; sortidos; artefatos de matrias txteis, calados, chapus e artefatos de uso semelhante, usados; trapos', 1, 1, 'T' );

/*-- SEQ 0658 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('64', 'Calados, polainas e artefatos semelhantes, e suas partes', 1, 1, 'T' );

/*-- SEQ 0659 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('65', 'Chapus e artefatos de uso semelhante, e suas partes', 1, 1, 'T' );

/*-- SEQ 0660 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('66', 'Guarda-chuvas, sombrinhas, guarda-sis, bengalas, bengalas-assentos, chicotes, e suas partes', 1, 1, 'T' );

/*-- SEQ 0661 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('67', 'Penas e penugem preparadas, e suas obras; flores artificiais; obras de cabelo', 1, 1, 'T' );

/*-- SEQ 0662 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('68', 'Obras de pedra, gesso, cimento, amianto, mica ou de matrias semelhantes', 1, 1, 'T' );

/*-- SEQ 0663 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('69', 'Produtos cermicos', 1, 1, 'T' );

/*-- SEQ 0664 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('70', 'Vidro e suas obras', 1, 1, 'T' );

/*-- SEQ 0665 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('71', 'Prolas naturais ou cultivadas, pedras preciosas ou semipreciosas e semelhantes, metais preciosos, metais folheados ou chapeados de metais preciosos, e suas obras; bijuterias; moedas', 1, 1, 'T' );

/*-- SEQ 0666 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('72', 'Ferro fundido, ferro e ao', 1, 1, 'T' );

/*-- SEQ 0667 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('73', 'Obras de ferro fundido, ferro ou ao', 1, 1, 'T' );

/*-- SEQ 0668 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('74', 'Cobre e suas obras', 1, 1, 'T' );

/*-- SEQ 0669 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('75', 'Nquel e suas obras', 1, 1, 'T' );

/*-- SEQ 0670 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('76', 'Alumnio e suas obras', 1, 1, 'T' );

/*-- SEQ 0671 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('77', '(Reservado para uma eventual utilizao futura no SH)', 1, 1, 'T' );

/*-- SEQ 0672 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('78', 'Chumbo e suas obras', 1, 1, 'T' );

/*-- SEQ 0673 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('79', 'Zinco e suas obras', 1, 1, 'T' );

/*-- SEQ 0674 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('80', 'Estanho e suas obras', 1, 1, 'T' );

/*-- SEQ 0675 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('81', 'Outros metais comuns; ceramais ("cermets"); obras dessas matrias', 1, 1, 'T' );

/*-- SEQ 0676 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('82', 'Ferramentas, artefatos de cutelaria e talheres, e suas partes, de metais comuns', 1, 1, 'T' );

/*-- SEQ 0677 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('83', 'Obras diversas de metais comuns', 1, 1, 'T' );

/*-- SEQ 0678 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('84', 'Reatores nucleares, caldeiras, mquinas, aparelhos e instrumentos mecnicos, e suas partes', 1, 1, 'T' );

/*-- SEQ 0679 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('85', 'Mquinas, aparelhos e materiais eltricos, e suas partes; aparelhos de gravao ou de reproduo de som, aparelhos de gravao ou de reproduo de imagens e de som em televiso, e suas partes e acessrios', 1, 1, 'T' );

/*-- SEQ 0680 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('86', 'Veculos e material para vias frreas ou semelhantes, e suas partes; aparelhos mecnicos (includos os eletromecnicos) de sinalizao para vias de comunicao', 1, 1, 'T' );

/*-- SEQ 0681 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('87', 'Veculos automveis, tratores, ciclos e outros veculos terrestres, suas partes e acessrios', 1, 1, 'T' );

/*-- SEQ 0682 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('88', 'Aeronaves e aparelhos espaciais, e suas partes', 1, 1, 'T' );

/*-- SEQ 0683 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('89', 'Embarcaes e estruturas flutuantes', 1, 1, 'T' );

/*-- SEQ 0684 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('90', 'Instrumentos e aparelhos de ptica, fotografia ou cinematografia, medida, controle ou de preciso; instrumentos e aparelhos mdico-cirrgicos; suas partes e acessrios', 1, 1, 'T' );

/*-- SEQ 0685 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('91', 'Aparelhos de relojoaria e suas partes', 1, 1, 'T' );

/*-- SEQ 0686 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('92', 'Instrumentos musicais, suas partes e acessrios', 1, 1, 'T' );

/*-- SEQ 0687 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('93', 'Armas e munies; suas partes e acessrios', 1, 1, 'T' );

/*-- SEQ 0688 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('94', 'Mveis, mobilirio mdico-cirrgico; colches; iluminao e construo pr-fabricadas', 1, 1, 'T' );

/*-- SEQ 0689 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('95', 'Brinquedos, jogos, artigos para divertimento ou para esporte; suas partes e acessrios', 1, 1, 'T' );

/*-- SEQ 0690 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('96', 'Obras diversas', 1, 1, 'T' );

/*-- SEQ 0691 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('97', 'Objetos de arte, de coleo e antiguidades', 1, 1, 'T' );

/*-- SEQ 0692 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('98', '(Reservado para usos especiais pelas Partes Contratantes)', 1, 1, 'T' );

/*-- SEQ 0693 --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('99', 'Operaes especiais (utilizado exclusivamente pelo Brasil para classificar operaes especiais na exportao)', 1, 1, 'T' );


/*-- SEQ 0694 --*/
-- Tarefa 76192 --
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0695 --*/
-- Tarefa 76192 --
UPDATE TT_VEN
   SET OBSFIS = OBSERV
 WHERE CODSER NOT IN (select DSER.CODSER 
                   FROM TT_VEN VEN INNER JOIN TD_SER DSER ON VEN.CODSER = DSER.CODSER
                                                         AND VEN.TITAVU = DSER.TITAVU
                  WHERE DSER.MODNOT = '55');

/*-- SEQ 0696 --*/
-- Tarefa 76192 --
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));


/*-- SEQ 0697 --*/
-- Tarefa 76623 --
SELECT DISABLETRIGGERS(LOWER('TW_ARQ'));

/*-- SEQ 0698 --*/
-- Tarefa 76623 --
ALTER TABLE TW_ARQ ADD APELID VARCHAR(254);

/*-- SEQ 0699 --*/
-- Tarefa 76623 --
UPDATE TW_ARQ SET APELID = ALIAS;

/*-- SEQ 0700 --*/
-- Tarefa 76623 --
ALTER TABLE TW_ARQ ADD GERAL VARCHAR(1);

/*-- SEQ 0701 --*/
-- Tarefa 76623 --
UPDATE TW_ARQ SET GERAL = GLOBAL;

/*-- SEQ 0702 --*/
-- Tarefa 76623 --
SELECT ENABLETRIGGERS(LOWER('TW_ARQ'));

/*-- SEQ 0703 --*/
-- Tarefa 76623 --
ALTER TABLE TW_ARQ DROP COLUMN ALIAS CASCADE;

/*-- SEQ 0704 --*/
-- Tarefa 76623 --
ALTER TABLE TW_ARQ DROP COLUMN GLOBAL CASCADE;

/*-- SEQ 0705 --*/
-- Tarefa 76623 --
SELECT ExecAlteraTipoColuna('TW_ARQ','NOMTAB','VARCHAR(70)');



/*-- SEQ 0706 --*/
-- Tarefa 76397 --
ALTER TABLE TT_PRO ADD TEMP_SITIPI CHAR(1);

/*-- SEQ 0707 --*/
-- Tarefa 76397 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0708 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76397 --
UPDATE TT_PRO SET TEMP_SITIPI = SUBSTR(SITIPI,1,1);

/*-- SEQ 0709 --*/
-- Tarefa 76397 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0710 --*/
-- Tarefa 76397 --
ALTER TABLE TT_PRO DROP COLUMN SITIPI CASCADE;

/*-- SEQ 0711 --*/
-- Tarefa 76397 --
ALTER TABLE TT_PRO ADD SITIPI CHAR(1);

/*-- SEQ 0712 --*/
-- Tarefa 76397 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0713 --*/
-- Tarefa 76397 --
UPDATE TT_PRO SET SITIPI = TEMP_SITIPI;

/*-- SEQ 0714 --*/
-- Tarefa 76397 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0715 --*/
-- Tarefa 76397 --
ALTER TABLE TT_PRO DROP COLUMN TEMP_SITIPI CASCADE;


/*-- SEQ 0716 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  73356 --
ALTER TABLE TT_IVE ADD PENATU CHAR(1);

/*-- SEQ 0717 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa  73356 --
CREATE INDEX I_LC_IVE_PENATU ON TT_IVE (PENATU)  ;


/*-- SEQ 0718 --*/
-- Tarefa  76684 --
SELECT DISABLETRIGGERS(LOWER('TT_MUN'));

/*-- SEQ 0719 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  76684 --
UPDATE TT_MUN MUN
   SET CODIBG = (SELECT IBG.CODIBG 
                   FROM TT_IBG IBG 
                  WHERE UPPER(TRANSLATE(LOWER(IBG.NOMMUN), '-','aaaaeeeiioooouuc ')) = UPPER(MUN.NOMCID)
                    AND IBG.SIGEST=UPPER(MUN.SIGEST)
                 )
 WHERE MUN.CODIBG IS NULL; 

/*-- SEQ 0720 --*/
-- Tarefa  76684 --
SELECT ENABLETRIGGERS(LOWER('TT_MUN'));


/*-- SEQ 0721 --*/
-- Tarefa  76947 --
SELECT DISABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0722 --*/
-- Tarefa  76947 --
UPDATE TT_IVO 
   SET FLGEST = 'E'
 WHERE (FILROM, SEQROM)
    IN (SELECT CODFIL, SEQUEN 
          FROM TT_ROM 
         WHERE FLGEST = 'E');

/*-- SEQ 0723 --*/
-- Tarefa  76947 --
SELECT ENABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0724 --*/ 
-- Tarefa  76947 --
DROP INDEX I_LC_IVO_TEMROM;

/*-- SEQ 0725 --*/ 
-- Tarefa  76947 --
CREATE INDEX I_LC_IVO_TEMROM ON TT_IVO (TEMROM, ORIGEM, FLGEST)  ;


/*-- SEQ 0726 --*/
ALTER TABLE DW_VENDAS_CLIENTE RENAME COLUMN CLIENTE TO NOME_COMPLETO;


/*-- SEQ 0727 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  76945 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) VALUES ('LOCK_SEP', Agora(), Agora());

/*-- SEQ 0728 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  76945 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) VALUES ('LOCK_ROM', Agora(), Agora());


/*-- SEQ 0729 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76485 --
ALTER TABLE TW_TAB ADD OCUATI VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0730 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76485 --
ALTER TABLE TD_OCU ADD OCUATI VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0731 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76485 --
ALTER TABLE TD_OCU ALTER COLUMN OCUATI SET NOT NULL;

/*-- SEQ 0732 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76485 --
ALTER TABLE TD_OCU ADD CONSTRAINT CK_OCU_OCUATI CHECK (OCUATI IN ('T','F'));


/*-- SEQ 0733 --*/
-- Tarefa 77148 --
ALTER TABLE TI_PRO ADD SITCOF VARCHAR(2);

/*-- SEQ 0734 --*/
-- Tarefa 77148 --
ALTER TABLE TI_PRO ADD SITPIS VARCHAR(2);

/*-- SEQ 0735 --*/
-- Tarefa 77148 --
ALTER TABLE TI_PRO ADD CODFPS VARCHAR(2);

/*-- SEQ 0736 --*/
-- Tarefa 77148 --
ALTER TABLE TI_PRO ADD SITIPI VARCHAR(1);

/*-- SEQ 0737 --*/
-- Tarefa 77148 --
ALTER TABLE TI_PRO ADD CODNCM VARCHAR(8);


/*-- SEQ 0738 --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ADD TIPDOC CHAR(1) DEFAULT 'N';

/*-- SEQ 0739 --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ALTER COLUMN TIPDOC SET NOT NULL;

/*-- SEQ 0740 --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ADD ISEPIS VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0741 --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ALTER COLUMN ISEPIS SET NOT NULL;

/*-- SEQ 0742 --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ADD ICMFED VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0743 --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ALTER COLUMN ICMFED SET NOT NULL;

/*-- SEQ 0744 --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ADD ARRTRU CHAR(1) DEFAULT 'A';

/*-- SEQ 0745 --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ALTER COLUMN ARRTRU SET NOT NULL;

/*-- SEQ 0746 --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ADD IIPTPR CHAR(1) DEFAULT 'T';

/*-- SEQ 0747 --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ALTER COLUMN IIPTPR SET NOT NULL;

/*-- SEQ 0748 --*/
-- Tarefa  74401 --
ALTER TABLE TI_PRO ADD CODANP Numeric(9);

/*-- SEQ 0749 --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ADD COD_EX Numeric(3);

/*-- SEQ 0750 --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ADD IMPKIT VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0751 --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ALTER COLUMN IMPKIT SET NOT NULL;

/*-- SEQ 0752 --*/
-- Tarefa 74401 --
ALTER TABLE TI_CLI ADD CODDDI VARCHAR(3);

/*-- SEQ 0753 --*/
-- Tarefa 74401 --
ALTER TABLE TI_CLI ADD DDICON VARCHAR(3);

/*-- SEQ 0754 --*/
-- Tarefa 74401 --
ALTER TABLE TI_CLI ADD ENDATI VARCHAR(1);

/*-- SEQ 0755 --*/
-- Tarefa 74401 --
UPDATE TI_CLI SET ENDATI = 'T' WHERE (END_SIGNAT IS NULL) OR (END_SIGNAT >= 0);

/*-- SEQ 0756 --*/
-- Tarefa 74401 --
UPDATE TI_CLI SET ENDATI = 'F' WHERE END_SIGNAT < 0;

/*-- SEQ 0757 --*/
-- Tarefa 74401 --
ALTER TABLE TI_CLI DROP COLUMN END_SIGNAT CASCADE;


/*-- SEQ 0758 --*/
-- Tarefa 77270 --
SELECT DISABLETRIGGERS(LOWER('TI_CLI'));

/*-- SEQ 0759 --*/
-- Tarefa 77270 --
CREATE SEQUENCE SQICLI INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0760 --*/
-- Tarefa 77270 --
ALTER TABLE TI_CLI ADD SEQUEN CHAR(10);

/*-- SEQ 0761 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION TMP_TI_CLI_SEQUEN () CASCADE;

/*-- SEQ 0762 --*/
CREATE OR REPLACE FUNCTION TMP_TI_CLI_SEQUEN ()
RETURNS Timestamp AS '
DECLARE

-- Tarefa 77270 --
   crUpdate CURSOR FOR
      SELECT DATCRI
        FROM TI_CLI
       WHERE SEQUEN IS NULL
       ORDER BY DATCRI;
   vDATCRI TI_CLI.DATCRI%TYPE;
BEGIN
   OPEN crUpdate;
      LOOP
         FETCH crUpdate INTO vDATCRI;
         EXIT WHEN NOT FOUND;     
         UPDATE TI_CLI SET SEQUEN = LPAD(RTRIM(NEXTVAL(''SQICLI'')),10,'' '')
          WHERE DATCRI = vDATCRI
            AND SEQUEN IS NULL;
      END LOOP;  
   CLOSE crUpdate;
   RETURN NULL;
END;
' language 'plpgsql';



/*-- SEQ 0763 --*/
-- Tarefa 77270 --
select TMP_TI_CLI_SEQUEN() from dual;


/*-- SEQ 0764 --*/
-- Tarefa 77270 --
DROP FUNCTION TMP_TI_CLI_SEQUEN () CASCADE;

/*-- SEQ 0765 --*/
-- Tarefa 77270 --
ALTER TABLE TI_CLI ALTER COLUMN SEQUEN SET NOT NULL;

/*-- SEQ 0766 --*/
-- Tarefa 77270 --
SELECT ENABLETRIGGERS(LOWER('TI_CLI'));

/*-- SEQ 0767 --*/ 
-- Tarefa 77270 --
ALTER TABLE TI_CLI ADD CONSTRAINT PK_ICLI PRIMARY KEY (SEQUEN);

/*-- SEQ 0768 --*/ 
-- Tarefa 77270 --
DROP INDEX I_LC_ICLI_STATUS;

/*-- SEQ 0769 --*/ 
-- Tarefa 77270 --
CREATE INDEX I_LC_ICLI_STATUS ON TI_CLI (STATUS, SEQUEN)  ;


/*-- SEQ 0770 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76768 --
DROP FUNCTION PrecoDia (TT_PRE.FILMAT%TYPE,TT_PRE.CODMAT%TYPE,TT_PRE.CODCOR%TYPE,TT_PRE.CODTAM%TYPE,TL_PRE.DATOPE%TYPE,TT_PRE.FILPRE%TYPE,TT_PRE.SEQUEN%TYPE) CASCADE;

/*-- SEQ 0771 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76768 --
DROP FUNCTION PRECO_ANTERIOR (TT_ICO.FILMAT%TYPE,TT_ICO.CODMAT%TYPE,TT_ICO.CODCOR%TYPE,TT_ICO.CODTAM%TYPE,TT_ICO.COM_DATOPE%TYPE,TT_PRE.FILPRE%TYPE,TT_PRE.SEQUEN%TYPE) CASCADE;

