
/*-- SEQ 0001 --*/
-- Tarefa 84413 --
SELECT DISABLETRIGGERS(LOWER('TT_ABA'));

/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA ADD COLUMN ABSAUT VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0003 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ABA'));

/*-- SEQ 0004 --*/
-- Tarefa 84413 --
SELECT DISABLETRIGGERS(LOWER('TT_ABA'));

/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA ADD COLUMN ABSREM VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0006 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ABA'));

/*-- SEQ 0007 --*/
-- Tarefa 84413 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA ADD COLUMN VOLABS Numeric(15,3) ;


/*-- SEQ 0008 --*/
-- Tarefa 84413 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA ADD COLUMN SERECF VARCHAR(25) ;


/*-- SEQ 0009 --*/
-- Tarefa 84413 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA ADD COLUMN NUMNOT CHAR(6) ;


/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84413 -- 
ALTER TABLE TT_ABA ALTER COLUMN ABSAUT SET NOT NULL;

/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84413 -- 
ALTER TABLE TT_ABA ALTER COLUMN ABSREM SET NOT NULL;

/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84413 -- 
ALTER TABLE TT_ABA ADD CONSTRAINT CK_ABA_ABSAUT CHECK (ABSAUT IN ('T','F'));

/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84413 -- 
ALTER TABLE TT_ABA ADD CONSTRAINT CK_ABA_ABSREM CHECK (ABSREM IN ('T','F'));

/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84413 -- 
ALTER TABLE TT_ABA ADD CONSTRAINT CK_ABA_VOLABS CHECK (COALESCE(VOLABS,0) > 0);


/*-- SEQ 0015 --*/
-- Tarefa 84427 --
ALTER TABLE TD_FIL ADD COLUMN CK_VEN_CMB_EST_ZER VARCHAR(1) ;



/*-- SEQ 0016 --*/
-- Tarefa 82643 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0017 --*/
ALTER TABLE TT_CFG ADD COLUMN SUBSTT_CONSFI VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0018 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0019 --*/
-- Tarefa 83074 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_SUBSTT_CONSFI CHECK (SUBSTT_CONSFI IN ('T','F'));

/*-- SEQ 0020 --*/
-- Tarefa 83074 -- 
ALTER TABLE TT_CFG ALTER COLUMN SUBSTT_CONSFI SET NOT NULL;

/*-- SEQ 0021 --*/
-- Tarefa 83074 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0022 --*/
ALTER TABLE TW_CFG ADD COLUMN SUBSTT_CONSFI VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0023 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0024 --*/
-- Tarefa 82645 --
ALTER TABLE TT_ORC ADD COLUMN CODNAT Numeric(5,0) ;


/*-- SEQ 0025 --*/
-- Tarefa 82645 --
ALTER TABLE TT_ORC ADD CONSTRAINT FK_ORC_DNAT FOREIGN KEY (CODNAT) REFERENCES TD_NAT (CODTAB);

/*-- SEQ 0026 --*/
-- Tarefa 82645 --
ALTER TABLE TT_IOR ADD COLUMN BASICM Numeric(12,2) ;


/*-- SEQ 0027 --*/
-- Tarefa 82645 --
ALTER TABLE TT_IOR ADD COLUMN VLRICM Numeric(12,2) ;


/*-- SEQ 0028 --*/
-- Tarefa 82645 --
ALTER TABLE TT_IOR ADD COLUMN BASSUB Numeric(12,2) ;


/*-- SEQ 0029 --*/
-- Tarefa 82645 --
ALTER TABLE TT_IOR ADD COLUMN VLRSUB Numeric(12,2) ;


/*-- SEQ 0030 --*/
-- Tarefa 82645 --
ALTER TABLE TT_IOR ADD COLUMN BASSTC Numeric(14,4) ;


/*-- SEQ 0031 --*/
-- Tarefa 82645 --
ALTER TABLE TT_IOR ADD COLUMN VLRSTC Numeric(14,4) ;


/*-- SEQ 0032 --*/
-- Tarefa 82645 --
ALTER TABLE TT_IOR ADD COLUMN MVAVEN Numeric(14,4) ;


/*-- SEQ 0033 --*/
-- Tarefa 82645 --
ALTER TABLE TT_IOR ADD COLUMN TAXICM Numeric(6,4) ;


/*-- SEQ 0034 --*/
-- Tarefa 82645 --
ALTER TABLE TT_IOR ADD COLUMN TAXSUB Numeric(6,4) ;


/*-- SEQ 0035 --*/
-- Tarefa 82645 --
ALTER TABLE TT_IOR ADD COLUMN REDICM Numeric(7,4) ;


/*-- SEQ 0036 --*/
-- Tarefa 82645 --
ALTER TABLE TT_IOR ADD COLUMN REDSUB Numeric(7,4) ;



/*-- SEQ 0037 --*/
-- Tarefa 84596 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN ST_NO_FRETE VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0039 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0040 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84596 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_ST_NO_FRETE CHECK (ST_NO_FRETE IN ('T','F'));

/*-- SEQ 0041 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84596 --
ALTER TABLE TT_CFG ALTER COLUMN ST_NO_FRETE SET NOT NULL;

/*-- SEQ 0042 --*/
-- Tarefa 84596 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0043 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN ST_NO_FRETE VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0044 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0045 --*/
-- Tarefa 84596 --
DELETE
  FROM TT_FUN
 WHERE NOMFUN = 'ST_NO_FRE';


/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84179 --
SELECT * FROM NADA;


/*-- SEQ 0047 --*/
-- Tarefa 84618 --
ALTER TABLE TT_ABA DROP COLUMN FILIVE CASCADE;

/*-- SEQ 0048 --*/
-- Tarefa 84618 --
ALTER TABLE TT_ABA DROP COLUMN SEQIVE CASCADE;

/*-- SEQ 0049 --*/
-- Tarefa 84618 --
ALTER TABLE TT_ABA DROP COLUMN NUMIVE CASCADE;

/*-- SEQ 0050 --*/
-- Tarefa 84618 --
ALTER TABLE TT_ABA DROP COLUMN SERECF CASCADE;

/*-- SEQ 0051 --*/
-- Tarefa 84618 --
ALTER TABLE TT_ABA DROP COLUMN NUMNOT CASCADE;

/*-- SEQ 0052 --*/
-- Tarefa 84618 --
ALTER TABLE TT_ABA DROP COLUMN SEQUEN CASCADE;

/*-- SEQ 0053 --*/
-- Tarefa 84618 --
ALTER TABLE TT_ABA ADD COLUMN CODABA CHAR(10) ;


/*-- SEQ 0054 --*/
-- Tarefa 84618 --
ALTER TABLE TT_IVE ADD COLUMN CODABA CHAR(10) ;


/*-- SEQ 0055 --*/
-- Tarefa 84618 -- 
ALTER TABLE TT_ABA ADD CONSTRAINT PK_ABA PRIMARY KEY (CODFIL, CODABA);


/*-- SEQ 0056 --*/
-- Tarefa 84179 --
SELECT DISABLETRIGGERS(LOWER('TT_END'));

/*-- SEQ 0057 --*/
-- Tarefa 84179 --
update tt_end
   set insest = null
 where (tt_end.filcli, tt_end.codcli) in
       (select cli.filcli, cli.codcli
          from tt_cli cli inner join tt_end ende on ende.filcli = cli.filcli
                                                and ende.codcli = cli.codcli
         where cli.flgtip = '0'
		   and cli.tipdoc <> 'IE'
           and cli.insest = ende.insest)
   and tt_end.insest is not null;
   
/*-- SEQ 0058 --*/
-- Tarefa 84179 --  
SELECT ENABLETRIGGERS(LOWER('TT_END'));


/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84637 --
ALTER TABLE TT_GRAXDCAR ALTER COLUMN TIPCAR SET NOT NULL;

/*-- SEQ 0060 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84637 --
ALTER TABLE TT_GRAXDCAR ALTER COLUMN FILMAT SET NOT NULL;

/*-- SEQ 0061 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84637 --
ALTER TABLE TT_GRAXDCAR ALTER COLUMN CODMAT SET NOT NULL;

/*-- SEQ 0062 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84637 --
ALTER TABLE TT_GRAXDCAR ALTER COLUMN CODCOR SET NOT NULL;

/*-- SEQ 0063 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84637 --
ALTER TABLE TT_GRAXDCAR ALTER COLUMN CODTAM SET NOT NULL;

/*-- SEQ 0064 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84637 --
ALTER TABLE TT_GRAXDCAR ALTER COLUMN PROTEF SET NOT NULL;


/*-- SEQ 0065 --*/
-- Tarefa 84636 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PRODCART', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PRODCART'));
                     
/*-- SEQ 0066 --*/
-- Tarefa 84636 --    
/*-- IGNORE ERRO --*/    
ALTER TABLE TT_GRAXDCAR ALTER COLUMN FILMAT TYPE CHAR(3);

/*-- SEQ 0067 --*/
-- Tarefa 84636 --
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;


/*-- SEQ 0068 --*/
-- Tarefa 84786 --
ALTER TABLE TT_LAC ALTER COLUMN FILLAC DROP NOT NULL;

/*-- SEQ 0069 --*/
-- Tarefa 84786 --
ALTER TABLE TT_LAC ALTER COLUMN SEQLAC DROP NOT NULL;

/*-- SEQ 0070 --*/
-- Tarefa 84786 --
ALTER TABLE TT_LAC ALTER COLUMN MOTAPL DROP NOT NULL;

/*-- SEQ 0071 --*/
-- Tarefa 84786 --
ALTER TABLE TT_LAC ALTER COLUMN CNPRES DROP NOT NULL;

/*-- SEQ 0072 --*/
-- Tarefa 84786 --
ALTER TABLE TT_LAC ALTER COLUMN CPFTEC DROP NOT NULL;

/*-- SEQ 0073 --*/
-- Tarefa 84786 --
ALTER TABLE TT_LAC ALTER COLUMN ENCINI DROP NOT NULL;

/*-- SEQ 0074 --*/
-- Tarefa 84786 --
ALTER TABLE TT_LAC ALTER COLUMN ENCFIM DROP NOT NULL;


/*-- SEQ 0075 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84801 --
ALTER TABLE TT_CLI ADD COLUMN FILEND CHAR(3) ;


/*-- SEQ 0076 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84801 --
ALTER TABLE TT_CLI ADD COLUMN NUMEND Numeric(4) ;


/*-- SEQ 0077 --*/
-- Tarefa 84801 --
CREATE TABLE TEMP_PRI_END AS
SELECT FILCLI, CODCLI, MIN(CODFIL||NUMEND) AS CHVEND
  FROM TT_END ENDE
 WHERE SIGNAT >= 0  
 GROUP BY FILCLI, CODCLI;
 
/*-- SEQ 0078 --*/
-- Tarefa 84801 --
CREATE INDEX I_LC_TEMP_PRI_END ON TEMP_PRI_END (FILCLI, CODCLI)  ; 
 
/*-- SEQ 0079 --*/
-- Tarefa 84801 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));
 
/*-- SEQ 0080 --*/
-- Tarefa 84801 --
UPDATE TT_CLI CLI
   SET FILEND = (SELECT SUBSTR(TMP.CHVEND,1,3)
                   FROM TEMP_PRI_END TMP
                  WHERE TMP.FILCLI = CLI.FILCLI
                    AND TMP.CODCLI = CLI.CODCLI),
       NUMEND = (SELECT TO_NUMBER(SUBSTR(TMP.CHVEND,4,4))
                   FROM TEMP_PRI_END TMP
                  WHERE TMP.FILCLI = CLI.FILCLI
                    AND TMP.CODCLI = CLI.CODCLI)
 WHERE FILEND IS NULL;                       

/*-- SEQ 0081 --*/
-- Tarefa 84801 --
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));                    

/*-- SEQ 0082 --*/
-- Tarefa 84801 --
DROP TABLE TEMP_PRI_END CASCADE;

/*-- SEQ 0083 --*/
-- Tarefa 84801 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ENDCLI', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ENDCLI'));


/*-- SEQ 0084 --*/
ALTER TABLE TT_DEC ADD SQLSTR2 VARCHAR(4000);

/*-- SEQ 0085 --*/
ALTER TABLE TT_DEC ADD SQLSTR3 VARCHAR(4000);

/*-- SEQ 0086 --*/
ALTER TABLE TT_DEC ADD SQLSTR4 VARCHAR(4000);


/*-- SEQ 0087 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84403 --
ALTER TABLE TI_ICO ADD COLUMN BASIPI Numeric(12,2) ;



/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84427 --
SELECT * FROM NADA;

/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84427 --
SELECT * FROM NADA;


/*-- SEQ 0090 --*/
-- Tarefa 84427 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0091 --*/
-- Tarefa 84427 --
UPDATE TD_FIL SET CK_VEN_CMB_EST_ZER = 'T';

/*-- SEQ 0092 --*/
-- Tarefa 84427 --
ALTER TABLE TD_FIL ALTER COLUMN CK_VEN_CMB_EST_ZER SET DEFAULT 'T';

/*-- SEQ 0093 --*/
-- Tarefa 84427 --
 ALTER TABLE TD_FIL ALTER COLUMN CK_VEN_CMB_EST_ZER SET NOT NULL;
 
 /*-- SEQ 0094 --*/
-- Tarefa 84427 --
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));


/*-- SEQ 0095 --*/
-- Tarefa 84926 --
ALTER TABLE TT_IVE DROP COLUMN INDFRE CASCADE;

/*-- SEQ 0096 --*/
-- Tarefa 84926 --
ALTER TABLE TT_VEN ADD COLUMN INDFRE Numeric(1) ;


/*-- SEQ 0097 --*/
-- Tarefa 84926 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_INDFRE CHECK (INDFRE IN (0,1,2,9));


/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84635 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0099 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84635 --
UPDATE TT_USU 
   SET PERMIS = SUBSTR(PERMIS,1,355)||SUBSTR(PERMIS,279,1)||SUBSTR(PERMIS,357,9999);
										
/*-- SEQ 0100 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84635 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0101 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84635 --
SELECT DISABLETRIGGERS(LOWER('TT_PAP'));

/*-- SEQ 0102 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84635 --
UPDATE TT_PAP
   SET PERMIS = SUBSTR(PERMIS,1,355)||SUBSTR(PERMIS,279,1)||SUBSTR(PERMIS,357,9999);
										
/*-- SEQ 0103 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84635 --
SELECT ENABLETRIGGERS(LOWER('TT_PAP'));


/*-- SEQ 0104 --*/
-- Tarefa 84376 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0105 --*/
-- Tarefa 84376 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,354)||SUBSTR(PERMIS,194,1)||SUBSTR(PERMIS,356,9999);

/*-- SEQ 0106 --*/
-- Tarefa 84376 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0107 --*/
-- Tarefa 84376 --
SELECT DISABLETRIGGERS(LOWER('TT_PAP'));

/*-- SEQ 0108 --*/
-- Tarefa 84376 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,354)||SUBSTR(PERMIS,194,1)||SUBSTR(PERMIS,356,9999);

/*-- SEQ 0109 --*/
-- Tarefa 84376 --
SELECT ENABLETRIGGERS(LOWER('TT_PAP'));


/*-- SEQ 0110 --*/
-- Tarefa 83453 --
ALTER TABLE TW_TAB ADD COLUMN FILLAC CHAR(3) ;


/*-- SEQ 0111 --*/
-- Tarefa 83453 --
ALTER TABLE TW_TAB ADD COLUMN SEQLAC CHAR(10) ;



/*-- SEQ 0112 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84668 --
ALTER TABLE TL_SUP DROP CONSTRAINT FK_LSUP_SUP CASCADE;


/*-- SEQ 0113 --*/
-- Tarefa 85015 --
ALTER TABLE TD_BOM ADD COLUMN CODFIL CHAR(3) ;


/*-- SEQ 0114 --*/
-- Tarefa 85015 --
ALTER TABLE TW_TAB ADD COLUMN CODFIL CHAR(3) ;



/*-- SEQ 0115 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
CREATE TABLE GX_CFG (
  GX_CFGId                  Numeric(10),
  GX_CFGSimPanBaseURL       VARCHAR(40),
  GX_CFGSimPanHost          VARCHAR(40),
  GX_CFGSimPanPort          Numeric(10),
  GX_CFGTotallCreditBaseURL VARCHAR(40),
  GX_CFGTotallCreditHost    VARCHAR(40),
  GX_CFGTotallCreditPort    Numeric(10),
  GX_CFGTotallCargaBaseURL  CHAR(50),
  GX_CFGTotallCargaHost     VARCHAR(40),
  GX_CFGTotallCargaPort     Numeric(10),
  GX_CFGLog                 BOOLEAN) 
   ;
  
/*-- SEQ 0116 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG ADD CONSTRAINT PK_GX_CFG PRIMARY KEY (GX_CFGId);

/*-- SEQ 0117 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG ALTER COLUMN GX_CFGLog SET NOT NULL;

/*-- SEQ 0118 --*/
-- Tarefa 84638 --
INSERT INTO GX_CFG
(GX_CFGId, 
 GX_CFGSimPanBaseURL, 
 GX_CFGSimPanHost, 
 GX_CFGSimPanPort, 
 GX_CFGTotallCreditBaseURL, 
 GX_CFGTotallCreditHost, 
 GX_CFGTotallCreditPort, 
 GX_CFGTotallCargaBaseURL, 
 GX_CFGTotallCargaHost, 
 GX_CFGTotallCargaPort, 
 GX_CFGLog)
SELECT 1, 
       null, 
       null, 
       null, 
       null, 
       null, 
       null, 
       null, 
       null, 
       null, 
       False  FROM DUAL
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM GX_CFG
                    WHERE GX_CFGId = 1);

/*-- SEQ 0119 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD COLUMN GX_CFGNfeAtu Timestamp ;
 

/*-- SEQ 0120 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD COLUMN GX_CFGNfeLog BOOLEAN ;
 
       
/*-- SEQ 0121 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
SELECT DISABLETRIGGERS(LOWER('GX_CFG'));       
       
/*-- SEQ 0122 --*/
-- Tarefa 84638 --
UPDATE GX_CFG
   SET GX_CFGNfeAtu = TO_DATE('31/12/2011 00:00:00','DD/MM/YYYY HH24:MI:SS')
 WHERE GX_CFGId = 1
   AND GX_CFGNfeAtu IS NULL;
       
/*-- SEQ 0123 --*/
-- Tarefa 84638 --
UPDATE GX_CFG
   SET GX_CFGNfeLog = False WHERE GX_CFGId = 1
   AND GX_CFGNfeLog IS NULL;

/*-- SEQ 0124 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
SELECT ENABLETRIGGERS(LOWER('GX_CFG'));

/*-- SEQ 0125 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG ALTER COLUMN GX_CFGNfeAtu SET NOT NULL;

/*-- SEQ 0126 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG ALTER COLUMN GX_CFGNfeLog SET NOT NULL;

/*-- SEQ 0127 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
CREATE TABLE GX_LOG (
  GX_LogId        Numeric(10),
  GX_LogDescricao VARCHAR(4000),
  GX_LogData      Timestamp,
  GX_LogErro      BOOLEAN)
   ;
  
/*-- SEQ 0128 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
CREATE SEQUENCE GX_LogId INCREMENT 1 START 1 MINVALUE 1;

  
/*-- SEQ 0129 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_LOG ADD CONSTRAINT PK_GX_LogId PRIMARY KEY (GX_LogId);

/*-- SEQ 0130 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_LOG ALTER COLUMN GX_LogDescricao SET NOT NULL;

/*-- SEQ 0131 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_LOG ALTER COLUMN GX_LogData SET NOT NULL;

/*-- SEQ 0132 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_LOG ALTER COLUMN GX_LogErro SET NOT NULL;

/*-- SEQ 0133 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
DROP FUNCTION GXProximoCodigo(Tabela in VARCHAR, Filial in CHAR, Retorno out VARCHAR);

/*-- SEQ 0134 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
SELECT * FROM NADA;


/*-- SEQ 0135 --*/
-- Tarefa 82117 --
ALTER TABLE TT_IOR ADD COLUMN ISEICM Numeric(12,2) ;



/*-- SEQ 0136 --*/
-- Tarefa 85042 --
SELECT ExecAlteraTipoColuna('TT_ICO','VALCON','Numeric(14,4)');



/*-- SEQ 0137 --*/
-- Tarefa 83344 --
SELECT DISABLETRIGGERS(LOWER('TL_VEN'));

/*-- SEQ 0138 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83344 --
CREATE INDEX I_LVEN_MSGLOG ON TL_VEN (MSGLOG)  ;

/*-- SEQ 0139 --*/
-- Tarefa 83344 --
DELETE 
  FROM TL_VEN
 WHERE MSGLOG LIKE 'Estado: de I%';

/*-- SEQ 0140 --*/
-- Tarefa 83344 --
DROP INDEX I_LVEN_MSGLOG;
					  
/*-- SEQ 0141 --*/
-- Tarefa 83344 --
SELECT ENABLETRIGGERS(LOWER('TL_VEN'));



/*-- SEQ 0142 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85164 --
ALTER TABLE TI_CLI ADD COLUMN ISENTO VARCHAR(1) ;



/*-- SEQ 0143 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82965 --
SELECT DISABLETRIGGERS(LOWER('TL_CFG'));

/*-- SEQ 0144 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82965 --
ALTER TABLE TL_CFG ADD COLUMN OPERAD CHAR(1) ;


/*-- SEQ 0145 --*/
-- Tarefa 82965 --
UPDATE TL_CFG
   SET OPERAD = 'A'
 WHERE COLUNA = '--Alteracao--';
 
/*-- SEQ 0146 --*/
-- Tarefa 82965 --
UPDATE TL_CFG
   SET OPERAD = 'E'
 WHERE COLUNA = '--Exclusao--';

/*-- SEQ 0147 --*/
-- Tarefa 82965 --
UPDATE TL_CFG
   SET OPERAD = 'I'
 WHERE COLUNA = '--Inclusao--';
 
/*-- SEQ 0148 --*/
-- Tarefa 82965 --
UPDATE TL_CFG
   SET OPERAD = 'A'
 WHERE COLUNA <> '--Inclusao--'
   AND COLUNA <> '--Exclusao--'
   AND COLUNA <> '--Alteracao--';

/*-- SEQ 0149 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82965 --
ALTER TABLE TL_CFG ADD CONSTRAINT CK_CFG_OPERAD CHECK (OPERAD IN ('A','E','I'));

/*-- SEQ 0150 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82965 --
ALTER TABLE TL_CFG ALTER COLUMN OPERAD SET NOT NULL;

/*-- SEQ 0151 --*/
-- Tarefa 82965 --
SELECT ENABLETRIGGERS(LOWER('TL_CFG')); 


/*-- SEQ 0152 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84500 --
SELECT ExecAlteraTipoColuna('TT_GRA','CUSFRE','Numeric(14,4)');



/*-- SEQ 0153 --*/
-- Tarefa 85136 --
SELECT DISABLETRIGGERS(LOWER('TT_UID'));

/*-- SEQ 0154 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_UID ADD COLUMN ASSINS VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0155 --*/
SELECT ENABLETRIGGERS(LOWER('TT_UID'));

/*-- SEQ 0156 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85136 --  
ALTER TABLE TT_UID ALTER COLUMN ASSINS SET NOT NULL;

/*-- SEQ 0157 --*/
-- Tarefa 85136 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ASSINS', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ASSINS'));
                     
/*-- SEQ 0158 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85136 -- 
CREATE TABLE TM_ASS (
  MASSID Numeric(10),
  TABELA VARCHAR(6),
  FLGEST CHAR(1),
  CODUID Numeric,
  ASSINA VARCHAR(256)
)  ;

/*-- SEQ 0159 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85136 --  
ALTER TABLE TM_ASS ALTER COLUMN TABELA SET NOT NULL;

/*-- SEQ 0160 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85136 --  
ALTER TABLE TM_ASS ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0161 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85136 --  
ALTER TABLE TM_ASS ADD CONSTRAINT PK_MASS PRIMARY KEY (MASSID);

/*-- SEQ 0162 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85136 --
CREATE SEQUENCE SQMASS INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0163 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85136 --
ALTER TABLE TM_ASS ALTER COLUMN FLGEST SET DEFAULT 'N';


/*-- SEQ 0164 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85139 --
CREATE TABLE TT_CEE (
	CODFIL CHAR(3),
	SEQUEN CHAR(10),
	DATINC Timestamp,
	INDEMI CHAR(1),
	TEXTOC VARCHAR(1000),
	DATREG Timestamp,
	PROTOC Numeric(15),
	FILVEN CHAR(3),
	SEQVEN CHAR(10)
	);

/*-- SEQ 0165 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ALTER COLUMN INDEMI SET NOT NULL;

/*-- SEQ 0166 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0167 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ALTER COLUMN TEXTOC SET NOT NULL;

/*-- SEQ 0168 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ALTER COLUMN DATREG SET NOT NULL;

/*-- SEQ 0169 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ALTER COLUMN PROTOC SET NOT NULL;

/*-- SEQ 0170 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ALTER COLUMN FILVEN SET NOT NULL;

/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ALTER COLUMN SEQVEN SET NOT NULL;

/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ADD CONSTRAINT PK_CEE PRIMARY KEY (CODFIL,SEQUEN);
	
/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ADD CONSTRAINT FK_CEE_FILVENSEQVEN FOREIGN KEY (FILVEN,SEQVEN) REFERENCES TT_VEN(CODFIL,SEQUEN);

/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ADD CONSTRAINT CK_CEE_INDEMI CHECK (INDEMI IN ('S','R'));

/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85139 --
CREATE INDEX I_FK_CEE_VEN ON TT_CEE (FILVEN,SEQVEN)  ;

/*-- SEQ 0176 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85139 --
CREATE SEQUENCE SQCEE INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0177 --*/
-- Tarefa 85139 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CEE', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CEE'));


/*-- SEQ 0178 --*/
-- Tarefa 85235 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
    (SELECT '-De outras matrias',4,12,'T','640690' 
       FROM DUAL
      WHERE NOT EXISTS (SELECT 1 AS OK
                          FROM TT_NCM
                         WHERE CODNCM = '640690'));	 

/*-- SEQ 0179 --*/
-- Tarefa 85235 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
    (SELECT '--Partes de calados Palmilhas',4,12,'T','64069020' 
       FROM DUAL
      WHERE NOT EXISTS (SELECT 1 AS OK
                          FROM TT_NCM
                         WHERE CODNCM = '64069020'));	 


/*-- SEQ 0180 --*/
-- Tarefa 85425 -- 
SELECT DISABLETRIGGERS(LOWER('TD_ENT'));

/*-- SEQ 0181 --*/
-- Tarefa 85425 -- 
UPDATE TD_ENT
   SET DESENT = 'Em Outra Loja'
 WHERE CODTAB = 4;
 
/*-- SEQ 0182 --*/
-- Tarefa 85425 -- 
SELECT ENABLETRIGGERS(LOWER('TD_ENT'));


/*-- SEQ 0183 --*/
-- Tarefa 85329 --
SELECT DISABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0184 --*/
-- Tarefa 85329 --
UPDATE TT_ORC ORC
   SET VLRTOT = NVLZ((SELECT SUM(IOR.VLRPGT)
                   FROM TT_IOR IOR
                  WHERE IOR.CODFIL = ORC.CODFIL
                    AND IOR.TIPPED = ORC.TIPPED
                    AND IOR.NUMPED = ORC.NUMPED
                    AND IOR.FLGEST <> 'C'),0.01)
 WHERE ORC.VLRTOT = 0;
 
/*-- SEQ 0185 --*/
-- Tarefa 85329 --
SELECT ENABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85329 -- 
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_VLRTOT CHECK (VLRTOT <> 0 OR FLGEST = 'C');


/*-- SEQ 0187 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE DROP CONSTRAINT FK_CEE_FILVENSEQVEN;

/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85139 --
DROP INDEX I_FK_CEE_VEN;

/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ADD CONSTRAINT FK_CEE_VEN FOREIGN KEY (FILVEN,SEQVEN) REFERENCES TT_VEN(CODFIL,SEQUEN);

/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85139 --
CREATE INDEX I_FK_CEE_VEN ON TT_CEE (FILVEN,SEQVEN)  ;


/*-- SEQ 0191 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85486 --
SELECT * FROM NADA;

/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85486 --
SELECT * FROM NADA;
 
/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85486 --
SELECT * FROM NADA;

/*-- SEQ 0194 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85486 -- 
SELECT * FROM NADA;


/*-- SEQ 0195 --*/
-- Tarefa 85467 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,356)||'N'||SUBSTR(PERMIS,358,9999);


/*-- SEQ 0196 --*/
-- Tarefa 85526 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0197 --*/
-- Tarefa 85526 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT '--FIO TEXTURIZADO DE OUTS.FILAMENTOS SINTETICOS',4,12,'T','54023990'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '54023990'));
                     
/*-- SEQ 0198 --*/
-- Tarefa 85526 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT '--FIO DE OUTS.POLIESTERES,SIMPLES,TORCAO<=50VOLTAS/METRO',4,11,'T','54024300'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '54023990'));

/*-- SEQ 0199 --*/
-- Tarefa 85526 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT '--TAILLEURS" DE MALHA DE ALGODAO',4,11,'T','61041200'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '54023990'));


/*-- SEQ 0200 --*/
-- Tarefa 85526 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));


/*-- SEQ 0201 --*/
-- Tarefa 85615 --
SELECT DISABLETRIGGERS(LOWER('TD_CFO'));

/*-- SEQ 0202 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Sada Transf. Subst. Tribu.',
        'T',
        '540900'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '540900'));

/*-- SEQ 0203 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Sada via Transferencia',
        'T',
        '515200'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '515200'));

/*-- SEQ 0204 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Sada Transf ST Fora do Estado',
        'T',
        '640900'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '640900'));

/*-- SEQ 0205 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Sada Transf. Fora do Estado',
        'T',
        '615200'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '615200'));

/*-- SEQ 0206 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Entrada Transf. Subst. Tribu.',
        'T',
        '140900'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '140900'));

/*-- SEQ 0207 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Entrada via Transferencia',
        'T',
        '115200'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '115200'));

/*-- SEQ 0208 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Entrada Transf ST F/Estado',
        'T',
        '240900'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '240900'));

/*-- SEQ 0209 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Entrada Transf Fora do Estado',
        'T',
        '215200'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '215200'));

/*-- SEQ 0210 --*/
-- Tarefa 85615 --
SELECT ENABLETRIGGERS(LOWER('TD_CFO'));


/*-- SEQ 0211 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85666 --
ALTER TABLE TT_GRAXDCAR DROP CONSTRAINT CK_GRAC_TIPCAR CASCADE;

/*-- SEQ 0212 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85666 --
ALTER TABLE TT_GRAXDCAR ADD CONSTRAINT CK_GRAC_TIPCAR CHECK (TIPCAR IN ('T','V','R','S','G','N','P','C','L','D','F','M','E'));



/*-- SEQ 0213 --*/
-- Tarefa 85729 --
SELECT DISABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0214 --*/
-- Tarefa 85729 --
UPDATE TT_ORC ORC
   SET FLGEST = 'C'
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TT_IOR IOR
                    WHERE IOR.CODFIL = ORC.CODFIL
                      AND IOR.TIPPED = ORC.TIPPED
                      AND IOR.NUMPED = ORC.NUMPED
                      AND IOR.FLGEST <> 'C');
 
/*-- SEQ 0215 --*/
-- Tarefa 85729 --
SELECT ENABLETRIGGERS(LOWER('TT_ORC'));


/*-- SEQ 0216 --*/
-- Tarefa 84243
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0217 --*/
-- Tarefa 84243 --
UPDATE TD_FIL
   SET PAFECF = 'T'
 WHERE PAFECF = 'F';

/*-- SEQ 0218 --*/
-- Tarefa 84243 --
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0219 --*/
-- Tarefa 84243 --
ALTER TABLE TD_FIL DROP CONSTRAINT CK_DFIL_PAFECF CASCADE;

/*-- SEQ 0220 --*/
-- Tarefa 84243 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PAFECF CHECK (PAFECF IN ('T'));


/*-- SEQ 0221 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85763 --
DROP FUNCTION TGEST_ASS() CASCADE;


/*-- SEQ 0222 --*/
-- Tarefa 85920 --
ALTER TABLE TT_ABA ADD COLUMN VLRTOT Numeric(12,2) ;


/*-- SEQ 0223 --*/
-- Tarefa 85920 --
ALTER TABLE TT_ABA ADD COLUMN VLRUNI Numeric(12,3) ;



/*-- SEQ 0224 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85370 --
CREATE TABLE TW_SAL (
  USERID Numeric,
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  FILMAT CHAR(3),
  CODMAT CHAR(5),
  CODCOR Numeric(5),
  CODTAM Numeric(5),
  CODMUL Numeric(5),
  VLR_CM_UNI Numeric(16,4), 
  VLRCMG_UNI Numeric(16,4), 
  CUSREP Numeric(12,4), 
  SALDO  Numeric(12,4)
  )  ;
  
/*-- SEQ 0225 --*/
-- Tarefa 85370 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'LOCK_SAL', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'LOCK_SAL'));


/*-- SEQ 0226 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84617 --
UPDATE TT_AUT 
   SET FLGEST = 'A'
 WHERE FLGEST IS NULL;


/*-- SEQ 0227 --*/
-- Tarefa 85943 -- 
SELECT DISABLETRIGGERS(LOWER('TI_SAL'));

/*-- SEQ 0228 --*/
-- Tarefa 85943 -- 
UPDATE TI_SAL
   SET STATUS = 0, MOTREJ = NULL, DATIMP = NULL
 WHERE STATUS IS NULL;

/*-- SEQ 0229 --*/
-- Tarefa 85943 --  
SELECT ENABLETRIGGERS(LOWER('TI_SAL'));

/*-- SEQ 0230 --*/
-- Tarefa 85943 -- 
ALTER TABLE TI_SAL ALTER COLUMN STATUS SET DEFAULT '0';

/*-- SEQ 0231 --*/
-- Tarefa 85943 -- 
/*-- IGNORE ERRO --*/
ALTER TABLE TI_SAL ALTER COLUMN STATUS SET NOT NULL;



/*-- SEQ 0232 --*/
-- Tarefa 85957 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0233 --*/
-- Tarefa 85957 --
UPDATE TT_CLI 
   SET CELCON = '9'||CELCON
 WHERE DDCCON = '11'
   AND CELCON IS NOT NULL
   AND CHAR_LENGTH(CELCON) = 8;
 
/*-- SEQ 0234 --*/
-- Tarefa 85957 --
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0235 --*/
-- Tarefa 85957 --
SELECT DISABLETRIGGERS(LOWER('TT_SPC'));

/*-- SEQ 0236 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85957 --
SELECT ExecAlteraTipoColuna('TT_SPC','NUMCEL','VARCHAR(10)');


/*-- SEQ 0237 --*/
-- Tarefa 85957 --
UPDATE TT_SPC 
   SET NUMCEL = '9'||NUMCEL
 WHERE DDDCEL = '11'
   AND NUMCEL IS NOT NULL 
   AND CHAR_LENGTH(NUMCEL) = 8;
   
 
/*-- SEQ 0238 --*/
-- Tarefa 85957 --
SELECT ENABLETRIGGERS(LOWER('TT_SPC'));

/*-- SEQ 0239 --*/
-- Tarefa 85957 --
SELECT DISABLETRIGGERS(LOWER('TT_CON'));

/*-- SEQ 0240 --*/
-- Tarefa 85957 --
UPDATE TT_CON 
   SET CELCON = '9'||CELCON
 WHERE DDDCEL = '11'
   AND CELCON IS NOT NULL
   AND CHAR_LENGTH(CELCON) = 8;
   
 
/*-- SEQ 0241 --*/
-- Tarefa 85957 --
SELECT ENABLETRIGGERS(LOWER('TT_CON'));


/*-- SEQ 0242 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85679 --
ALTER TABLE TI_PRO ADD COLUMN ORIPRO CHAR(1) ;


/*-- SEQ 0243 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85679 --
ALTER TABLE TI_PRO ADD COLUMN NATBCC CHAR(2) ;


/*-- SEQ 0244 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85679 --
ALTER TABLE TI_PRO ADD COLUMN MVAVEN Numeric(12,2) ;


/*-- SEQ 0245 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85679 --
ALTER TABLE TI_PRO ADD COLUMN MVAC07 Numeric(12,2) ;


/*-- SEQ 0246 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85679 --
ALTER TABLE TI_PRO ADD COLUMN MVAC12 Numeric(12,2) ;


/*-- SEQ 0247 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85679 --
ALTER TABLE TI_PRO ADD CONSTRAINT CK_IPRO_ORIPRO CHECK (ORIPRO IN ('0','1','2'));

/*-- SEQ 0248 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85679 --
ALTER TABLE TI_PRO ADD CONSTRAINT CK_IPRO_NATBCC CHECK (NATBCC IN ('01','01','02','03','04','05','06','07','08','09','10','11','12','13','14','15','16','17','18'));


/*-- SEQ 0249 --*/
-- Tarefa 86354 --
ALTER TABLE TD_FIL ADD COLUMN IP_SFC VARCHAR(255) ;



/*-- SEQ 0250 --*/
-- Tarefa 86351 --
CREATE TABLE TT_BSC (
    CODFIL	CHAR(3),
    ID	Numeric(10),
    FILUSU	CHAR(3),
    CODUSU	CHAR(3),
    DATINC	Timestamp,
    ATU_EM	Timestamp,
    VLRMOV	Numeric(12,2),
    QTDMOV	Numeric(12,2),
    FLGEST	CHAR(1),
    FILPRE	CHAR(3),
    CODPRE	Numeric(5),
    COD_GRUPO	Numeric(10),
    COD_BASE	Numeric(10),
    COD_FORMULA	Numeric(10),
    TIP_FORMULA	CHAR(1),
    COD_EMBALAGEM	Numeric(10),
    COD_PRODUTO	Numeric(10),
    FILMAT	CHAR(3),
    CODMAT	CHAR(5),
    CODCOR	Numeric(5),
    CODTAM	Numeric(5),
    PRECOV	Numeric(14,4),
    FILPED	CHAR(3),
    TIPPED	CHAR(1),
    NUMPED	CHAR(8),
    ITEPED	Numeric(5))  ;

/*-- SEQ 0251 --*/
-- Tarefa 86351 --
ALTER TABLE TT_BSC ADD CONSTRAINT PK_BSC PRIMARY KEY (CODFIL,ID);

/*-- SEQ 0252 --*/
-- Tarefa 86351 --
ALTER TABLE TT_BSC ADD CONSTRAINT FK_BSC_USU FOREIGN KEY (FILUSU,CODUSU) REFERENCES TT_USU (FILUSU,CODUSU);

/*-- SEQ 0253 --*/
-- Tarefa 86351 --
ALTER TABLE TT_BSC ADD CONSTRAINT FK_BSC_GRA FOREIGN KEY (FILMAT,CODMAT,CODCOR,CODTAM) REFERENCES TT_GRA (FILMAT,CODMAT,CODCOR,CODTAM);

/*-- SEQ 0254 --*/
-- Tarefa 86351 --
ALTER TABLE TT_BSC ADD CONSTRAINT FK_BSC_IOR FOREIGN KEY (FILPED,TIPPED,NUMPED,ITEPED) REFERENCES TT_IOR (CODFIL,TIPPED,NUMPED,NUMITE);

/*-- SEQ 0255 --*/
-- Tarefa 86351 --
ALTER TABLE TT_BSC ADD CONSTRAINT FK_BSC_TPR FOREIGN KEY (FILPRE,CODPRE) REFERENCES TT_TPR (CODFIL,CODPRE);

/*-- SEQ 0256 --*/
-- Tarefa 85139 --
CREATE INDEX I_FK_BSC_USU ON TT_BSC (FILUSU,CODUSU)  ;

/*-- SEQ 0257 --*/
-- Tarefa 85139 --
CREATE INDEX I_FK_BSC_GRA ON TT_BSC (FILMAT,CODMAT,CODCOR,CODTAM)  ;

/*-- SEQ 0258 --*/
-- Tarefa 85139 --
CREATE INDEX I_FK_BSC_IOR ON TT_BSC (FILPED,TIPPED,NUMPED,ITEPED)  ;

/*-- SEQ 0259 --*/
-- Tarefa 85139 --
CREATE INDEX I_FK_BSC_TPR ON TT_BSC (FILPRE,CODPRE)  ;

/*-- SEQ 0260 --*/
-- Tarefa 85139 --
ALTER TABLE TT_BSC ADD CONSTRAINT CK_BSC_TIP_FORMULA CHECK (TIP_FORMULA IN ('P','S'));

/*-- SEQ 0261 --*/
-- Tarefa 85139 --
CREATE SEQUENCE SQBSC INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0262 --*/
-- Tarefa 86352 --
CREATE TABLE TT_CSC (
    CODFIL	  CHAR(3),
    ID	      Numeric(10),
    NUMITE	  Numeric(5),
    COD_COLOR Numeric(10),
    QTDITE 	  Numeric(12,4),
    FILMAT	  CHAR(3),
    CODMAT	  CHAR(5),
    CODCOR	  Numeric(5),
    CODTAM	  Numeric(5),
    PRECOV	  Numeric(14,4),
    FILPED	  CHAR(3),
    TIPPED	  CHAR(1),
    NUMPED	  CHAR(8),
    ITEPED	  Numeric(5))  ;
    
/*-- SEQ 0263 --*/
-- Tarefa 86352 --
ALTER TABLE TT_CSC ADD CONSTRAINT PK_CSC PRIMARY KEY (CODFIL,ID);

/*-- SEQ 0264 --*/
-- Tarefa 86352 --
ALTER TABLE TT_CSC ADD CONSTRAINT FK_CSC_BSC FOREIGN KEY (CODFIL,ID) REFERENCES TT_BSC (CODFIL,ID);

/*-- SEQ 0265 --*/
-- Tarefa 86352 --
ALTER TABLE TT_CSC ADD CONSTRAINT FK_CSC_GRA FOREIGN KEY (FILMAT,CODMAT,CODCOR,CODTAM) REFERENCES TT_GRA (FILMAT,CODMAT,CODCOR,CODTAM);

/*-- SEQ 0266 --*/
-- Tarefa 86352 --
ALTER TABLE TT_CSC ADD CONSTRAINT FK_CSC_IOR FOREIGN KEY (FILPED,TIPPED,NUMPED,ITEPED) REFERENCES TT_IOR (CODFIL,TIPPED,NUMPED,NUMITE);

/*-- SEQ 0267 --*/
-- Tarefa 86352 --
CREATE INDEX I_FK_CSC_GRA ON TT_CSC (FILMAT,CODMAT,CODCOR,CODTAM)  ;

/*-- SEQ 0268 --*/
-- Tarefa 86352 --
CREATE INDEX I_FK_CSC_IOR ON TT_CSC (FILPED,TIPPED,NUMPED,ITEPED)  ;


/*-- SEQ 0269 --*/
-- Tarefa 86353 --
CREATE TABLE TT_GRAXSC (    
    FILMAT	CHAR(3),
    CODMAT	CHAR(5),
    CODCOR	Numeric(5),
    CODTAM	Numeric(5),
    COD_PRODUTO	Numeric(10),
    COD_COLOR	Numeric(10))  ;
    
/*-- SEQ 0270 --*/
-- Tarefa 86353 --
ALTER TABLE TT_GRAXSC ADD CONSTRAINT PK_GRAXSC PRIMARY KEY (FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0271 --*/
-- Tarefa 86353 --
ALTER TABLE TT_GRAXSC ADD CONSTRAINT FK_GRAXSC_GRA FOREIGN KEY (FILMAT,CODMAT,CODCOR,CODTAM) REFERENCES TT_GRA (FILMAT,CODMAT,CODCOR,CODTAM);


/*-- SEQ 0272 --*/
-- Tarefa 86369 --
ALTER TABLE TT_COM ADD COLUMN VLRSRV Numeric(12,2) ;


/*-- SEQ 0273 --*/
-- Tarefa 86369 --
ALTER TABLE TT_ICO ADD COLUMN VLRISS Numeric(12,2) ;


/*-- SEQ 0274 --*/
-- Tarefa 86369 --
ALTER TABLE TT_ICO ADD COLUMN BASISS Numeric(12,2) ;


/*-- SEQ 0275 --*/
-- Tarefa 86369 --
ALTER TABLE TT_ICO ADD COLUMN PERISS Numeric(5,2) ;



/*-- SEQ 0276 --*/
-- Tarefa 86307 --
ALTER TABLE TT_UID DROP CONSTRAINT CK_UID_CODEMP CASCADE;
 
/*-- SEQ 0277 --*/
-- Tarefa 86307 --
ALTER TABLE TT_ORC DROP CONSTRAINT CK_ORC_CODEMP CASCADE;
 
/*-- SEQ 0278 --*/
-- Tarefa 86307 --
ALTER TABLE TT_UID ADD CONSTRAINT CK_UID_CODEMP CHECK (CODEMP >= 0);
 
/*-- SEQ 0279 --*/
-- Tarefa 86307 --
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_CODEMP CHECK (CODEMP >= 0);


/*-- SEQ 0280 --*/
-- Tarefa 86679 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0281 --*/
ALTER TABLE TT_CFG ADD COLUMN BOLETO_EMAIL VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0282 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0283 --*/
-- Tarefa 86679 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_BOLETO_EMAIL CHECK (BOLETO_EMAIL IN ('T','F'));

/*-- SEQ 0284 --*/
-- Tarefa 86679 -- 
ALTER TABLE TT_CFG ALTER COLUMN BOLETO_EMAIL SET NOT NULL;


/*-- SEQ 0285 --*/
-- Tarefa 86679 --
ALTER TABLE TT_CFG ADD COLUMN CKPACANHOTONFE VARCHAR(4000) ;



/*-- SEQ 0286 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86686 --
SELECT * FROM NADA;

/*-- SEQ 0287 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86686 --
SELECT * FROM NADA;

/*-- SEQ 0288 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86686 --
SELECT * FROM NADA;

/*-- SEQ 0289 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86686 --
SELECT * FROM NADA;

/*-- SEQ 0290 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86686 --
SELECT * FROM NADA;



/*-- SEQ 0291 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86686 --
SELECT * FROM NADA;

/*-- SEQ 0292 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86686 --
SELECT * FROM NADA;

/*-- SEQ 0293 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86686 --
SELECT * FROM NADA;

/*-- SEQ 0294 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86686 --
SELECT * FROM NADA;


/*-- SEQ 0295 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86671 --
SELECT * FROM NADA;

/*-- SEQ 0296 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86671 --
SELECT * FROM NADA;

/*-- SEQ 0297 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86671 --
SELECT * FROM NADA;

/*-- SEQ 0298 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86671 --
SELECT * FROM NADA;


/*-- SEQ 0299 --*/
-- Tarefa 86671 --
ALTER TABLE TD_FIL ADD COLUMN PATIMGCHR VARCHAR(255) ;



/*-- SEQ 0300 --*/
-- Tarefa 86671 --
ALTER TABLE TT_ACR ADD COLUMN IMGCHR VARCHAR(40) ;



/*-- SEQ 0301 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86671 --
ALTER TABLE TD_FIL ADD COLUMN BASICM_MAJ VARCHAR(1) ;


/*-- SEQ 0302 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86671 --
ALTER TABLE TD_FIL ALTER COLUMN BASICM_MAJ SET DEFAULT 'F';

/*-- SEQ 0303 --*/
-- Tarefa 86671 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0304 --*/
-- Tarefa 86671 --
UPDATE TD_FIL
   SET BASICM_MAJ = 'F'
 WHERE BASICM_MAJ IS NULL;
 
 /*-- SEQ 0305 --*/
-- Tarefa 86671 --
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0306 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86671 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_BASICM_MAJ CHECK (BASICM_MAJ IN ('F','T'));


/*-- SEQ 0307 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86686 --
ALTER TABLE TT_IUF ADD COLUMN FLGRED  VARCHAR(1) ;


/*-- SEQ 0308 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86686 --
ALTER TABLE TT_IUF ALTER COLUMN FLGRED SET DEFAULT 'C';

/*-- SEQ 0309 --*/
-- Tarefa 86686 --
SELECT DISABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0310 --*/
-- Tarefa 86686 --
UPDATE TT_IUF 
   SET FLGRED = 'C'
 WHERE FLGRED IS NULL;
 
 /*-- SEQ 0311 --*/
-- Tarefa 86686 --
SELECT ENABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0312 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86686 --
ALTER TABLE TT_IUF ALTER COLUMN FLGRED SET NOT NULL;

/*-- SEQ 0313 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86686 --
ALTER TABLE TT_IUF ADD CONSTRAINT CK_IUF_FLGRED CHECK (FLGRED  IN ('C','J','R'));


/*-- SEQ 0314 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86686 --
ALTER TABLE TD_FIL ADD COLUMN SUBSTITUTA  VARCHAR(1) ;


/*-- SEQ 0315 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86686 --
ALTER TABLE TD_FIL ALTER COLUMN SUBSTITUTA SET DEFAULT 'F';

/*-- SEQ 0316 --*/
-- Tarefa 86686 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0317 --*/
-- Tarefa 86686 --
UPDATE TD_FIL 
   SET SUBSTITUTA = 'F'
 WHERE SUBSTITUTA IS NULL;
 
 /*-- SEQ 0318 --*/
-- Tarefa 86686 --
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0319 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86686 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_SUBSTITUTA  CHECK (SUBSTITUTA  IN ('F','T'));


/*-- SEQ 0320 --*/
-- Tarefa 81674 --
ALTER TABLE TI_SAL ADD COLUMN TIPLAN VARCHAR(30) ;



/*-- SEQ 0321 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86567 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
    (SELECT 'Outros - Achocolatados, assim entendidos os produtos  base de chocolate, em p ou em grnulos, destinados  mistura com gua ou leite',
            3,4,'T','18069001' 
       FROM DUAL
      WHERE NOT EXISTS (SELECT 1 AS OK
                          FROM TT_NCM
                         WHERE CODNCM = '18069001'));	 
                         
/*-- SEQ 0322 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86567 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
    (SELECT ' Cogumelos e trufas, preparados ou conservados, exceto em vinagre ou em cido actico',
            3,4,'T','20030000' 
       FROM DUAL
      WHERE NOT EXISTS (SELECT 1 AS OK
                          FROM TT_NCM
                         WHERE CODNCM = '20030000'));	

/*-- SEQ 0323 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86567 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
    (SELECT 'Doces, geleias, marmelades, purs e pastas de frutas, obtidos por cozimento, com ou sem adio de acar ou de outros edulcorantes',
            3,4,'T','20070000' 
       FROM DUAL
      WHERE NOT EXISTS (SELECT 1 AS OK
                          FROM TT_NCM
                         WHERE CODNCM = '20070000'));
                         
/*-- SEQ 0324 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86567 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
    (SELECT 'Outros produtos hortcolas preparados ou conservados, exceto em vinagre ou em cido actico, no congelados, com exceo dos produtos da posio 20.06',
            3,4,'T','20050000' 
       FROM DUAL
      WHERE NOT EXISTS (SELECT 1 AS OK
                          FROM TT_NCM
                         WHERE CODNCM = '20050000'));
                         
/*-- SEQ 0325 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86567 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
    (SELECT 'Caviar',
            3,4,'T','16043100' 
       FROM DUAL
      WHERE NOT EXISTS (SELECT 1 AS OK
                          FROM TT_NCM
                         WHERE CODNCM = '16043100'));


/*-- SEQ 0326 --*/
-- Tarefa 82005 --
SELECT DISABLETRIGGERS(LOWER('TT_IDF'));

/*-- SEQ 0327 --*/
-- Tarefa 82005 --
UPDATE TT_IDF
   SET VERSEG = 2.8;
   
/*-- SEQ 0328 --*/
-- Tarefa 82005 --
SELECT ENABLETRIGGERS(LOWER('TT_IDF'));   


/*-- SEQ 0329 --*/
-- Tarefa 86352 --
ALTER TABLE TT_CSC DROP CONSTRAINT PK_CSC CASCADE;

/*-- SEQ 0330 --*/
-- Tarefa 86352 --
ALTER TABLE TT_CSC ADD CONSTRAINT PK_CSC PRIMARY KEY (CODFIL,ID, NUMITE);


/*-- SEQ 0331 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85955 --
ALTER TABLE TW_CLI ADD COLUMN DDDCEL CHAR(2) ;


/*-- SEQ 0332 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85955 --
ALTER TABLE TW_CLI ADD COLUMN NUMCEL VARCHAR(8) ;



/*-- SEQ 0333 --*/
-- Tarefa 86573 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0334 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN GRAVALOG  Numeric(1) DEFAULT '0';

/*-- SEQ 0335 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0336 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86573 --
ALTER TABLE TT_CFG ALTER COLUMN GRAVALOG SET NOT NULL;

/*-- SEQ 0337 --*/
-- Tarefa 86573 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0338 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN GRAVALOG Numeric(1) DEFAULT '0';

/*-- SEQ 0339 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0340 --*/
-- Tarefa 86573 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN TOTALLECBASE VARCHAR(40) ;


/*-- SEQ 0341 --*/
-- Tarefa 86573 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN TOTALLECBASE VARCHAR(40) ;


/*-- SEQ 0342 --*/
-- Tarefa 86573 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN TOTALLECHOST VARCHAR(40) ;


/*-- SEQ 0343 --*/
-- Tarefa 86573 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN TOTALLECHOST VARCHAR(40) ;


/*-- SEQ 0344 --*/
-- Tarefa 86573 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN TOTALLECPORT VARCHAR(10) ;


/*-- SEQ 0345 --*/
-- Tarefa 86573 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN TOTALLECPORT VARCHAR(10) ;



/*-- SEQ 0346 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86356 --
ALTER TABLE TT_GRAXSC ADD COLUMN COD_BASE Numeric(10) ;


/*-- SEQ 0347 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86356 --
ALTER TABLE TT_GRAXSC ADD COLUMN COD_EMBALAGEM Numeric(10) ;


/*-- SEQ 0348 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86356 --
CREATE UNIQUE INDEX I_UQ_GRAXSC_PRO ON TT_GRAXSC (FILMAT,CODMAT,CODCOR,CODTAM,COD_PRODUTO,COD_BASE,COD_EMBALAGEM)  ;

/*-- SEQ 0349 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86356 --
CREATE UNIQUE INDEX I_UQ_GRAXSC_COL ON TT_GRAXSC (FILMAT,CODMAT,CODCOR,CODTAM,COD_COLOR)  ;

/*-- SEQ 0350 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86356 --
ALTER TABLE TT_GRAXSC ADD COLUMN CODFIL CHAR(3) ;


/*-- SEQ 0351 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86356 --
ALTER TABLE TT_GRAXSC ADD COLUMN ID Numeric(10) ;


/*-- SEQ 0352 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86356 --
ALTER TABLE TT_GRAXSC DROP CONSTRAINT PK_GRAXSC CASCADE;

/*-- SEQ 0353 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86356 --
ALTER TABLE TT_GRAXSC ADD CONSTRAINT PK_GRAXSC PRIMARY KEY (CODFIL, ID);

/*-- SEQ 0354 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86356 --
CREATE UNIQUE INDEX I_UQ_GRAXSC_GRA ON TT_GRAXSC (FILMAT,CODMAT,CODCOR,CODTAM)  ;

/*-- SEQ 0355 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86356 --
CREATE SEQUENCE SQGRAXSC INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0356 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86356 --
ALTER TABLE TT_BSC ADD COLUMN DAT_ORCAMENTO Timestamp ;


/*-- SEQ 0357 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86356 --
ALTER TABLE TT_BSC ADD COLUMN COD_ORCAMENTO Numeric(10) ;



/*-- SEQ 0358 --*/
-- Tarefa 86320 --
ALTER TABLE TL_FIN DROP CONSTRAINT CK_LFIN_MOTINC CASCADE;

/*-- SEQ 0359 --*/
-- Tarefa 86320 --
ALTER TABLE TL_FIN ADD CONSTRAINT CK_LFIN_MOTINC CHECK (MOTINC IN ('+','D','L','V','F','C'));


/*-- SEQ 0360 --*/
-- Tarefa 85610 --
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0361 --*/
-- Tarefa 85610 --
/*-- SEQ 0362 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_ven_canc () CASCADE;

/*-- SEQ 0363 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_ven_canc ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
  iEXISTE INTEGER;  
BEGIN
 
  SELECT COUNT(*)
    INTO iEXISTE
    FROM TD_CTA
   WHERE CFGCOL = ''VENDAS_CANCELADAS'';

  IF iEXISTE = 0 THEN 
      -- Cria novas contas financeiras para usos fixos
      SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
      cSEQFIN := ProximaConta(cCODFIL,''Vendas Canceladas'',''G'',''O'',''G''); 
      
      -- Descobre o proximo CODTAB da TD_CTA
      SELECT MAX(CODTAB)+1 INTO cCODTAB
        FROM TD_CTA;   
      
      -- Insere as novas contas na tabela 
      INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
      (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''VENDAS_CANCELADAS'' AS CFGCOL, ''O'' AS USOCTA
       FROM TT_CTA
       WHERE CODFIL = cCODFIL
         AND SEQUEN = cSEQFIN);
  END IF;
  
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0364 --*/
-- Tarefa 85610 --
select temp_cria_conta_ven_canc() from dual;
;

/*-- SEQ 0365 --*/
-- Tarefa 85610 --
DROP FUNCTION temp_cria_conta_ven_canc () CASCADE;

/*-- SEQ 0366 --*/
-- Tarefa 85610 --
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0367 --*/
-- Tarefa 86791 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN MVACOM Numeric(14,4) ;


/*-- SEQ 0368 --*/
-- Tarefa 86791 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN ALTURA Numeric(10,2) ;


/*-- SEQ 0369 --*/
-- Tarefa 86791 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN PROFUN Numeric(10,2) ;


/*-- SEQ 0370 --*/
-- Tarefa 86791 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN LARGUR Numeric(10,2) ;


/*-- SEQ 0371 --*/
-- Tarefa 86791 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN DESDET VARCHAR(4000) ;


/*-- SEQ 0372 --*/
-- Tarefa 86791 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN ICMISE VARCHAR(1) ;



/*-- SEQ 0373 --*/
-- Tarefa 86573 --
SELECT ExecAlteraTipoColuna('TT_CFG','TOTALLECPORT','VARCHAR(10)');


/*-- SEQ 0374 --*/
-- Tarefa 86573 --
SELECT ExecAlteraTipoColuna('TW_CFG','TOTALLECPORT','VARCHAR(10)');



/*-- SEQ 0375 --*/
-- Tarefa 86937 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_SER ADD COLUMN SERREM CHAR(2) ;


/*-- SEQ 0376 --*/
-- Tarefa 86937 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'SERREM', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'SERREM'));


/*-- SEQ 0377 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83115 --
SELECT * FROM NADA;


/*-- SEQ 0378 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
CREATE TABLE TI_EAN (
	CODEXT VARCHAR(20),
	CODFIL CHAR(3),
	CODEAN VARCHAR(20),
	REFATI VARCHAR(1),
    STATUS Numeric(1) DEFAULT 0,
    MOTREJ VARCHAR(255),
    DATIMP Timestamp
	);

/*-- SEQ 0379 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
ALTER TABLE TI_EAN ALTER COLUMN CODEXT SET NOT NULL;

/*-- SEQ 0380 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
ALTER TABLE TI_EAN ALTER COLUMN CODEAN SET NOT NULL;

/*-- SEQ 0381 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
ALTER TABLE TI_EAN ALTER COLUMN CODFIL SET NOT NULL;

/*-- SEQ 0382 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
ALTER TABLE TI_EAN ALTER COLUMN REFATI SET NOT NULL;

/*-- SEQ 0383 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
ALTER TABLE TI_EAN ALTER COLUMN STATUS SET NOT NULL;


/*-- SEQ 0384 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87301 --
DROP FUNCTION TGR_PopulaSPC (TT_SPC.FILCLI%TYPE,TT_SPC.CODCLI%TYPE,TT_SPC.E_MAIL%TYPE) CASCADE;



/*-- SEQ 0385 --*/
-- Tarefa 87135 --
SELECT ExecAlteraTipoColuna('TT_CTBXCCB','RECSAC','TEXT');


/*-- SEQ 0386 --*/
-- Tarefa 87135 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0387 --*/
-- Tarefa 87135 --
DELETE FROM TT_FUN
 WHERE NOMFUN = 'CBX_END_CD'
   AND NOT EXISTS (SELECT 1 AS OK
                     FROM TD_FIL FIL
                    WHERE FIL.CODFIL = '001' -- PAVIN
                      AND FIL.CGCFIL = '76193713000180')
   AND NOT EXISTS (SELECT 1 AS OK
                     FROM TD_FIL FIL
                    WHERE FIL.CODFIL = '001' -- MARISTA(BENNER)
                      AND FIL.CGCFIL = '95385597000146');
                      
/*-- SEQ 0388 --*/
-- Tarefa 87135 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0389 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87023 --
ALTER TABLE TT_GRAXSC ADD COLUMN VOLUME Numeric(16,5) ;


/*-- SEQ 0390 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87023 --
ALTER TABLE TT_BSC ADD COLUMN VOLUME Numeric(16,5) ;



/*-- SEQ 0391 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87028 --
SELECT ExecAlteraTipoColuna('TT_CFG','PRE_PSI_PERCENTUAL','Numeric(12,4)');


/*-- SEQ 0392 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87028 --
SELECT ExecAlteraTipoColuna('TW_CFG','PRE_PSI_PERCENTUAL','Numeric(12,4)');



/*-- SEQ 0393 --*/
-- Tarefa 87210 --
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0394 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN ADD COLUMN FINNFE Numeric(1) DEFAULT '1';

/*-- SEQ 0395 --*/
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0396 --*/
-- Tarefa 87210 --
ALTER TABLE TT_VEN ALTER COLUMN FINNFE SET NOT NULL;

/*-- SEQ 0397 --*/
-- Tarefa 87210 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_FINNFE CHECK (FINNFE IN (1,2,3));

/*-- SEQ 0398 --*/
-- Tarefa 87210 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FINNFE', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FINNFE'));


/*-- SEQ 0399 --*/
-- Tarefa 85617 --
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0400 --*/
-- Tarefa 85617 --
/*-- SEQ 0401 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta () CASCADE;

/*-- SEQ 0402 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
  iEXISTE INTEGER;  
  cFILCAI TD_CAI.FILCAI%TYPE;
  cSEQCAI TD_CAI.SEQCAI%TYPE;
  cTIPCAI TD_CAI.TIPCAI%TYPE;
BEGIN
 
  SELECT COUNT(*)
    INTO iEXISTE
    FROM TD_CTA
   WHERE CFGCOL = ''CHEQUE_MAIOR'';

  IF iEXISTE = 0 THEN 
      -- Cria novas contas financeiras para usos fixos
      SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
      cSEQFIN := ProximaConta(cCODFIL,''Cheque Maior'',''G'',''O'',''G''); 
      
      -- Descobre o proximo CODTAB da TD_CTA
      SELECT MAX(CODTAB)+1 INTO cCODTAB
        FROM TD_CTA;   
      
      -- Insere as novas contas na tabela 
      INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
      (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''CHEQUE_MAIOR'' AS CFGCOL, ''O'' AS USOCTA
       FROM TT_CTA
       WHERE CODFIL = cCODFIL
         AND SEQUEN = cSEQFIN);
  END IF;
  
  SELECT COUNT(*)
    INTO iEXISTE
    FROM TD_CTA
   WHERE CFGCOL = ''SANG_CHEQUE_MAIOR'';  
   
  IF iEXISTE = 0 THEN 
      -- Cria novas contas financeiras para usos fixos
      --SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
      --cSEQFIN := ProximaConta(cCODFIL,''Sangria Cheque Maior'',''G'',''O'',''G''); 
      
      SELECT FILCAI, SEQCAI, TIPCAI
        INTO cFILCAI, cSEQCAI, cTIPCAI
        FROM TD_CAI
       WHERE CODTAB = 0;
      
      -- Descobre o proximo CODTAB da TD_CTA
      SELECT MAX(CODTAB)+1 INTO cCODTAB
        FROM TD_CTA;   
      
      -- Insere as novas contas na tabela 
      INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
      (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, SUBSTR(TITCTA,1,40) AS DESCTA, ''SANG_CHEQUE_MAIOR'' AS CFGCOL, ''O'' AS USOCTA
       FROM TT_CTA
       WHERE CODFIL = cFILCAI
         AND SEQUEN = cSEQCAI
         AND TIPCTA = cTIPCAI);
  END IF;   
  
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0403 --*/
-- Tarefa 85617 --
select temp_cria_conta() from dual;
;

/*-- SEQ 0404 --*/
-- Tarefa 85617 --
DROP FUNCTION temp_cria_conta () CASCADE;

/*-- SEQ 0405 --*/
-- Tarefa 85617 --
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0406 --*/
-- Tarefa 86081 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD COLUMN FLGEST_PAF CHAR(1) ;


/*-- SEQ 0407 --*/
-- Tarefa 86081 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0408 --*/
-- Tarefa 86081 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FLGEST_PAF', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FLGEST_PAF'));
                      
/*-- SEQ 0409 --*/
-- Tarefa 86081 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0410 --*/
-- Tarefa 87312 --
ALTER TABLE TD_FIL ALTER COLUMN PAFECF SET DEFAULT 'T';


/*-- SEQ 0411 --*/
-- Tarefa 87223 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0412 --*/
-- Tarefa 87223 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT '--OUTS.FREIOS E SUAS PARTES,P/TRATORES/VEIC.AUTOMOVEIS',4,17,'T','87083900'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '87083900'));
                     
/*-- SEQ 0413 --*/
-- Tarefa 87223 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT '--EIXOS DE TRANSMISSAO C/DIFERENCIAL P/VEIC.AUTOMOVEIS',5,17,'T','87085090'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '87085090'));

/*-- SEQ 0414 --*/
-- Tarefa 87223 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT '--BARRAS DE DIRECAO P/VEICULOS AUTOMOVEIS',5,17,'T','87089492'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '87089492'));


/*-- SEQ 0415 --*/
-- Tarefa 87223 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));


/*-- SEQ 0416 --*/
-- Tarefa 87314 --
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0417 --*/
-- Tarefa 87314 --
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0418 --*/
-- Tarefa 87314 --
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0419 --*/
-- Tarefa 87314 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ST_FPV', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ST_FPV'));


/*-- SEQ 0420 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_LC_IVEN_AK ON TI_VEN (CODFIL, NUMECF, CODSER, NUMNOT)  ;

/*-- SEQ 0421 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_LC_IREC_AK ON TI_REC (CODFIL, NUMECF, CODSER, NUMNOT)  ;


/*-- SEQ 0422 --*/
-- Tarefa 87223 --
UPDATE TT_NCM
   SET NOMNCM = '--Outs.freios e suas partes,p/tratores/veic.automoveis'
 WHERE CODNCM = '87083900';
                     
/*-- SEQ 0423 --*/
-- Tarefa 87223 --
UPDATE TT_NCM
   SET NOMNCM = '--Eixos de transmissao c/diferencial p/veic.automoveis'
 WHERE CODNCM = '87085090';

/*-- SEQ 0424 --*/
-- Tarefa 87223 --
UPDATE TT_NCM
   SET NOMNCM = '--Barras de direcao p/veiculos automoveis'
 WHERE CODNCM = '87089492';


/*-- SEQ 0425 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87438 --  
CREATE INDEX I_LC_RFIN_ATU_EM ON TR_FIN (ATU_EM)  ;


/*-- SEQ 0426 --*/
-- Tarefa 87318 --
ALTER TABLE TT_CFG ADD COLUMN FILPRE_ATC CHAR(3) ;


/*-- SEQ 0427 --*/
-- Tarefa 87318 --
ALTER TABLE TT_CFG ADD COLUMN CODPRE_ATC Numeric(5) ;


/*-- SEQ 0428 --*/
-- Tarefa 87318 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_TPR_ATC FOREIGN KEY (FILPRE_ATC, CODPRE_ATC) REFERENCES TT_TPR (CODFIL, CODPRE);

/*-- SEQ 0429 --*/
-- Tarefa 87318 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ST_FPV2', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ST_FPV2'));


/*-- SEQ 0430 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87818 --
ALTER TABLE TT_SUP ADD COLUMN PRICLI CHAR(1) ;


/*-- SEQ 0431 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87818 --
ALTER TABLE TT_SUP ADD CONSTRAINT CK_SUP_PRICLI CHECK (PRICLI IN ('0','1','2','3'));


/*-- SEQ 0432 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87805 --
ALTER TABLE TT_PRO DROP CONSTRAINT CK_PRO_ORIPRO CASCADE;

/*-- SEQ 0433 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87805 --
ALTER TABLE TI_PRO DROP CONSTRAINT CK_IPRO_ORIPRO CASCADE;

/*-- SEQ 0434 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87805 --
ALTER TABLE TT_ICO DROP CONSTRAINT CK_ICO_CODORI CASCADE;

/*-- SEQ 0435 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87805 --
ALTER TABLE TT_IVE DROP CONSTRAINT CK_IVE_CODORI CASCADE;

/*-- SEQ 0436 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87805 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_ORIPRO CHECK (ORIPRO IN ('0','1','2','3','4','5','6','7'));

/*-- SEQ 0437 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87805 --
ALTER TABLE TI_PRO ADD CONSTRAINT CK_IPRO_ORIPRO CHECK (ORIPRO IN ('0','1','2','3','4','5','6','7'));

/*-- SEQ 0438 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87805 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_CODORI CHECK (CODORI IN ('0','1','2','3','4','5','6','7'));

/*-- SEQ 0439 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87805 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_CODORI CHECK (CODORI IN ('0','1','2','3','4','5','6','7'));


/*-- SEQ 0440 --*/
-- Tarefa 87393 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
    (SELECT '-Outros',2,12,'T','65059000' 
       FROM DUAL
      WHERE NOT EXISTS (SELECT 1 AS OK
                          FROM TT_NCM
                         WHERE CODNCM = '65059000'));


/*-- SEQ 0441 --*/
-- Tarefa 83034 --  
ALTER TABLE TD_NAT DROP CONSTRAINT CK_DNAT_TIPNAT;


/*-- SEQ 0442 --*/
-- Tarefa 83034 --  
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_TIPNAT CHECK (TIPNAT IN ('E','S','V','D','F','A','C','M','N','P','R'));


/*-- SEQ 0443 --*/
-- Tarefa 87894 --
SELECT DISABLETRIGGERS(LOWER('TD_EST'));

/*-- SEQ 0444 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_EST ADD COLUMN ICMIMP Numeric(14,4) DEFAULT 4.00;

/*-- SEQ 0445 --*/
SELECT ENABLETRIGGERS(LOWER('TD_EST'));


/*-- SEQ 0446 --*/
-- Tarefa 87617 --
ALTER TABLE TT_CBS DROP CONSTRAINT CK_CBS_REGRA CASCADE;

/*-- SEQ 0447 --*/
-- Tarefa 87617 --
ALTER TABLE TT_CBS ADD CONSTRAINT CK_CBS_REGRA CHECK (FILAPL IS NOT NULL OR FILMAT IS NOT NULL);


/*-- SEQ 0448 --*/
-- Tarefa 87728 --
ALTER TABLE TT_REF DROP CONSTRAINT CK_REF_REFFOR CASCADE;


/*-- SEQ 0449 --*/
-- Tarefa 88246 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0450 --*/
-- Tarefa 88246 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'REM_CB02', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'REM_CB02'));

/*-- SEQ 0451 --*/
-- Tarefa 88246 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0452 --*/
-- Tarefa 86849 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'VALCON', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'VALCON'));


/*-- SEQ 0453 --*/
-- Tarefa 88676 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0454 --*/
-- Tarefa 88676 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FPV_TIPLUC', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FPV_TIPLUC'));
                     
/*-- SEQ 0455 --*/
-- Tarefa 88676 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));

