
/*-- SEQ 0001 --*/
-- Tarefa 90567 --
SELECT DISABLETRIGGERS(LOWER('TT_IOR'));

/*-- SEQ 0002 --*/
ALTER TABLE TT_IOR ADD COLUMN ICMTIP CHAR(1) DEFAULT '0';

/*-- SEQ 0003 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IOR'));

/*-- SEQ 0004 --*/
-- Tarefa 90567 --
ALTER TABLE TT_IOR ALTER COLUMN ICMTIP SET NOT NULL;

/*-- SEQ 0005 --*/
-- Tarefa 90567 --
ALTER TABLE TT_IOR ADD CONSTRAINT CK_IOR_ICMTIP CHECK (ICMTIP IN ('0','1','2','3','4','5'));

/*-- SEQ 0006 --*/
-- Tarefa 90567 --
ALTER TABLE TT_IOR ADD COLUMN DESRAT Numeric(12,2) ;


/*-- SEQ 0007 --*/
-- Tarefa 90567 --
ALTER TABLE TT_IOR ADD COLUMN VLRSEG Numeric(12,2) ;


/*-- SEQ 0008 --*/
-- Tarefa 90567 --
ALTER TABLE TT_IOR ADD COLUMN BASIPI Numeric(12,2) ;


/*-- SEQ 0009 --*/
-- Tarefa 90567 --
ALTER TABLE TT_IOR ADD COLUMN VLRIPI Numeric(12,2) ;



/*-- SEQ 0010 --*/
-- Tarefa 90564 --
SELECT DISABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0011 --*/
ALTER TABLE TT_IUF ADD COLUMN REGESPIMP VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0012 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0013 --*/
-- Tarefa 90564 --
ALTER TABLE TT_IUF ALTER COLUMN REGESPIMP SET NOT NULL;

/*-- SEQ 0014 --*/
-- Tarefa 90564 --
ALTER TABLE TT_IUF ADD CONSTRAINT CK_IUF_REGESPIMP CHECK (REGESPIMP IN ('T','F'));

/*-- SEQ 0015 --*/
-- Tarefa 90564 --
SELECT DISABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0016 --*/
ALTER TABLE TT_IUF ADD COLUMN REDICM VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0017 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0018 --*/
-- Tarefa 90564 --
ALTER TABLE TT_IUF ALTER COLUMN REDICM SET NOT NULL;

/*-- SEQ 0019 --*/
-- Tarefa 90564 --
ALTER TABLE TT_IUF ADD CONSTRAINT CK_IUF_REDICM CHECK (REDICM IN ('T','F'));

/*-- SEQ 0020 --*/
-- Tarefa 90564 --
SELECT DISABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0021 --*/
-- Tarefa 90564 - Update para o Cliente TROK o unico usa essa configuracao --
UPDATE TT_IUF
   SET REGESPIMP = 'T' 
 WHERE '76596501000144' IN (SELECT CGCFIL 
                              FROM TD_FIL);
		 
/*-- SEQ 0022 --*/
-- Tarefa 90564 - Update para o Cliente PARIS que nao usa essa configuracao --
UPDATE TT_IUF
   SET REDICM = 'F' 
 WHERE (SELECT CGCFIL 
          FROM TD_FIL 
         WHERE CODFIL = '001') = '03938020000104';
		 
/*-- SEQ 0023 --*/
-- Tarefa 90564 --
SELECT ENABLETRIGGERS(LOWER('TT_IUF'));


/*-- SEQ 0024 --*/
-- Tarefa 90562 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0025 --*/
ALTER TABLE TT_CFG ADD COLUMN TRANSPICM VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0026 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0027 --*/
-- Tarefa 90562 --
ALTER TABLE TT_CFG ALTER COLUMN TRANSPICM SET NOT NULL;

/*-- SEQ 0028 --*/
-- Tarefa 90562 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_TRANSPICM CHECK (TRANSPICM IN ('T','F'));

/*-- SEQ 0029 --*/
-- Tarefa 90562 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0030 --*/
ALTER TABLE TW_CFG ADD COLUMN TRANSPICM VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0031 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0032 --*/
-- Tarefa 90562 - Update para o Cliente PSC que nao usa essa configuracao --
UPDATE TT_CFG
   SET TRANSPICM = 'F' 
 WHERE (SELECT CGCFIL 
          FROM TD_FIL 
         WHERE CODFIL = '001') = '23496359000105';
		 
/*-- SEQ 0033 --*/
-- Tarefa 90562 - Update para o Cliente PSC que nao usa essa configuracao --
UPDATE TW_CFG
   SET TRANSPICM = 'F' 
 WHERE (SELECT CGCFIL 
          FROM TD_FIL 
         WHERE CODFIL = '001') = '23496359000105';


/*-- SEQ 0034 --*/
-- Tarefa 90867 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0035 --*/
-- Tarefa 90867 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'RTTTRGNUM', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'RTTTRGNUM'));

/*-- SEQ 0036 --*/
-- Tarefa 90867 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0037 --*/
-- Tarefa 90578 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0038 --*/
ALTER TABLE TT_CFG ADD COLUMN ARREDONDAM VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0039 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0040 --*/
-- Tarefa 90578 --
ALTER TABLE TT_CFG ALTER COLUMN ARREDONDAM SET NOT NULL;

/*-- SEQ 0041 --*/
-- Tarefa 90578 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_ARREDONDAM CHECK (ARREDONDAM IN ('T','F'));

/*-- SEQ 0042 --*/
-- Tarefa 90578 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0043 --*/
ALTER TABLE TW_CFG ADD COLUMN ARREDONDAM VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0044 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0045 --*/
-- Tarefa 90569 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD COLUMN VLRIPIFRE Numeric(12,2) ;



/*-- SEQ 0046 --*/
-- Tarefa 90595 --
ALTER TABLE TT_IUF DROP CONSTRAINT CK_IUF_FLGRED CASCADE;

/*-- SEQ 0047 --*/
-- Tarefa 90595 --
ALTER TABLE TT_IUF ADD CONSTRAINT CK_IUF_FLGRED CHECK (FLGRED IN ('C','J','R','E'));


/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90597 --
ALTER TABLE TT_CFG ADD COLUMN FILPRE_REV CHAR(3) ;


/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90597 --
ALTER TABLE TT_CFG ADD COLUMN CODPRE_REV Numeric(5) ;


/*-- SEQ 0050 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90597 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_TPR_REV FOREIGN KEY (FILPRE_REV, CODPRE_REV) REFERENCES TT_TPR (CODFIL, CODPRE);

/*-- SEQ 0051 --*/
-- Tarefa 90597 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0052 --*/
-- Tarefa 90597 --
UPDATE TT_CFG
   SET FILPRE_REV = '001',
       CODPRE_REV = 4
 WHERE FILPRE_REV IS NULL
   AND EXISTS (SELECT 1 AS OK 
                 FROM TD_FIL FIL
                WHERE FIL.CODFIL = '006' --PCIA
                  AND FIL.CGCFIL = '07014198000373');

/*-- SEQ 0053 --*/
-- Tarefa 90597 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));


/*-- SEQ 0054 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91098 --
select * from nada;


/*-- SEQ 0055 --*/
-- Tarefa 91098 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0056 --*/
-- Tarefa 91098 --
UPDATE TT_CFG
   SET CheckOut_VERMIN = '5.2E',
       CheckOut_RELMIN = 4;

/*-- SEQ 0057 --*/
-- Tarefa 91098 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));


/*-- SEQ 0058 --*/ 
-- Tarefa 91060 --  
ALTER TABLE TT_ICO DROP CONSTRAINT CK_ICO_CODORI CASCADE;  

/*-- SEQ 0059 --*/ 
-- Tarefa 91060 --  
ALTER TABLE TT_IVE DROP CONSTRAINT CK_IVE_CODORI CASCADE;  

/*-- SEQ 0060 --*/ 
-- Tarefa 91060 --  
ALTER TABLE TT_PRO DROP CONSTRAINT CK_PRO_ORIPRO CASCADE;  

/*-- SEQ 0061 --*/
-- Tarefa 91060 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_CODORI CHECK (CODORI IN ('0','1','2','3','4','5','6','7','8'));

/*-- SEQ 0062 --*/
-- Tarefa 91060 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_CODORI CHECK (CODORI IN ('0','1','2','3','4','5','6','7','8'));

/*-- SEQ 0063 --*/
-- Tarefa 91060 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_ORIPRO CHECK (ORIPRO IN ('0','1','2','3','4','5','6','7','8'));


/*-- SEQ 0064 --*/
-- Tarefa 90032 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)  
  (SELECT '85075000',3,16,'T','- Fecho e armac.c/fecho,c/fech.d/met.comum '
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '85075000'));

/*-- SEQ 0065 --*/
-- Tarefa 90141 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84433191',4,16,'T','-- Mq.p/imp.transm.d/fax,conect.p/process.p/sist.trmico'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84433191'));

/*-- SEQ 0066 --*/
-- Tarefa 90141 --                       
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84433199',4,16,'T','-- Outs.mq.p/imp.transm.d/fax,conects.p/proc.d/dados/rede'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84433199'));

/*-- SEQ 0067 --*/
-- Tarefa 90141 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84433119',4,16,'T','Outras'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84433119'));

/*-- SEQ 0068 --*/
-- Tarefa 90310 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84439932',7,16,'T','Cilindros recobertos d/matria semicond. fotoeltrica'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84439932'));

/*-- SEQ 0069 --*/
-- Tarefa 90310 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84439933',7,16,'T',' Cartuchos de revelador (#toner#)'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84439933'));

/*-- SEQ 0070 --*/
-- Tarefa 89492 --                       
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84433199',7,16,'T','Outs.Mq.P/Imp.Transm.d/Fax,Conects.p/Proc.d/Dados/Rede'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84433199'));


/*-- SEQ 0071 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 91707 --  
ALTER TABLE TT_SAV DROP CONSTRAINT CK_SAV_NUMSEQ CASCADE;  

/*-- SEQ 0072 --*/
-- Tarefa 91707 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0073 --*/
-- Tarefa 91707 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'VTGNUMSEQ', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'VTGNUMSEQ'));

/*-- SEQ 0074 --*/
-- Tarefa 91707 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0075 --*/
-- Tarefa 91688--
/*-- IGNORE ERRO --*/
ALTER TABLE TD_PRI ADD COLUMN SEREVI Numeric(1) ;


/*-- SEQ 0076 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91688--
ALTER TABLE TD_PRI ALTER COLUMN SEREVI TYPE Numeric(2);

