
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98119 --
ALTER TABLE TT_ICO ADD COLUMN CSTXML VARCHAR(3) ;


/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98119 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_CSTXML CHECK (CSTXML IN ('00','10','20','30','40','41','50','51','60','70','90','101','102','103','201','202','203','300','400','500','900'));


/*-- SEQ 0003 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98155 --
ALTER TABLE TT_CFG ADD COLUMN SERSAT CHAR(2) ;


/*-- SEQ 0004 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98155 --
ALTER TABLE TW_CFG ADD COLUMN SERSAT CHAR(2) ;


/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98155 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DSER_SERSAT FOREIGN KEY (SERSAT) REFERENCES TD_SER (CODSER);

/*-- SEQ 0006 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98155 --
CREATE INDEX I_FK_CFG_DSER_SERSAT ON TT_CFG (SERSAT)  ;


/*-- SEQ 0007 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98157 --
ALTER TABLE TT_VEN ADD COLUMN SATSER Numeric(9) ;


/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98157 --
ALTER TABLE TT_VEN ADD COLUMN SATCFE  Numeric(6) ;


/*-- SEQ 0009 --*/
-- Tarefa 98157 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98157 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'SERSAT', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'SERSAT'));

/*-- SEQ 0011 --*/
-- Tarefa 98157 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98186 --
ALTER TABLE TT_VEN ADD COLUMN EMAILC VARCHAR(254) ;


/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98186 --
ALTER TABLE TT_ORC ADD COLUMN EMAILC  VARCHAR(254) ;



/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98182 --
ALTER TABLE TT_SAV ADD COLUMN CODSEG VARCHAR(25) ;



/*-- SEQ 0015 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98125 --
ALTER TABLE TI_ICO ADD COLUMN CODORI Numeric(1) ;


/*-- SEQ 0016 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98125 --
ALTER TABLE TI_ICO ADD COLUMN CODCST VARCHAR(3) ;



/*-- SEQ 0017 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98251 --
ALTER TABLE TT_IVE ADD COLUMN PERFCPDES Numeric(5,2) ;


/*-- SEQ 0018 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98251 --
ALTER TABLE TT_IVE ADD COLUMN VLRICMFCP Numeric(12,2) ;


/*-- SEQ 0019 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98251 --
ALTER TABLE TT_IVE ADD COLUMN VLRICMDES Numeric(12,2) ;


/*-- SEQ 0020 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98251 --
ALTER TABLE TT_IVE ADD COLUMN VLRICMORI Numeric(12,2) ;



/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98252 --
ALTER TABLE TD_EST ADD COLUMN PERFCP Numeric(5,2) ;


/*-- SEQ 0022 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98252 --
ALTER TABLE TW_TAB ADD COLUMN PERFCP Numeric(5,2) ;



/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98238 --
CREATE TABLE TT_CES (
  CODCES VARCHAR(7),
  DESCES VARCHAR(4000),
  CESATI VARCHAR(1),
  DATINC Timestamp
  )  ;
 
/*-- SEQ 0024 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 98238 --
ALTER TABLE TT_CES ADD CONSTRAINT PK_CES PRIMARY KEY (CODCES);

/*-- SEQ 0025 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98238 --
ALTER TABLE TT_CES ALTER COLUMN DESCES SET NOT NULL;

/*-- SEQ 0026 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98238 --
ALTER TABLE TT_CES ALTER COLUMN CESATI SET NOT NULL;

/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98238 --
ALTER TABLE TT_CES ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98238 --
ALTER TABLE TT_CES ALTER COLUMN CESATI SET DEFAULT 'T';

/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98238 --
ALTER TABLE TT_CES ADD CONSTRAINT CK_CES_CESATI CHECK (CESATI IN ('T','F'));


/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98239 --
CREATE TABLE TT_CESXNCM (
  CODTAB Numeric(10),
  CODCES VARCHAR(7),
  CODNCM VARCHAR(8),
  DATINC Timestamp
  )  ;
 
/*-- SEQ 0031 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 98239 --
ALTER TABLE TT_CESXNCM ADD CONSTRAINT PK_CXN PRIMARY KEY (CODTAB);

/*-- SEQ 0032 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98239 --
ALTER TABLE TT_CESXNCM ADD CONSTRAINT FK_CXN_CES FOREIGN KEY (CODCES) REFERENCES TT_CES (CODCES);
 
/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98239 --
CREATE INDEX I_FK_CXN_CES ON TT_CESXNCM (CODCES)  ;

/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98239 --
CREATE INDEX I_LC_CXN_CODNCM ON TT_CESXNCM (CODNCM)  ;

/*-- SEQ 0035 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98239 --
ALTER TABLE TT_CESXNCM ALTER COLUMN CODCES SET NOT NULL;

/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98239 --
ALTER TABLE TT_CESXNCM ALTER COLUMN CODNCM SET NOT NULL;

/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98239 --
ALTER TABLE TT_CESXNCM ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98239 --
CREATE SEQUENCE SQCXN INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0039 --*/
-- Tarefa 98253 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0040 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN PERPARICM Numeric(5,2) DEFAULT 40;

/*-- SEQ 0041 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0042 --*/
-- Tarefa 98253 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0043 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN PERPARICM Numeric(5,2) DEFAULT 40;

/*-- SEQ 0044 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98253 --
ALTER TABLE TT_CFG ALTER COLUMN PERPARICM SET NOT NULL;


/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98240 --
ALTER TABLE TT_PRO ADD COLUMN CODCES VARCHAR(7) ;


/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98240 --
ALTER TABLE TT_IVE ADD COLUMN CODCES VARCHAR(7) ;


/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98240 --
ALTER TABLE TT_PRO ADD CONSTRAINT FK_PRO_CES FOREIGN KEY (CODCES) REFERENCES TT_CES (CODCES);

/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98240 --
CREATE INDEX I_FK_PRO_CES ON TT_PRO (CODCES)  ;

/*-- SEQ 0050 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98240 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_CES FOREIGN KEY (CODCES) REFERENCES TT_CES (CODCES);

/*-- SEQ 0051 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98240 --
CREATE INDEX I_FK_IVE_CES ON TT_IVE (CODCES)  ;


/*-- SEQ 0052 --*/
-- Tarefa 98196 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0053 --*/
ALTER TABLE TT_CFG ADD COLUMN ST_PRIPAR VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0054 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0055 --*/
-- Tarefa 98196 --
ALTER TABLE TT_CFG ALTER COLUMN ST_PRIPAR SET NOT NULL;

/*-- SEQ 0056 --*/
-- Tarefa 98196 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_ST_PRIPAR CHECK (ST_PRIPAR IN ('T','F'));

/*-- SEQ 0057 --*/
-- Tarefa 98196 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0058 --*/
ALTER TABLE TW_CFG ADD COLUMN ST_PRIPAR VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0059 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0060 --*/
-- Tarefa 97883 --
SELECT ExecAlteraTipoColuna('TT_ORC','PERLUCTOT','Numeric(10,4)');



/*-- SEQ 0061 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86282 --
SELECT * FROM NADA;

/*-- SEQ 0062 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86282 --
SELECT * FROM NADA;

/*-- SEQ 0063 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86282 --
SELECT * FROM NADA;

/*-- SEQ 0064 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86282 --
SELECT * FROM NADA;

/*-- SEQ 0065 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86282 --
SELECT * FROM NADA;

/*-- SEQ 0066 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86282 --
SELECT * FROM NADA;

/*-- SEQ 0067 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86282 --
SELECT * FROM NADA;

/*-- SEQ 0068 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86282 --
SELECT * FROM NADA;

/*-- SEQ 0069 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86282 --
SELECT * FROM NADA;

/*-- SEQ 0070 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86282 --
SELECT * FROM NADA;

/*-- SEQ 0071 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86282 --
SELECT * FROM NADA;

/*-- SEQ 0072 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86282 --
SELECT * FROM NADA;

/*-- SEQ 0073 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86282 --
SELECT * FROM NADA;


/*-- SEQ 0074 --*/
-- Tarefa 98338 --
CREATE TABLE TT_ENQ (
  CODENQ Numeric(3),
  GRUCST CHAR(1),
  DESENQ VARCHAR(4000)
  )  ;
  
/*-- SEQ 0075 --*/ 
-- Tarefa 98338 --
ALTER TABLE TT_ENQ ADD CONSTRAINT PK_ENQ PRIMARY KEY (CODENQ);

/*-- SEQ 0076 --*/
-- Tarefa 98338 --
ALTER TABLE TT_ENQ ALTER COLUMN GRUCST SET NOT NULL;

/*-- SEQ 0077 --*/
-- Tarefa 98338 --
ALTER TABLE TT_ENQ ALTER COLUMN DESENQ SET NOT NULL;

/*-- SEQ 0078 --*/
-- Tarefa 98338 --
ALTER TABLE TT_ENQ ADD CONSTRAINT CK_ENQ_GRUCST CHECK (GRUCST IN ('M','S', 'I', 'R', 'O'));




/*-- SEQ 0079 --*/
-- Tarefa 98340 --
ALTER TABLE TT_PRO ADD COLUMN CODENQ Numeric(3) ;


/*-- SEQ 0080 --*/
-- Tarefa 98340 --
ALTER TABLE TT_IVE ADD COLUMN CODENQ Numeric(3) ;



/*-- SEQ 0081 --*/
-- Tarefa 98340 --
ALTER TABLE TT_PRO ADD CONSTRAINT FK_PRO_ENQ_CODENQ FOREIGN KEY (CODENQ) REFERENCES TT_ENQ (CODENQ);


/*-- SEQ 0082 --*/
-- Tarefa 98340 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_ENQ_CODENQ FOREIGN KEY (CODENQ) REFERENCES TT_ENQ (CODENQ);


/*-- SEQ 0083 --*/
-- Tarefa 98349 --
ALTER TABLE TI_PRO ADD COLUMN CODENQ Numeric(3) ;



/*-- SEQ 0084 --*/
-- Tarefa 98060 --
SELECT ExecAlteraTipoColuna('TD_ECF','MAXCAI','Numeric(12,2)');


/*-- SEQ 0085 --*/
-- Tarefa 98060 --
SELECT ExecAlteraTipoColuna('TW_TAB','MAXCAI','Numeric(12,2)');



/*-- SEQ 0086 --*/
-- Tarefa 98410 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0087 --*/
-- Tarefa 98410 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'DEVOL_INT', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'DEVOL_INT'));

/*-- SEQ 0088 --*/
-- Tarefa 98410 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0089 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 98413 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0090 --*/
ALTER TABLE TD_FIL ADD COLUMN USAPARICM VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0091 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0092 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98413 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_USAPARICM CHECK (USAPARICM IN ('T', 'F'));

/*-- SEQ 0093 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98413 --
ALTER TABLE TD_FIL ALTER COLUMN USAPARICM SET NOT NULL;


/*-- SEQ 0094 --*/ 
-- Tarefa 98416 --
ALTER TABLE TT_IVE ADD COLUMN BASICMDES Numeric(12,2) ;


/*-- SEQ 0095 --*/ 
-- Tarefa 98416 --
ALTER TABLE TT_IVE ADD COLUMN PERPARICM Numeric(5,2) ;



/*-- SEQ 0096 --*/ 
-- Tarefa 98428 --
ALTER TABLE TT_IVE ADD COLUMN ICMINTDES Numeric(6,4) ;


/*-- SEQ 0097 --*/ 
-- Tarefa 98428 --
ALTER TABLE TT_IVE ADD COLUMN TAXICMDES Numeric(6,4) ;



/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98340 --
ALTER TABLE TT_PRO DROP CONSTRAINT FK_PRO_ENQ_CODENQ CASCADE;

/*-- SEQ 0099 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98340 --
ALTER TABLE TT_IVE DROP CONSTRAINT FK_IVE_ENQ_CODENQ CASCADE;

/*-- SEQ 0100 --*/
-- Tarefa 98340 --
ALTER TABLE TT_PRO ADD CONSTRAINT FK_PRO_ENQ FOREIGN KEY (CODENQ) REFERENCES TT_ENQ (CODENQ);

/*-- SEQ 0101 --*/
-- Tarefa 98340 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_ENQ FOREIGN KEY (CODENQ) REFERENCES TT_ENQ (CODENQ);

/*-- SEQ 0102 --*/
-- Tarefa 98340 --
CREATE INDEX I_FK_IVE_ENQ ON TT_IVE (CODENQ)  ;

/*-- SEQ 0103 --*/
-- Tarefa 98340 --
CREATE INDEX I_FK_PRO_ENQ ON TT_PRO (CODENQ)  ;


/*-- SEQ 0104 --*/
-- Tarefa 98339 --
SELECT DISABLETRIGGERS(LOWER('TT_ENQ'));

/*-- SEQ 0105 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(001, 'M','Livros, jornais, peridicos e o papel destinado  sua impresso - Art. 18 Inciso I do Decreto 7.212/2010');

/*-- SEQ 0106 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(002, 'M','Produtos industrializados destinados ao exterior - Art. 18 Inciso II do Decreto 7.212/2010');

/*-- SEQ 0107 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(003, 'M','Ouro, definido em lei como ativo financeiro ou instrumento cambial - Art. 18 Inciso III do Decreto 7.212/2010');

/*-- SEQ 0108 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(004, 'M','Energia eltrica, derivados de petrleo, combustveis e minerais do Pas - Art. 18 Inciso IV do Decreto 7.212/2010');

/*-- SEQ 0109 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(005, 'M','Exportao de produtos nacionais - sem sada do territrio brasileiro - venda para empresa sediada no exterior - atividades de pesquisa ou lavra de jazidas de petrleo e de gs natural - Art. 19 Inciso I do Decreto 7.212/2010');

/*-- SEQ 0110 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(006, 'M','Exportao de produtos nacionais - sem sada do territrio brasileiro - venda para empresa sediada no exterior - incorporados a produto final exportado para o Brasil - Art. 19 Inciso II do Decreto 7.212/2010');

/*-- SEQ 0111 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(007, 'M','Exportao de produtos nacionais - sem sada do territrio brasileiro - venda para rgo ou entidade de governo estrangeiro ou organismo internacional de que o Brasil seja membro, para ser entregue, no Pas,  ordem do comprador - Art. 19 Inciso III do Decreto 7.212/2010');

/*-- SEQ 0112 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(101, 'S','leo de menta em bruto, produzido por lavradores - Art. 43 Inciso I do Decreto 7.212/2010');

/*-- SEQ 0113 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(102, 'S','Produtos remetidos  exposio em feiras de amostras e promoes semelhantes - Art. 43 Inciso II do Decreto 7.212/2010');

/*-- SEQ 0114 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(103, 'S','Produtos remetidos a depsitos fechados ou armazns-gerais, bem assim aqueles devolvidos ao remetente - Art. 43 Inciso III do Decreto 7.212/2010');

/*-- SEQ 0115 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(104, 'S','Produtos industrializados, que com matrias-primas (MP), produtos intermedirios (PI) e material de embalagem (ME) importados submetidos a regime aduaneiro especial (drawback - suspenso/iseno), remetidos diretamente a empresas industriais exportadoras - Art. 43 Inciso IV do Decreto 7.212/2010');

/*-- SEQ 0116 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(105, 'S','Produtos, destinados  exportao, que saiam do estabelecimento industrial para empresas comerciais exportadoras, com o fim especfico de exportao - Art. 43, Inciso V, alnea "a" do Decreto 7.212/2010');

/*-- SEQ 0117 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(106, 'S','Produtos, destinados  exportao, que saiam do estabelecimento industrial para recintos alfandegados onde se processe o despacho aduaneiro de exportao - Art. 43, Inciso V, alneas "b" do Decreto 7.212/2010');

/*-- SEQ 0118 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(107, 'S','Produtos, destinados  exportao, que saiam do estabelecimento industrial para outros locais onde se processe o despacho aduaneiro de exportao - Art. 43, Inciso V, alneas "c" do Decreto 7.212/2010');

/*-- SEQ 0119 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(108, 'S','Matrias-primas (MP), produtos intermedirios (PI) e material de embalagem (ME) destinados ao executor de industrializao por encomenda - Art. 43 Inciso VI do Decreto 7.212/2010');

/*-- SEQ 0120 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(109, 'S','Produtos industrializados por encomenda remetidos ao estabelecimento de origem - Art. 43 Inciso VII do Decreto 7.212/2010');

/*-- SEQ 0121 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(110, 'S','Matrias-primas ou produtos intermedirios remetidos para emprego em operao industrial realizada pelo remetente fora do estabelecimento - Art. 43 Inciso VIII do Decreto 7.212/2010');

/*-- SEQ 0122 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(111, 'S','Veculo, aeronave ou embarcao destinados a emprego em provas de engenharia pelo fabricante - Art. 43 Inciso IX do Decreto 7.212/2010');

/*-- SEQ 0123 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(112, 'S','Produtos remetidos, para industrializao ou comrcio, de um para outro estabelecimento da mesma firma - Art. 43 Inciso X do Decreto 7.212/2010');

/*-- SEQ 0124 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(113, 'S','Bens do ativo permanente remetidos a outro estabelecimento da mesma firma, para serem utilizados no processo industrial do recebedor - Art. 43 Inciso XI do Decreto 7.212/2010');

/*-- SEQ 0125 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(114, 'S','Bens do ativo permanente remetidos a outro estabelecimento, para serem utilizados no processo industrial de produtos encomendados pelo remetente - Art. 43 Inciso XII do Decreto 7.212/2010');

/*-- SEQ 0126 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(115, 'S','Partes e peas destinadas ao reparo de produtos com defeito de fabricao, quando a operao for executada gratuitamente, em virtude de garantia - Art. 43 Inciso XIII do Decreto 7.212/2010');

/*-- SEQ 0127 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(116, 'S','Matrias-primas (MP), produtos intermedirios (PI) e material de embalagem (ME) de fabricao nacional, vendidos a estabelecimento industrial, para industrializao de produtos destinados  exportao ou a estabelecimento comercial, para industrializao em outro estabelecimento da mesma firma ou de terceiro, de produto destinado  exportao - Art. 43 Inciso XIV do Decreto 7.212/2010');

/*-- SEQ 0128 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(117, 'S','Produtos para emprego ou consumo na industrializao ou elaborao de produto a ser exportado, adquiridos no mercado interno ou importados - Art. 43 Inciso XV do Decreto 7.212/2010');

/*-- SEQ 0129 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(118, 'S','Bebidas alcolicas e demais produtos de produo nacional acondicionados em recipientes de capacidade superior ao limite mximo permitido para venda a varejo - Art. 44 do Decreto 7.212/2010');

/*-- SEQ 0130 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(119, 'S','Produtos classificados NCM 21.06.90.10 Ex 02, 22.01, 22.02, exceto os Ex 01 e Ex 02 do Cdigo 22.02.90.00 e 22.03 sados de estabelecimento industrial destinado a comercial equiparado a industrial - Art. 45 Inciso I do Decreto7.212/2010');

/*-- SEQ 0131 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(120, 'S','Produtos classificados NCM 21.06.90.10 Ex 02, 22.01, 22.02, exceto os Ex 01 e Ex 02 do Cdigo 22.02.90.00 e 22.03 sados de estabelecimento comercial equiparado a industrial destinado a equiparado a industrial - Art. 45 Inciso II do Decreto7.212/2010');

/*-- SEQ 0132 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(121, 'S','Produtos classificados NCM 21.06.90.10 Ex 02, 22.01, 22.02, exceto os Ex 01 e Ex 02 do Cdigo 22.02.90.00 e 22.03 sados de importador destinado a equiparado a industrial - Art. 45 Inciso III do Decreto7.212/2010');

/*-- SEQ 0133 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(122, 'S','Matrias-primas (MP), produtos intermedirios (PI) e material de embalagem (ME) destinados a estabelecimento que se dedique  elaborao de produtos classificados nos cdigos previstos no art. 25 da Lei 10.684/2003 - Art. 46 Inciso I do Decreto 7.212/2010');

/*-- SEQ 0134 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(123, 'S','Matrias-primas (MP), produtos intermedirios (PI) e material de embalagem (ME) adquiridos por estabelecimentos industriais fabricantes de partes e peas destinadas a estabelecimento industrial fabricante de produto classificado no Captulo 88 da Tipi - Art. 46 Inciso II do Decreto 7.212/2010');

/*-- SEQ 0135 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(124, 'S','Matrias-primas (MP), produtos intermedirios (PI) e material de embalagem (ME) adquiridos por pessoas jurdicas preponderantemente exportadoras - Art. 46 Inciso III do Decreto 7.212/2010');

/*-- SEQ 0136 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(125, 'S','Materiais e equipamentos destinados a embarcaes pr-registradas ou registradas no Registro Especial Brasileira - REB quando adquiridos por estaleiros navais brasileiros - Art. 46 Inciso IV do Decreto 7.212/2010');

/*-- SEQ 0137 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(126, 'S','Aquisio por beneficirio de regime aduaneiro suspensivo do imposto, destinado a industrializao para exportao - Art. 47 do Decreto 7.212/2010');

/*-- SEQ 0138 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(127, 'S','Desembarao de produtos de procedncia estrangeira importados por lojas francas - Art. 48 Inciso I do Decreto 7.212/2010');

/*-- SEQ 0139 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(128, 'S','Desembarao de maquinas, equipamentos, veculos, aparelhos e instrumentos sem similar nacional importados por empresas nacionais de engenharia, destinados  execuo de obras no exterior - Art. 48 Inciso II do Decreto 7.212/2010');

/*-- SEQ 0140 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(129, 'S','Desembarao de produtos de procedncia estrangeira com sada de reparties aduaneiras com suspenso do Imposto de Importao - Art. 48 Inciso III do Decreto 7.212/2010');

/*-- SEQ 0141 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(130, 'S','Desembarao de matrias-primas, produtos intermedirios e materiais de embalagem, importados diretamente por estabelecimento de que tratam os incisos I a III do caput do Decreto 7.212/2010 - Art. 48 Inciso IV do Decreto 7.212/2010');

/*-- SEQ 0142 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(131, 'S','Remessa de produtos para a ZFM destinados ao seu consumo interno, utilizao ou industrializao - Art. 84 do Decreto 7.212/2010');

/*-- SEQ 0143 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(132, 'S','Remessa de produtos para a ZFM destinados  exportao - Art. 85 Inciso I do Decreto 7.212/2010');

/*-- SEQ 0144 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(133, 'S','Produtos que, antes de sua remessa  ZFM, forem enviados pelo seu fabricante a outro estabelecimento, para industrializao adicional, por conta e ordem do destinatrio - Art. 85 Inciso II do Decreto 7.212/2010');

/*-- SEQ 0145 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(134, 'S','Desembarao de produtos de procedncia estrangeira importados pela ZFM quando ali consumidos ou utilizados, exceto armas, munies, fumo, bebidas alcolicas e automveis de passageiros. - Art. 86 do Decreto 7.212/2010');

/*-- SEQ 0146 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(135, 'S','Remessa de produtos para a Amaznia Ocidental destinados ao seu consumo interno ou utilizao - Art. 96 do Decreto 7.212/2010');

/*-- SEQ 0147 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(136, 'S','Entrada de produtos estrangeiros na rea de Livre Comrcio de Tabatinga - ALCT destinados ao seu consumo interno ou utilizao - Art. 106 do Decreto 7.212/2010');

/*-- SEQ 0148 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(137, 'S','Entrada de produtos estrangeiros na rea de Livre Comrcio de Guajar-Mirim - ALCGM destinados ao seu consumo interno ou utilizao - Art. 109 do Decreto 7.212/2010');

/*-- SEQ 0149 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(138, 'S','Entrada de produtos estrangeiros nas reas de Livre Comrcio de Boa Vista - ALCBV e Bomfim - ALCB destinados a seu consumo interno ou utilizao - Art. 112 do Decreto 7.212/2010');

/*-- SEQ 0150 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(139, 'S','Entrada de produtos estrangeiros na rea de Livre Comrcio de Macap e Santana - ALCMS destinados a seu consumo interno ou utilizao - Art. 116 do Decreto 7.212/2010');

/*-- SEQ 0151 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(140, 'S','Entrada de produtos estrangeiros nas reas de Livre Comrcio de Brasilia - ALCB e de Cruzeiro do Sul - ALCCS destinados a seu consumo interno ou utilizao - Art. 119 do Decreto 7.212/2010');

/*-- SEQ 0152 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(141, 'S','Remessa para Zona de Processamento de Exportao - ZPE - Art. 121 do Decreto 7.212/2010');

/*-- SEQ 0153 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(142, 'S','Setor Automotivo - Desembarao aduaneiro, chassis e outros - regime aduaneiro especial - industrializao 87.01 a 87.05 - Art. 136, I do Decreto 7.212/2010');

/*-- SEQ 0154 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(143, 'S','Setor Automotivo - Do estabelecimento industrial produtos 87.01 a 87.05 da TIPI - mercado interno - empresa comercial atacadista controlada por PJ encomendante do exterior. - Art. 136, II do Decreto 7.212/2010');

/*-- SEQ 0155 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(144, 'S','Setor Automotivo - Do estabelecimento industrial - chassis e outros classificados nas posies 84.29, 84.32, 84.33, 87.01 a 87.06 e 87.11 da TIPI. - Art. 136, III do Decreto 7.212/2010');

/*-- SEQ 0156 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(145, 'S','Setor Automotivo - Desembarao aduaneiro, chassis e outros classificados nas posies 84.29, 84.32, 84.33, 87.01 a 87.06 e 87.11 da TIPI quando importados diretamente por estabelecimento industrial - Art. 136, IV do Decreto 7.212/2010');

/*-- SEQ 0157 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(146, 'S','Setor Automotivo - do estabelecimento industrial matrias-primas, os produtos intermedirios e os materiais de embalagem, adquiridos por fabricantes, preponderantemente, de componentes, chassis e outros classificados nos Cdigos 84.29, 8432.40.00, 8432.80.00, 8433.20, 8433.30.00, 8433.40.00, 8433.5 e 87.01 a 87.06 da TIPI - Art. 136, V do Decreto 7.212/2010');

/*-- SEQ 0158 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(147, 'S','Setor Automotivo - Desembarao aduaneiro, as matrias-primas, os produtos intermedirios e os materiais de embalagem, importados diretamente por fabricantes, preponderantemente, de componentes, chassis e outros classificados nos Cdigos 84.29, 8432.40.00, 8432.80.00, 8433.20, 8433.30.00, 8433.40.00, 8433.5 e 87.01 a 87.06 da TIPI - Art. 136, VI do Decreto 7.212/2010');

/*-- SEQ 0159 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(148, 'S','Bens de Informtica e Automao - matrias-primas, os produtos intermedirios e os materiais de embalagem, quando adquiridos por estabelecimentos industriais fabricantes dos referidos bens. - Art. 148 do Decreto 7.212/2010');

/*-- SEQ 0160 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(149, 'S','Reporto - Sada de Estabelecimento de mquinas e outros quando adquiridos por beneficirios do REPORTO - Art. 166, I do Decreto 7.212/2010');

/*-- SEQ 0161 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(150, 'S','Reporto - Desembarao aduaneiro de mquinas e outros quando adquiridos por beneficirios do REPORTO - Art. 166, II do Decreto 7.212/2010');

/*-- SEQ 0162 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(151, 'S','Repes - Desembarao aduaneiro - bens sem similar nacional importados por beneficirios do REPES - Art. 171 do Decreto 7.212/2010');

/*-- SEQ 0163 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(152, 'S','Recine - Sada para beneficirio do regime - Art. 14, III da Lei 12.599/2012');

/*-- SEQ 0164 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(153, 'S','Recine - Desembarao aduaneiro por beneficirio do regime - Art. 14, IV da Lei 12.599/2012');

/*-- SEQ 0165 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(154, 'S','Reif - Sada para beneficirio do regime - Lei 12.794/1013, art. 8, III');

/*-- SEQ 0166 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(155, 'S','Reif - Desembarao aduaneiro por beneficirio do regime - Lei 12.794/1013, art. 8, IV');

/*-- SEQ 0167 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(156, 'S','Repnbl-Redes - Sada para beneficirio do regime - Lei n 12.715/2012, art. 30, II');

/*-- SEQ 0168 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(157, 'S','Recompe - Sada de matrias-primas e produtos intermedirios para beneficirios do regime - Decreto n 7.243/2010, art. 5, I');

/*-- SEQ 0169 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(158, 'S','Recompe - Sada de matrias-primas e produtos intermedirios destinados a industrializao de equipamentos - Programa Estmulo Universidade-Empresa - Apoio  Inovao - Decreto n 7.243/2010, art. 5, III');

/*-- SEQ 0170 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(159, 'S','Rio 2016 - Produtos nacionais, durveis, uso e consumo dos eventos, adquiridos pelas pessoas jurdicas mencionadas no  2o do art. 4o da Lei n 12.780/2013 - Lei n 12.780/2013, Art. 13');

/*-- SEQ 0171 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(301, 'I','Produtos industrializados por instituies de educao ou de assistncia social, destinados a uso prprio ou a distribuio gratuita a seus educandos ou assistidos - Art. 54 Inciso I do Decreto 7.212/2010');

/*-- SEQ 0172 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(302, 'I','Produtos industrializados por estabelecimentos pblicos e autrquicos da Unio, dos Estados, do Distrito Federal e dos Municpios, no destinados a comrcio - Art. 54 Inciso II do Decreto 7.212/2010');

/*-- SEQ 0173 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(303, 'I','Amostras de produtos para distribuio gratuita, de diminuto ou nenhum valor comercial - Art. 54 Inciso III do Decreto 7.212/2010');

/*-- SEQ 0174 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(304, 'I','Amostras de tecidos sem valor comercial - Art. 54 Inciso IV do Decreto 7.212/2010');

/*-- SEQ 0175 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(305, 'I','Ps isolados de calados - Art. 54 Inciso V do Decreto 7.212/2010');

/*-- SEQ 0176 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(306, 'I','Aeronaves de uso militar e suas partes e peas, vendidas  Unio - Art. 54 Inciso VI do Decreto 7.212/2010');

/*-- SEQ 0177 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(307, 'I','Caixes funerrios - Art. 54 Inciso VII do Decreto 7.212/2010');

/*-- SEQ 0178 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(308, 'I','Papel destinado  impresso de msicas - Art. 54 Inciso VIII do Decreto 7.212/2010');

/*-- SEQ 0179 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(309, 'I','Panelas e outros artefatos semelhantes, de uso domstico, de fabricao rstica, de pedra ou barro bruto - Art. 54 Inciso IX do Decreto 7.212/2010');

/*-- SEQ 0180 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(310, 'I','Chapus, roupas e proteo, de couro, prprios para tropeiros - Art. 54 Inciso X do Decreto 7.212/2010');

/*-- SEQ 0181 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(311, 'I','Material blico, de uso privativo das Foras Armadas, vendido  Unio - Art. 54 Inciso XI do Decreto 7.212/2010');

/*-- SEQ 0182 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(312, 'I','Automvel adquirido diretamente a fabricante nacional, pelas misses diplomticas e reparties consulares de carter permanente, ou seus integrantes, bem assim pelas representaes internacionais ou regionais de que o Brasil seja membro, e seus funcionrios, peritos, tcnicos e consultores, de nacionalidade estrangeira, que exeram funes de carter permanente - Art. 54 Inciso XII do Decreto 7.212/2010');

/*-- SEQ 0183 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(313, 'I','Veculo de fabricao nacional adquirido por funcionrio das misses diplomticas acreditadas junto ao Governo Brasileiro - Art. 54 Inciso XIII do Decreto 7.212/2010');

/*-- SEQ 0184 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(314, 'I','Produtos nacionais sados diretamente para Lojas Francas - Art. 54 Inciso XIV do Decreto 7.212/2010');

/*-- SEQ 0185 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(315, 'I','Materiais e equipamentos destinados a Itaipu Binacional - Art. 54 Inciso XV do Decreto 7.212/2010');

/*-- SEQ 0186 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(316, 'I','Produtos Importados por misses diplomticas, consulados ou organismo internacional - Art. 54 Inciso XVI do Decreto 7.212/2010');

/*-- SEQ 0187 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(317, 'I','Bagagem de passageiros desembaraada com iseno do II. - Art. 54 Inciso XVII do Decreto 7.212/2010');

/*-- SEQ 0188 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(318, 'I','Bagagem de passageiros desembaraada com pagamento do II. - Art. 54 Inciso XVIII do Decreto 7.212/2010');

/*-- SEQ 0189 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(319, 'I','Remessas postais internacionais sujeitas a tributao simplificada. - Art. 54 Inciso XIX do Decreto 7.212/2010');

/*-- SEQ 0190 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(320, 'I','Mquinas e outros destinados  pesquisa cientfica e tecnolgica - Art. 54 Inciso XX do Decreto 7.212/2010');

/*-- SEQ 0191 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(321, 'I','Produtos de procedncia estrangeira, isentos do II conforme Lei n 8032/1990. - Art. 54 Inciso XXI do Decreto 7.212/2010');

/*-- SEQ 0192 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(322, 'I','Produtos de procedncia estrangeira utilizados em eventos esportivos - Art. 54 Inciso XXII do Decreto 7.212/2010');

/*-- SEQ 0193 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(323, 'I','Veculos automotores, mquinas, equipamentos, bem assim suas partes e peas separadas, destinadas  utilizao nas atividades dos Corpos de Bombeiros - Art. 54 Inciso XXIII do Decreto 7.212/2010');

/*-- SEQ 0194 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(324, 'I','Produtos importados para consumo em congressos, feiras e exposies - Art. 54 Inciso XXIV do Decreto 7.212/2010');

/*-- SEQ 0195 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(325, 'I','Bens de informtica, Matria Prima, produtos intermedirios e embalagem destinados a Urnas eletrnicas - TSE - Art. 54 Inciso XXV do Decreto 7.212/2010');

/*-- SEQ 0196 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(326, 'I','Materiais, equipamentos, mquinas, aparelhos e instrumentos, bem assim os respectivos acessrios, sobressalentes e ferramentas, que os acompanhem, destinados  construo do Gasoduto Brasil - Bolvia - Art. 54 Inciso XXVI do Decreto 7.212/2010');

/*-- SEQ 0197 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(327, 'I','Partes, peas e componentes, adquiridos por estaleiros navais brasileiros, destinados ao emprego na conservao, modernizao, converso ou reparo de embarcaes registradas no Registro Especial Brasileiro - REB - Art. 54 Inciso XXVII do Decreto 7.212/2010');

/*-- SEQ 0198 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(328, 'I','Aparelhos transmissores e receptores de radiotelefonia e radiotelegrafia; veculos para patrulhamento policial; armas e munies, destinados a rgos de segurana pblica da Unio, dos Estados e do Distrito Federal - Art. 54 Inciso XXVIII do Decreto 7.212/2010');

/*-- SEQ 0199 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(329, 'I','Automveis de passageiros de fabricao nacional destinados  utilizao como txi adquiridos por motoristas profissionais - Art. 55 Inciso I do Decreto 7.212/2010');

/*-- SEQ 0200 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(330, 'I','Automveis de passageiros de fabricao nacional destinados  utilizao como txi por impedidos de exercer atividade por destruio, furto ou roubo do veculo adquiridos por motoristas profissionais. - Art. 55 Inciso II do Decreto 7.212/2010');

/*-- SEQ 0201 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(331, 'I','Automveis de passageiros de fabricao nacional destinados  utilizao como txi adquiridos por cooperativas de trabalho. - Art. 55 Inciso II do Decreto 7.212/2010');

/*-- SEQ 0202 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(332, 'I','Automveis de passageiros de fabricao nacional, destinados a pessoas portadoras de deficincia fsica, visual, mental severa ou profunda, ou autistas - Art. 55 Inciso IV do Decreto 7.212/2010');

/*-- SEQ 0203 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(333, 'I','Produtos estrangeiros, recebidos em doao de representaes diplomticas estrangeiras sediadas no Pas, vendidos em feiras, bazares e eventos semelhantes por entidades beneficentes - Art. 67 do Decreto 7.212/2010');

/*-- SEQ 0204 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(334, 'I','Produtos industrializados na Zona Franca de Manaus - ZFM, destinados ao seu consumo interno - Art. 81 Inciso I do Decreto 7.212/2010');

/*-- SEQ 0205 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(335, 'I','Produtos industrializados na ZFM, por estabelecimentos com projetos aprovados pela SUFRAMA, destinados a comercializao em qualquer outro ponto do Territrio Nacional - Art. 81 Inciso II do Decreto 7.212/2010');

/*-- SEQ 0206 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(336, 'I','Produtos nacionais destinados  entrada na ZFM, para seu consumo interno, utilizao ou industrializao, ou ainda, para serem remetidos, por intermdio de seus entrepostos,  Amaznia Ocidental - Art. 81 Inciso III do Decreto 7.212/2010');

/*-- SEQ 0207 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(337, 'I','Produtos industrializados por estabelecimentos com projetos aprovados pela SUFRAMA, consumidos ou utilizados na Amaznia Ocidental, ou adquiridos atravs da ZFM ou de seus entrepostos na referida regio - Art. 95 Inciso I do Decreto 7.212/2010');

/*-- SEQ 0208 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(338, 'I','Produtos de procedncia estrangeira, relacionados na legislao, oriundos da ZFM e que derem entrada na Amaznia Ocidental para ali serem consumidos ou utilizados: - Art. 95 Inciso II do Decreto 7.212/2010');

/*-- SEQ 0209 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(339, 'I','Produtos elaborados com matrias-primas agrcolas e extrativas vegetais de produo regional, por estabelecimentos industriais localizados na Amaznia Ocidental, com projetos aprovados pela SUFRAMA - Art. 95 Inciso III do Decreto 7.212/2010');

/*-- SEQ 0210 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(340, 'I','Produtos industrializados em rea de Livre Comrcio - Art. 105 do Decreto 7.212/2010');

/*-- SEQ 0211 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(341, 'I','Produtos nacionais ou nacionalizados, destinados  entrada na rea de Livre Comrcio de Tabatinga - ALCT - Art. 107 do Decreto 7.212/2010');

/*-- SEQ 0212 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(342, 'I','Produtos nacionais ou nacionalizados, destinados  entrada na rea de Livre Comrcio de Guajar-Mirim - ALCGM - Art. 110 do Decreto 7.212/2010');

/*-- SEQ 0213 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(343, 'I','Produtos nacionais ou nacionalizados, destinados  entrada nas reas de Livre Comrcio de Boa Vista - ALCBV e Bonfim - ALCB - Art. 113 do Decreto 7.212/2010');

/*-- SEQ 0214 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(344, 'I','Produtos nacionais ou nacionalizados, destinados  entrada na rea de Livre Comrcio de Macap e Santana - ALCMS - Art. 117 do Decreto 7.212/2010');

/*-- SEQ 0215 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(345, 'I','Produtos nacionais ou nacionalizados, destinados  entrada nas reas de Livre Comrcio de Brasilia - ALCB e de Cruzeiro do Sul - ALCCS - Art. 120 do Decreto 7.212/2010');

/*-- SEQ 0216 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(346, 'I','Recompe - equipamentos de informtica - de beneficirio do regime para escolas das redes pblicas de ensino federal, estadual, distrital, municipal ou nas escolas sem fins lucrativos de atendimento a pessoas com deficincia - Decreto n 7.243/2010, art. 7');

/*-- SEQ 0217 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(347, 'I','Rio 2016 - Importao de materiais para os jogos (medalhas, trofus, impressos, bens no durveis, etc.) - Lei n 12.780/2013, Art. 4, 1, I');

/*-- SEQ 0218 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(348, 'I','Rio 2016 - Suspenso convertida em Iseno - Lei n 12.780/2013, Art. 6, I');

/*-- SEQ 0219 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(349, 'I','Rio 2016 - Empresas vinculadas ao CIO - Lei n 12.780/2013, Art. 9, I, d');

/*-- SEQ 0220 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(350, 'I','Rio 2016 - Sada de produtos importados pelo RIO 2016 - Lei n 12.780/2013, Art. 10, I, d');

/*-- SEQ 0221 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(351, 'I','Rio 2016 - Produtos nacionais, no durveis, uso e consumo dos eventos, adquiridos pelas pessoas jurdicas mencionadas no  2o do art. 4o da Lei n 12.780/2013 - Lei n 12.780/2013, Art. 12');

/*-- SEQ 0222 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(601, 'R','Equipamentos e outros destinados  pesquisa e ao desenvolvimento tecnolgico - Art. 72 do Decreto 7.212/2010');

/*-- SEQ 0223 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(602, 'R','Equipamentos e outros destinados  empresas habilitadas no PDTI e PDTA utilizados em pesquisa e ao desenvolvimento tecnolgico - Art. 73 do Decreto 7.212/2010');

/*-- SEQ 0224 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(603, 'R','Microcomputadores e outros de at R$11.000,00, unidades de disco, circuitos, etc, destinados a bens de informtica ou automao. Centro-Oeste SUDAM SUDENE - Art. 142, I do Decreto 7.212/2010');

/*-- SEQ 0225 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(604, 'R','Microcomputadores e outros de at R$11.000,00, unidades de disco, circuitos, etc, destinados a bens de informtica ou automao. - Art. 142, I do Decreto 7.212/2010');

/*-- SEQ 0226 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(605, 'R','Bens de informtica no includos no art. 142 do Decreto 7.212/2010 - Produzidos no Centro-Oeste, SUDAM, SUDENE - Art. 143, I do Decreto 7.212/2010');

/*-- SEQ 0227 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(606, 'R','Bens de informtica no includos no art. 142 do Decreto 7.212/2010 - Art. 143, II do Decreto 7.212/2010');

/*-- SEQ 0228 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(607, 'R','Padis - Art. 150 do Decreto 7.212/2010');

/*-- SEQ 0229 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(608, 'R','Patvd - Art. 158 do Decreto 7.212/2010');

/*-- SEQ 0230 --*/
-- Tarefa 98339 --
INSERT INTO TT_ENQ(CODENQ, GRUCST, DESENQ) VALUES(999, 'O','Tributao normal IPI; Outros;');

/*-- SEQ 0231 --*/
-- Tarefa 98339 --
SELECT ENABLETRIGGERS(LOWER('TT_ENQ'));


/*-- SEQ 0232 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98411 --
ALTER TABLE TT_ICO DROP CONSTRAINT CK_ICO_VLRIPI CASCADE;

/*-- SEQ 0233 --*/
-- Tarefa 98411 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_VLRIPI CHECK (((COALESCE(VLRIPI, 0) <> 0) AND (COALESCE(IPIITE, 0) <> 0)) OR (COALESCE(VLRIPI, 0) = 0));


/*-- SEQ 0234 --*/ 
-- Tarefa 98278 --
ALTER TABLE TW_CFG ADD COLUMN REGRA_CODFIS Numeric(1,0) ;



/*-- SEQ 0235 --*/ 
-- Tarefa 98302 --
SELECT DISABLETRIGGERS(LOWER('TD_ECF'));

/*-- SEQ 0236 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD COLUMN FLGCFE CHAR(4) DEFAULT '00.0';

/*-- SEQ 0237 --*/
SELECT ENABLETRIGGERS(LOWER('TD_ECF'));

/*-- SEQ 0238 --*/
-- Tarefa 98302 --
SELECT DISABLETRIGGERS(LOWER('TD_ECF'));

/*-- SEQ 0239 --*/ 
-- Tarefa 98302 --
UPDATE TD_ECF
   SET FLGCFE = '65.1'
 WHERE EXISTS (SELECT CGCFIL
                 FROM TD_FIL
                WHERE CGCFIL in ('47598420000185', '50307776000127', '75192898000146')
              );

/*-- SEQ 0240 --*/
-- Tarefa 98302 --
SELECT ENABLETRIGGERS(LOWER('TD_ECF'));

/*-- SEQ 0241 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98302 --
ALTER TABLE TD_ECF ALTER COLUMN FLGCFE SET NOT NULL;

/*-- SEQ 0242 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98302 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_FLGCFE CHECK (FLGCFE IN ('00.0', '59.0', '65.0', '65.1'));


/*-- SEQ 0243 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98432 --
DROP FUNCTION TGFUN2() CASCADE;

/*-- SEQ 0244 --*/
-- Tarefa 98432 --
ALTER TABLE TM_ATU ADD COLUMN ORITAB VARCHAR(30) ;


/*-- SEQ 0245 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98432 --
SELECT * FROM NADA;

/*-- SEQ 0246 --*/
-- Tarefa 98432 --
ALTER TABLE TM_ATU ADD COLUMN CODUID Numeric ;


/*-- SEQ 0247 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98432 --
DROP FUNCTION Insere_MATU (TM_ATU.NOMTAB%TYPE,TM_ATU.FILTRO%TYPE) CASCADE;


/*-- SEQ 0248 --*/
-- Tarefa 98432 --
SELECT DISABLETRIGGERS(LOWER('TM_ATU'));

/*-- SEQ 0249 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 98432 --
UPDATE TM_ATU SET ORITAB = NOMTAB
 WHERE ORITAB IS NULL;

/*-- SEQ 0250 --*/
-- Tarefa 98432 --
SELECT ENABLETRIGGERS(LOWER('TM_ATU'));

/*-- SEQ 0251 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98432 --
ALTER TABLE TM_ATU ALTER COLUMN ORITAB SET NOT NULL;


/*-- SEQ 0252 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 98373 --
SELECT * FROM NADA;

/*-- SEQ 0253 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98373 --
SELECT * FROM NADA;

/*-- SEQ 0254 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98373 --
SELECT * FROM NADA;


/*-- SEQ 0255 --*/
-- Tarefa 98425 --
SELECT DISABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0256 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_REC ADD COLUMN EXPORT VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0257 --*/
SELECT ENABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0258 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98425 --
ALTER TABLE TT_REC ALTER COLUMN EXPORT SET NOT NULL;

/*-- SEQ 0259 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98425 --
ALTER TABLE TT_REC ADD CONSTRAINT CK_REC_EXPORT CHECK (EXPORT IN ('T','F'));


/*-- SEQ 0260 --*/
-- Tarefa 98467 --
ALTER TABLE TT_IVE DROP CONSTRAINT CK_IVE_EMBQTD;

/*-- SEQ 0261 --*/
-- Tarefa 98467 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_EMBQTD CHECK ((EMBQTD IS NULL AND EMBORI IS NULL) OR (EMBQTD IS NOT NULL AND EMBORI IS NOT NULL));


/*-- SEQ 0262 --*/
-- Tarefa 98654 --
SELECT DISABLETRIGGERS(LOWER('TD_ECF'));

/*-- SEQ 0263 --*/ 
-- Tarefa 98654 --
UPDATE TD_ECF
   SET FLGCFE = '65.0'
 WHERE EXISTS (SELECT CGCFIL
                 FROM TD_FIL
                WHERE CGCFIL IN ('75192898000146')
              )
   AND FLGCFE = '65.1';

/*-- SEQ 0264 --*/ 
-- Tarefa 98654 --
UPDATE TD_ECF
   SET FLGCFE = '65.1'
 WHERE EXISTS (SELECT CGCFIL
                 FROM TD_FIL
                WHERE CGCFIL IN ('60065760000109')
              )
   AND FLGCFE = '00.0';

/*-- SEQ 0265 --*/
-- Tarefa 98654 --
SELECT ENABLETRIGGERS(LOWER('TD_ECF'));


/*-- SEQ 0266 --*/
-- Tarefa 98618 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));

/*-- SEQ 0267 --*/ 
-- Tarefa 98618 --
DELETE
  FROM TT_JOB
 WHERE (NOMJOB = 'JOB_FECHADIA' OR 
        NOMJOB = 'JOB_MATERIALIZACUSTOVENDA')
   AND NOT EXISTS (SELECT 'OK'
                     FROM TD_FIL
                    WHERE CGCFIL = '05409686000192');

/*-- SEQ 0268 --*/
-- Tarefa 98618 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));


/*-- SEQ 0269 --*/
-- Tarefa 98815 --
/*-- IGNORE ERRO --*/
DROP FUNCTION SET_SEQUENCE (VARCHAR(32),VARCHAR(32),VARCHAR(32)) CASCADE;

/*-- SEQ 0270 --*/
CREATE OR REPLACE FUNCTION SET_SEQUENCE (VARCHAR(32),VARCHAR(32),VARCHAR(32))
RETURNS VARCHAR AS $$
DECLARE
pTABELA ALIAS FOR $1 ;
pCOLUNA ALIAS FOR $2 ;
pSEQUENCE ALIAS FOR $3 ;
-- Variveis
   iSEQUEN                       Numeric(10);
   cSQL                          VARCHAR(254);
BEGIN
-- Processo
   cSQL := 'SELECT COALESCE(MAX(' || pCOLUNA || '),0)+1 FROM ' || pTABELA;
      
   EXECUTE cSQL INTO iSEQUEN;
   cSQL := 'ALTER SEQUENCE ' || pSEQUENCE || ' RESTART WITH ' || TO_CHAR(iSEQUEN);
   EXECUTE cSQL;
      
   RETURN 'OK';
END;
$$ language 'plpgsql';



/*-- SEQ 0271 --*/
select SET_SEQUENCE('TT_GRAXSC', 'ID', 'SQGRAXSC') from dual;


/*-- SEQ 0272 --*/
DROP FUNCTION SET_SEQUENCE (VARCHAR(32),VARCHAR(32),VARCHAR(32)) CASCADE;




/*-- SEQ 0273 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99046 --
DROP FUNCTION JOB_CONTARNUMEROVENDAS () CASCADE;

/*-- SEQ 0274 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99046 --
DROP FUNCTION ContarNumeroVendas () CASCADE;

/*-- SEQ 0275 --*/
-- Tarefa 99046 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));

/*-- SEQ 0276 --*/
-- Tarefa 99046 --
DELETE FROM TT_JOB
 WHERE NOMJOB = 'JOB_CONTARNUMEROVENDAS';

/*-- SEQ 0277 --*/
-- Tarefa 99046 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));


/*-- SEQ 0278 --*/
-- Tarefa 99135 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0279 --*/
-- Tarefa 99135 --
UPDATE TT_PRO PRO SET 
       CODCES = (SELECT CAST(MIN(CXN.CODCES) AS VARCHAR(8)) AS CODCES
                   FROM TT_CESXNCM CXN
                  WHERE PRO.CODNCM LIKE CXN.CODNCM||'%'
                  GROUP BY PRO.CODNCM
                 HAVING COUNT(*)=1)
 WHERE PRO.CODNCM IS NOT NULL
   AND PRO.CODCES IS NULL;

/*-- SEQ 0280 --*/
-- Tarefa 99135 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));



/*-- SEQ 0281 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97785 --
DROP FUNCTION SetarDataAtualizacao () CASCADE;

/*-- SEQ 0282 --*/
-- Tarefa 97785 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));

/*-- SEQ 0283 --*/
-- Tarefa 97785 --
DELETE FROM TT_JOB
 WHERE NOMJOB = 'JOB_SETARDATAATUALIZACAO';

/*-- SEQ 0284 --*/
-- Tarefa 97785 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));


/*-- SEQ 0285 --*/
-- Tarefa 99197 --
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0286 --*/
-- Tarefa 99197 --
UPDATE TT_VEN
   SET ORICAN = CASE ORICAN WHEN '1' THEN '2'
                            WHEN '2' THEN '1'
                END
 WHERE ORICAN IS NOT NULL
   AND NOT EXISTS (SELECT 1 AS OK
                     FROM TT_FUN
                    WHERE NOMFUN = 'ORICAN');

/*-- SEQ 0287 --*/
-- Tarefa 99197 --
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0288 --*/
-- Tarefa 99197 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0289 --*/
-- Tarefa 99197 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ORICAN', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ORICAN'));

/*-- SEQ 0290 --*/
-- Tarefa 99197 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0291 --*/
-- Tarefa 99069 --
SELECT ExecAlteraTipoColuna('TI_CLI','MAISPC','VARCHAR(254)');



/*-- SEQ 0292 --*/
-- Tarefa 99234 --
SELECT DISABLETRIGGERS(LOWER('TD_EXT'));

/*-- SEQ 0293 --*/
-- Tarefa 99234 --
INSERT INTO TD_EXT
(CODTAB, DESEXT, LOCREC, LOCCCC, LOCCHR, LOCFIN, LOCDOP, LOCTIT, LOCDEP, GERFIN, GERCCC)
(SELECT 217, 'PAGAMENTOS FORNECEDORES', 'T', 'T', 'T', 'F', 'F', 'T', 'T', 'T', 'T'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_EXT
                     WHERE CODTAB = 217));

/*-- SEQ 0294 --*/
-- Tarefa 99234 --
INSERT INTO TD_EXT
(CODTAB, DESEXT, LOCREC, LOCCCC, LOCCHR, LOCFIN, LOCDOP, LOCTIT, LOCDEP, GERFIN, GERCCC)
(SELECT 218, 'PAGAMENTOS DIVERSOS', 'T', 'T', 'T', 'F', 'F', 'T', 'T', 'T', 'T'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_EXT
                     WHERE CODTAB = 218));

/*-- SEQ 0295 --*/
-- Tarefa 99234 --
INSERT INTO TD_EXT
(CODTAB, DESEXT, LOCREC, LOCCCC, LOCCHR, LOCFIN, LOCDOP, LOCTIT, LOCDEP, GERFIN, GERCCC)
(SELECT 219, 'PAGAMENTOS SALARIOS', 'T', 'T', 'T', 'F', 'F', 'T', 'T', 'T', 'T'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_EXT
                     WHERE CODTAB = 219));

/*-- SEQ 0296 --*/
-- Tarefa 99234 --
SELECT ENABLETRIGGERS(LOWER('TD_EXT'));


/*-- SEQ 0297 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99298 --
DROP FUNCTION TGDIV() CASCADE;

/*-- SEQ 0298 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99298 --
DROP FUNCTION TGSUB() CASCADE;

