
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99424 --
ALTER TABLE TT_IVE DROP CONSTRAINT FK_IVE_MER CASCADE;

/*-- SEQ 0003 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99424 --
DROP INDEX I_FK_IVE_MER;

/*-- SEQ 0004 --*/
-- Tarefa 99424 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_MER FOREIGN KEY (FILOIP, SEQOIP, NUMADI, SEQMER) REFERENCES TT_MER (CODFIL, SEQUEN, NUMITE, SEQMER);

/*-- SEQ 0005 --*/
-- Tarefa 99424 --
CREATE INDEX I_FK_IVE_MER ON TT_IVE (FILOIP, SEQOIP, NUMADI, SEQMER)  ;


/*-- SEQ 0006 --*/
-- Tarefa 98993 --
ALTER TABLE TT_ICO DROP CONSTRAINT CK_ICO_EMBQTD CASCADE;

/*-- SEQ 0007 --*/
-- Tarefa 98993 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_EMBQTD CHECK ((EMBQTD IS NULL AND EMBORI IS NULL) OR (EMBQTD IS NOT NULL AND EMBQTD >= 0 AND EMBORI IS NOT NULL));


/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99443 --
CREATE TABLE TT_VOT (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  FILOIP CHAR(3),
  SEQOIP CHAR(10),
  QTDVOL Numeric(12),
  ESPECI VARCHAR(60)
  )  ;
 
/*-- SEQ 0009 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 99443 --
ALTER TABLE TT_VOT ADD CONSTRAINT PK_VOT PRIMARY KEY (CODFIL, SEQUEN);
  
/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99443 --
ALTER TABLE TT_VOT ADD CONSTRAINT FK_VOT_OIP FOREIGN KEY (FILOIP, SEQOIP) REFERENCES TT_OIP (CODFIL, SEQUEN);
 
/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99443 --
CREATE INDEX I_FK_VOT_OIP ON TT_VOT (FILOIP, SEQOIP)  ; 

/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99443 --
ALTER TABLE TT_VOT ALTER COLUMN QTDVOL SET NOT NULL;

/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99443 --
ALTER TABLE TT_VOT ALTER COLUMN ESPECI SET NOT NULL;
 
/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99443 --
CREATE SEQUENCE SQVOT INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0015 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_OIP ADD COLUMN FILTRA CHAR(3) ;


/*-- SEQ 0016 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_OIP ADD COLUMN CODTRA CHAR(6) ;


/*-- SEQ 0017 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_OIP ADD CONSTRAINT FK_OIP_CLI FOREIGN KEY (FILTRA,CODTRA) REFERENCES TT_CLI (FILCLI,CODCLI);

/*-- SEQ 0018 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
CREATE INDEX I_FK_OIP_CLI ON TT_OIP (FILTRA,CODTRA)  ;

/*-- SEQ 0019 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_OIP ADD COLUMN DESTRA VARCHAR(100) ;


/*-- SEQ 0020 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_OIP ADD COLUMN VLRADU Numeric(12,2) ;


/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_OIP ADD COLUMN PESLIQ Numeric(12,3) ;


/*-- SEQ 0022 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_OIP ADD COLUMN PESBRU Numeric(12,3) ;


/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_OIP ADD COLUMN TIPFRE Numeric(1) ;


/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_OIP ADD CONSTRAINT CK_OIP_TIPFRE CHECK (TIPFRE IN (0, 1, 2, 9));

/*-- SEQ 0025 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_ADI ADD COLUMN VLRFRE Numeric(12,2) ;


/*-- SEQ 0026 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_ADI ADD COLUMN VLRSEG Numeric(12,2) ;


/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_ADI ADD COLUMN FILFOR CHAR(3) ;


/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_ADI ADD COLUMN CODFOR CHAR(6) ;


/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_ADI ADD CONSTRAINT FK_ADI_CLI_FOR FOREIGN KEY (FILFOR,CODFOR) REFERENCES TT_CLI (FILCLI,CODCLI);

/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
CREATE INDEX I_FK_ADI_CLI_FOR ON TT_ADI (FILFOR,CODFOR)  ;

/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_ADI ADD COLUMN DESFOR VARCHAR(100) ;


/*-- SEQ 0032 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_ADI ADD COLUMN FILFAB CHAR(3) ;


/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_ADI ADD COLUMN CODFAB CHAR(6) ;


/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_ADI ADD CONSTRAINT FK_ADI_CLI_FAB FOREIGN KEY (FILFAB,CODFAB) REFERENCES TT_CLI (FILCLI,CODCLI);

/*-- SEQ 0035 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
CREATE INDEX I_FK_ADI_CLI_FAB ON TT_ADI (FILFAB,CODFAB)  ;

/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_ADI ADD COLUMN DESFAB VARCHAR(100) ;


/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_MER ADD COLUMN FILMAT CHAR(3) ;


/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_MER ADD COLUMN CODMAT CHAR(5) ;


/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_MER ADD COLUMN CODCOR Numeric(5) ;


/*-- SEQ 0040 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_MER ADD COLUMN CODTAM Numeric(5) ;


/*-- SEQ 0041 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_MER ADD CONSTRAINT FK_MER_GRA FOREIGN KEY (FILMAT,CODMAT,CODCOR,CODTAM) REFERENCES TT_GRA (FILMAT,CODMAT,CODCOR,CODTAM);

/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
CREATE INDEX I_FK_MER_GRA ON TT_MER (FILMAT,CODMAT,CODCOR,CODTAM)  ;

/*-- SEQ 0043 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_MER ADD COLUMN QTDORI Numeric(12,4) ;


/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_MER ADD COLUMN VLRANT Numeric(12,2) ;



/*-- SEQ 0045 --*/
-- Tarefa 99471 --
ALTER TABLE TT_CPM ADD COLUMN QTDMIN Numeric(12,4) ;



/*-- SEQ 0046 --*/
-- Tarefa 99607 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0047 --*/
ALTER TABLE TT_PRO ADD COLUMN LABORATORIO Numeric(1) DEFAULT 0;

/*-- SEQ 0048 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0049 --*/
-- Tarefa 99607 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0050 --*/
ALTER TABLE TT_CLI ADD COLUMN LABORATORIO Numeric(1) DEFAULT 0;

/*-- SEQ 0051 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0052 --*/
-- Tarefa 99607 --
ALTER TABLE TT_PRO ALTER COLUMN LABORATORIO SET NOT NULL;

/*-- SEQ 0053 --*/
-- Tarefa 99607 --
ALTER TABLE TT_CLI ALTER COLUMN LABORATORIO SET NOT NULL;


/*-- SEQ 0054 --*/
-- Tarefa 99617 --
CREATE TABLE TT_ATU (
    ID_ATU Numeric(14),
    DESATU VARCHAR(20),
    ATU_EM Timestamp)  ;

/*-- SEQ 0055 --*/
-- Tarefa 99617 --
ALTER TABLE TT_ATU ADD CONSTRAINT PK_ATU PRIMARY KEY (ID_ATU);

/*-- SEQ 0056 --*/
-- Tarefa 99617 --
ALTER TABLE TT_ATU ALTER COLUMN DESATU SET NOT NULL;

/*-- SEQ 0057 --*/
-- Tarefa 99617 --
ALTER TABLE TT_ATU ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0058 --*/
-- Tarefa 99617 --
CREATE UNIQUE INDEX I_UQ_ATU ON TT_ATU (DESATU)  ;

/*-- SEQ 0059 --*/
-- Tarefa 99617 --
INSERT INTO TT_ATU
SELECT 1, 'CONFIGURACAO', ATU_EM FROM TT_CFG;



/*-- SEQ 0060 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99628 --
DROP FUNCTION BloqueiaOrigem (TT_LCK.LCKDOC%TYPE,TT_LCK.LCKFIL%TYPE,TT_LCK.LCKECF%TYPE,TT_LCK.LCKUSU%TYPE,VARCHAR,TT_LCK.LCKOBS%TYPE) CASCADE;

/*-- SEQ 0061 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99628 --
DROP FUNCTION DesbloqueiaOrigem (TT_LCK.LCKDOC%TYPE,TT_LCK.LCKFIL%TYPE,TT_LCK.LCKECF%TYPE,VARCHAR) CASCADE;


/*-- SEQ 0062 --*/
-- Tarefa 99642 --
ALTER TABLE TT_CFG ADD COLUMN TIPRTT_VGAS Numeric(5,0) ;


/*-- SEQ 0063 --*/
-- Tarefa 99642 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DRTT_VGAS FOREIGN KEY (TIPRTT_VGAS) REFERENCES TD_RTT (CODTAB);

/*-- SEQ 0064 --*/
-- Tarefa 99642 --
CREATE INDEX I_FK_CFG_DRTT_VGAS ON TT_CFG (TIPRTT_VGAS)  ;

/*-- SEQ 0065 --*/
-- Tarefa 99642 --
ALTER TABLE TW_CFG ADD COLUMN TIPRTT_VGAS Numeric(5,0) ;




/*-- SEQ 0066 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99692 --
ALTER TABLE TT_ADI ALTER COLUMN FABEST DROP NOT NULL;

/*-- SEQ 0067 --*/
-- Tarefa 99692 --
SELECT DISABLETRIGGERS(LOWER('TT_OIP'));

/*-- SEQ 0068 --*/
ALTER TABLE TT_OIP ADD COLUMN FLGCAD CHAR(1) DEFAULT 'I';

/*-- SEQ 0069 --*/
SELECT ENABLETRIGGERS(LOWER('TT_OIP'));

/*-- SEQ 0070 --*/
-- Tarefa 99692 --
ALTER TABLE TT_OIP ADD CONSTRAINT CK_OIP_FLGCAD CHECK (FLGCAD IN ('I','C'));

/*-- SEQ 0071 --*/
-- Tarefa 99692 --
ALTER TABLE TT_OIP ALTER COLUMN FLGCAD SET NOT NULL;

/*-- SEQ 0072 --*/
-- Tarefa 99692 --
SELECT DISABLETRIGGERS(LOWER('TT_OIP'));

/*-- SEQ 0073 --*/
ALTER TABLE TT_OIP ADD COLUMN FLGEMI VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0074 --*/
SELECT ENABLETRIGGERS(LOWER('TT_OIP'));

/*-- SEQ 0075 --*/
-- Tarefa 99692 --
ALTER TABLE TT_OIP ADD CONSTRAINT CK_OIP_FLGEMI CHECK (FLGEMI IN ('T','F'));

/*-- SEQ 0076 --*/
-- Tarefa 99692 --
ALTER TABLE TT_OIP ALTER COLUMN FLGEMI SET NOT NULL;

/*-- SEQ 0077 --*/
-- Tarefa 99692 --
CREATE INDEX I_LC_OIP_FLGEMI ON TT_OIP (FLGEMI, DATOPE)  ;

/*-- SEQ 0078 --*/
-- Tarefa 99692 --
ALTER TABLE TT_IVE ADD COLUMN VLRAFR Numeric(12,2) ;


/*-- SEQ 0079 --*/
-- Tarefa 99692 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0080 --*/
-- Tarefa 99692 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'VLRAFR', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'VLRAFR'));

/*-- SEQ 0081 --*/
-- Tarefa 99692 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0082 --*/
-- Tarefa 99705 --
ALTER TABLE TT_CFG ADD COLUMN TIPRTT_VPRE Numeric(5,0) ;


/*-- SEQ 0083 --*/
-- Tarefa 99705 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DRTT_VPRE FOREIGN KEY (TIPRTT_VPRE) REFERENCES TD_RTT (CODTAB);

/*-- SEQ 0084 --*/
-- Tarefa 99705 --
CREATE INDEX I_FK_CFG_DRTT_VPRE ON TT_CFG (TIPRTT_VPRE)  ;

/*-- SEQ 0085 --*/
-- Tarefa 99705 --
ALTER TABLE TW_CFG ADD COLUMN TIPRTT_VPRE Numeric(5,0) ;



/*-- SEQ 0086 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99704 --
SELECT * FROM NADA;

/*-- SEQ 0087 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99704 --
SELECT * FROM NADA;

/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99704 --
SELECT * FROM NADA;

/*-- SEQ 0089 --*/
-- Tarefa 99704 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0090 --*/
-- Tarefa 99704 --
UPDATE TT_CFG SET CHECKOUT_VERMIN = '5.4a', CHECKOUT_RELMIN = 6;

/*-- SEQ 0091 --*/
-- Tarefa 99704 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));


/*-- SEQ 0092 --*/
-- Tarefa 99782 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0093 --*/
-- Tarefa 99782 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'LOTEDNA', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'LOTEDNA'));

/*-- SEQ 0094 --*/
-- Tarefa 99782 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0095 --*/
-- Tarefa 99824 --
ALTER TABLE TD_CAI ADD COLUMN CAIMEN Numeric(2) ;


/*-- SEQ 0096 --*/
-- Tarefa 99824 --
ALTER TABLE TD_CAI ADD CONSTRAINT CK_DCAI_CAIMEN CHECK ((CAIMEN >= 1) AND (CAIMEN <= 99));

/*-- SEQ 0097 --*/
-- Tarefa 99824 --
CREATE UNIQUE INDEX I_UQ_DCAI_CAIMEN ON TD_CAI (CAIMEN)  ;

/*-- SEQ 0098 --*/
-- Tarefa 99824 --
ALTER TABLE TW_TAB ADD COLUMN CAIMEN Numeric(2) ;



/*-- SEQ 0099 --*/
-- Tarefa 99807 --
ALTER TABLE TD_CAI DROP CONSTRAINT CK_DCAI_CX_USU CASCADE;

/*-- SEQ 0100 --*/
-- Tarefa 99807 --
ALTER TABLE TD_CAI ADD CONSTRAINT CK_DCAI_CX_USU CHECK (CX_USU IN (0,1,2));


/*-- SEQ 0101 --*/
-- Tarefa 99835 --
ALTER TABLE TD_FIL ADD COLUMN IP_ORDERLOCAL VARCHAR(3) ;



/*-- SEQ 0102 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99861 --
SELECT * FROM NADA;

/*-- SEQ 0103 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99861 --
SELECT * FROM NADA;

/*-- SEQ 0104 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99861 --
SELECT * FROM NADA;


/*-- SEQ 0105 --*/
-- Tarefa 99861 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0106 --*/
-- Tarefa 99861 --
UPDATE TT_PRO PRO SET USALOT = 'T', LOTONL = 'T' 
 WHERE EXISTS(SELECT 1 AS OK FROM TD_FIL DFIL WHERE DFIL.CGCFIL='81336398000133')
   AND EXISTS(SELECT 1 AS OK FROM TT_LOT LOT  WHERE LOT.FILMAT=PRO.FILMAT AND LOT.CODMAT=PRO.CODMAT);

/*-- SEQ 0107 --*/
-- Tarefa 99861 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));


/*-- SEQ 0108 --*/
-- Tarefa 99835 --
SELECT ExecAlteraTipoColuna('TD_FIL','IP_ORDERLOCAL','VARCHAR(20)');



/*-- SEQ 0109 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TI_CLI','CELCON','VARCHAR(10)');


/*-- SEQ 0110 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TI_CLI','CELNUM','VARCHAR(10)');


/*-- SEQ 0111 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TI_CLI','CELUCO','VARCHAR(10)');


/*-- SEQ 0112 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TI_CLI','CONTEL','VARCHAR(10)');


/*-- SEQ 0113 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TI_CLI','NUMTEL','VARCHAR(10)');


/*-- SEQ 0114 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TI_CLI','TELCON','VARCHAR(10)');


/*-- SEQ 0115 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TT_SPC','NUMTEL','VARCHAR(10)');


/*-- SEQ 0116 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TT_SPC','TELCON','VARCHAR(10)');




/*-- SEQ 0117 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99958 --
SELECT * FROM NADA;


/*-- SEQ 0118 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99697 --
DROP VIEW TV_FIN_RTT CASCADE;


/*-- SEQ 0119 --*/
-- Tarefa 100032 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0120 --*/
-- Tarefa 100032 --
UPDATE TT_FUN SET DATFUN = TO_DATE('01/07/2017','DD/MM/YYYY')
  WHERE NOMFUN = 'CEST_NF';

/*-- SEQ 0121 --*/
-- Tarefa 100032 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0122 --*/
-- Tarefa 100086 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0123 --*/
-- Tarefa 100086 --
UPDATE TT_FUN SET DATFUN = TO_DATE('01/07/2017','DD/MM/YYYY')
  WHERE NOMFUN = 'CEST_CF';

/*-- SEQ 0124 --*/
-- Tarefa 100086 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0125 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;

/*-- SEQ 0126 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;

/*-- SEQ 0127 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;

/*-- SEQ 0128 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;


/*-- SEQ 0129 --*/
-- Tarefa 100108 --
SELECT DISABLETRIGGERS(LOWER('TT_SAL'));

/*-- SEQ 0130 --*/
-- Tarefa 100108 --
UPDATE TT_SAL
   SET CAL_CM = NULL, 
       ATU_CM = 'F', 
       DUMMY = 'x'
 WHERE NOT EXISTS (SELECT 1
                     FROM TT_FUN 
                    WHERE NOMFUN = 'ATU_CSTMDO');      

/*-- SEQ 0131 --*/
-- Tarefa 100108 --
SELECT ENABLETRIGGERS(LOWER('TT_SAL'));

/*-- SEQ 0132 --*/
-- Tarefa 100108 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0133 --*/
-- Tarefa 100108 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ATU_CSTMDO', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ATU_CSTMDO'));

/*-- SEQ 0134 --*/
-- Tarefa 100108 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0135 --*/
-- Tarefa 97756 --
ALTER TABLE TT_REC ADD COLUMN FILPGT CHAR(3) ;


/*-- SEQ 0136 --*/
-- Tarefa 97756 --
ALTER TABLE TT_REC ADD COLUMN CODPGT CHAR(3) ;


/*-- SEQ 0137 --*/
-- Tarefa 97756 --
ALTER TABLE TT_REC ADD CONSTRAINT FK_REC_PLA FOREIGN KEY (FILPGT,CODPGT) REFERENCES TT_PLA (FILPGT,CODPGT);

/*-- SEQ 0138 --*/
-- Tarefa 97756 --
CREATE INDEX I_FK_REC_PLA ON TT_REC (FILPGT,CODPGT)  ;


/*-- SEQ 0139 --*/
-- Tarefa 97753 --
ALTER TABLE TT_PLA DROP CONSTRAINT CK_PLA_APLICA CASCADE;

/*-- SEQ 0140 --*/
-- Tarefa 97753 --
ALTER TABLE TT_PLA ADD CONSTRAINT CK_PLA_APLICA CHECK (APLICA IN (0,1,2,3,4,5,6));


/*-- SEQ 0141 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0142 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0143 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0144 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0145 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0146 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0147 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;


/*-- SEQ 0148 --*/
-- Tarefa 100440 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0149 --*/
-- Tarefa 100440 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'LOCK_SEP_R', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'LOCK_SEP_R'));

/*-- SEQ 0150 --*/
-- Tarefa 100440 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0151 --*/
-- Tarefa 100446 --
SELECT DISABLETRIGGERS(LOWER('TT_CON'));

/*-- SEQ 0152 --*/
-- Tarefa 100446 --
SELECT DISABLETRIGGERS(LOWER('TT_RFC'));

/*-- SEQ 0153 --*/
-- Tarefa 100446 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0154 --*/
-- Tarefa 100446 --
SELECT DISABLETRIGGERS(LOWER('TT_END'));

/*-- SEQ 0155 --*/
-- Tarefa 100446 --
SELECT DISABLETRIGGERS(LOWER('TT_SPC'));

/*-- SEQ 0156 --*/
-- Tarefa 100446 --
UPDATE TT_CON
   SET TELCON = '9'||TRIM(TELCON)
 WHERE SUBSTR(TRIM(TELCON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(TELCON)) = 8;

/*-- SEQ 0157 --*/
-- Tarefa 100446 --
UPDATE TT_RFC
   SET NUMFON = '9'||TRIM(NUMFON)
 WHERE SUBSTR(TRIM(NUMFON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(NUMFON)) = 8;

/*-- SEQ 0158 --*/
-- Tarefa 100446 --
UPDATE TT_CLI
   SET TELCON = '9'||TRIM(TELCON)
 WHERE SUBSTR(TRIM(TELCON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(TELCON)) = 8;

/*-- SEQ 0159 --*/
-- Tarefa 100446 --
UPDATE TT_END
   SET NUMFON = '9'||TRIM(NUMFON)
 WHERE SUBSTR(TRIM(NUMFON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(NUMFON)) = 8;

/*-- SEQ 0160 --*/
-- Tarefa 100446 --
UPDATE TT_CLI
   SET CELCON = '9'||TRIM(CELCON)
 WHERE SUBSTR(TRIM(CELCON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(CELCON)) = 8;

/*-- SEQ 0161 --*/
-- Tarefa 100446 --
UPDATE TT_SPC
   SET NUMCEL = '9'||TRIM(NUMCEL)
 WHERE SUBSTR(TRIM(NUMCEL),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(NUMCEL)) = 8;

/*-- SEQ 0162 --*/
-- Tarefa 100446 --
UPDATE TT_CON
   SET CELCON = '9'||TRIM(CELCON)
 WHERE SUBSTR(TRIM(CELCON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(CELCON)) = 8;

/*-- SEQ 0163 --*/
-- Tarefa 100446 --
SELECT ENABLETRIGGERS(LOWER('TT_CON'));

/*-- SEQ 0164 --*/
-- Tarefa 100446 --
SELECT ENABLETRIGGERS(LOWER('TT_RFC'));

/*-- SEQ 0165 --*/
-- Tarefa 100446 --
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0166 --*/
-- Tarefa 100446 --
SELECT ENABLETRIGGERS(LOWER('TT_END'));

/*-- SEQ 0167 --*/
-- Tarefa 100446 --
SELECT ENABLETRIGGERS(LOWER('TT_SPC'));


/*-- SEQ 0168 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100482 --
ALTER TABLE TT_ROM ADD COLUMN CODEXT VARCHAR(40) ;


/*-- SEQ 0169 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100482 --
CREATE UNIQUE INDEX I_UQ_ROM_CODEXT ON TT_ROM (CODEXT)  ;

/*-- SEQ 0170 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100482 --
CREATE TABLE TI_ROM (
    CODFIL CHAR(3), 
    CODEXT VARCHAR(40),    
    DATCRI Timestamp,
    FILMOT CHAR(3),
    CODMOT CHAR(6),
    PLACA  CHAR(7),
    FLGEST CHAR(1),
    STATUS Numeric(1) DEFAULT 0,
    MOTREJ VARCHAR(255),
    DATIMP Timestamp
  )  ;

/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100482 --
ALTER TABLE TI_ROM ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100482 --
ALTER TABLE TI_ROM ALTER COLUMN STATUS SET NOT NULL;

/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100482 --
CREATE INDEX I_LC_IROM_STATUS ON TI_ROM (STATUS, DATCRI)  ;

/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100482 --
ALTER TABLE TI_SEP ADD COLUMN ROM_CODEXT VARCHAR(40) ;


/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100482 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0176 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100482 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TI_ROM', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TI_ROM'));

/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100482 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0178 --*/
-- Tarefa 100415 --
ALTER TABLE TT_ORC DROP CONSTRAINT CK_ORC_DATSEG CASCADE;

/*-- SEQ 0179 --*/
-- Tarefa 100415 --
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_DATSEG CHECK (datseg IS NULL OR datseg >= datpri AND qtdpar > 0);


/*-- SEQ 0180 --*/
-- Tarefa 99958 --
SELECT DISABLETRIGGERS(LOWER('TD_CAI'));

/*-- SEQ 0181 --*/
-- Tarefa 99958 --
UPDATE TD_CAI
   SET CAIMEN = TO_NUMBER(CX_COD)
 WHERE ISDIGIT(CX_COD) = 1
   AND CX_COD < '100';

/*-- SEQ 0182 --*/
-- Tarefa 99958 --
SELECT ENABLETRIGGERS(LOWER('TD_CAI'));


/*-- SEQ 0183 --*/
-- Tarefa 98774 --
ALTER TABLE TT_NCM ALTER COLUMN SECNCM DROP NOT NULL;

/*-- SEQ 0184 --*/
-- Tarefa 98774 --
ALTER TABLE TT_NCM ADD COLUMN DATINC Timestamp ;


/*-- SEQ 0185 --*/
-- Tarefa 98774 --
ALTER TABLE TT_NCM ADD COLUMN ATU_EM Timestamp ;


/*-- SEQ 0186 --*/
-- Tarefa 98774 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0187 --*/
-- Tarefa 98774 --
UPDATE TT_NCM
   SET DATINC = Agora(),
       ATU_EM = Agora()
 WHERE DATINC IS NULL OR ATU_EM IS NULL;

/*-- SEQ 0188 --*/
-- Tarefa 98774 --
SELECT ENABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0189 --*/
-- Tarefa 98774 --
ALTER TABLE TT_NCM ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0190 --*/
-- Tarefa 98774 --
ALTER TABLE TT_NCM ALTER COLUMN ATU_EM SET NOT NULL;


/*-- SEQ 0191 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD COLUMN GX_CFGSHOTCOLORCRIATINTASDAT Timestamp ;


/*-- SEQ 0192 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD COLUMN GX_CFGSHOTCOLORCRIATINTASQTD Numeric(9,0) ;


/*-- SEQ 0193 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD COLUMN GX_CFGSHOTCOLORATUTINTASDAT Timestamp ;


/*-- SEQ 0194 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD COLUMN GX_CFGSHOTCOLORATUTINTASQTD Numeric(9,0) ;


/*-- SEQ 0195 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD COLUMN GX_CFGSHOTCOLOREXCLUITINTASDAT Timestamp ;


/*-- SEQ 0196 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD COLUMN GX_CFGSHOTCOLOREXCLUITINTASQTD Numeric(9,0) ;


/*-- SEQ 0197 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD COLUMN GX_CFGSELFCOLORCRIATINTASDAT Timestamp ;


/*-- SEQ 0198 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD COLUMN GX_CFGSELFCOLORCRIATINTASQTD Numeric(9,0) ;


/*-- SEQ 0199 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD COLUMN GX_CFGSELFCOLORATUTINTASDAT Timestamp ;


/*-- SEQ 0200 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD COLUMN GX_CFGSELFCOLORATUTINTASQTD Numeric(9,0) ;


/*-- SEQ 0201 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD COLUMN GX_CFGSELFCOLOREXCLUITINTASDAT Timestamp ;


/*-- SEQ 0202 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD COLUMN GX_CFGSELFCOLOREXCLUITINTASQTD Numeric(9,0) ;


