
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 2022124866 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0003 --*/
-- Ticket 2022124866 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0004 --*/
-- Ticket 2022124866 --
DELETE FROM TT_IPC 
 WHERE ID_PCS = (SELECT MIN(ID_PCS)
                   FROM TT_PCS
                  WHERE NOMPCS = 'BOTAO_DETALHES_POS');

/*-- SEQ 0005 --*/
-- Ticket 2022124866 --
DELETE FROM TT_PCS
 WHERE NOMPCS = 'BOTAO_DETALHES_POS';

/*-- SEQ 0006 --*/
-- Ticket 2022124866 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'OCULTA_BOTAODETALHES', 'Ocultar boto "F10 - Detalhes" no caixa, ao resgatar DAV?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OCULTA_BOTAODETALHES'));

/*-- SEQ 0007 --*/
-- Ticket 2022124866 --
INSERT INTO TT_IPC (ID_IPC, ID_PCS, IPCATI, VLRBOO, DATINC, ATU_EM)
SELECT NEXTVAL('SQIPC'), PCS.ID_PCS, 'T', 'T', AGORA(), AGORA()
  FROM TT_PCS PCS
 WHERE PCS.NOMPCS = 'OCULTA_BOTAODETALHES'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS);

/*-- SEQ 0008 --*/
-- Ticket 2022124866 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0009 --*/
-- Ticket 2022124866 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));



/*-- SEQ 0010 --*/
/*--IGNORE ERRO--*/
-- Tarefa 2022048918 --
DROP FUNCTION PC_ICO_AUX_UPDATE (TT_ICO.COM_DATOPE%TYPE,TT_ICO.CODFIL%TYPE,TT_ICO.FILMAT%TYPE,TT_ICO.CODMAT%TYPE,TT_ICO.CODCOR%TYPE,TT_ICO.CODTAM%TYPE) CASCADE;


/*
 * OBJETIVO: Inserir um parmetro de configurao de sistema (registro na TT_PCS).
 */

/*-- SEQ 0011 --*/
-- Ticket 2022079541  --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0012 --*/
-- Ticket 2022079541  --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'RETIRAR_RESTRICAO_ST', 'Retirar a restrio que obriga base e valor de ICMS ST para CST 10 na Devoluo de Compra?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'RETIRAR_RESTRICAO_ST'));

/*-- SEQ 0013 --*/
-- Ticket 2022079541  --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*
 * OBJETIVO: Inserir um valor padro para o parmetro de configurao de sistema (registro na TT_IPC).
 */
 
/*-- SEQ 0014 --*/
-- Ticket 2022079541  --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0015 --*/
-- Ticket 2022079541  --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'RETIRAR_RESTRICAO_ST'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0016 --*/
-- Ticket 2022079541  --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0017 --*/
-- Ticket 2022079093 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0018 --*/
-- Ticket 2022079093 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'APRCATCLIPOS', 'Apresenta categoria de cliente na operao do PoS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'APRCATCLIPOS'));

/*-- SEQ 0019 --*/
-- Ticket 2022079093 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'CAT1CLI_NOVO', 'Quando categoria no for informada, utilizar a Categoria 1 como padro para novos clientes?', 'T', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CAT1CLI_NOVO'));

/*-- SEQ 0020 --*/
-- Ticket 2022079093 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0021 --*/
-- Ticket 2022025817 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0022 --*/
-- Ticket 2022025817 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'CALC_IR_FILSIMPLES', 'Calcular imposto de renda para filiais com regime tributrio simples?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CALC_IR_FILSIMPLES'));

/*-- SEQ 0023 --*/
-- Ticket 2022025817 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

 
/*-- SEQ 0024 --*/
-- Ticket 2022025817 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0025 --*/
-- Ticket 2022025817 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'CALC_IR_FILSIMPLES'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0026 --*/
-- Ticket 2022025817 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0027 --*/
-- Ticket 2023015721 --
SELECT DISABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0028 --*/
-- Ticket 2023015721 --
UPDATE TT_IUF
   SET ICMISE = 'F'
 WHERE ICMISE IS NULL;

/*-- SEQ 0029 --*/
-- Ticket 2023015721 --
SELECT ENABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023015721 --
ALTER TABLE TT_IUF ALTER COLUMN ICMISE SET NOT NULL;


/*-- SEQ 0031 --*/
-- Ticket 2022115633 --
SELECT DISABLETRIGGERS(LOWER('TT_INU'));

/*-- SEQ 0032 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INU ADD COLUMN EXPEM4 VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0033 --*/
SELECT ENABLETRIGGERS(LOWER('TT_INU'));


/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20230117404 --
ALTER TABLE TI_SLT ADD COLUMN ID_ISLT Numeric(10) ;


/*-- SEQ 0035 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20230117404 --
CREATE SEQUENCE SQISLT INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0036 --*/
-- Ticket 20230117404 --
SELECT DISABLETRIGGERS(LOWER('TI_SLT'));

/*-- SEQ 0037 --*/
-- Ticket 20230117404 --
UPDATE TI_SLT
   SET ID_ISLT = NEXTVAL('SQISLT')
 WHERE ID_ISLT IS NULL;

/*-- SEQ 0038 --*/
-- Ticket 20230117404 --
SELECT ENABLETRIGGERS(LOWER('TI_SLT'));

/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20230117404 --
ALTER TABLE TI_SLT ADD CONSTRAINT PK_ISLT PRIMARY KEY (ID_ISLT);

/*-- SEQ 0040 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20230117404 --
ALTER TABLE TI_REC ADD COLUMN ID_IREC Numeric(10) ;


/*-- SEQ 0041 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20230117404 --
CREATE SEQUENCE SQIREC INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0042 --*/
-- Ticket 20230117404 --
SELECT DISABLETRIGGERS(LOWER('TI_REC'));

/*-- SEQ 0043 --*/
-- Ticket 20230117404 --
UPDATE TI_REC
   SET ID_IREC = NEXTVAL('SQIREC')
 WHERE ID_IREC IS NULL;

/*-- SEQ 0044 --*/
-- Ticket 20230117404 --
SELECT ENABLETRIGGERS(LOWER('TI_REC'));

/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20230117404 --
ALTER TABLE TI_REC ADD CONSTRAINT PK_IREC PRIMARY KEY (ID_IREC);

/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20230117404 --
ALTER TABLE TI_LOT ADD COLUMN ID_ILOT Numeric(10) ;


/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20230117404 --
CREATE SEQUENCE SQILOT INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0048 --*/
-- Ticket 20230117404 --
SELECT DISABLETRIGGERS(LOWER('TI_LOT'));

/*-- SEQ 0049 --*/
-- Ticket 20230117404 --
UPDATE TI_LOT
   SET ID_ILOT = NEXTVAL('SQILOT')
 WHERE ID_ILOT IS NULL;

/*-- SEQ 0050 --*/
-- Ticket 20230117404 --
SELECT ENABLETRIGGERS(LOWER('TI_LOT'));

/*-- SEQ 0051 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20230117404 --
ALTER TABLE TI_LOT ADD CONSTRAINT PK_ILOT PRIMARY KEY (ID_ILOT);


/*-- SEQ 0052 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023024350 --
ALTER TABLE TI_VEN ADD COLUMN FLGNFE CHAR(1) ;


/*-- SEQ 0053 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023024350 --
ALTER TABLE TI_VEN ADD COLUMN CHAVEA VARCHAR(44) ;



/*-- SEQ 0054 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2023025311 --
ALTER TABLE TD_BCO ADD COLUMN FILBCO CHAR(3) ;


/*-- SEQ 0055 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2023025311 --
ALTER TABLE TD_BCO ADD COLUMN CODBCO CHAR(6) ;


/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2023025311 --
ALTER TABLE TD_BCO ADD CONSTRAINT FK_DBCO_CLI FOREIGN KEY (FILBCO, CODBCO) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2023025311 --
CREATE INDEX I_FK_DBCO_CLI ON TD_BCO (FILBCO, CODBCO)  ;

/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023025311 --
DELETE FROM TT_FUN 
 WHERE NOMFUN = 'SPED_BANCO';


/*-- SEQ 0059 --*/
-- Tarefa 2023025311 --
ALTER TABLE TW_TAB ADD COLUMN FILBCO CHAR(3) ;


/*-- SEQ 0060 --*/
-- Tarefa 2023025311 --
ALTER TABLE TW_TAB ADD COLUMN CODBCO CHAR(6) ;



/*-- SEQ 0061 --*/
-- Ticket 2023028076 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0062 --*/
-- Ticket 2023028076 --
UPDATE TT_CLI CLI SET CATEG1 = NULL
 WHERE 1=1
   AND EXISTS(SELECT 1 AS OK FROM TD_CT1 DCT1 WHERE DCT1.CODTAB = CLI.CATEG1 AND NOMCT1 IS NULL AND CODEXT_DCT1 IS NULL);

/*-- SEQ 0063 --*/
-- Ticket 2023028076 --
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0064 --*/
-- Ticket 2023028076 --
SELECT DISABLETRIGGERS(LOWER('TD_CT1'));

/*-- SEQ 0065 --*/
-- Ticket 2023028076 --
DELETE FROM TD_CT1
 WHERE 1=1
   AND NOMCT1 IS NULL
   AND CODEXT_DCT1 IS NULL;

/*-- SEQ 0066 --*/
-- Ticket 2023028076 --
SELECT ENABLETRIGGERS(LOWER('TD_CT1'));


/*-- SEQ 0067 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2023028442 --
SELECT ExecAlteraTipoColuna('TI_VEN','CODSER','VARCHAR(3)');



/*-- SEQ 0068 --*/
-- Ticket 2023023421 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0069 --*/
-- Ticket 2023023421 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '02071210',
        '- Com miudezas',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '02071210'));

/*-- SEQ 0070 --*/
-- Ticket 2023023421 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '02071220',
        '- Sem miudezas',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '02071220'));
                     
/*-- SEQ 0071 --*/
-- Ticket 2023023421 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '03029110',
        'Ovas de tainhas (Mugilspp.)',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '03029110'));
                     
/*-- SEQ 0072 --*/
-- Ticket 2023023421 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '03029190',
        '- Outros',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '03029190'));
							
/*-- SEQ 0073 --*/
-- Ticket 2023023421 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '03039110',
        'Ovas de tainhas (Mugilspp.)',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '03039110'));
                     
/*-- SEQ 0074 --*/
-- Ticket 2023023421 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '03039190',
        '- Outros',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '03039190'));

/*-- SEQ 0075 --*/
-- Ticket 2023023421 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '03052010',
        'Ovas de tainhas (Mugilspp.)',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '03052010'));

/*-- SEQ 0076 --*/
-- Ticket 2023023421 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '03052090',
        '- Outros',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '03052090'));

/*-- SEQ 0077 --*/
-- Ticket 2023023421 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '02071200';

/*-- SEQ 0078 --*/
-- Ticket 2023023421 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '03029100';

/*-- SEQ 0079 --*/
-- Ticket 2023023421 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '03039100';

/*-- SEQ 0080 --*/
-- Ticket 2023023421 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '03052000';

 /*-- SEQ 0081 --*/
-- Ticket 2023023421 --
SELECT ENABLETRIGGERS(LOWER('TT_NCM'));


/*-- SEQ 0082 --*/
-- Ticket 2023014965 --
ALTER TABLE TT_REC ADD COLUMN VLRMULTA Numeric(12,2) ;


/*-- SEQ 0083 --*/
-- Ticket 2023014965 --
ALTER TABLE TT_REC ADD COLUMN VLRJUROS Numeric(12,2) ;


/*-- SEQ 0084 --*/
-- Ticket 2023014965 --
ALTER TABLE TT_REC ADD COLUMN VLRDESPAG Numeric(12,2) ;


/*-- SEQ 0085 --*/
-- Ticket 2023014965 --
ALTER TABLE TT_REC ADD COLUMN VLRACRES Numeric(12,2) ;


/*-- SEQ 0086 --*/
-- Ticket 2023014965 --
ALTER TABLE TT_REC ADD COLUMN VLRABATIMENTO Numeric(12,2) ;



/*-- SEQ 0087 --*/
-- Ticket 2022113113 --
ALTER TABLE TT_VEN ADD COLUMN DESFID Numeric(12,2) ;


/*-- SEQ 0088 --*/
-- Ticket 2022113113 --
ALTER TABLE TT_VEN ADD COLUMN FATFID Numeric(12,4) ;


/*-- SEQ 0089 --*/
-- Ticket 2022113113 --
ALTER TABLE TT_VEN ADD COLUMN PONFID Numeric(12,2) ;


/*-- SEQ 0090 --*/
-- Ticket 2022113113 --
CREATE TABLE TT_FID (
    ID_TAB Numeric(12),
    CGCFIL VARCHAR(14),
    CODFIL VARCHAR(3),
    NUMDOC VARCHAR(14),
    TRN_ID Numeric(12),
    NUMECF VARCHAR(3),
    PONTOS Numeric,
    DATINC TIMESTAMP,
    ATU_EM TIMESTAMP,
    EXPORT VARCHAR(1) DEFAULT 'F',
    RESERV VARCHAR(1) DEFAULT 'F',
    RESCON VARCHAR(1) DEFAULT 'F',
    RESCAN VARCHAR(1) DEFAULT 'F',
    VENDEV VARCHAR(1) DEFAULT 'F',
    STATUS VARCHAR(2),
    ORIPED VARCHAR(1),
    DATRES TIMESTAMP,
    DATCON TIMESTAMP,
    DATCAN TIMESTAMP,
    DATDEV TIMESTAMP,
    DESTAT VARCHAR(100))  ;
    
/*-- SEQ 0091 --*/
-- Ticket 2022113113 --
ALTER TABLE TT_FID ADD CONSTRAINT PK_FID PRIMARY KEY (ID_TAB);    
    
/*-- SEQ 0092 --*/
-- Ticket 2022113113 --
ALTER TABLE TT_FID ADD CONSTRAINT CK_FID_EXPORT CHECK (EXPORT IN ('T', 'F'));

/*-- SEQ 0093 --*/
-- Ticket 2022113113 --
CREATE INDEX I_LC_FID_LID ON TT_FID (CODFIL, NUMECF, TRN_ID)  ;


/*-- SEQ 0094 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023042187 --
DROP INDEX I_UQ_NUMPED_RE;

/*-- SEQ 0095 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023042187 --
CREATE INDEX I_LC_NUMPED_RE ON TT_ORC (CODFIL, TIPPED, NUMPED_RE, FLGEST, FLGECO)  ;


/*-- SEQ 0096 --*/
-- Ticket 20230311507 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0097 --*/
-- Ticket 20230311507 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'CONSID_SALPEN_SALREA', 'Considerar SaldoPendente(Entrada/Sada) para o clculo do SaldoReal?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CONSID_SALPEN_SALREA'));

/*-- SEQ 0098 --*/
-- Ticket 20230311507 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

 
/*-- SEQ 0099 --*/
-- Ticket 20230311507 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0100 --*/
-- Ticket 20230311507 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'CONSID_SALPEN_SALREA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0101 --*/
-- Ticket 20230311507 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0102 --*/
-- Ticket 2023045079 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0103 --*/
-- Ticket 2023045079 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'ATIVAR_FIDELIDADE', 'Ativar a comunicao com o servio de fidelidade no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'ATIVAR_FIDELIDADE'));

/*-- SEQ 0104 --*/
-- Ticket 2023045079 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));
 
/*-- SEQ 0105 --*/
-- Ticket 2023045079 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0106 --*/
-- Ticket 2023045079 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'ATIVAR_FIDELIDADE'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0107 --*/
-- Ticket 2023045079 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0108 --*/
-- Ticket 2023026710 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0109 --*/
-- Ticket 2023026710 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'VAL_CLI_VALECOMPRA', 'No permitir o uso do "Vale-Compra" para cliente diferente do titular do Vale no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'VAL_CLI_VALECOMPRA'));

/*-- SEQ 0110 --*/
-- Ticket 2023026710 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

 
/*-- SEQ 0111 --*/
-- Ticket 2023026710 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0112 --*/
-- Ticket 2023026710 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'VAL_CLI_VALECOMPRA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0113 --*/
-- Ticket 2023026710 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0114 --*/
-- Ticket 20230311507 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0115 --*/
-- Ticket 20230311507 --
DELETE FROM TT_IPC WHERE ID_PCS IN (SELECT ID_PCS FROM TT_PCS WHERE NOMPCS = 'CONSID_SALPEN_SALREA');

/*-- SEQ 0116 --*/
-- Ticket 20230311507 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0117 --*/
-- Ticket 20230311507 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0118 --*/
-- Ticket 20230311507 --
DELETE FROM TT_PCS WHERE NOMPCS = 'CONSID_SALPEN_SALREA';

/*-- SEQ 0119 --*/
-- Ticket 20230311507 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0120 --*/
-- Ticket 20230311507 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0121 --*/
-- Ticket 20230311507 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'CONSID_ENTPEN_SALREA', 'Considerar Entradas Pendentes para o clculo do SaldoReal?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CONSID_ENTPEN_SALREA'));

/*-- SEQ 0122 --*/
-- Ticket 20230311507 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'CONSID_SAIPEN_SALREA', 'Considerar Sadas Pendentes para o clculo do SaldoReal?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CONSID_SAIPEN_SALREA'));

/*-- SEQ 0123 --*/
-- Ticket 20230311507 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0124 --*/
-- Ticket 20230311507 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0125 --*/
-- Ticket 20230311507 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'CONSID_ENTPEN_SALREA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0126 --*/
-- Ticket 20230311507 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'CONSID_SAIPEN_SALREA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0127 --*/
-- Ticket 20230311507 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0128 --*/
-- Ticket 2023023021 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0129 --*/
-- Ticket 2023023021 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'USA_EDT_PAR_POS', 'Utiliza edio de Parcelas no PoS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USA_EDT_PAR_POS'));

/*-- SEQ 0130 --*/
-- Ticket 2023023021 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0131 --*/
-- Ticket 20230515370 --
ALTER TABLE TD_DEV ADD COLUMN CODEXT VARCHAR(20) ;


